<section class="banner-area-three">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-7 col-md-9 order-0 order-lg-2">
                <div
                    class="banner-img-three"
                    data-aos="fade-left"
                    data-aos-delay="300"
                >
                    @if ($image = $shortcode->image)
                        <img
                            class="main-img"
                            src="{{ RvMedia::getImageUrl($image) }}"
                            alt="{{ $shortcode->title }}"
                        >
                    @endif

                    @if ($image1 = $shortcode->image_1)
                        <img
                            class="img-two"
                            data-parallax='{"y" : 100 }'
                            src="{{ RvMedia::getImageUrl($image1) }}"
                            alt="{{ $shortcode->title }}"
                        >
                    @endif

                    @if ($image2 = $shortcode->image_2)
                        <img
                            class="img-three"
                            data-parallax='{"x" : -100 }'
                            src="{{ RvMedia::getImageUrl($image2) }}"
                            alt="{{ $shortcode->title }}"
                        >
                    @endif
                </div>
            </div>
            <div class="col-lg-5">
                <div class="banner-content-three">
                    @if ($title = $shortcode->title)
                        <h2
                            class="title"
                            data-aos="fade-right"
                            data-aos-delay="0"
                        >{!! BaseHelper::clean($title) !!}</h2>
                    @endif

                    @if ($description = $shortcode->description)
                        <p
                            data-aos="fade-right"
                            data-aos-delay="300"
                        >{!! BaseHelper::clean(nl2br($description)) !!}</p>
                    @endif

                    @if (is_plugin_active('newsletter'))
                        <form
                            class="banner-form newsletter-form"
                            data-aos="fade-right"
                            data-aos-delay="600"
                            action="{{ route('public.newsletter.subscribe') }}"
                            method="post"
                        >
                            @csrf

                            <input
                                name="email"
                                type="email"
                                placeholder="{{ __('E-mail Address') }}"
                            >
                            @if (setting('enable_captcha') && is_plugin_active('captcha'))
                                <div class="mb-3">
                                    {!! Captcha::display() !!}
                                </div>
                            @endif
                            <button type="submit"><i class="flaticon-right-arrow"></i></button>
                        </form>
                    @endif
                </div>
            </div>
        </div>
    </div>
    <div class="banner-shape-wrap-three">
        @if ($bgImage1 = $shortcode->background_image_1)
            <img
                src="{{ RvMedia::getImageUrl($bgImage1) }}"
                alt="{{ $shortcode->title }}"
            >
        @endif

        @if ($bgImage2 = $shortcode->background_image_2)
            <img
                src="{{ RvMedia::getImageUrl($bgImage2) }}"
                alt="{{ $shortcode->title }}"
            >
        @endif
    </div>
</section>
