@php
    Theme::set('pageTitle', $service->name);
    Theme::set('headerStyle', theme_option('header_style', 'style-1'));
    Theme::set('headerTopStyle',theme_option('header_top_sidebar_style', 'style-1'));
@endphp

<section class="services-details-area">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-71 order-0 order-lg-2">
                <div class="services-details-wrap">
                    @if ($image = $service->image)
                        <div class="services-details-thumb">
                            <img
                                src="{{ RvMedia::getImageUrl($image) }}"
                                alt="{{ $service->name }}"
                            />
                        </div>
                    @endif
                    <div class="services-details-content">
                        @if ($description = $service->description)
                            <h2 class="title">{{ $service->description }}</h2>
                        @endif

                        {!! BaseHelper::clean($service->content) !!}
                    </div>
                </div>
            </div>
            <div class="col-29">
                <aside class="services-sidebar">
                    {!! dynamic_sidebar('service_detail_sidebar') !!}
                </aside>
            </div>
        </div>
    </div>
</section>

<section>
    {!! dynamic_sidebar('service_detail_bottom_sidebar') !!}
</section>
