@if(is_plugin_active('contact'))
    <section class="request-area-two">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6">
                    <div class="request-content-two">
                        @if ($name = Arr::get($config, 'name'))
                            <div class="section-title-two white-title mb-15 tg-heading-subheading animation-style3">
                                <h2 class="title tg-element-title">{!! BaseHelper::clean($name) !!}</h2>
                            </div>
                        @endif

                        @if ($description = Arr::get($config, 'description'))
                            <p>{!! BaseHelper::clean($description) !!}</p>
                        @endif
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="request-form-wrap">
                        {!! Form::open(['route' => 'public.send.contact', 'class' => 'cons-contact-form']) !!}
                            {!! apply_filters('pre_contact_form', null) !!}
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-grp">
                                        <input type="text" name="name" placeholder="{{ __('Name') }} *">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-grp">
                                        <input type="email" name="email" placeholder="{{ __('E-mail') }} *">
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="form-grp">
                                        <input type="tel" name="phone" placeholder="{{ __('Phone') }}">
                                    </div>
                                </div>

                                <div class="col-12">
                                    <div class="form-grp">
                                        <textarea class="form-control" rows="3" name="content" placeholder="{{ __('Content') }} *"></textarea>
                                    </div>
                                </div>
                                @if (is_plugin_active('captcha'))
                                    @if (setting('enable_captcha'))
                                        <div class="col-12">
                                            <div class="mb-3">
                                                {!! Captcha::display() !!}
                                            </div>
                                        </div>
                                    @endif

                                    @if (setting('enable_math_captcha_for_contact_form', 0))
                                        <div class="mx-0 col-12 contact-form">
                                            <div class="mb-3 form-grp">
                                                {!! app('math-captcha')->input(['class' => 'form-control', 'id' => 'math-group', 'placeholder' => app('math-captcha')->label()]) !!}
                                            </div>
                                        </div>
                                    @endif
                                @endif
                                {!! apply_filters('after_contact_form', null) !!}
                                <div class="col-span-12">
                                    <div class="contact-mb-3">
                                        <div class="contact-message contact-success-message" style="display: none"></div>
                                        <div class="contact-message contact-error-message" style="display: none"></div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <button type="submit">{{ __('Send Message') }}</button>
                                </div>
                            </div>
                        {!! Form::close() !!}
                    </div>
                </div>
            </div>
        </div>
        <div class="request-shape-wrap">
            @if ($bgImage1 = Arr::get($config, 'background_image_1'))
                <img src="{{ RvMedia::getImageUrl($bgImage1) }}" alt="{{ __('Background image') }}">
            @endif

            @if ($bgImage2 = Arr::get($config, 'background_image_2'))
                <img src="{{ RvMedia::getImageUrl($bgImage2) }}" alt="{{ __('Background image') }}" data-aos="fade-left" data-aos-delay="200">
            @endif
        </div>
    </section>
@endif
