<div class="col-lg-4 col-md-7">
    <div class="footer-widget">
        @if ($title = Arr::get($config, 'title'))
            <h4 class="fw-title">{!! BaseHelper::clean($title) !!}</h4>
        @endif
        @if ($logoImage = Arr::get($config, 'logo') ?: theme_option('logo'))
            <div class="fw-logo">
                <a href="{{ route('public.index') }}">
                    {{ RvMedia::image($logoImage, __('Logo')) }}
                </a>
            </div>
        @endif

        <div class="footer-content">
            @if ($description = Arr::get($config, 'description'))
                <p>{!! BaseHelper::clean($description) !!}</p>
            @endif
            <p></p>
            <div class="footer-info">
                <ul class="list-wrap">
                    @if ($address = Arr::get($config, 'address'))
                        <li>
                            <div class="icon">
                                <i class="flaticon-pin"></i>
                            </div>
                            <div class="content">
                                <p>{!! BaseHelper::clean($address) !!}</p>
                            </div>
                        </li>
                    @endif

                    @if ($hotline = Arr::get($config, 'hotline'))
                        <li>
                            <div class="icon">
                                <i class="flaticon-phone-call"></i>
                            </div>
                            <div class="content">
                                <a href="tel:{{ $hotline }}" dir="ltr">{{ $hotline }}</a>
                            </div>
                        </li>
                    @endif

                    @if ($openingHours = Arr::get($config, 'opening_hours'))
                        <li>
                            <div class="icon">
                                <i class="flaticon-clock"></i>
                            </div>
                            <div class="content">
                                <p>{!! BaseHelper::clean($openingHours) !!}</p>
                            </div>
                        </li>
                    @endif
                </ul>
            </div>
        </div>
    </div>
</div>
