@php
    $headerTopSideBarStyle = Theme::get('headerTopSideBarStyle') ?: 'style-1';
@endphp

@if (Str::startsWith($sidebar, 'header_top_sidebar'))
    <div
        @class(['ps-5',
            'col-lg-5' => Theme::get('headerTopSideBarStyle') === 'style-2',
            'col-lg-2' => Theme::get('headerTopSideBarStyle') !== 'style-2'
         ])
    >
        <div class="header-top-right">
            @if ($content = Arr::get($config, 'content'))
                <div class="header-contact">
                    <a href="">
                        <i class="{{ Arr::get($config, 'icon') }}"></i>
                        <span dir="ltr">{{ $content }}</span>
                    </a>
                </div>
            @endif
            <div class="header-social">
                <ul class="list-wrap">
                    @foreach(range(1, 10) as $i)
                        @if (Arr::get($config, "link_$i") && Arr::get($config, "icon_$i"))
                            <li>
                                <a target="_blank" href="{{ Arr::get($config, "link_$i") }}">
                                    <i class="{{ Arr::get($config, "icon_$i") }}"></i>
                                </a>
                            </li>
                        @endif
                    @endforeach
                </ul>
            </div>
        </div>
    </div>

@elseif (Str::startsWith($sidebar, 'footer_bottom'))
    <div class="col-md-6">
        <div class="footer-social">
            <ul class="list-wrap">
                @foreach(range(1, 10) as $i)
                    @if (Arr::get($config, "link_$i") && Arr::get($config, "icon_$i"))
                        <li>
                            <a target="_blank" href="{{ Arr::get($config, "link_$i") }}">
                                <i class="{{ Arr::get($config, "icon_$i") }}"></i>
                            </a>
                        </li>
                    @endif
                @endforeach
            </ul>
        </div>
    </div>

@else
    <ul class="list-wrap">
        @foreach(range(1, 10) as $i)
            @if (Arr::get($config, "link_$i") && Arr::get($config, "icon_$i"))
                <li>
                    <a target="_blank" href="{{ Arr::get($config, "link_$i") }}">
                        <i class="{{ Arr::get($config, "icon_$i") }}"></i>
                    </a>
                </li>
            @endif
        @endforeach
    </ul>
@endif
