-- MySQL dump 10.13  Distrib 8.0.33, for macos13.3 (arm64)
--
-- Host: localhost    Database: gerow
-- ------------------------------------------------------
-- Server version	8.0.33

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `activations`
--

DROP TABLE IF EXISTS `activations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `activations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `code` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `completed` tinyint(1) NOT NULL DEFAULT '0',
  `completed_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activations_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `activations`
--

LOCK TABLES `activations` WRITE;
/*!40000 ALTER TABLE `activations` DISABLE KEYS */;
INSERT INTO `activations` VALUES (1,1,'ZZfchWiblVu5TYqEpgwFKbddnFVl6HSY',1,'2023-12-08 09:13:38','2023-12-08 09:13:38','2023-12-08 09:13:38'),(2,2,'YPcub5bLxHc6aRAc1Y9TjifsjGVDkG9c',1,'2023-12-08 09:13:38','2023-12-08 09:13:38','2023-12-08 09:13:38');
/*!40000 ALTER TABLE `activations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `admin_notifications`
--

DROP TABLE IF EXISTS `admin_notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `admin_notifications` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `action_label` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `action_url` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `permission` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `admin_notifications`
--

LOCK TABLES `admin_notifications` WRITE;
/*!40000 ALTER TABLE `admin_notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `admin_notifications` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `audit_histories`
--

DROP TABLE IF EXISTS `audit_histories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `audit_histories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `module` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `request` longtext COLLATE utf8mb4_unicode_ci,
  `action` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reference_user` bigint unsigned NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `audit_histories_user_id_index` (`user_id`),
  KEY `audit_histories_module_index` (`module`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `audit_histories`
--

LOCK TABLES `audit_histories` WRITE;
/*!40000 ALTER TABLE `audit_histories` DISABLE KEYS */;
/*!40000 ALTER TABLE `audit_histories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories`
--

DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `icon` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `is_featured` tinyint NOT NULL DEFAULT '0',
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories_parent_id_index` (`parent_id`),
  KEY `categories_status_index` (`status`),
  KEY `categories_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories`
--

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'Business Strategy',0,'Molestias officia aut debitis magnam. Tempora omnis rerum dolores ad dolor. Ut qui saepe ullam consequuntur.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,1,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(2,'Market Research',0,'Et cumque ex et beatae nemo delectus aliquam eos. Non voluptate placeat corrupti ut. Sit quis quasi beatae provident rerum possimus.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(3,'Financial Management',2,'Dolore in sit vero explicabo eum. Provident voluptates velit quod dolor quo. Necessitatibus adipisci quae molestias ut aut voluptas ratione. Possimus maiores vitae quo aut odio qui sit.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(4,'Entrepreneurship',0,'Maiores nihil est iste aut illo. Nemo incidunt dolores quisquam eos officiis sapiente id. Quia velit et et quidem libero dolores ratione ipsa.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(5,'Career Development',4,'Consequatur dolores laboriosam beatae ad nobis. Voluptatibus error et dolorem eveniet et eos. Magni voluptatibus omnis quasi adipisci. Quidem minus magnam nisi doloremque sed odit.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(6,'Startups',0,'Quo sint cum rerum quibusdam. Sit in voluptatem et nihil itaque. Dolore molestiae ut velit voluptas illum nostrum eum.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,1,0,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(7,'Success Stories',6,'Sed atque molestiae aut suscipit ullam accusantium. Esse voluptatem id dolore impedit nulla nemo. Asperiores qui dolore velit error. Magni iste quia iure dolore. Voluptas assumenda eum iusto earum.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(8,'Industry Insights',6,'Inventore autem aut officia commodi quos necessitatibus. Soluta sunt quia dolores id. Iste eveniet non perspiciatis sapiente.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(9,'Human Resources',6,'Minus quis sed similique accusantium asperiores. Odio soluta voluptates deleniti animi. Enim delectus corrupti qui at. Id repellat odit necessitatibus.','published',NULL,'Botble\\ACL\\Models\\User',NULL,0,0,0,'2023-12-08 09:13:43','2023-12-08 09:13:43');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `categories_translations`
--

DROP TABLE IF EXISTS `categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `categories_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `categories_translations`
--

LOCK TABLES `categories_translations` WRITE;
/*!40000 ALTER TABLE `categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact_replies`
--

DROP TABLE IF EXISTS `contact_replies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact_replies` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `message` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `contact_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact_replies`
--

LOCK TABLES `contact_replies` WRITE;
/*!40000 ALTER TABLE `contact_replies` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact_replies` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contacts`
--

DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contacts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `phone` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'unread',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contacts`
--

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widget_settings`
--

DROP TABLE IF EXISTS `dashboard_widget_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widget_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `settings` text COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned NOT NULL,
  `widget_id` bigint unsigned NOT NULL,
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `status` tinyint unsigned NOT NULL DEFAULT '1',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_widget_settings_user_id_index` (`user_id`),
  KEY `dashboard_widget_settings_widget_id_index` (`widget_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widget_settings`
--

LOCK TABLES `dashboard_widget_settings` WRITE;
/*!40000 ALTER TABLE `dashboard_widget_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widget_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dashboard_widgets`
--

DROP TABLE IF EXISTS `dashboard_widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dashboard_widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dashboard_widgets`
--

LOCK TABLES `dashboard_widgets` WRITE;
/*!40000 ALTER TABLE `dashboard_widgets` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_widgets` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `failed_jobs`
--

DROP TABLE IF EXISTS `failed_jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `failed_jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `uuid` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `queue` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `exception` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `failed_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `failed_jobs_uuid_unique` (`uuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `failed_jobs`
--

LOCK TABLES `failed_jobs` WRITE;
/*!40000 ALTER TABLE `failed_jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `failed_jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories`
--

DROP TABLE IF EXISTS `faq_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `description` varchar(300) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories`
--

LOCK TABLES `faq_categories` WRITE;
/*!40000 ALTER TABLE `faq_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faq_categories_translations`
--

DROP TABLE IF EXISTS `faq_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faq_categories_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faq_categories_id` bigint unsigned NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`faq_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faq_categories_translations`
--

LOCK TABLES `faq_categories_translations` WRITE;
/*!40000 ALTER TABLE `faq_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faq_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs`
--

DROP TABLE IF EXISTS `faqs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `question` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `answer` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `category_id` bigint unsigned NOT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs`
--

LOCK TABLES `faqs` WRITE;
/*!40000 ALTER TABLE `faqs` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `faqs_translations`
--

DROP TABLE IF EXISTS `faqs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `faqs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `faqs_id` bigint unsigned NOT NULL,
  `question` text COLLATE utf8mb4_unicode_ci,
  `answer` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`faqs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `faqs_translations`
--

LOCK TABLES `faqs_translations` WRITE;
/*!40000 ALTER TABLE `faqs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `faqs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries`
--

DROP TABLE IF EXISTS `galleries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `order` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `galleries_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries`
--

LOCK TABLES `galleries` WRITE;
/*!40000 ALTER TABLE `galleries` DISABLE KEYS */;
INSERT INTO `galleries` VALUES (1,'Business','Strategic planning, decision-making, and goal-oriented visuals.',1,0,'galleries/1.png',1,'published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(2,'Innovation','Images that exemplify effective guidance and inspirational leadership.',1,0,'galleries/2.png',1,'published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(3,'Leadership','Exploring the world of cutting-edge tech and digital innovations.',1,0,'galleries/3.png',1,'published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(4,'Technology','Celebrating the spirit of startups, innovation, and risk-taking.',1,0,'galleries/4.png',1,'published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(5,'Success','Efficient organization, team leadership, and operational excellence.',1,0,'galleries/5.png',1,'published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(6,'Entrepreneurship','Moments of achievement and triumph in various business contexts.',1,0,'galleries/6.png',1,'published','2023-12-08 09:13:43','2023-12-08 09:13:43');
/*!40000 ALTER TABLE `galleries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `galleries_translations`
--

DROP TABLE IF EXISTS `galleries_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `galleries_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `galleries_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`galleries_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `galleries_translations`
--

LOCK TABLES `galleries_translations` WRITE;
/*!40000 ALTER TABLE `galleries_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `galleries_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta`
--

DROP TABLE IF EXISTS `gallery_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `images` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `gallery_meta_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta`
--

LOCK TABLES `gallery_meta` WRITE;
/*!40000 ALTER TABLE `gallery_meta` DISABLE KEYS */;
INSERT INTO `gallery_meta` VALUES (1,'[{\"img\":\"galleries\\/1.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/2.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/3.png\",\"description\":\"Showcasing breakthrough ideas, inventions, and creative solutions.\"},{\"img\":\"galleries\\/4.png\",\"description\":\"Moments of achievement and triumph in various business contexts.\"},{\"img\":\"galleries\\/5.png\",\"description\":\"Celebrating the spirit of startups, innovation, and risk-taking.\"},{\"img\":\"galleries\\/6.png\",\"description\":\"Capturing the essence of corporate endeavors and entrepreneurial spirit.\"}]',1,'Botble\\Gallery\\Models\\Gallery','2023-12-08 09:13:43','2023-12-08 09:13:43'),(2,'[{\"img\":\"galleries\\/1.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/2.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/3.png\",\"description\":\"Showcasing breakthrough ideas, inventions, and creative solutions.\"},{\"img\":\"galleries\\/4.png\",\"description\":\"Moments of achievement and triumph in various business contexts.\"},{\"img\":\"galleries\\/5.png\",\"description\":\"Celebrating the spirit of startups, innovation, and risk-taking.\"},{\"img\":\"galleries\\/6.png\",\"description\":\"Capturing the essence of corporate endeavors and entrepreneurial spirit.\"}]',2,'Botble\\Gallery\\Models\\Gallery','2023-12-08 09:13:43','2023-12-08 09:13:43'),(3,'[{\"img\":\"galleries\\/1.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/2.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/3.png\",\"description\":\"Showcasing breakthrough ideas, inventions, and creative solutions.\"},{\"img\":\"galleries\\/4.png\",\"description\":\"Moments of achievement and triumph in various business contexts.\"},{\"img\":\"galleries\\/5.png\",\"description\":\"Celebrating the spirit of startups, innovation, and risk-taking.\"},{\"img\":\"galleries\\/6.png\",\"description\":\"Capturing the essence of corporate endeavors and entrepreneurial spirit.\"}]',3,'Botble\\Gallery\\Models\\Gallery','2023-12-08 09:13:43','2023-12-08 09:13:43'),(4,'[{\"img\":\"galleries\\/1.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/2.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/3.png\",\"description\":\"Showcasing breakthrough ideas, inventions, and creative solutions.\"},{\"img\":\"galleries\\/4.png\",\"description\":\"Moments of achievement and triumph in various business contexts.\"},{\"img\":\"galleries\\/5.png\",\"description\":\"Celebrating the spirit of startups, innovation, and risk-taking.\"},{\"img\":\"galleries\\/6.png\",\"description\":\"Capturing the essence of corporate endeavors and entrepreneurial spirit.\"}]',4,'Botble\\Gallery\\Models\\Gallery','2023-12-08 09:13:43','2023-12-08 09:13:43'),(5,'[{\"img\":\"galleries\\/1.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/2.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/3.png\",\"description\":\"Showcasing breakthrough ideas, inventions, and creative solutions.\"},{\"img\":\"galleries\\/4.png\",\"description\":\"Moments of achievement and triumph in various business contexts.\"},{\"img\":\"galleries\\/5.png\",\"description\":\"Celebrating the spirit of startups, innovation, and risk-taking.\"},{\"img\":\"galleries\\/6.png\",\"description\":\"Capturing the essence of corporate endeavors and entrepreneurial spirit.\"}]',5,'Botble\\Gallery\\Models\\Gallery','2023-12-08 09:13:43','2023-12-08 09:13:43'),(6,'[{\"img\":\"galleries\\/1.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/2.png\",\"description\":\"Highlighting strategies to engage, attract, and retain customers.\"},{\"img\":\"galleries\\/3.png\",\"description\":\"Showcasing breakthrough ideas, inventions, and creative solutions.\"},{\"img\":\"galleries\\/4.png\",\"description\":\"Moments of achievement and triumph in various business contexts.\"},{\"img\":\"galleries\\/5.png\",\"description\":\"Celebrating the spirit of startups, innovation, and risk-taking.\"},{\"img\":\"galleries\\/6.png\",\"description\":\"Capturing the essence of corporate endeavors and entrepreneurial spirit.\"}]',6,'Botble\\Gallery\\Models\\Gallery','2023-12-08 09:13:43','2023-12-08 09:13:43'),(7,'[{\"img\":\"galleries\\/1.png\",\"description\":\"King hastily said, and went on eagerly: \'There is such a long and a bright idea came into her head. \'If I eat or drink something or other; but the Hatter and the pair of boots every Christmas.\' And.\"},{\"img\":\"galleries\\/2.png\",\"description\":\"Alice was more and more sounds of broken glass, from which she had been looking over their shoulders, that all the arches are gone from this morning,\' said Alice indignantly. \'Let me alone!\'.\"},{\"img\":\"galleries\\/3.png\",\"description\":\"Alice. \'That\'s the most interesting, and perhaps as this is May it won\'t be raving mad--at least not so mad as it didn\'t sound at all the things being alive; for instance, there\'s the arch I\'ve got.\"},{\"img\":\"galleries\\/4.png\",\"description\":\"Beautiful, beauti--FUL SOUP!\' \'Chorus again!\' cried the Mouse, frowning, but very politely: \'Did you speak?\' \'Not I!\' he replied. \'We quarrelled last March--just before HE went mad, you know--\'.\"},{\"img\":\"galleries\\/5.png\",\"description\":\"Dormouse go on for some time after the rest were quite dry again, the cook and the sound of many footsteps, and Alice was more hopeless than ever: she sat still and said \'No, never\') \'--so you can.\"},{\"img\":\"galleries\\/6.png\",\"description\":\"Mock Turtle drew a long way back, and see what I could shut up like a stalk out of this rope--Will the roof of the trees behind him. \'--or next day, maybe,\' the Footman continued in the night? Let.\"}]',6,'Botble\\Gallery\\Models\\Gallery','2023-12-08 09:13:43','2023-12-08 09:13:43');
/*!40000 ALTER TABLE `gallery_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `gallery_meta_translations`
--

DROP TABLE IF EXISTS `gallery_meta_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `gallery_meta_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `gallery_meta_id` bigint unsigned NOT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`gallery_meta_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `gallery_meta_translations`
--

LOCK TABLES `gallery_meta_translations` WRITE;
/*!40000 ALTER TABLE `gallery_meta_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `gallery_meta_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `jobs`
--

DROP TABLE IF EXISTS `jobs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `jobs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `queue` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `payload` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `attempts` tinyint unsigned NOT NULL,
  `reserved_at` int unsigned DEFAULT NULL,
  `available_at` int unsigned NOT NULL,
  `created_at` int unsigned NOT NULL,
  PRIMARY KEY (`id`),
  KEY `jobs_queue_index` (`queue`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `jobs`
--

LOCK TABLES `jobs` WRITE;
/*!40000 ALTER TABLE `jobs` DISABLE KEYS */;
/*!40000 ALTER TABLE `jobs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `language_meta`
--

DROP TABLE IF EXISTS `language_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `language_meta` (
  `lang_meta_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_meta_code` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_meta_origin` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  PRIMARY KEY (`lang_meta_id`),
  KEY `language_meta_reference_id_index` (`reference_id`),
  KEY `meta_code_index` (`lang_meta_code`),
  KEY `meta_origin_index` (`lang_meta_origin`),
  KEY `meta_reference_type_index` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `language_meta`
--

LOCK TABLES `language_meta` WRITE;
/*!40000 ALTER TABLE `language_meta` DISABLE KEYS */;
INSERT INTO `language_meta` VALUES (1,'en_US','f8249036e2c08c308cd9f2b5ffcf9321',1,'Botble\\Menu\\Models\\MenuLocation'),(2,'en_US','37b6fb6a7218a51766043560b8b5b951',1,'Botble\\Menu\\Models\\Menu'),(3,'en_US','73986771009115436d8404e9668a7a3f',2,'Botble\\Menu\\Models\\Menu'),(4,'en_US','ca65fd1a6408a0594b5fe540cb5d6c6c',3,'Botble\\Menu\\Models\\Menu'),(5,'en_US','44ccd3eece0b23cd14e3b2e58191c2cd',4,'Botble\\Menu\\Models\\Menu'),(6,'en_US','08d2fc396a61ff383929c8cb9d037049',5,'Botble\\Menu\\Models\\Menu'),(7,'en_US','cfb578bf7b8f80d6aa1432dec9f8a947',2,'Botble\\Menu\\Models\\MenuLocation'),(8,'en_US','6c23b07a429b51fe0986b4205cd976b8',6,'Botble\\Menu\\Models\\Menu');
/*!40000 ALTER TABLE `language_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `languages`
--

DROP TABLE IF EXISTS `languages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `languages` (
  `lang_id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `lang_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_locale` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `lang_flag` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `lang_is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `lang_order` int NOT NULL DEFAULT '0',
  `lang_is_rtl` tinyint unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  KEY `lang_locale_index` (`lang_locale`),
  KEY `lang_code_index` (`lang_code`),
  KEY `lang_is_default_index` (`lang_is_default`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `languages`
--

LOCK TABLES `languages` WRITE;
/*!40000 ALTER TABLE `languages` DISABLE KEYS */;
INSERT INTO `languages` VALUES (1,'English','en','en_US','us',1,0,0);
/*!40000 ALTER TABLE `languages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_files`
--

DROP TABLE IF EXISTS `media_files`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_files` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `alt` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `folder_id` bigint unsigned NOT NULL DEFAULT '0',
  `mime_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `size` int NOT NULL,
  `url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `options` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_files_user_id_index` (`user_id`),
  KEY `media_files_index` (`folder_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=160 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_files`
--

LOCK TABLES `media_files` WRITE;
/*!40000 ALTER TABLE `media_files` DISABLE KEYS */;
INSERT INTO `media_files` VALUES (1,0,'about-bg','about-bg',1,'image/jpeg',21884,'backgrounds/about-bg.jpg','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(2,0,'about-img-shape01','about-img-shape01',1,'image/png',6919,'backgrounds/about-img-shape01.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(3,0,'about-shape01','about-shape01',1,'image/png',879,'backgrounds/about-shape01.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(4,0,'about-shape02','about-shape02',1,'image/png',1917,'backgrounds/about-shape02.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(5,0,'about-shape03','about-shape03',1,'image/png',18059,'backgrounds/about-shape03.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(6,0,'about-shape04','about-shape04',1,'image/png',75597,'backgrounds/about-shape04.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(7,0,'about-shape06','about-shape06',1,'image/png',7786,'backgrounds/about-shape06.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(8,0,'about-shape07','about-shape07',1,'image/png',10209,'backgrounds/about-shape07.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(9,0,'about-shape08','about-shape08',1,'image/png',9716,'backgrounds/about-shape08.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(10,0,'banner-shape','banner-shape',1,'image/png',743,'backgrounds/banner-shape.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(11,0,'banner-shape01','banner-shape01',1,'image/png',1825,'backgrounds/banner-shape01.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(12,0,'banner-shape02','banner-shape02',1,'image/png',1178,'backgrounds/banner-shape02.png','[]','2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(13,0,'banner-shape03','banner-shape03',1,'image/png',5724,'backgrounds/banner-shape03.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(14,0,'banner-shape05','banner-shape05',1,'image/png',330,'backgrounds/banner-shape05.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(15,0,'bg-footer-dark','bg-footer-dark',1,'image/png',67915,'backgrounds/bg-footer-dark.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(16,0,'bg-footer','bg-footer',1,'image/png',77395,'backgrounds/bg-footer.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(17,0,'blog-bg','blog-bg',1,'image/jpeg',38356,'backgrounds/blog-bg.jpg','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(18,0,'blog-bg-1','blog-bg-1',1,'image/png',14723,'backgrounds/blog-bg-1.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(19,0,'breadcrumb-shape01','breadcrumb-shape01',1,'image/png',10139,'backgrounds/breadcrumb-shape01.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(20,0,'breadcrumb-shape02','breadcrumb-shape02',1,'image/png',1663,'backgrounds/breadcrumb-shape02.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(21,0,'choose-img-shape01','choose-img-shape01',1,'image/png',10369,'backgrounds/choose-img-shape01.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(22,0,'choose-img-shape02','choose-img-shape02',1,'image/png',2009,'backgrounds/choose-img-shape02.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(23,0,'choose-shape','choose-shape',1,'image/png',16445,'backgrounds/choose-shape.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(24,0,'consulting-about-img02','consulting-about-img02',1,'image/png',12937,'backgrounds/consulting-about-img02.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(25,0,'consulting-about-shape01','consulting-about-shape01',1,'image/png',11079,'backgrounds/consulting-about-shape01.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(26,0,'consulting-about-shape02','consulting-about-shape02',1,'image/png',12937,'backgrounds/consulting-about-shape02.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(27,0,'consulting-about-shape03','consulting-about-shape03',1,'image/png',469,'backgrounds/consulting-about-shape03.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(28,0,'consulting-banner-img02','consulting-banner-img02',1,'image/png',13434,'backgrounds/consulting-banner-img02.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(29,0,'consulting-banner-shape01','consulting-banner-shape01',1,'image/png',2363,'backgrounds/consulting-banner-shape01.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(30,0,'contact-bg','contact-bg',1,'image/jpeg',21641,'backgrounds/contact-bg.jpg','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(31,0,'contact-shape','contact-shape',1,'image/png',3351,'backgrounds/contact-shape.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(32,0,'counter-bg','counter-bg',1,'image/jpeg',38490,'backgrounds/counter-bg.jpg','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(33,0,'counter-shape01','counter-shape01',1,'image/png',1100,'backgrounds/counter-shape01.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(34,0,'cta-bg','cta-bg',1,'image/png',22427,'backgrounds/cta-bg.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(35,0,'cta-bg02','cta-bg02',1,'image/png',26436,'backgrounds/cta-bg02.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(36,0,'cta-bg03','cta-bg03',1,'image/png',8581,'backgrounds/cta-bg03.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(37,0,'faq-img02','faq-img02',1,'image/jpeg',23861,'backgrounds/faq-img02.jpg','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(38,0,'faq-shape01','faq-shape01',1,'image/png',6612,'backgrounds/faq-shape01.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(39,0,'faq-shape02','faq-shape02',1,'image/png',35873,'backgrounds/faq-shape02.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(40,0,'features-bg','features-bg',1,'image/png',18207,'backgrounds/features-bg.png','[]','2023-12-08 09:13:39','2023-12-08 09:13:39',NULL),(41,0,'features-shape02','features-shape02',1,'image/png',1796,'backgrounds/features-shape02.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(42,0,'finance-banner-bg','finance-banner-bg',1,'image/png',94740,'backgrounds/finance-banner-bg.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(43,0,'inner-about-img04','inner-about-img04',1,'image/png',23859,'backgrounds/inner-about-img04.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(44,0,'inner-services-bg','inner-services-bg',1,'image/jpeg',90007,'backgrounds/inner-services-bg.jpg','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(45,0,'insurance-banner-bg','insurance-banner-bg',1,'image/png',47886,'backgrounds/insurance-banner-bg.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(46,0,'insurance-banner-shape02','insurance-banner-shape02',1,'image/png',2437,'backgrounds/insurance-banner-shape02.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(47,0,'insurance-banner-shape03','insurance-banner-shape03',1,'image/png',14829,'backgrounds/insurance-banner-shape03.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(48,0,'mask-img','mask-img',1,'image/png',15297,'backgrounds/mask-img.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(49,0,'mask-img02','mask-img02',1,'image/png',10525,'backgrounds/mask-img02.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(50,0,'overview-img-shape','overview-img-shape',1,'image/png',4787,'backgrounds/overview-img-shape.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(51,0,'overview-img02','overview-img02',1,'image/png',23861,'backgrounds/overview-img02.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(52,0,'overview-img04','overview-img04',1,'image/png',21063,'backgrounds/overview-img04.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(53,0,'overview-shape','overview-shape',1,'image/png',12859,'backgrounds/overview-shape.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(54,0,'overview-shape01','overview-shape01',1,'image/png',1597,'backgrounds/overview-shape01.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(55,0,'overview-shape02','overview-shape02',1,'image/png',4462,'backgrounds/overview-shape02.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(56,0,'pricing-shape','pricing-shape',1,'image/png',13753,'backgrounds/pricing-shape.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(57,0,'project-bg','project-bg',1,'image/jpeg',37974,'backgrounds/project-bg.jpg','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(58,0,'project-bg02','project-bg02',1,'image/png',16444,'backgrounds/project-bg02.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(59,0,'request-bg','request-bg',1,'image/png',45744,'backgrounds/request-bg.png','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(60,0,'services-bg','services-bg',1,'image/jpeg',92357,'backgrounds/services-bg.jpg','[]','2023-12-08 09:13:40','2023-12-08 09:13:40',NULL),(61,0,'services-bg02','services-bg02',1,'image/png',152576,'backgrounds/services-bg02.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(62,0,'services-item-shape','services-item-shape',1,'image/png',1136,'backgrounds/services-item-shape.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(63,0,'shape01','shape01',1,'image/png',3131,'backgrounds/shape01.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(64,0,'shape02','shape02',1,'image/png',14295,'backgrounds/shape02.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(65,0,'team-bg','team-bg',1,'image/png',29766,'backgrounds/team-bg.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(66,0,'team-shape','team-shape',1,'image/png',12983,'backgrounds/team-shape.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(67,0,'testimonial-bg','testimonial-bg',1,'image/png',68959,'backgrounds/testimonial-bg.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(68,0,'testimonial-bg1','testimonial-bg1',1,'image/png',94815,'backgrounds/testimonial-bg1.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(69,0,'about-author','about-author',2,'image/png',806,'general/about-author.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(70,0,'about-img','about-img',2,'image/png',9646,'general/about-img.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(71,0,'about-img01','about-img01',2,'image/png',10978,'general/about-img01.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(72,0,'about-img02','about-img02',2,'image/png',3353,'general/about-img02.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(73,0,'about-img04','about-img04',2,'image/png',2141,'general/about-img04.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(74,0,'banner-main-img','banner-main-img',2,'image/png',11865,'general/banner-main-img.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(75,0,'banner-shape01','banner-shape01',2,'image/png',5777,'general/banner-shape01.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(76,0,'breadcrumb-bg','breadcrumb-bg',2,'image/png',10237,'general/breadcrumb-bg.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(77,0,'choose-bg','choose-bg',2,'image/png',24793,'general/choose-bg.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(78,0,'choose-img','choose-img',2,'image/png',8511,'general/choose-img.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(79,0,'consulting-banner-img03','consulting-banner-img03',2,'image/png',1783,'general/consulting-banner-img03.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(80,0,'contact-img','contact-img',2,'image/jpeg',13045,'general/contact-img.jpg','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(81,0,'estimate-img','estimate-img',2,'image/png',10009,'general/estimate-img.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(82,0,'favicon','favicon',2,'image/png',1535,'general/favicon.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(83,0,'finance-banner-img','finance-banner-img',2,'image/png',8925,'general/finance-banner-img.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(84,0,'inner-about-img05','inner-about-img05',2,'image/png',9633,'general/inner-about-img05.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(85,0,'inner-choose-img','inner-choose-img',2,'image/png',21174,'general/inner-choose-img.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(86,0,'insurance-banner-img','insurance-banner-img',2,'image/png',11767,'general/insurance-banner-img.png','[]','2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(87,0,'logo-white','logo-white',2,'image/png',3149,'general/logo-white.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(88,0,'logo','logo',2,'image/png',3758,'general/logo.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(89,0,'overview-img01','overview-img01',2,'image/png',8560,'general/overview-img01.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(90,0,'signature','signature',2,'image/png',2995,'general/signature.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(91,0,'testimonial-img','testimonial-img',2,'image/png',8576,'general/testimonial-img.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(92,0,'testimonial-img01','testimonial-img01',2,'image/png',7807,'general/testimonial-img01.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(93,0,'testimonial-img03','testimonial-img03',2,'image/png',8300,'general/testimonial-img03.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(94,0,'brand-img01','brand-img01',3,'image/png',880,'brands/brand-img01.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(95,0,'brand-img02','brand-img02',3,'image/png',880,'brands/brand-img02.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(96,0,'brand-img03','brand-img03',3,'image/png',880,'brands/brand-img03.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(97,0,'brand-img04','brand-img04',3,'image/png',880,'brands/brand-img04.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(98,0,'brand-img05','brand-img05',3,'image/png',880,'brands/brand-img05.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(99,0,'quote','quote',4,'image/png',1088,'icons/quote.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(100,0,'rating','rating',4,'image/png',1294,'icons/rating.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(101,0,'testimonial-shape04','testimonial-shape04',4,'image/png',1119,'icons/testimonial-shape04.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(102,0,'banner-bg','banner-bg',5,'image/jpeg',24409,'sliders/banner-bg.jpg','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(103,0,'banner-bg02','banner-bg02',5,'image/jpeg',24409,'sliders/banner-bg02.jpg','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(104,0,'1','1',6,'image/png',12991,'galleries/1.png','[]','2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(105,0,'2','2',6,'image/png',3131,'galleries/2.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(106,0,'3','3',6,'image/png',11021,'galleries/3.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(107,0,'4','4',6,'image/png',8004,'galleries/4.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(108,0,'5','5',6,'image/png',10321,'galleries/5.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(109,0,'6','6',6,'image/png',9634,'galleries/6.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(110,0,'1','1',7,'image/png',10563,'news/1.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(111,0,'10','10',7,'image/png',10563,'news/10.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(112,0,'11','11',7,'image/png',10563,'news/11.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(113,0,'12','12',7,'image/png',10563,'news/12.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(114,0,'2','2',7,'image/png',10563,'news/2.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(115,0,'3','3',7,'image/png',10563,'news/3.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(116,0,'4','4',7,'image/png',10563,'news/4.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(117,0,'5','5',7,'image/png',10563,'news/5.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(118,0,'6','6',7,'image/png',10563,'news/6.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(119,0,'7','7',7,'image/png',10563,'news/7.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(120,0,'8','8',7,'image/png',10563,'news/8.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(121,0,'9','9',7,'image/png',10563,'news/9.png','[]','2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(122,0,'1','1',8,'image/png',2516,'testimonials/1.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(123,0,'2','2',8,'image/png',2516,'testimonials/2.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(124,0,'3','3',8,'image/png',2516,'testimonials/3.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(125,0,'4','4',8,'image/png',2516,'testimonials/4.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(126,0,'1-1','1-1',9,'image/png',6744,'teams/1-1.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(127,0,'1-2','1-2',9,'image/png',6744,'teams/1-2.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(128,0,'1-3','1-3',9,'image/png',6744,'teams/1-3.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(129,0,'1-4','1-4',9,'image/png',6744,'teams/1-4.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(130,0,'2-1','2-1',9,'image/png',6402,'teams/2-1.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(131,0,'2-2','2-2',9,'image/png',6402,'teams/2-2.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(132,0,'2-3','2-3',9,'image/png',6402,'teams/2-3.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(133,0,'2-4','2-4',9,'image/png',6402,'teams/2-4.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(134,0,'3-1','3-1',9,'image/png',6136,'teams/3-1.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(135,0,'3-2','3-2',9,'image/png',6136,'teams/3-2.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(136,0,'3-3','3-3',9,'image/png',6136,'teams/3-3.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(137,0,'3-4','3-4',9,'image/png',6136,'teams/3-4.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(138,0,'4-1','4-1',9,'image/png',2303,'teams/4-1.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(139,0,'4-2','4-2',9,'image/png',2303,'teams/4-2.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(140,0,'4-3','4-3',9,'image/png',2303,'teams/4-3.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(141,0,'4-4','4-4',9,'image/png',2303,'teams/4-4.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(142,0,'5-1','5-1',9,'image/png',4984,'teams/5-1.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(143,0,'5-2','5-2',9,'image/png',4984,'teams/5-2.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(144,0,'5-3','5-3',9,'image/png',4984,'teams/5-3.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(145,0,'5-4','5-4',9,'image/png',4984,'teams/5-4.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(146,0,'1','1',10,'image/png',8691,'projects/1.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(147,0,'2','2',10,'image/png',8691,'projects/2.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(148,0,'3','3',10,'image/png',8691,'projects/3.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(149,0,'4','4',10,'image/png',8691,'projects/4.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(150,0,'5','5',10,'image/png',7254,'projects/5.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(151,0,'6','6',10,'image/png',7254,'projects/6.png','[]','2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(152,0,'7','7',10,'image/png',7191,'projects/7.png','[]','2023-12-08 09:13:45','2023-12-08 09:13:45',NULL),(153,0,'8','8',10,'image/png',7191,'projects/8.png','[]','2023-12-08 09:13:45','2023-12-08 09:13:45',NULL),(154,0,'9','9',10,'image/png',7191,'projects/9.png','[]','2023-12-08 09:13:45','2023-12-08 09:13:45',NULL),(155,0,'1','1',11,'image/png',17355,'services/1.png','[]','2023-12-08 09:13:45','2023-12-08 09:13:45',NULL),(156,0,'2','2',11,'image/png',17355,'services/2.png','[]','2023-12-08 09:13:45','2023-12-08 09:13:45',NULL),(157,0,'3','3',11,'image/png',17355,'services/3.png','[]','2023-12-08 09:13:45','2023-12-08 09:13:45',NULL),(158,0,'4','4',11,'image/png',17355,'services/4.png','[]','2023-12-08 09:13:45','2023-12-08 09:13:45',NULL),(159,0,'5','5',11,'image/jpeg',17355,'services/5.jpg','[]','2023-12-08 09:13:45','2023-12-08 09:13:45',NULL);
/*!40000 ALTER TABLE `media_files` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_folders`
--

DROP TABLE IF EXISTS `media_folders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_folders` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_folders_user_id_index` (`user_id`),
  KEY `media_folders_index` (`parent_id`,`user_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_folders`
--

LOCK TABLES `media_folders` WRITE;
/*!40000 ALTER TABLE `media_folders` DISABLE KEYS */;
INSERT INTO `media_folders` VALUES (1,0,'backgrounds',NULL,'backgrounds',0,'2023-12-08 09:13:38','2023-12-08 09:13:38',NULL),(2,0,'general',NULL,'general',0,'2023-12-08 09:13:41','2023-12-08 09:13:41',NULL),(3,0,'brands',NULL,'brands',0,'2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(4,0,'icons',NULL,'icons',0,'2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(5,0,'sliders',NULL,'sliders',0,'2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(6,0,'galleries',NULL,'galleries',0,'2023-12-08 09:13:42','2023-12-08 09:13:42',NULL),(7,0,'news',NULL,'news',0,'2023-12-08 09:13:43','2023-12-08 09:13:43',NULL),(8,0,'testimonials',NULL,'testimonials',0,'2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(9,0,'teams',NULL,'teams',0,'2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(10,0,'projects',NULL,'projects',0,'2023-12-08 09:13:44','2023-12-08 09:13:44',NULL),(11,0,'services',NULL,'services',0,'2023-12-08 09:13:45','2023-12-08 09:13:45',NULL);
/*!40000 ALTER TABLE `media_folders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `media_settings`
--

DROP TABLE IF EXISTS `media_settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `media_settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `media_id` bigint unsigned DEFAULT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `media_settings`
--

LOCK TABLES `media_settings` WRITE;
/*!40000 ALTER TABLE `media_settings` DISABLE KEYS */;
/*!40000 ALTER TABLE `media_settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_locations`
--

DROP TABLE IF EXISTS `menu_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_locations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `location` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_locations_menu_id_created_at_index` (`menu_id`,`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_locations`
--

LOCK TABLES `menu_locations` WRITE;
/*!40000 ALTER TABLE `menu_locations` DISABLE KEYS */;
INSERT INTO `menu_locations` VALUES (1,1,'main-menu','2023-12-08 09:13:45','2023-12-08 09:13:45'),(2,6,'footer-menu','2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `menu_locations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menu_nodes`
--

DROP TABLE IF EXISTS `menu_nodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menu_nodes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `menu_id` bigint unsigned NOT NULL,
  `parent_id` bigint unsigned NOT NULL DEFAULT '0',
  `reference_id` bigint unsigned DEFAULT NULL,
  `reference_type` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `url` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `icon_font` varchar(50) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `title` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `css_class` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `target` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '_self',
  `has_child` tinyint unsigned NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `menu_nodes_menu_id_index` (`menu_id`),
  KEY `menu_nodes_parent_id_index` (`parent_id`),
  KEY `reference_id` (`reference_id`),
  KEY `reference_type` (`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menu_nodes`
--

LOCK TABLES `menu_nodes` WRITE;
/*!40000 ALTER TABLE `menu_nodes` DISABLE KEYS */;
INSERT INTO `menu_nodes` VALUES (1,1,0,NULL,NULL,NULL,NULL,0,'Home',NULL,'_self',1,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(2,1,1,NULL,NULL,'',NULL,0,'Finance',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(3,1,1,NULL,NULL,'/consulting',NULL,0,'Consulting',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(4,1,1,NULL,NULL,'/insurance',NULL,0,'Insurance',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(5,1,1,NULL,NULL,'/digital-agency',NULL,0,'Digital Agency',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(6,1,1,NULL,NULL,'/business',NULL,0,'Business',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(7,1,0,NULL,NULL,'/about',NULL,0,'About Us',NULL,'_self',1,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(8,1,7,NULL,NULL,'/about',NULL,0,'About One',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(9,1,7,NULL,NULL,'/about-2',NULL,0,'About Two',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(10,1,7,NULL,NULL,'/about-3',NULL,0,'About Three',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(11,1,7,NULL,NULL,'/about-4',NULL,0,'About Four',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(12,1,7,NULL,NULL,'/about-5',NULL,0,'About Five',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(13,1,0,NULL,NULL,'#',NULL,0,'Page',NULL,'_self',1,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(14,1,13,NULL,NULL,'/services',NULL,0,'Services One',NULL,'_self',1,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(15,1,14,NULL,NULL,'/services',NULL,0,'Services',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(16,1,14,NULL,NULL,'/services-2',NULL,0,'Services Two',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(17,1,14,NULL,NULL,'/services-3',NULL,0,'Services Three',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(18,1,14,NULL,NULL,'/services-4',NULL,0,'Services Four',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(19,1,14,NULL,NULL,'/services-5',NULL,0,'Services Five',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(20,1,13,NULL,NULL,'/services/risk-manager',NULL,0,'Service Details',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(21,1,13,NULL,NULL,'/teams/brooklyn-simmons',NULL,0,'Team Details',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(22,1,13,NULL,NULL,'/projects/leadership-excellence-initiative',NULL,0,'Project Details',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(23,1,13,NULL,NULL,'/404',NULL,0,'404 Error',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(24,1,0,NULL,NULL,'/blog',NULL,0,'Blog',NULL,'_self',1,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(25,1,24,NULL,NULL,'/blog',NULL,0,'Our Blog',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(26,1,24,NULL,NULL,'/blog/balancing-act-work-life-integration-for-business-owners',NULL,0,'Blog Details',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(27,1,0,NULL,NULL,'/contact',NULL,0,'Contact',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(28,2,0,NULL,NULL,'/contact-us',NULL,0,'Mission & Vision',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(29,2,0,NULL,NULL,'/our-team',NULL,0,'Our Team',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(30,2,0,NULL,NULL,'/contact-us',NULL,0,'Careers',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(31,2,0,NULL,NULL,'/services',NULL,0,'Press & Media',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(32,2,0,NULL,NULL,'/contact-us',NULL,0,'Advertising',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(33,2,0,NULL,NULL,'/contact-us',NULL,0,'Testimonials',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(34,3,0,NULL,NULL,'/contact-us',NULL,0,'Global coverage',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(35,3,0,NULL,NULL,'/contact-us',NULL,0,'Distribution',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(36,3,0,NULL,NULL,'/contact-us',NULL,0,'Accounting Tools',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(37,3,0,NULL,NULL,'/contact-us',NULL,0,'Freight Recovery',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(38,3,0,NULL,NULL,'/contact-us',NULL,0,'Supply Chain',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(39,3,0,NULL,NULL,'/contact-us',NULL,0,'Warehousing',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(40,4,0,NULL,NULL,'/company',NULL,0,'Company',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(41,4,0,NULL,NULL,'/careers',NULL,0,'Careers',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(42,4,0,NULL,NULL,'/galleries',NULL,0,'Press Media',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(43,4,0,NULL,NULL,'/blog',NULL,0,'Our Blog',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(44,4,0,NULL,NULL,'/privacy-policy',NULL,0,'Privacy Policy',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(45,5,0,NULL,NULL,'how-it-work',NULL,0,'How it work',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(46,5,0,NULL,NULL,'partners',NULL,0,'Partners',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(47,5,0,NULL,NULL,'testimonials',NULL,0,'Testimonials',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(48,5,0,NULL,NULL,'case-studies',NULL,0,'Case Studies',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(49,5,0,NULL,NULL,'pricing',NULL,0,'Pricing',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(50,6,0,18,'Botble\\Page\\Models\\Page','/privacy-policy',NULL,0,'Privacy Policy',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(51,6,0,16,'Botble\\Page\\Models\\Page','/cookies',NULL,0,'Cookies',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(52,6,0,17,'Botble\\Page\\Models\\Page','/terms-of-service',NULL,0,'Terms of service',NULL,'_self',0,'2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `menu_nodes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `menus`
--

DROP TABLE IF EXISTS `menus`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `menus` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `menus_slug_unique` (`slug`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `menus`
--

LOCK TABLES `menus` WRITE;
/*!40000 ALTER TABLE `menus` DISABLE KEYS */;
INSERT INTO `menus` VALUES (1,'Main menu','main-menu','published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(2,'Company','company','published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(3,'Industries','industries','published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(4,'Menu','menu','published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(5,'Quick links','quick-links','published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(6,'Footer menu','footer-menu','published','2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `menus` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `meta_boxes`
--

DROP TABLE IF EXISTS `meta_boxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `meta_boxes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `meta_value` text COLLATE utf8mb4_unicode_ci,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `meta_boxes_reference_id_index` (`reference_id`)
) ENGINE=InnoDB AUTO_INCREMENT=133 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `meta_boxes`
--

LOCK TABLES `meta_boxes` WRITE;
/*!40000 ALTER TABLE `meta_boxes` DISABLE KEYS */;
INSERT INTO `meta_boxes` VALUES (1,'header_style','[\"style-2\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(2,'header_top_sidebar_style','[\"style-2\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(3,'footer_style','[\"style-1\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(4,'bottom_footer_style','[\"style-1\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(5,'customize_footer','[\"custom\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(6,'footer_background_color','[\"#FFFFFF\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(7,'footer_text_color','[\"#ffffff\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(8,'footer_border_color','[\"#0055FF\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(9,'footer_text_muted_color','[\"#96A1B8\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(10,'footer_background_image','[\"backgrounds\\/bg-footer-dark.png\"]',2,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(11,'header_style','[\"style-3\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(12,'header_top_sidebar_style','[\"style-1\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(13,'footer_style','[\"style-1\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(14,'bottom_footer_style','[\"style-1\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(15,'customize_footer','[\"custom\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(16,'footer_background_color','[\"#FFFFFF\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(17,'footer_text_color','[\"#ffffff\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(18,'footer_border_color','[\"#0055FF\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(19,'footer_text_muted_color','[\"#96A1B8\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(20,'footer_background_image','[\"backgrounds\\/bg-footer-dark.png\"]',3,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(21,'header_style','[\"style-3\"]',4,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(22,'header_top_sidebar_style','[\"style-1\"]',4,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(23,'header_style','[\"style-2\"]',5,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(24,'header_top_sidebar_style','[\"style-1\"]',5,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(25,'header_style','[\"style-3\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(26,'header_top_sidebar_style','[\"style-2\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(27,'footer_style','[\"style-1\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(28,'bottom_footer_style','[\"style-1\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(29,'customize_footer','[\"custom\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(30,'footer_background_color','[\"#FFFFFF\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(31,'footer_text_color','[\"#ffffff\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(32,'footer_border_color','[\"#0055FF\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(33,'footer_text_muted_color','[\"#96A1B8\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(34,'footer_background_image','[\"backgrounds\\/bg-footer-dark.png\"]',6,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(35,'header_style','[\"style-3\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(36,'header_top_sidebar_style','[\"style-2\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(37,'footer_style','[\"style-1\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(38,'bottom_footer_style','[\"style-1\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(39,'customize_footer','[\"custom\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(40,'footer_background_color','[\"#FFFFFF\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(41,'footer_text_color','[\"#ffffff\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(42,'footer_border_color','[\"#0055FF\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(43,'footer_text_muted_color','[\"#96A1B8\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(44,'footer_background_image','[\"backgrounds\\/bg-footer-dark.png\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(45,'pre_footer_sidebar_style','[\"style-1\"]',7,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(46,'header_style','[\"style-3\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(47,'header_top_sidebar_style','[\"style-2\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(48,'footer_style','[\"style-1\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(49,'bottom_footer_style','[\"style-1\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(50,'customize_footer','[\"custom\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(51,'footer_background_color','[\"#FFFFFF\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(52,'footer_text_color','[\"#ffffff\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(53,'footer_border_color','[\"#0055FF\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(54,'footer_text_muted_color','[\"#96A1B8\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(55,'footer_background_image','[\"backgrounds\\/bg-footer-dark.png\"]',8,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(56,'pre_footer_sidebar_style','[\"style-2\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(57,'header_style','[\"style-3\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(58,'header_top_sidebar_style','[\"style-2\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(59,'footer_style','[\"style-1\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(60,'bottom_footer_style','[\"style-1\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(61,'customize_footer','[\"custom\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(62,'footer_background_color','[\"#FFFFFF\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(63,'footer_text_color','[\"#ffffff\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(64,'footer_border_color','[\"#0055FF\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(65,'footer_text_muted_color','[\"#96A1B8\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(66,'footer_background_image','[\"backgrounds\\/bg-footer-dark.png\"]',9,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(67,'pre_footer_sidebar_style','[\"none\"]',10,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(68,'header_style','[\"style-3\"]',10,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(69,'header_top_sidebar_style','[\"style-2\"]',10,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(70,'header_style','[\"style-3\"]',11,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(71,'header_top_sidebar_style','[\"style-2\"]',11,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(72,'header_style','[\"style-3\"]',12,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(73,'header_top_sidebar_style','[\"style-2\"]',12,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(74,'header_style','[\"style-3\"]',13,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(75,'header_top_sidebar_style','[\"style-2\"]',13,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(76,'header_style','[\"style-3\"]',14,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(77,'header_top_sidebar_style','[\"style-2\"]',14,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(78,'header_style','[\"style-3\"]',15,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(79,'header_top_sidebar_style','[\"style-2\"]',15,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(80,'header_style','[\"style-2\"]',16,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(81,'header_style','[\"style-2\"]',17,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(82,'header_style','[\"style-2\"]',18,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(83,'header_style','[\"style-3\"]',19,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(84,'header_top_sidebar_style','[\"style-2\"]',19,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(85,'pre_footer_sidebar_style','[\"none\"]',20,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(86,'header_style','[\"style-3\"]',20,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(87,'header_top_sidebar_style','[\"style-2\"]',20,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(88,'header_style','[\"style-2\"]',21,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(89,'header_style','[\"style-2\"]',22,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(90,'header_style','[\"style-2\"]',23,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(91,'header_style','[\"style-2\"]',24,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(92,'header_style','[\"style-2\"]',25,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(93,'header_style','[\"style-2\"]',26,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(94,'header_style','[\"style-2\"]',27,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(95,'header_style','[\"style-2\"]',28,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(96,'header_style','[\"style-2\"]',29,'Botble\\Page\\Models\\Page','2023-12-08 09:13:42','2023-12-08 09:13:42'),(97,'title','[\"Satisfied client testimonial\"]',1,'Botble\\Testimonial\\Models\\Testimonial','2023-12-08 09:13:44','2023-12-08 09:13:44'),(98,'star','[5]',1,'Botble\\Testimonial\\Models\\Testimonial','2023-12-08 09:13:44','2023-12-08 09:13:44'),(99,'title','[\"Impressed Customer\"]',2,'Botble\\Testimonial\\Models\\Testimonial','2023-12-08 09:13:44','2023-12-08 09:13:44'),(100,'star','[5]',2,'Botble\\Testimonial\\Models\\Testimonial','2023-12-08 09:13:44','2023-12-08 09:13:44'),(101,'title','[\"Our success stories\"]',3,'Botble\\Testimonial\\Models\\Testimonial','2023-12-08 09:13:44','2023-12-08 09:13:44'),(102,'star','[5]',3,'Botble\\Testimonial\\Models\\Testimonial','2023-12-08 09:13:44','2023-12-08 09:13:44'),(103,'title','[\"Preferred Partner\"]',4,'Botble\\Testimonial\\Models\\Testimonial','2023-12-08 09:13:44','2023-12-08 09:13:44'),(104,'star','[5]',4,'Botble\\Testimonial\\Models\\Testimonial','2023-12-08 09:13:44','2023-12-08 09:13:44'),(105,'icon','[\"flaticon-briefcase\"]',1,'Botble\\Portfolio\\Models\\ServiceCategory','2023-12-08 09:13:45','2023-12-08 09:13:45'),(106,'icon','[\"flaticon-taxes\"]',2,'Botble\\Portfolio\\Models\\ServiceCategory','2023-12-08 09:13:45','2023-12-08 09:13:45'),(107,'icon','[\"flaticon-layers\"]',3,'Botble\\Portfolio\\Models\\ServiceCategory','2023-12-08 09:13:45','2023-12-08 09:13:45'),(108,'icon','[\"flaticon-investment\"]',4,'Botble\\Portfolio\\Models\\ServiceCategory','2023-12-08 09:13:45','2023-12-08 09:13:45'),(109,'icon','[\"flaticon-briefcase\"]',1,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(110,'icon','[\"flaticon-taxes\"]',2,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(111,'icon','[\"flaticon-money\"]',3,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(112,'icon','[\"flaticon-investment\"]',4,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(113,'icon','[\"flaticon-data-management\"]',5,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(114,'icon','[\"flaticon-calculator\"]',6,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(115,'icon','[\"flaticon-piggy-bank\"]',7,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(116,'icon','[\"flaticon-layers\"]',8,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(117,'icon','[\"flaticon-money\"]',9,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(118,'icon','[\"flaticon-handshake\"]',10,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(119,'icon','[\"flaticon-development\"]',11,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(120,'icon','[\"flaticon-business-presentation\"]',12,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(121,'icon','[\"flaticon-inspiration\"]',13,'Botble\\Portfolio\\Models\\Service','2023-12-08 09:13:45','2023-12-08 09:13:45'),(122,'icon','[\"flaticon-rocket\"]',1,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(123,'action_label','[\"Get The Plan Now\"]',1,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(124,'action_url','[\"\\/contact\"]',1,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(125,'icon','[\"flaticon-inspiration\"]',2,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(126,'action_label','[\"Get The Plan Now\"]',2,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(127,'action_url','[\"\\/contact\"]',2,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(128,'icon','[\"flaticon-briefcase\"]',3,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(129,'action_label','[\"Get The Plan Now\"]',3,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(130,'action_url','[\"\\/contact\"]',3,'Botble\\Portfolio\\Models\\Package','2023-12-08 09:13:45','2023-12-08 09:13:45'),(131,'display_name','[\"Rosalina William\"]',1,'Botble\\ACL\\Models\\User','2023-12-08 09:13:45','2023-12-08 09:13:45'),(132,'display_name','[\"Josh De Bryn\"]',2,'Botble\\ACL\\Models\\User','2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `meta_boxes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `migrations`
--

DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `migrations` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=68 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `migrations`
--

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2013_04_09_032329_create_base_tables',1),(2,'2013_04_09_062329_create_revisions_table',1),(3,'2014_10_12_000000_create_users_table',1),(4,'2014_10_12_100000_create_password_reset_tokens_table',1),(5,'2016_06_10_230148_create_acl_tables',1),(6,'2016_06_14_230857_create_menus_table',1),(7,'2016_06_28_221418_create_pages_table',1),(8,'2016_10_05_074239_create_setting_table',1),(9,'2016_11_28_032840_create_dashboard_widget_tables',1),(10,'2016_12_16_084601_create_widgets_table',1),(11,'2017_05_09_070343_create_media_tables',1),(12,'2017_11_03_070450_create_slug_table',1),(13,'2019_01_05_053554_create_jobs_table',1),(14,'2019_08_19_000000_create_failed_jobs_table',1),(15,'2019_12_14_000001_create_personal_access_tokens_table',1),(16,'2022_04_20_100851_add_index_to_media_table',1),(17,'2022_04_20_101046_add_index_to_menu_table',1),(18,'2022_07_10_034813_move_lang_folder_to_root',1),(19,'2022_08_04_051940_add_missing_column_expires_at',1),(20,'2022_09_01_000001_create_admin_notifications_tables',1),(21,'2022_10_14_024629_drop_column_is_featured',1),(22,'2022_11_18_063357_add_missing_timestamp_in_table_settings',1),(23,'2022_12_02_093615_update_slug_index_columns',1),(24,'2023_01_30_024431_add_alt_to_media_table',1),(25,'2023_02_16_042611_drop_table_password_resets',1),(26,'2023_04_23_005903_add_column_permissions_to_admin_notifications',1),(27,'2023_05_10_075124_drop_column_id_in_role_users_table',1),(28,'2023_08_21_090810_make_page_content_nullable',1),(29,'2023_09_14_021936_update_index_for_slugs_table',1),(30,'2023_10_22_092312_remove_unused_plugins',1),(31,'2023_12_06_100448_change_random_hash_for_media',1),(32,'2023_12_07_095130_add_color_column_to_media_folders_table',1),(33,'2015_06_29_025744_create_audit_history',2),(34,'2023_11_14_033417_change_request_column_in_table_audit_histories',2),(35,'2015_06_18_033822_create_blog_table',3),(36,'2021_02_16_092633_remove_default_value_for_author_type',3),(37,'2021_12_03_030600_create_blog_translations',3),(38,'2022_04_19_113923_add_index_to_table_posts',3),(39,'2023_08_29_074620_make_column_author_id_nullable',3),(40,'2016_06_17_091537_create_contacts_table',4),(41,'2023_11_10_080225_migrate_contact_blacklist_email_domains_to_core',4),(42,'2018_07_09_221238_create_faq_table',5),(43,'2021_12_03_082134_create_faq_translations',5),(44,'2023_11_17_063408_add_description_column_to_faq_categories_table',5),(45,'2016_10_13_150201_create_galleries_table',6),(46,'2021_12_03_082953_create_gallery_translations',6),(47,'2022_04_30_034048_create_gallery_meta_translations_table',6),(48,'2023_08_29_075308_make_column_user_id_nullable',6),(49,'2016_10_03_032336_create_languages_table',7),(50,'2023_09_14_022423_add_index_for_language_table',7),(51,'2021_10_25_021023_fix-priority-load-for-language-advanced',8),(52,'2021_12_03_075608_create_page_translations',8),(53,'2023_07_06_011444_create_slug_translations_table',8),(54,'2017_10_24_154832_create_newsletter_table',9),(55,'2023_07_25_072632_create_portfolio_tables',10),(56,'2023_09_11_023233_create_pf_custom_fields_table',10),(57,'2023_09_13_042633_add_columns_to_pf_projects_table',10),(58,'2023_09_13_044041_create_pf_project_categories_table',10),(59,'2023_09_22_061723_create_custom_fields_translations_table',10),(60,'2023_09_22_343531_remove_project_categories_table',10),(61,'2023_11_05_081701_fix_projects_table',10),(62,'2022_11_02_092723_team_create_team_table',11),(63,'2023_08_11_094574_update_team_table',11),(64,'2023_11_30_085354_add_missing_description_to_team',11),(65,'2018_07_09_214610_create_testimonial_table',12),(66,'2021_12_03_083642_create_testimonials_translations',12),(67,'2016_10_07_193005_create_translations_table',13);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `newsletters`
--

DROP TABLE IF EXISTS `newsletters`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `newsletters` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'subscribed',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `newsletters`
--

LOCK TABLES `newsletters` WRITE;
/*!40000 ALTER TABLE `newsletters` DISABLE KEYS */;
/*!40000 ALTER TABLE `newsletters` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages`
--

DROP TABLE IF EXISTS `pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `user_id` bigint unsigned DEFAULT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `template` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pages_user_id_index` (`user_id`)
) ENGINE=InnoDB AUTO_INCREMENT=30 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages`
--

LOCK TABLES `pages` WRITE;
/*!40000 ALTER TABLE `pages` DISABLE KEYS */;
INSERT INTO `pages` VALUES (1,'Home','<div>[hero-banner title=\"Get a Smart Way For Your Business\" subtitle=\"WE ARE EXPERT IN THIS FIELD\" description=\"Agilos Helps You To Convert Your Data Into A Strategic Asset And Get Top-Notch Business Insights.\" button_label=\"Our Services\" button_url=\"/services\" button_play_video_label=\"Watch  The Video\" youtube_url=\"https://www.youtube.com/watch?v=c8aOBRC3tvs\" image=\"general/finance-banner-img.png\" background_image=\"backgrounds/finance-banner-bg.png\" background_image_1=\"backgrounds/banner-shape01.png\" background_image_2=\"backgrounds/banner-shape02.png\" background_image_3=\"backgrounds/banner-shape03.png\" style=\"style-1\"][/hero-banner]</div><div>[featured-service-categories category_ids=\"1,2,3\"][/featured-service-categories]</div><div>[about-us-information title=\" 25 Years Of Experience In This Finance Advisory Company\" subtitle=\"GET TO KNOW US\" description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture.Borem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum.\" founded_year=\"1993\" company_description=\"Of Experience in This Finance Advisory Company.\" quantity=\"4\" title_1=\"100% Better Results\" title_2=\"Suspe Ndisse Suscipit Sagittis\" title_3=\"Promis Specific TimelineI Guarantee\" title_4=\"Review Credit Reports\" sub_description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture\" author_name=\"Mark Stranger,CEO, Gerow Finance\" author_bio=\"CEO, Gerow Finance\" author_avatar=\"general/about-author.png\" author_signature=\"general/signature.png\" image=\"general/about-img01.png\" image_1=\"general/about-img02.png\" background_image_1=\"backgrounds/about-shape01.png\" background_image_2=\"backgrounds/about-shape02.png\" background_image_3=\"backgrounds/about-shape03.png\"][/about-us-information]</div><div>[brands quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\"][/brands]</div><br></br><br></br><br></br><div>[featured-services title=\"We can inspire and Offer Different Services\" subtitle=\"WHAT WE DO FOR YOU\" service_ids=\"1,2,3,4\" button_label=\"See All Services\" button_url=\"/services\" background_image=\"backgrounds/services-bg02.png\"][/featured-services]</div><div>[company-overview title=\"Plan your business strategy with Our Experts\" subtitle=\"COMPANY OVERVIEW\" description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture.Borem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum. Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture.Borem.\" image=\"general/overview-img01.png\" image_1=\"backgrounds/overview-img02.png\" background_image=\"backgrounds/overview-shape.png\" background_image_1=\"backgrounds/overview-img-shape.png\" quantity=\"2\" title_1=\"Best Award\" logo_1=\"flaticon-trophy\" data_1=\"235\" unit_1=\"+\" title_2=\"Happy Clients\" logo_2=\"flaticon-rating\" data_2=\"98\" unit_2=\"K\" style=\"style-1\"][/company-overview]</div><div>[intro-video title=\"We’ll Ensure You Always Get the Best Guidance.\" description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture.Borem.\" button_label=\"Watch Video\" youtube_video_url=\"https://www.youtube.com/watch?v=c8aOBRC3tvs\" background_image=\"general/choose-bg.png\" background_image_1=\"backgrounds/choose-shape.png\" box_title=\"Smart & Great Finance For you Solutions\" box_subtitle=\"WHY WE ARE THE BEST\" box_description=\"Morem Ipsum Dolor Sit Amet Consectedipiscing Elita Florai Psum Dolor Sit Amonsectet Borem Ipsum Consectetur.\" quantity=\"3\" title_1=\"Consulting\" percent_1=\"85\" title_2=\"Investment\" percent_2=\"76\" title_3=\"Business\" percent_3=\"90\"][/intro-video]</div><br></br><br></br><br></br><div>[featured-projects title=\"Our recently completed projects list\" subtitle=\"COMPLETE PROJECTS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" background_image=\"backgrounds/project-bg02.png\" project_ids=\"1,2,3\"][/featured-projects]</div><br></br><br></br><br></br><div>[contact-block title=\"Let’s Request a Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Call For More Info\" button_label=\"Contact Us\" button_url=\"/contact\" background_image=\"backgrounds/cta-bg.png\"][/contact-block]</div><div>[teams title=\"Our Dedicated Team Members\" subtitle=\"EXPERT PEOPLE\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" background_image=\"/backgrounds/team-shape.png\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/1-1.png\" team_id_2=\"2\" image_2=\"teams/1-2.png\" team_id_3=\"3\" image_3=\"teams/1-3.png\" team_id_4=\"4\" image_4=\"teams/1-4.png\" team_id_5=\"1\" team_id_6=\"1\" style=\"style-1\"][/teams]</div><div>[testimonials title=\"What Customers Say’s About Our Gerow Services\" subtitle=\"OUR TESTIMONIALS\"  testimonial_ids=\"1,2,3,4\" background_image=\"backgrounds/testimonial-bg.png\"][/testimonials]</div><div>[pricing title=\"We’ve offered the best pricing for you\" subtitle=\"FLEXIBLE PRICING PLAN\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" package_ids=\"1,2,3\" background_image=\"backgrounds/pricing-shape.png\"][/pricing]</div><div>[news title=\"Read Our Latest Updates\" subtitle=\"NEWS & BLOGS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" type=\"featured\" limit=\"3\" background_image=\"backgrounds/blog-bg-1.png\" style=\"style-1\" post_style=\"style-1\"][/news]</div>',2,NULL,'homepage',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(2,'Consulting','<div>[hero-banner title=\"Need Business Consultation Today\" description=\"Agilos Helps You To Convert Your Data Into A Strategic Asset And Get Top-Notch Business Insights.\" image=\"galleries/5.png\" image_1=\"backgrounds/consulting-banner-img02.png\" image_2=\"general/consulting-banner-img03.png\" background_image_1=\"backgrounds/consulting-banner-shape01.png\" background_image_2=\"backgrounds/about-shape01.png\" style=\"style-2\"][/hero-banner]</div><div>[brands title=\"Trusted by 10,000+ companies around the world\" quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-2\"][/brands]</div><div>[featured-service-categories title=\"The features that make our Service unique\" subtitle=\"WHAT WE DO FOR YOU\" category_ids=\"1,2,3,4\" style=\"style-2\"][/featured-service-categories]</div><div>[about-us-information title=\"We are the next gen Business experience\" subtitle=\"GET TO KNOW US\" description=\"With Over 25 Years Of Experience, We Have Crafted Thousands Of Strategic Discovery Process That Enables Us To Peel Back Which Enable Us To Understand.\" quantity=\"2\" title_1=\"Business Growth\" description_1=\"Eiusmod Temporincididunt Ut Labore Magna Aliqua Quisery.\" icon_1=\"flaticon-profit\" title_2=\"Target Audience\" description_2=\"Eiusmod Temporincididunt Ut Labore Magna Aliqua Quisery.\" icon_2=\"flaticon-mission\" image=\"galleries/1.png\" image_1=\"backgrounds/consulting-about-img02.png\" background_image_1=\"backgrounds/mask-img.png\" background_image_2=\"backgrounds/consulting-about-shape01.png\" background_image_3=\"backgrounds/about-shape01.png\" background_image_4=\"backgrounds/consulting-about-shape03.png\" style=\"style-2\"][/about-us-information]</div><div>[company-overview title=\"We Prepare An Effective Strategy For Companies\" subtitle=\"COMPANY OVERVIEW\" description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture.\" image=\"galleries/3.png\" image_1=\"backgrounds/overview-img04.png\" background_image=\"backgrounds/mask-img02.png\" background_image_1=\"backgrounds/overview-shape01.png\" background_image_2=\"backgrounds/overview-shape02.png\" quantity=\"3\" title_1=\"Consulting\" data_1=\"85\" title_2=\"Investment\" data_2=\"76\" title_3=\"Investment\" data_3=\"90\" style=\"style-2\"][/company-overview]</div><div>[site-statistics quantity=\"4\" title_1=\"Success Rate\" data_1=\"95\" unit_1=\"%\" title_2=\"Complete Projects\" data_2=\"55\" unit_2=\"K\" title_3=\"Satisfied Clients\" data_3=\"25\" unit_3=\"K\" title_4=\"Trade In The World\" data_4=\"15\" unit_4=\"K\"][/site-statistics]</div><div>[teams title=\"Dedicated Team Members\" subtitle=\"EXPERT PEOPLE\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/2-1.png\" team_id_2=\"2\" image_2=\"teams/2-2.png\" team_id_3=\"3\" image_3=\"teams/2-3.png\" team_id_4=\"4\" image_4=\"teams/2-4.png\" team_id_5=\"1\" team_id_6=\"1\" style=\"style-2\"][/teams]</div><div>[testimonials  testimonial_ids=\"1,2,3,4\" image=\"general/testimonial-img.png\" background_image=\"backgrounds/testimonial-bg1.png\" style=\"style-2\"][/testimonials]</div><div>[contact-block title=\"Let’s Request a Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Call For More Info\" button_label=\"Contact Us\" button_url=\"/contact\" background_image=\"backgrounds/cta-bg02.png\" style=\"style-2\"][/contact-block]</div><div>[news title=\"Read Our Latest Updates\" subtitle=\"NEWS & BLOGS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" type=\"featured\" limit=\"3\" post_style=\"style-2\"][/news]</div>',2,NULL,'homepage',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(3,'Insurance','<div>[hero-banner title=\"Enjoy Life With Safety Insurance\" subtitle=\"INSURANCE AGENCY\" description=\"Agilos Helps You To Convert Your Data Into Rategic Asset Emand Get Top-Notch Business Insights.\" button_label=\"Discover More\" button_url=\"/contact\" image=\"general/insurance-banner-img.png\" background_image=\"backgrounds/insurance-banner-bg.png\" background_image_1=\"backgrounds/about-shape01.png\" background_image_2=\"backgrounds/insurance-banner-shape02.png\" background_image_3=\"backgrounds/insurance-banner-shape03.png\" style=\"style-3\"][/hero-banner]</div><div>[featured-service-categories category_ids=\"1,2,3\" style=\"style-3\"][/featured-service-categories]</div><div>[about-us-information title=\"Today, any health insurance deductible can feel like\" subtitle=\"INSURANCE AGENCY\" description=\"When An Unknown Printer Took A Galley Of Type And Scrambled It To Make A Type Specimen Book. It Has Survived Not Only Five Centuries, But Also The Leap Into Electronic.\" founded_year=\"2015\" company_description=\"Years Of Experience\" quantity=\"6\" title_1=\"100% Better Results\" title_2=\"Suspe Ndisse Suscipit Sagittis\" title_3=\"Promis TimelineI Guarantee\" title_4=\"Review Credit Reports\" title_5=\"Insured Customers\" icon_5=\"flaticon-trophy.png\" data_5=\"63\" unit_5=\"%\" title_6=\"Satisfied Award\" icon_6=\"flaticon-family.png\" data_6=\"95\" unit_6=\"%\" image=\"galleries/4.png\" image_1=\"general/about-img04.png\" style=\"style-3\"][/about-us-information]</div><div>[featured-services title=\"We can inspire and Offer Different Services\" subtitle=\"WHAT WE DO FOR YOU\" service_ids=\"1,2,3,4\" button_label=\"See All Services\" button_url=\"/services\" background_image=\"backgrounds/about-shape03.png\" style=\"style-3\"][/featured-services]</div><div>[why-choose-us title=\"We’ll Ensure You Always Get the Best Guidance.\" subtitle=\"WHY CHOOSE US\" description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture.Borem.\" image=\"general/choose-img.png\" background_image_1=\"backgrounds/choose-img-shape01.png\" background_image_2=\"backgrounds/choose-img-shape02.png\" background_image_3=\"backgrounds/choose-shape.png\" background_color=\"#001641\" quantity=\"3\" title_1=\"Business Growth\" data_1=\"55\" unit_1=\"%\" title_2=\"Trusted Clients\" data_2=\"80\" unit_2=\"%\" title_3=\"Complete Insurance\" data_3=\"98\" unit_3=\"%\"][/why-choose-us]</div><div>[contact-block title=\"Let’s Request a Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Call For More Info\" button_label=\"Contact Us\" button_url=\"/contact\" background_image=\"backgrounds/cta-bg03.png\" style=\"style-3\"][/contact-block]</div><div>[request-quote title=\"Get an insurance quote From Our Expertise\" subtitle=\"GET A FREE ESTIMATE\" image=\"general/estimate-img.png\" background_image=\"backgrounds/about-shape03.png\"][/request-quote]</div><div>[teams title=\"Dedicated Team Members\" subtitle=\"EXPERT PEOPLE\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/3-1.png\" team_id_2=\"2\" image_2=\"teams/3-2.png\" team_id_3=\"3\" image_3=\"teams/3-3.png\" team_id_4=\"4\" image_4=\"teams/3-4.png\" team_id_5=\"1\" team_id_6=\"1\" style=\"style-3\"][/teams]</div><div>[pricing title=\"We’ve offered the best pricing for you\" subtitle=\"FLEXIBLE PRICING PLAN\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" package_ids=\"1,2,3\" background_image=\"backgrounds/pricing-shape.png\" style=\"style-2\"][/pricing]</div><div>[news title=\"Read Our Latest Updates\" subtitle=\"NEWS & BLOGS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" type=\"featured\" limit=\"3\" post_style=\"style-2\"][/news]</div>',2,NULL,'homepage',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(4,'Digital Agency','<div>[hero-banner title=\"Get Digital Products For your Business\" highlight_text=\"Products\" description=\"When An Unknown Printer Took A Galley Type And Scramble Make A Type Specimen Book. It Has Survived Not Only Five Centuries But Also Leap.\" button_label=\"Our Services\" button_url=\"/services\" image=\"general/banner-main-img.png\" image_1=\"general/banner-shape01.png\" background_image=\"backgrounds/banner-shape02.png\" background_image_1=\"backgrounds/banner-shape05.png\" style=\"style-4\"][/hero-banner]</div><br></br><br></br><br></br><div>[brands quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-1\"][/brands]</div><div>[services-list title=\"Provide Best Services\" badge=\"OUR EXPERTISE\" description=\"Morem Ipsum Dolor Sit Amet Consectetur Adipiscingelita Florai PsumBoremipsum Dolor Sit Amet.\" background_color=\"#FFFFFF\" service_ids=\"1,2,4\" style=\"style-5\"][/services-list]</div><div>[about-us-information title=\"We’re The Best Digital Marketing Company\" subtitle=\"INSURANCE AGENCY\" description=\"When An Unknown Printer Took A Galley Of Type And Scrambled It Ake A Type Specimen Book. When An Unknown Printer Took A Galley Of Type And Scrambled It Ake.\" button_label=\"Take our Service\" button_url=\"/services\" quantity=\"4\" title_1=\"100% Better Results\" title_2=\"Promis TimelineI\" title_3=\"Ndisse Suscipit Sagittis\" title_4=\"Review Credit Reports\" image=\"general/about-img.png\" image_1=\"backgrounds/about-shape01.png\" background_image_1=\"backgrounds/about-shape02.png\" style=\"style-5\"][/about-us-information]</div><div>[site-statistics quantity=\"6\" title_1=\"Best Awards\" icon_1=\"flaticon-trophy\" data_1=\"25\" unit_1=\"K\" title_2=\"Happy Clients\" icon_2=\"flaticon-rating\" data_2=\"223\" unit_2=\"K\" title_3=\"Projects Done\" icon_3=\"flaticon-folder-1\" data_3=\"98\" unit_3=\"K\" title_4=\"Expert People\" icon_4=\"flaticon-round-table\" data_4=\"22\" unit_4=\"K\" style=\"style-2\"][/site-statistics]</div><div>[teams title=\"Experience Team Members\" subtitle=\"MEET OUR TEAM\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Minddestmentor Area\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/4-1.png\" team_id_2=\"2\" image_2=\"teams/4-2.png\" team_id_3=\"3\" image_3=\"teams/4-3.png\" team_id_4=\"4\" image_4=\"teams/4-4.png\" team_id_5=\"1\" team_id_6=\"1\" style=\"style-5\"][/teams]</div><br></br><br></br><br></br><div>[featured-projects title=\"We’ve Done Lot’s Of Work, Let’s Check Some From Here\" subtitle=\"CASE STUDIES\" button_label=\"See All Projects\" button_url=\"/projects\" project_ids=\"5,6,7,8,9\" style=\"style-2\"][/featured-projects]</div><br></br><br></br><br></br><div>[contact-block title=\"Let’s Request a Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Call For More Info\" button_label=\"Contact Us\" button_url=\"/contact\" background_image=\"backgrounds/cta-bg02.png\" style=\"style-2\"][/contact-block]</div><div>[testimonials title=\"What our awesome customers say\" subtitle=\"What our awesome customers say\" testimonial_ids=\"1,2,3,4\" image=\"general/testimonial-img03.png\" background_image=\"backgrounds/about-shape06.png\" background_image_1=\"backgrounds/banner-shape02.png\" background_image_2=\"icons/testimonial-shape04.png\" background_image_3=\"icons/quote.png\" style=\"style-5\"][/testimonials]</div><div>[news title=\"Read Our Latest Updates\" subtitle=\"NEWS & BLOGS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" type=\"featured\" limit=\"3\" post_style=\"style-4\"][/news]</div>',2,NULL,'homepage',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(5,'Business','<div>[hero-banner-slider title_1=\"Grow Your Business More Efficiently\" title_2=\"Grow Your Start Up Now\" subtitle_1=\"We Are Expert In This Field\" subtitle_2=\"We Are Gerow\" description_1=\"Agilos helps you to convert your data into a strategic asset and get top-notch business insights.\" description_2=\"Gerow helps you to convert your data into a strategic asset and get top-notch business insights.\" button_label_1=\"Our Services\" button_url_1=\"/services-one\" button_label_2=\"Contact Us\" button_url_2=\"/contact\" image_1=\"sliders/banner-bg.jpg\" background_image_1=\"backgrounds/banner-shape.png\" image_2=\"sliders/banner-bg02.jpg\" background_image_2=\"backgrounds/banner-shape.png\"][/hero-banner-slider]</div><div>[company-overview title=\"Changing The Way To Do Best Business Solutions\" subtitle=\"WHAT WE ARE DOING\" description=\"Revolutionizing the Business Landscape: A Journey Towards Unprecedented Success and Sustainable Growth Through Innovative Solutions and Visionary Leadership.\" image=\"general/about-img01.png\" background_image=\"backgrounds/about-bg.jpg\" background_image_1=\"backgrounds/about-img-shape01.png\" background_image_2=\"backgrounds/about-shape02.png\" quantity=\"2\" title_1=\"Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_2=\"Finance Investment\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get\" style=\"style-6\"][/company-overview]</div><div>[featured-service-categories category_ids=\"1,2,3\" style=\"style-5\"][/featured-service-categories]</div><div>[about-us-information title=\"Building Your Own Startup Has Been Simpler\" subtitle=\"Who We are\" description=\"Transforming the Business Landscape: Leading a New Era of Excellence, Innovation, and Sustainability in Solutions and Leadership for Unprecedented Success and Global Impact.\" button_label=\"Get Started With Us\" button_url=\"/contact\" quantity=\"6\" title_1=\"100% Better results\" title_2=\"Valuable Ideas\" title_3=\"Budget Friendly Theme\" title_4=\"Happy Customers\" title_5=\"Total revenue in 1 year\" data_5=\"+150,000\" title_6=\"Increase in sales\" data_6=\"90%\" sub_description=\"Lorem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture. Consecteture.Borem Ipsum Dolor Sit Amectetur Adipiscing.\" image=\"general/choose-bg.png\" youtube_url=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" button_play_video_icon=\"fa fa-play\" image_1=\"general/breadcrumb-bg.png\" background_image=\"backgrounds/finance-banner-bg.png\" background_image_1=\"backgrounds/about-shape02.png\" background_image_2=\"backgrounds/about-shape04.png\" style=\"style-8\"][/about-us-information]</div><div>[featured-services title=&quot;Spotlight Some Most &lt;br&gt; Important Features We Have&quot; subtitle=&quot;Our Dedicated Services&quot; description=&quot;Unveiling Our Remarkable Features: Shining a Spotlight on the Cornerstones That Define Our Distinctiveness and Excellence.&quot; service_ids=&quot;1,2,3,4&quot; background_image=&quot;backgrounds/services-bg.jpg&quot; style=&quot;style-4&quot;][/featured-services]</div><div>[site-statistics background_image=\"backgrounds/counter-bg.jpg\" background_image_1=\"backgrounds/counter-shape01.png\" background_image_2=\"backgrounds/counter-shape01.png\" quantity=\"4\" title_1=\"Success Rate\" data_1=\"95\" unit_1=\"%\" title_2=\"Complete Projects\" data_2=\"55\" unit_2=\"K\" title_3=\"Satisfied Clients\" data_3=\"25\" unit_3=\"K\" title_4=\"Trade In The World\" data_4=\"12\" unit_4=\"K\" style=\"style-4\"][/site-statistics]</div><br></br><br></br><br></br><div>[featured-projects title=\"Keep Your Business Safe & Ensure High Availability.\" subtitle=\"COMPLETE PROJECTS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" background_image=\"backgrounds/project-bg.jpg\" project_ids=\"1,2,3,4\" style=\"style-3\"][/featured-projects]</div><br></br><br></br><br></br><div>[featured-specialty title=\"Keep Your Business Safe & Ensure High Availability.\" subtitle=\"OUR SERVICE BENIFITS\" description=\"Ever Find Yourself Staring At Your Computer S Good Consulting Slogan To Come To Mind? Oftentimes.\" image=\"projects/4.png\" image_1=\"backgrounds/overview-img02.png\" background_image=\"backgrounds/faq-shape01.png\" background_image_1=\"backgrounds/faq-shape02.png\" background_image_2=\"backgrounds/banner-shape02.png\" background_color=\"#00194C\" quantity=\"3\" title_1=\"Interdum et malesuada fames ac ante ipsum\" description_1=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Coind Yourself Sta Your Computer Screen A Good Consulting Slogan.\" title_2=\"Interdum et malesuada ante ipsum\" description_2=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Coind Yourself Sta Your Computer Screen A Good Consulting Slogan.\" title_3=\"Ente ipsumerdum et malesuada fames\" description_3=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Coind Yourself Sta Your Computer Screen A Good Consulting Slogan.\" style=\"style-2\"][/featured-specialty]</div><div>[contact-block title=\"Let’s Request a Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Call For More Info\" button_label=\"Contact Us\" button_url=\"/contact\" background_image=\"backgrounds/cta-bg02.png\" style=\"style-2\"][/contact-block]</div><div>[teams title=\"Meet Our Dedicated Team\" subtitle=\"SKILLED TEAM MEMBERS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" background_image=\"backgrounds/team-bg.png\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/5-1.png\" team_id_2=\"2\" image_2=\"teams/5-2.png\" team_id_3=\"3\" image_3=\"teams/5-3.png\" team_id_4=\"4\" image_4=\"teams/5-4.png\" style=\"style-4\"][/teams]</div><div>[testimonials  testimonial_ids=\"1,2,3,4\" image=\"general/testimonial-img01.png\" background_image=\"backgrounds/testimonial-bg.png\" background_image_1=\"icons/quote.png\" box_title=\"15K\" box_image=\"icons/rating.png\" box_description=\"Positive Review\" style=\"style-4\"][/testimonials]</div><div>[pricing title=\"We’ve offered the best pricing for you\" subtitle=\"FLEXIBLE PRICING PLAN\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" package_ids=\"1,2,3\" background_image=\"backgrounds/pricing-shape.png\" style=\"style-3\"][/pricing]</div><div>[contact-form title=\"We Are Connected To Help Your Business!\" subtitle=\"GET IN TOUCH\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" button_label=\"SUBMIT NOW\" background_image=\"backgrounds/contact-bg.jpg\" background_image_1=\"backgrounds/contact-shape.png\"][/contact-form]</div><div>[news title=\"Read Our Latest Updates\" subtitle=\"NEWS & BLOGS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" type=\"featured\" limit=\"3\" style=\"style-2\" post_style=\"style-5\"][/news]</div><div>[brands title=\"Trusted by 10,000+ companies around the world\" quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-3\"][/brands]</div>',2,NULL,'homepage',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(6,'About','<div>[about-us-information title=\"Innovative Business Solutions For Success Company\" subtitle=\"WHO WE ARE\" description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet Consecteture Borem Ipsum Dolor Sitter Consectetur Adipiscing Elita Florai Psum.\" founded_year=\"2015\" company_description=\"Years Of Experience\" button_label=\"Contact Us\" button_url=\"/contact\" quantity=\"2\" title_1=\"Total Revenue\" data_1=\"152\" unit_1=\"K\" icon_1=\"flaticon-investment\" title_2=\"Increase In Sales\" data_2=\"95\" unit_2=\"%\" icon_2=\"flaticon-profit\" sub_description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture. Consecteture.Borem Ipsum Dolor Sit Amectetur Adipiscing.\" image=\"galleries/6.png\" image_1=\"galleries/2.png\" background_image_1=\"backgrounds/about-shape01.png\" style=\"style-4\"][/about-us-information]</div><div>[featured-service-categories title=\"Amazing Features For Business Solutions\" subtitle=\"CORE FEATURES\" category_ids=\"1,2,3\" background_image=\"backgrounds/services-bg02.png\" background_image_1=\"backgrounds/features-shape02.png\" background_image_2=\"backgrounds/features-shape02.png\" style=\"style-4\"][/featured-service-categories]</div><div>[teams title=\"Dedicated Team Members\" subtitle=\"EXPERT PEOPLE\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/2-1.png\" team_id_2=\"2\" image_2=\"teams/2-2.png\" team_id_3=\"3\" image_3=\"teams/2-3.png\" team_id_4=\"4\" image_4=\"teams/2-4.png\" team_id_5=\"1\" team_id_6=\"1\" style=\"style-2\"][/teams]</div><div>[testimonials  testimonial_ids=\"1,2,3,4\" image=\"general/testimonial-img01.png\" background_image=\"backgrounds/testimonial-bg.png\" background_image_1=\"icons/quote.png\" box_title=\"15K\" box_image=\"icons/rating.png\" box_description=\"Positive Review\" style=\"style-4\"][/testimonials]</div><br></br><br></br><br></br><div>[brands quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-1\"][/brands]</div><br></br><br></br><br></br>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(7,'About 2','<div>[company-overview title=\"We Have More Than 20+ Years Of Practical Finance Industries\" subtitle=\"GET TO KNOW MORE\" description=\"Morem Ipsum Dolor Sit Amet Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet Consecteture Borem Ipsum Dolor Sitter Consectetur Adipiscing Elita Florai Rem Ipsum Dolor Sit Amet Consectetu.\" image=\"general/overview-img01.png\" image_1=\"backgrounds/inner-about-img04.png\" button_label=\"Our Services\" button_url=\"/services\" author_name=\"Mark Stranger\" author_bio=\"CEO, Gerow Finance\" author_avatar=\"general/about-author.png\" quantity=\"2\" title_1=\"Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" logo_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get\" logo_2=\"flaticon-investment\" style=\"style-3\"][/company-overview]</div><div>[featured-specialty title=\"Keep Your Business Safe & Ensure High Availability.\" subtitle=\"WHAT SPECIALTY\" description=\"Ever Find Yourself Staring At Your Computer S Good Consulting Slogan To Come To Mind? Oftentimes.\" image=\"general/inner-choose-img.png\" background_color=\"#00194C\" quantity=\"3\" title_1=\"Interdum et malesuada fames ac ante ipsum\" description_1=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Coind Yourself Sta Your Computer Screen A Good Consulting Slogan.\" title_2=\"Interdum et malesuada ante ipsum\" description_2=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Coind Yourself Sta Your Computer Screen A Good Consulting Slogan.\" title_3=\"Ente ipsumerdum et malesuada fames\" description_3=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Coind Yourself Sta Your Computer Screen A Good Consulting Slogan.\"][/featured-specialty]</div><div>[teams title=\"Meet Our Dedicated Team\" subtitle=\"SKILLED TEAM MEMBERS\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" background_image=\"backgrounds/team-bg.png\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/5-1.png\" team_id_2=\"2\" image_2=\"teams/5-2.png\" team_id_3=\"3\" image_3=\"teams/5-3.png\" team_id_4=\"4\" image_4=\"teams/5-4.png\" style=\"style-4\"][/teams]</div><div>[testimonials  testimonial_ids=\"1,2,3,4\" image=\"general/testimonial-img.png\" background_image=\"backgrounds/testimonial-bg1.png\" style=\"style-2\"][/testimonials]</div><br></br><br></br><br></br><div>[brands quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-1\"][/brands]</div><br></br><br></br><br></br>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(8,'About 3','<br></br><br></br><br></br><div>[about-us-information title=\"We are the next gen Business experience\" subtitle=\"GET TO KNOW US\" description=\"With Over 25 Years Of Experience, We Have Crafted Thousands Of Strategic Discovery Process That Enables Us To Peel Back Which Enable Us To Understand.\" quantity=\"2\" title_1=\"Business Growth\" description_1=\"Eiusmod Temporincididunt Ut Labore Magna Aliqua Quisery.\" icon_1=\"flaticon-profit\" title_2=\"Target Audience\" description_2=\"Eiusmod Temporincididunt Ut Labore Magna Aliqua Quisery.\" icon_2=\"flaticon-mission\" image=\"galleries/1.png\" image_1=\"backgrounds/consulting-about-img02.png\" background_image_1=\"backgrounds/mask-img.png\" background_image_2=\"backgrounds/consulting-about-shape01.png\" background_image_3=\"backgrounds/about-shape01.png\" background_image_4=\"backgrounds/consulting-about-shape03.png\" style=\"style-2\"][/about-us-information]</div><div>[contact-block title=\"Let’s Request a Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Call For More Info\" button_label=\"Contact Us\" button_url=\"/contact\" background_image=\"backgrounds/cta-bg03.png\" style=\"style-4\"][/contact-block]</div><div>[site-statistics title=\"Consulting is a law firm specializing in corporate finance work\" subtitle=\"TOP FEATURES\" description=\"Advice On Comprehensive Legal Solutions And Legal Planning On All Aspects Of Business, Including: Issues Under Company Law & Exchange Control Regulations\" quantity=\"4\" title_1=\"Best Awards\" icon_1=\"flaticon-trophy\" data_1=\"23\" unit_1=\"K\" title_2=\"Happy Clients\" icon_2=\"flaticon-rating\" data_2=\"223\" unit_2=\"K\" title_3=\"Projects Done\" icon_3=\"flaticon-folder-1\" data_3=\"98\" unit_3=\"K\" title_4=\"Expert People\" icon_4=\"flaticon-round-table\" data_4=\"22\" unit_4=\"K\" background_image=\"backgrounds/overview-shape.png\" style=\"style-3\"][/site-statistics]</div><div>[teams title=\"Dedicated Team Members\" subtitle=\"EXPERT PEOPLE\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/3-1.png\" team_id_2=\"2\" image_2=\"teams/3-2.png\" team_id_3=\"3\" image_3=\"teams/3-3.png\" team_id_4=\"4\" image_4=\"teams/3-4.png\" team_id_5=\"1\" team_id_6=\"1\" style=\"style-3\"][/teams]</div><div>[pricing title=\"We’ve offered the best pricing for you\" subtitle=\"FLEXIBLE PRICING PLAN\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" package_ids=\"1,2,3\" background_image=\"backgrounds/pricing-shape.png\" style=\"style-2\"][/pricing]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(9,'About 4','<div>[about-us-information title=\"We are the next gen Business experience\" subtitle=\"GET TO KNOW US\" description=\"With Over 25 Years Of Experience, We Have Crafted Thousands Of Strategic Discovery Process That Enables Us To Peel Back Which Enable Us To Understand. When An Unknown Printer Took A Galley Of Type And Scrambled It To Make A Type Specimen Book. It Has Survived Not Only Five Centurieswhen An Unknown Printer Took A Galley Of Type And Scrambled It To Make Specimen Book\" founded_year=\"2010\" company_description=\"Years Of Experience\" quantity=\"2\" title_1=\"Insured Customers\" icon_1=\"flaticon-family\" data_1=\"63\" unit_1=\"%\" title_2=\"Satisfied Award\" icon_2=\"flaticon-trophy\" data_2=\"95\" unit_2=\"%\" image=\"galleries/4.png\" image_1=\"general/consulting-banner-img03.png\" background_image_1=\"backgrounds/banner-shape02.png\" style=\"style-6\"][/about-us-information]</div><div>[company-overview title=\"Consulting Insurance firm specializing in This Field\" subtitle=\"TOP FEATURES\" description=\"Advice On Comprehensive Legal Solutions And Legal Planning On All Aspects Of Business, Including: Issues Under Company Law & Exchange Control Regulations\" background_image=\"backgrounds/pricing-shape.png\" quantity=\"3\" title_1=\"Child Insurance\" data_1=\"55\" title_2=\"Insurance Claim\" data_2=\"76\" title_3=\"Investment\" data_3=\"90\" style=\"style-4\"][/company-overview]</div><div>[teams title=\"Our Dedicated Team Members\" subtitle=\"EXPERT PEOPLE\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" background_image=\"/backgrounds/team-shape.png\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/1-1.png\" team_id_2=\"2\" image_2=\"teams/1-2.png\" team_id_3=\"3\" image_3=\"teams/1-3.png\" team_id_4=\"4\" image_4=\"teams/1-4.png\" team_id_5=\"1\" team_id_6=\"1\" style=\"style-1\"][/teams]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(10,'About 5','<div>[about-us-information title=\"Best Digital Solution Provider Agency\" subtitle=\"WHO WE ARE\" description=\"When An Unknown Printer Took A Galley Of Type And Scrambled It Ake A Type Specimen Book. When An Unknown Printer Took A Galley Of Type And Scrambled It Ake.\" button_label=\"Take Our Service\" button_url=\"/services\" quantity=\"3\" title_1=\"Digital Creative Agency\" title_2=\"Professional Problem Solutions\" title_3=\"Web Design & Development\" image=\"general/inner-about-img05.png\" image_1=\"backgrounds/about-shape07.png\" background_image_1=\"backgrounds/banner-shape02.png\" style=\"style-7\"][/about-us-information]</div><div>[company-overview title=\"Consulting Digital Agency specializing in This Field\" subtitle=\"EXPERTISE AREAS\" description=\"Advice On Comprehensive Legal Solutions And Legal Planning On All Aspects Of Business, Including Issues\" image=\"general/about-img.png\" background_image=\"backgrounds/about-shape08.png\" background_image_1=\"backgrounds/about-shape02.png\" quantity=\"3\" title_1=\"Child Insurance\" data_1=\"55\" title_2=\"Insurance Claim\" data_2=\"76\" title_3=\"Investment\" data_3=\"90\" style=\"style-5\"][/company-overview]</div><div>[contact-block title=\"Let’s Request a Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Call For More Info\" button_label=\"Contact Us\" button_url=\"/contact\" background_image=\"backgrounds/cta-bg03.png\" style=\"style-4\"][/contact-block]</div><br></br><br></br><br></br><div>[teams title=\"Experience Team Members\" subtitle=\"MEET OUR TEAM\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Minddestmentor Area\" quantity=\"4\" team_id_1=\"1\" image_1=\"teams/4-1.png\" team_id_2=\"2\" image_2=\"teams/4-2.png\" team_id_3=\"3\" image_3=\"teams/4-3.png\" team_id_4=\"4\" image_4=\"teams/4-4.png\" team_id_5=\"1\" team_id_6=\"1\" style=\"style-5\"][/teams]</div><div>[contact-block title=\"Let’s Request A Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Hotline 24/7\" button_label=\"Request a Schedule\" button_url=\"/contact\" background_image=\"backgrounds/request-bg.png\" background_image_1=\"backgrounds/features-shape02.png\" style=\"style-5\"][/contact-block]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(11,'Services','<div>[services-list title=\"Spotlight some most important features We have\" description=\"Our comprehensive suite of services includes expert Business Analysis, Tax Strategy, and Financial Advice. We partner with you to optimize your financial decisions, ensuring long-term success and prosperity for your business and personal finances.\" background_image=\"backgrounds/inner-services-bg.jpg\" background_color=\"#E0F0F6\" service_ids=\"1,2,3,4,5,6\" style=\"style-1\"][/services-list]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(12,'Services 2','<div>[services-list title=\"We can inspire and Offer Different Services\" badge=\"WHAT WE DO FOR YOU\" description=\"Our comprehensive suite of services includes expert Business Analysis, Tax Strategy, and Financial Advice. We partner with you to optimize your financial decisions, ensuring long-term success and prosperity for your business and personal finances.\" background_image=\"backgrounds/inner-services-bg.jpg\" background_color=\"#E0F0F6\" service_ids=\"1,2,4,5,6,11,12,13\" shape_image=\"backgrounds/services-item-shape.png\" style=\"style-2\"][/services-list]</div><br></br><br></br><br></br><div>[brands quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-1\"][/brands]</div><br></br><br></br><br></br>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(13,'Services 3','<div>[services-list title=\"The features that make our Service unique\" badge=\"WHAT WE DO FOR YOU\" description=\" Our comprehensive suite of services includes expert Business Analysis, Tax Strategy, and Financial Advice. We partner with you to optimize your financial decisions, ensuring long-term success and prosperity for your business and personal finances.\" background_color=\"#F8FAFF\" service_ids=\"1,2,4,5,6,7,8,9\" style=\"style-3\"][/services-list]</div><div>[contact-block title=\"Let’s Request a Schedule For Free Consultation\" hotline=\"1238989444\" subtitle=\"Call For More Info\" button_label=\"Contact Us\" button_url=\"/contact\" background_image=\"backgrounds/cta-bg02.png\" style=\"style-2\"][/contact-block]</div><br></br><br></br><br></br><div>[brands quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-1\"][/brands]</div><br></br><br></br><br></br>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(14,'Services 4','<div>[services-list title=\"We Make Better Insurance For Everyone\" badge=\"OUR EXPERTISE AREAS\" button_label=\"See All Service\" link=\"/services\" background_image=\"backgrounds/about-shape03.png\" background_color=\"#E0F0F6\" service_ids=\"1,2,3,4,5,6,8,9\" style=\"style-4\"][/services-list]</div><br></br><br></br><br></br><div>[brands quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-1\"][/brands]</div><br></br><br></br><br></br>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(15,'Services 5','<div>[services-list title=\"We Make Better Insurance For Everyone\" badge=\"OUR EXPERTISE AREAS\" description=\" Our comprehensive suite of services includes expert Business Analysis, Tax Strategy, and Financial Advice. We partner with you to optimize your financial decisions, ensuring long-term success and prosperity for your business and personal finances.\" button_label=\"See All Service\" link=\"/services\" limit=\"6\" service_ids=\"1,2,4,6,8,9\" style=\"style-5\"][/services-list]</div><br></br><br></br><br></br><div>[brands quantity=\"5\" name_1=\"Zelus\" image_1=\"brands/brand-img04.png\" link_1=\"https://zelus.com\" name_2=\"The bird\" image_2=\"brands/brand-img05.png\" link_2=\"https://thebird.com\" name_3=\"Nature Wave\" image_3=\"brands/brand-img03.png\" link_3=\"https://naturewave.com\" name_4=\"Start\" image_4=\"brands/brand-img01.png\" link_4=\"https://start.com\" name_5=\"Finance\" image_5=\"brands/brand-img02.png\" link_5=\"https://finance.com\" style=\"style-1\"][/brands]</div><br></br><br></br><br></br>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(16,'Cookies','<section class=\"section\">\n    <div class=\"container\">\n        <div class=\"content-detail\">\n            <h3 class=\"color-brand-2\">EU Cookie Consent</h3>\n            <p class=\"font-md color-grey-900\">To use this website we are using Cookies and collecting some Data. To be compliant with the EU GDPR we give you to choose if you allow us to use certain Cookies and to collect some Data. .</p>\n            <p>There are two primary modes of sea freight transportation: Full Container Load (FCL) and Less than Container Load (LCL). FCL is used when the shipment is large enough to fill an entire container. On the other hand, LCL is used when the shipment does not require a full container. In this case, the goods are combined with other shipments to fill a container. Both modes have their advantages and disadvantages.</p>\n            <p>There are two primary modes of sea freight transportation: Full Container Load (FCL) and Less than Container Load (LCL). FCL is used when the shipment is large enough to fill an entire container. On the other hand, LCL is used when the shipment does not require a full container. In this case, the goods are combined with other shipments to fill a container. Both modes have their advantages and disadvantages.</p>\n            <h3>Essential Data</h3>\n            <div class=\"row align-items-center\">\n                <div class=\"col-lg-12\">\n                    <p>The Essential Data is needed to run the Site you are visiting technically. You can not deactivate them.</p>\n                    <p>Session Cookie: PHP uses a Cookie to identify user sessions. Without this Cookie the Website is not working.</p>\n                    <p>XSRF-Token Cookie: Laravel automatically generates a CSRF \"token\" for each active user session managed by the application. This token is used to verify that the authenticated user is the one actually making the requests to the application.</p>\n                </div>\n            </div>\n        </div>\n    </div>\n</section>\n',2,NULL,NULL,NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(17,'Terms of service','<section class=\"section\">\n    <div class=\"container\">\n        <div class=\"content-detail\">\n            <h3 class=\"color-brand-2\">EU Cookie Consent</h3>\n            <p class=\"font-md color-grey-900\">To use this website we are using Cookies and collecting some Data. To be compliant with the EU GDPR we give you to choose if you allow us to use certain Cookies and to collect some Data. .</p>\n            <p>There are two primary modes of sea freight transportation: Full Container Load (FCL) and Less than Container Load (LCL). FCL is used when the shipment is large enough to fill an entire container. On the other hand, LCL is used when the shipment does not require a full container. In this case, the goods are combined with other shipments to fill a container. Both modes have their advantages and disadvantages.</p>\n            <p>There are two primary modes of sea freight transportation: Full Container Load (FCL) and Less than Container Load (LCL). FCL is used when the shipment is large enough to fill an entire container. On the other hand, LCL is used when the shipment does not require a full container. In this case, the goods are combined with other shipments to fill a container. Both modes have their advantages and disadvantages.</p>\n            <h3>Essential Data</h3>\n            <div class=\"row align-items-center\">\n                <div class=\"col-lg-12\">\n                    <p>The Essential Data is needed to run the Site you are visiting technically. You can not deactivate them.</p>\n                    <p>Session Cookie: PHP uses a Cookie to identify user sessions. Without this Cookie the Website is not working.</p>\n                    <p>XSRF-Token Cookie: Laravel automatically generates a CSRF \"token\" for each active user session managed by the application. This token is used to verify that the authenticated user is the one actually making the requests to the application.</p>\n                </div>\n            </div>\n        </div>\n    </div>\n</section>\n',2,NULL,NULL,NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(18,'Privacy Policy','<section class=\"section\">\n    <div class=\"container\">\n        <div class=\"content-detail\">\n            <h3 class=\"color-brand-2\">EU Cookie Consent</h3>\n            <p class=\"font-md color-grey-900\">To use this website we are using Cookies and collecting some Data. To be compliant with the EU GDPR we give you to choose if you allow us to use certain Cookies and to collect some Data. .</p>\n            <p>There are two primary modes of sea freight transportation: Full Container Load (FCL) and Less than Container Load (LCL). FCL is used when the shipment is large enough to fill an entire container. On the other hand, LCL is used when the shipment does not require a full container. In this case, the goods are combined with other shipments to fill a container. Both modes have their advantages and disadvantages.</p>\n            <p>There are two primary modes of sea freight transportation: Full Container Load (FCL) and Less than Container Load (LCL). FCL is used when the shipment is large enough to fill an entire container. On the other hand, LCL is used when the shipment does not require a full container. In this case, the goods are combined with other shipments to fill a container. Both modes have their advantages and disadvantages.</p>\n            <h3>Essential Data</h3>\n            <div class=\"row align-items-center\">\n                <div class=\"col-lg-12\">\n                    <p>The Essential Data is needed to run the Site you are visiting technically. You can not deactivate them.</p>\n                    <p>Session Cookie: PHP uses a Cookie to identify user sessions. Without this Cookie the Website is not working.</p>\n                    <p>XSRF-Token Cookie: Laravel automatically generates a CSRF \"token\" for each active user session managed by the application. This token is used to verify that the authenticated user is the one actually making the requests to the application.</p>\n                </div>\n            </div>\n        </div>\n    </div>\n</section>\n',2,NULL,NULL,NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(19,'Blog','',2,NULL,'blog-sidebar',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(20,'Contact','<div>[branch-offices title=&quot;Our Office Address&quot; image=&quot;general/contact-img.jpg&quot; quantity=&quot;2&quot; title_1=&quot;USA Office&quot; address_1=&quot;100 Wilshire Blvd, Suite 700 Santa&lt;br&gt;Monica, CA 90401, USA&quot; phone_1=&quot;+1 (310) 620-8565&quot; email_1=&quot;info@gmail.com&quot; title_2=&quot;Australia Office&quot; address_2=&quot;100 Wilshire Blvd, Suite 700 Santa&lt;br&gt;Monica, CA 90401, USA&quot; phone_2=&quot;+1 (310) 620-8565&quot; email_2=&quot;info@gmail.com&quot;][/branch-offices]</div><div>[contact-form title=\"We Are Connected To Help Your Business!\" subtitle=\"GET IN TOUCH\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" button_label=\"SUBMIT NOW\" background_image=\"backgrounds/contact-bg.jpg\" background_image_1=\"backgrounds/contact-shape.png\"][/contact-form]</div><div>[google-map address=\"Envato Level 3/551 Swanston St, Carlton VIC 3053, Australia\"][/google-map]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(21,'Careers','<div>[featured-projects title=\"We’ve Done Lot’s Of Work, Let’s Check Some From Here\" subtitle=\"CASE STUDIES\" button_label=\"See All Projects\" button_url=\"/projects\" project_ids=\"5,6,7,8,9\" style=\"style-2\"][/featured-projects]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(22,'Company','<div>[about-us-information title=\" 25 Years Of Experience In This Finance Advisory Company\" subtitle=\"GET TO KNOW US\" description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture.Borem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum.\" founded_year=\"1993\" company_description=\"Of Experience in This Finance Advisory Company.\" quantity=\"4\" title_1=\"100% Better Results\" title_2=\"Suspe Ndisse Suscipit Sagittis\" title_3=\"Promis Specific TimelineI Guarantee\" title_4=\"Review Credit Reports\" sub_description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture\" author_name=\"Mark Stranger,CEO, Gerow Finance\" author_bio=\"CEO, Gerow Finance\" author_avatar=\"general/about-author.png\" author_signature=\"general/signature.png\" image=\"general/about-img01.png\" image_1=\"general/about-img02.png\" background_image_1=\"backgrounds/about-shape01.png\" background_image_2=\"backgrounds/about-shape02.png\" background_image_3=\"backgrounds/about-shape03.png\"][/about-us-information]</div><div>[company-overview title=\"We Prepare An Effective Strategy For Companies\" subtitle=\"COMPANY OVERVIEW\" description=\"Morem Ipsum Dolor Sit Amet, Consectetur Adipiscing Elita Florai Psum Dolor Sit Amet, Consecteture.\" image=\"galleries/3.png\" image_1=\"backgrounds/overview-img04.png\" background_image=\"backgrounds/mask-img02.png\" background_image_1=\"backgrounds/overview-shape01.png\" background_image_2=\"backgrounds/overview-shape02.png\" quantity=\"3\" title_1=\"Consulting\" data_1=\"85\" title_2=\"Investment\" data_2=\"76\" title_3=\"Investment\" data_3=\"90\" style=\"style-2\"][/company-overview]</div>',2,NULL,NULL,NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(23,'Case Studies','<div>[featured-services title=\"We can inspire and Offer Different Services\" subtitle=\"WHAT WE DO FOR YOU\" service_ids=\"1,2,3,4\" button_label=\"See All Services\" button_url=\"/services\" background_image=\"backgrounds/about-shape03.png\" style=\"style-3\"][/featured-services]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(24,'How It Work','<div>[about-us-information title=\"Best Digital Solution Provider Agency\" subtitle=\"WHO WE ARE\" description=\"When An Unknown Printer Took A Galley Of Type And Scrambled It Ake A Type Specimen Book. When An Unknown Printer Took A Galley Of Type And Scrambled It Ake.\" button_label=\"Take Our Service\" button_url=\"/services\" quantity=\"3\" title_1=\"Digital Creative Agency\" title_2=\"Professional Problem Solutions\" title_3=\"Web Design & Development\" image=\"general/inner-about-img05.png\" image_1=\"backgrounds/about-shape07.png\" background_image_1=\"backgrounds/banner-shape02.png\" style=\"style-7\"][/about-us-information]</div><br></br><br></br>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(25,'Partners','<div>[about-us-information title=\"We are the next gen Business experience\" subtitle=\"GET TO KNOW US\" description=\"With Over 25 Years Of Experience, We Have Crafted Thousands Of Strategic Discovery Process That Enables Us To Peel Back Which Enable Us To Understand.\" quantity=\"2\" title_1=\"Business Growth\" description_1=\"Eiusmod Temporincididunt Ut Labore Magna Aliqua Quisery.\" icon_1=\"flaticon-profit\" title_2=\"Target Audience\" description_2=\"Eiusmod Temporincididunt Ut Labore Magna Aliqua Quisery.\" icon_2=\"flaticon-mission\" image=\"galleries/1.png\" image_1=\"backgrounds/consulting-about-img02.png\" background_image_1=\"backgrounds/mask-img.png\" background_image_2=\"backgrounds/consulting-about-shape01.png\" background_image_3=\"backgrounds/about-shape01.png\" background_image_4=\"backgrounds/consulting-about-shape03.png\" style=\"style-2\"][/about-us-information]</div>',2,NULL,NULL,NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(26,'Pricing','<div>[pricing title=\"We’ve offered the best pricing for you\" subtitle=\"FLEXIBLE PRICING PLAN\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" package_ids=\"1,2,3\" background_image=\"backgrounds/pricing-shape.png\"][/pricing]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(27,'Testimonials','<div>[testimonials testimonial_ids=\"1,2,3,4\" image=\"general/testimonial-img.png\" background_image=\"backgrounds/testimonial-bg1.png\" style=\"style-2\"][/testimonials]</div>',2,NULL,NULL,NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(28,'Projects','<div>[featured-projects style=\"style-1\" project_ids=\"1,2,3,4,5,6,7,8,9\"][/featured-projects]</div>',2,NULL,NULL,NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42'),(29,'FAQs','<div>[faqs category_ids=\"1,2,3\"][/faqs]</div><div>[contact-form title=\"We Are Connected To Help Your Business!\" subtitle=\"GET IN TOUCH\" description=\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes.\" button_label=\"SUBMIT NOW\" background_image=\"backgrounds/contact-bg.jpg\" background_image_1=\"backgrounds/contact-shape.png\"][/contact-form]</div>',2,NULL,'page-detail',NULL,'published','2023-12-08 09:13:42','2023-12-08 09:13:42');
/*!40000 ALTER TABLE `pages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pages_translations`
--

DROP TABLE IF EXISTS `pages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pages_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pages_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pages_translations`
--

LOCK TABLES `pages_translations` WRITE;
/*!40000 ALTER TABLE `pages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `password_reset_tokens`
--

DROP TABLE IF EXISTS `password_reset_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `password_reset_tokens` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `password_reset_tokens`
--

LOCK TABLES `password_reset_tokens` WRITE;
/*!40000 ALTER TABLE `password_reset_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_reset_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `personal_access_tokens`
--

DROP TABLE IF EXISTS `personal_access_tokens`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `personal_access_tokens` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `tokenable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tokenable_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(64) COLLATE utf8mb4_unicode_ci NOT NULL,
  `abilities` text COLLATE utf8mb4_unicode_ci,
  `last_used_at` timestamp NULL DEFAULT NULL,
  `expires_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `personal_access_tokens_token_unique` (`token`),
  KEY `personal_access_tokens_tokenable_type_tokenable_id_index` (`tokenable_type`,`tokenable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `personal_access_tokens`
--

LOCK TABLES `personal_access_tokens` WRITE;
/*!40000 ALTER TABLE `personal_access_tokens` DISABLE KEYS */;
/*!40000 ALTER TABLE `personal_access_tokens` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options`
--

DROP TABLE IF EXISTS `pf_custom_field_options`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `custom_field_id` bigint unsigned NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_field_options_custom_field_id_index` (`custom_field_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options`
--

LOCK TABLES `pf_custom_field_options` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options` DISABLE KEYS */;
INSERT INTO `pf_custom_field_options` VALUES (1,1,'Home','Home',999,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(2,1,'Vehicles','Vehicles',999,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(3,1,'Health','Health',999,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(4,1,'Life','Life',999,'2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `pf_custom_field_options` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_field_options_translations`
--

DROP TABLE IF EXISTS `pf_custom_field_options_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_field_options_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_field_options_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_field_options_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_field_options_translations`
--

LOCK TABLES `pf_custom_field_options_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_field_options_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields`
--

DROP TABLE IF EXISTS `pf_custom_fields`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `author_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `type` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL,
  `order` int NOT NULL DEFAULT '999',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_custom_fields_author_type_author_id_index` (`author_type`,`author_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields`
--

LOCK TABLES `pf_custom_fields` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields` DISABLE KEYS */;
INSERT INTO `pf_custom_fields` VALUES (1,'Botble\\ACL\\Models\\User',1,'Type',NULL,1,'dropdown',999,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(2,'Botble\\ACL\\Models\\User',1,'Price','Enter price',0,'number',999,'published','2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `pf_custom_fields` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_custom_fields_translations`
--

DROP TABLE IF EXISTS `pf_custom_fields_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_custom_fields_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `placeholder` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pf_custom_fields_id` bigint unsigned NOT NULL,
  PRIMARY KEY (`lang_code`,`pf_custom_fields_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_custom_fields_translations`
--

LOCK TABLES `pf_custom_fields_translations` WRITE;
/*!40000 ALTER TABLE `pf_custom_fields_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_custom_fields_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages`
--

DROP TABLE IF EXISTS `pf_packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `duration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'monthly',
  `features` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `is_popular` tinyint(1) NOT NULL DEFAULT '0',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages`
--

LOCK TABLES `pf_packages` WRITE;
/*!40000 ALTER TABLE `pf_packages` DISABLE KEYS */;
INSERT INTO `pf_packages` VALUES (1,'Basic Plan','Advanced features for pros who need more customization.','<h4>Basic Plan</h4>\n<p>Our Basic Plan is designed for startups and small businesses looking to establish a strong foundation. With this plan, you\'ll get:</p>\n<ul>\n    <li>Essential Tools: Access to fundamental business tools and resources.</li>\n    <li>Cost-Effective: Affordable pricing tailored to smaller budgets.</li>\n    <li>24/7 Support: Assistance whenever you need it to kickstart your journey.</li>\n    <li>Scalability: Option to upgrade as your business grows.</li>\n</ul>\n<p>The Basic Plan is the perfect choice for those taking their first steps in the business world.</p>\n<h4>Team Plan</h4>\n<p>Our Team Plan is ideal for growing businesses that require collaboration and efficiency. With this plan, you\'ll enjoy:</p>\n<ul>\n    <li>Collaborative Tools: Enhanced features for seamless team collaboration.</li>\n    <li>Customization: Tailor the plan to fit your team\'s specific needs.</li>\n    <li>Dedicated Support: Priority assistance to keep your team productive.</li>\n    <li>Scalability: Flexibility to accommodate expanding teams.</li>\n</ul>\n<p>Choose the Team Plan to empower your growing business with the tools it needs to succeed.</p>\n<h4>Enterprise Plan</h4>\n<p>Our Enterprise Plan is designed for established businesses seeking advanced solutions and scalability. With this plan, you\'ll receive:</p>\n<ul>\n    <li>Advanced Features: Comprehensive tools for large-scale operations.</li>\n    <li>Tailored Solutions: Customized to match your unique business requirements.</li>\n    <li>Priority Support: Rapid response and support for mission-critical operations.</li>\n    <li>Enterprise-Grade Security: Robust security measures to protect your data.</li>\n</ul>\n<p>The Enterprise Plan is your pathway to taking your business to the next level with confidence.</p>\n','$19','$119','monthly','+ 100 User Activities\n+ Limit Access\n+ No Hidden Charge\n+ 01 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(2,'Team Plan','All the basics for businesses that are just getting started.','<h4>Basic Plan</h4>\n<p>Our Basic Plan is designed for startups and small businesses looking to establish a strong foundation. With this plan, you\'ll get:</p>\n<ul>\n    <li>Essential Tools: Access to fundamental business tools and resources.</li>\n    <li>Cost-Effective: Affordable pricing tailored to smaller budgets.</li>\n    <li>24/7 Support: Assistance whenever you need it to kickstart your journey.</li>\n    <li>Scalability: Option to upgrade as your business grows.</li>\n</ul>\n<p>The Basic Plan is the perfect choice for those taking their first steps in the business world.</p>\n<h4>Team Plan</h4>\n<p>Our Team Plan is ideal for growing businesses that require collaboration and efficiency. With this plan, you\'ll enjoy:</p>\n<ul>\n    <li>Collaborative Tools: Enhanced features for seamless team collaboration.</li>\n    <li>Customization: Tailor the plan to fit your team\'s specific needs.</li>\n    <li>Dedicated Support: Priority assistance to keep your team productive.</li>\n    <li>Scalability: Flexibility to accommodate expanding teams.</li>\n</ul>\n<p>Choose the Team Plan to empower your growing business with the tools it needs to succeed.</p>\n<h4>Enterprise Plan</h4>\n<p>Our Enterprise Plan is designed for established businesses seeking advanced solutions and scalability. With this plan, you\'ll receive:</p>\n<ul>\n    <li>Advanced Features: Comprehensive tools for large-scale operations.</li>\n    <li>Tailored Solutions: Customized to match your unique business requirements.</li>\n    <li>Priority Support: Rapid response and support for mission-critical operations.</li>\n    <li>Enterprise-Grade Security: Robust security measures to protect your data.</li>\n</ul>\n<p>The Enterprise Plan is your pathway to taking your business to the next level with confidence.</p>\n','$49','$499','monthly','+ 1000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 03 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',1,'2023-12-08 09:13:45','2023-12-08 09:13:45'),(3,'Enterprise Plan','Advanced features for pros who need more customization.','<h4>Basic Plan</h4>\n<p>Our Basic Plan is designed for startups and small businesses looking to establish a strong foundation. With this plan, you\'ll get:</p>\n<ul>\n    <li>Essential Tools: Access to fundamental business tools and resources.</li>\n    <li>Cost-Effective: Affordable pricing tailored to smaller budgets.</li>\n    <li>24/7 Support: Assistance whenever you need it to kickstart your journey.</li>\n    <li>Scalability: Option to upgrade as your business grows.</li>\n</ul>\n<p>The Basic Plan is the perfect choice for those taking their first steps in the business world.</p>\n<h4>Team Plan</h4>\n<p>Our Team Plan is ideal for growing businesses that require collaboration and efficiency. With this plan, you\'ll enjoy:</p>\n<ul>\n    <li>Collaborative Tools: Enhanced features for seamless team collaboration.</li>\n    <li>Customization: Tailor the plan to fit your team\'s specific needs.</li>\n    <li>Dedicated Support: Priority assistance to keep your team productive.</li>\n    <li>Scalability: Flexibility to accommodate expanding teams.</li>\n</ul>\n<p>Choose the Team Plan to empower your growing business with the tools it needs to succeed.</p>\n<h4>Enterprise Plan</h4>\n<p>Our Enterprise Plan is designed for established businesses seeking advanced solutions and scalability. With this plan, you\'ll receive:</p>\n<ul>\n    <li>Advanced Features: Comprehensive tools for large-scale operations.</li>\n    <li>Tailored Solutions: Customized to match your unique business requirements.</li>\n    <li>Priority Support: Rapid response and support for mission-critical operations.</li>\n    <li>Enterprise-Grade Security: Robust security measures to protect your data.</li>\n</ul>\n<p>The Enterprise Plan is your pathway to taking your business to the next level with confidence.</p>\n','$99','$999','monthly','+ 5000 User Activities\n+ Unlimited Access\n+ No Hidden Charge\n+ 10 Time Updates\n+ Figma Source File\n+ Many More Facilities','published',0,'2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `pf_packages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_packages_translations`
--

DROP TABLE IF EXISTS `pf_packages_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_packages_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_packages_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `annual_price` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `features` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_packages_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_packages_translations`
--

LOCK TABLES `pf_packages_translations` WRITE;
/*!40000 ALTER TABLE `pf_packages_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_packages_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_projects`
--

DROP TABLE IF EXISTS `pf_projects`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_projects` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `place` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `author` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_projects`
--

LOCK TABLES `pf_projects` WRITE;
/*!40000 ALTER TABLE `pf_projects` DISABLE KEYS */;
INSERT INTO `pf_projects` VALUES (1,'Innovation Hub: Navigating the Future','Gain invaluable insights into strategic business planning and decision-making through our comprehensive program. Unlock the power of data-driven strategies for sustainable growth.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','Paris','Grace Williams',0,'projects/1.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Fredrick Jacobi','2009-12-08'),(2,'Leadership Excellence Initiative','Join us at the Innovation Hub, where we explore cutting-edge technologies and trends shaping the future of business. Discover innovative solutions and stay ahead of the curve.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','USA','Michael Turner',0,'projects/2.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Earnestine Runolfsson V','2006-12-13'),(3,'Startup Accelerator Program','Accelerate your startup’s growth with our intensive program. From idea to market entry, we provide mentorship, resources, and networking opportunities for success.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','Thailand','David Chen',0,'projects/3.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Josefa King','2015-07-27'),(4,'Marketing Mastery Series','Master the art of marketing with our comprehensive series. From branding to digital marketing, this series equips you with the skills to captivate your audience.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','Japan','Takashi Hamachi',0,'projects/4.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Lorenzo Predovic','1993-11-22'),(5,'Illustration Design','Vel in repellendus et est at. Perferendis in nesciunt et quos libero.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','USA','David Kane',0,'projects/5.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Marquise Grimes','1974-10-19'),(6,'Design & Development','Eos culpa quam odit et. Reiciendis velit repellat et ipsam ea. Fugiat fugiat sit animi aut eveniet.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','Canada','Franks Doe',0,'projects/6.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Desiree Koelpin','1987-01-26'),(7,'Marketing Consultancy','Quo consectetur voluptatibus cupiditate facere. Pariatur saepe aut occaecati voluptatem.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','India','Alexander Kavas',0,'projects/7.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Axel Fahey','1991-11-12'),(8,'Digital Marketing','Ullam pariatur vel hic sit et. Alias nam non qui et. Nemo cum nemo labore nihil accusantium fuga.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','Brazil','Roby Elexa',0,'projects/8.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Prof. Ashlynn Bergstrom MD','2011-03-16'),(9,'Strategic Planning','At aut commodi quae quasi modi mollitia. Recusandae voluptatem provident voluptatem.','<div class=\"project-details-content\">\n    <div class=\"pd-inner-wrap\">\n        <div class=\"row align-items-center\">\n            <div class=\"col-41\">\n                <div class=\"content\">\n                    <h3 class=\"title-two\">Raise capital faster <br> negotiate on your own terms</h3>\n                    <p class=\"info-one\">when an unknown printer took a galley offer typey anddey scrambled make a type specimen bookhas survived not only five centuries but also.</p>\n                    <ul class=\"list-wrap\">\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            100% Better results\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Valuable Ideas\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Budget Friendly Theme\n                        </li>\n                        <li>\n                            <svg xmlns=\"http://www.w3.org/2000/svg\" height=\"1em\" viewBox=\"0 0 512 512\">\n                                <path fill=\"currentColor\" d=\"M256 512A256 256 0 1 0 256 0a256 256 0 1 0 0 512zM369 209L241 337c-9.4 9.4-24.6 9.4-33.9 0l-64-64c-9.4-9.4-9.4-24.6 0-33.9s24.6-9.4 33.9 0l47 47L335 175c9.4-9.4 24.6-9.4 33.9 0s9.4 24.6 0 33.9z\"/>\n                            </svg>\n                            Happy Customers\n                        </li>\n                    </ul>\n                    <p class=\"info-two\">when an unknown printer took a galley of type and  aweratr scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                </div>\n            </div>\n            <div class=\"col-59\">\n                <div class=\"thumb\">\n                    <img src=\"http://gerow.test/storage/services/5.jpg\" alt=\"\">\n                    <a href=\"https://www.youtube.com/watch?v=j4dPPWKsxFs\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n                </div>\n            </div>\n        </div>\n    </div>\n</div>\n','Thai Lan','Nicola Per',0,'projects/9.png',NULL,0,'published','2023-12-08 09:13:45','2023-12-08 09:13:45','Prof. Joseph Reilly','2004-08-07');
/*!40000 ALTER TABLE `pf_projects` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_quotes`
--

DROP TABLE IF EXISTS `pf_quotes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_quotes` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `fields` text COLLATE utf8mb4_unicode_ci,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'read',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_quotes`
--

LOCK TABLES `pf_quotes` WRITE;
/*!40000 ALTER TABLE `pf_quotes` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_quotes` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories`
--

DROP TABLE IF EXISTS `pf_service_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` bigint unsigned DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `order` tinyint NOT NULL DEFAULT '0',
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_service_categories_parent_id_index` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories`
--

LOCK TABLES `pf_service_categories` WRITE;
/*!40000 ALTER TABLE `pf_service_categories` DISABLE KEYS */;
INSERT INTO `pf_service_categories` VALUES (1,NULL,'Financial Analysis','Odio tenetur tempore temporibus alias maxime aut. Minus earum aperiam veritatis possimus. In quaerat veritatis enim voluptates est et voluptatem. Quod et cupiditate ut odio sit. Quam consequatur et molestiae sapiente explicabo rerum omnis fugiat. Blanditiis sed dolorum expedita ipsam est omnis a. Sit aliquam voluptate rerum est. Maiores deleniti consectetur magnam.',NULL,1,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(2,NULL,'Tax Strategy','Placeat quasi veniam quaerat quia enim. Dolore quam corporis quod perspiciatis aut impedit. Occaecati in consectetur distinctio culpa quis illum. Autem eos officia vitae unde ipsa magnam. Necessitatibus perspiciatis molestiae in nihil praesentium. Vero iure nisi sunt eum laudantium et dolores. Cum iste dolor sit nisi voluptas ea minima.',NULL,2,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(3,NULL,'Market Research','Omnis distinctio quasi optio aliquam. Ut dolore culpa voluptatem ea. Atque recusandae tempora consectetur consequuntur. Qui doloribus et saepe non. Iure aut quaerat nihil. Dolor consequatur consequatur aut mollitia aut. Ut ut aut dolores ad voluptatibus voluptas. Quis expedita nemo perferendis dolor maiores. Tenetur ratione in et tempore. Provident mollitia ut aut illum.',NULL,3,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(4,NULL,'Business Strategy','Quo animi eaque ut consequatur iure neque pariatur. Deleniti quibusdam dignissimos veritatis. Consequuntur enim eaque voluptatem labore mollitia sed. Tempora doloribus esse repellat. Officia corrupti aut reprehenderit qui voluptatem. Voluptatem officia sunt est et ut nihil.',NULL,4,'published','2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `pf_service_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_service_categories_translations`
--

DROP TABLE IF EXISTS `pf_service_categories_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_service_categories_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_service_categories_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`pf_service_categories_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_service_categories_translations`
--

LOCK TABLES `pf_service_categories_translations` WRITE;
/*!40000 ALTER TABLE `pf_service_categories_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_service_categories_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services`
--

DROP TABLE IF EXISTS `pf_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `category_id` bigint unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `is_featured` tinyint(1) NOT NULL DEFAULT '0',
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `images` text COLLATE utf8mb4_unicode_ci,
  `views` int NOT NULL DEFAULT '0',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `pf_services_category_id_index` (`category_id`)
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services`
--

LOCK TABLES `pf_services` WRITE;
/*!40000 ALTER TABLE `pf_services` DISABLE KEYS */;
INSERT INTO `pf_services` VALUES (1,3,'Data Analyst','Analyzes financial data, optimizing processes for efficiency and identifying profitability opportunities.','<div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p><div>[content-rich-fields title=\"Quality Industrial Working\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><h2 class=\"title-two\">Effective Leadership: Inspiring Your Team to Success</h2><p>Dive into the qualities and strategies of effective leadership that inspire teams, foster growth, and achieve remarkable success.</p><div>[content-collapse quantity=\"3\" title_1=\"What does Financial Planning involve?\" description_1=\"Our Financial Planning services are designed to provide you with a comprehensive and customized financial roadmap. We begin by assessing your current financial situation, including income, expenses, assets, and liabilities. Based on your goals and aspirations, we develop a detailed plan that encompasses wealth management.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',0,'services/1.png','[\"services\\/1.png\"]',8831,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(2,2,'Liability Planner','Develops strategies to reduce tax burdens while maintaining legal compliance.','<h2 class=\"title-two\">Investment Strategies for a Secure Financial Future</h2><p>Gain insights into investment strategies that can help secure your financial future, whether for personal wealth or business growth.</p><div>[content-rich-fields title=\"Resilience in Business: Adapting to Change and Challenges\" description=\"Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.\" left_image=\"galleries/1.png\" quantity=\"4\" title_1=\"Budget Friendly Theme\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_2=\"100% Better results\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get. \" title_3=\"Valuable Ideas\" description_3=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_4=\"Happy Customers\" style=\"style-1\"][/content-rich-fields]</div><div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><div>[content-rich-fields title=\"Effective Networking for Business Professionals\" description=\"Discover techniques and best practices for effective networking to build valuable connections and expand your professional reach.\" left_image=\"services/4.png\" right_image=\"general/about-img02.png\" quantity=\"3\" title_1=\"Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-3\"][/content-rich-fields]</div><p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',1,'services/3.png','[\"services\\/3.png\"]',8197,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(3,4,'Growth Planner','Develops strategies for sustainable market expansion and business growth.','<div>[content-rich-fields title=\"Effective Leadership: Inspiring Your Team to Success\" description=\"Dive into the qualities and strategies of effective leadership that inspire teams, foster growth, and achieve remarkable success.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p><div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><h2 class=\"title-two\">Effective Leadership: Inspiring Your Team to Success</h2><p>Dive into the qualities and strategies of effective leadership that inspire teams, foster growth, and achieve remarkable success.</p><div>[content-collapse quantity=\"3\" title_1=\"What does Financial Planning involve?\" description_1=\"Our Financial Planning services are designed to provide you with a comprehensive and customized financial roadmap. We begin by assessing your current financial situation, including income, expenses, assets, and liabilities. Based on your goals and aspirations, we develop a detailed plan that encompasses wealth management.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',0,'services/4.png','[\"services\\/2.png\"]',8521,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(4,3,'Risk Manager','Identifies and manages risks while aligning strategies with business goals.','<h2 class=\"title-two\">How to Create a Winning Marketing Plan</h2><p>Learn the essential steps and elements to craft a winning marketing plan that effectively reaches your target audience and drives results.</p><div>[content-rich-fields title=\"Balancing Act: Work-Life Integration for Business Owners\" description=\"Discover strategies for achieving work-life integration as a business owner, ensuring well-being and productivity in both spheres.\" left_image=\"galleries/1.png\" quantity=\"4\" title_1=\"100% Better results\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_2=\"Valuable Ideas\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get. \" title_3=\"Budget Friendly Theme\" title_4=\"Happy Customers\" style=\"style-1\"][/content-rich-fields]</div><div>[content-rich-fields title=\"The Impact of Sustainable Practices on Business Sustainability\" description=\"Explore the positive impact of sustainable business practices on long-term sustainability, environmental responsibility, and brand reputation.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',0,'services/2.png','[\"services\\/4.png\"]',6248,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(5,4,'Retirement Planner','Helps clients plan for a secure and comfortable retirement.','<div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><p>Learn how businesses can leverage technology to gain a competitive edge, streamline operations, and deliver exceptional value to customers. Explore the importance of building a strong employer brand to attract and retain top talent in a competitive job market.</p><div>[content-rich-fields title=\"Productivity Hacks for Busy Entrepreneurs\" description=\"Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><h2 class=\"title-two\">Measuring Success: Key Performance Indicators (KPIs) for Business</h2><p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',0,'services/4.png','[\"services\\/3.png\"]',5202,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(6,2,'Risk Analyst','Identifies potential risks and develops strategies to mitigate them.','<div>[content-rich-fields title=\"Effective Networking for Business Professionals\" description=\"Discover techniques and best practices for effective networking to build valuable connections and expand your professional reach.\" left_image=\"galleries/1.png\" quantity=\"4\" title_1=\"100% Better results\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_2=\"Valuable Ideas\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get. \" title_3=\"Budget Friendly Theme\" title_4=\"Happy Customers\" style=\"style-1\"][/content-rich-fields]</div><p>Dive into effective sales strategies and tactics to maximize revenue and market share in a highly competitive business environment.</p><div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><h2 class=\"title-two\">The Human Factor: HR Best Practices for Businesses</h2><p>Learn about HR best practices that promote a positive workplace culture, employee engagement, and overall business success.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',0,'services/2.png','[\"services\\/2.png\"]',4455,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(7,3,'Insurance Expert','Advises on insurance solutions to protect against various risks.','<p>Gain insights into investment strategies that can help secure your financial future, whether for personal wealth or business growth. Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.</p><div>[content-rich-fields title=\"Effective Networking for Business Professionals\" description=\"Discover techniques and best practices for effective networking to build valuable connections and expand your professional reach.\" left_image=\"galleries/1.png\" quantity=\"4\" title_1=\"100% Better results\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_2=\"Valuable Ideas\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get. \" title_3=\"Budget Friendly Theme\" title_4=\"Happy Customers\" style=\"style-1\"][/content-rich-fields]</div><div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><div>[content-rich-fields title=\"Productivity Hacks for Busy Entrepreneurs\" description=\"Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',1,'services/4.png','[\"services\\/4.png\"]',5272,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(8,1,'Budget Manager','Ensures projects stay within budget constraints while meeting objectives.','<div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><p>Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.</p><div>[content-rich-fields title=\"Productivity Hacks for Busy Entrepreneurs\" description=\"Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><h2 class=\"title-two\">Productivity Hacks for Busy Entrepreneurs</h2><p>Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',0,'services/2.png','[\"services\\/4.png\"]',2249,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(9,4,'Strategy Adviser','Provides strategic guidance for enhancing competitiveness and profitability.','<div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><p>Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.</p><div>[content-rich-fields title=\"Productivity Hacks for Busy Entrepreneurs\" description=\"Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><div>[content-rich-fields title=\"Effective Networking for Business Professionals\" description=\"Discover techniques and best practices for effective networking to build valuable connections and expand your professional reach.\" right_image=\"galleries/1.png\" right_link=\"https://www.youtube.com/watch?v=JAiKnnb9dH8\" quantity=\"4\" title_1=\"100% Better results\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_2=\"Valuable Ideas\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get. \" title_3=\"Budget Friendly Theme\" title_4=\"Happy Customers\" style=\"style-1\"][/content-rich-fields]</div><h2 class=\"title-two\">Productivity Hacks for Busy Entrepreneurs</h2><p>Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',1,'services/1.png','[\"services\\/4.png\"]',617,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(10,4,'Operations Expert','Assists in optimizing business processes and operational efficiency.','<div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><p>Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.</p><div>[content-rich-fields title=\"Productivity Hacks for Busy Entrepreneurs\" description=\"Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><h2 class=\"title-two\">Productivity Hacks for Busy Entrepreneurs</h2><p>Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',1,'services/2.png','[\"services\\/4.png\"]',5907,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(11,1,'Profit Strategist','Develops strategies to maximize profits and enhance overall financial performance.','<div>[content-rich-fields title=\"Productivity Hacks for Busy Entrepreneurs\" description=\"Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><p>Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.</p><div>[content-rich-fields title=\"Creating a Customer-Centric Brand Experience\" description=\"Delve into the concept of creating a customer-centric brand experience that fosters loyalty and drives business success.\" right_image=\"galleries/1.png\" right_link=\"https://www.youtube.com/watch?v=JAiKnnb9dH8\" quantity=\"4\" title_1=\"100% Better results\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_2=\"Valuable Ideas\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get. \" title_3=\"Budget Friendly Theme\" title_4=\"Happy Customers\" style=\"style-1\"][/content-rich-fields]</div><h2 class=\"title-two\">Productivity Hacks for Busy Entrepreneurs</h2><p>Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',1,'services/1.png','[\"services\\/4.png\"]',8798,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(12,2,'Objective Planner','Sets clear and aligned business objectives to drive success and growth.','<p>Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.</p><div>[content-rich-fields title=\"The Power of Data Analytics in Business Decision-Making\" description=\"Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.\" right_image=\"galleries/1.png\" quantity=\"6\" title_1=\" Growing Business\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" icon_1=\"flaticon-business-presentation\" title_2=\"Finance Investment\" description_2=\"Finance Investment Convert Into A Strategic Asset Get.\" icon_2=\"flaticon-investment\" title_3=\"Tax Advisory\" description_3=\"Tax Advisory Convert Into A Strategic Asset Get.\" icon_3=\"flaticon-taxes\" style=\"style-2\"][/content-rich-fields]</div><p>Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.</p><div>[content-rich-fields title=\"Productivity Hacks for Busy Entrepreneurs\" description=\"Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><h2 class=\"title-two\">Building a Strong Employer Brand for Talent Acquisition</h2><p>Explore the importance of building a strong employer brand to attract and retain top talent in a competitive job market.</p><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div>',0,'services/2.png','[\"services\\/4.png\"]',8583,'published','2023-12-08 09:13:45','2023-12-08 09:13:45'),(13,1,'Goal Specialist','Guides organizations in defining and achieving their strategic goals.','<h2 class=\"title-two\">Productivity Hacks for Busy Entrepreneurs</h2><p>Learn how resilience can be a powerful asset in business, enabling adaptability, growth, and the ability to overcome challenges.</p><div>[content-rich-fields title=\"Creating a Customer-Centric Brand Experience\" description=\"Delve into the concept of creating a customer-centric brand experience that fosters loyalty and drives business success.\" right_image=\"galleries/1.png\" right_link=\"https://www.youtube.com/watch?v=JAiKnnb9dH8\" quantity=\"4\" title_1=\"100% Better results\" description_1=\"Finance Helps You To Convert Into A Strategic Asset Get.\" title_2=\"Valuable Ideas\" description_2=\"Finance Helps You To Convert Into A Strategic Asset Get. \" title_3=\"Budget Friendly Theme\" title_4=\"Happy Customers\" style=\"style-1\"][/content-rich-fields]</div><div>[content-rich-fields title=\"Productivity Hacks for Busy Entrepreneurs\" description=\"Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.\" left_image=\"services/4.png\" right_image=\"galleries/1.png\" quantity=\"6\" style=\"style-3\"][/content-rich-fields]</div><div>[content-collapse quantity=\"3\" title_1=\"What does your Financial Analysis service entail?\" description_1=\"Our Financial Analysis service is a comprehensive examination of your financial data and operations. We meticulously review your income statements, balance sheets, cash flow statements, and other financial records. We also assess your business processes, cost structures, and revenue streams.\" title_2=\"How can Financial Analysis benefit my business?\" description_2=\"Financial Analysis can benefit your business in several ways. It offers a deep understanding of your financial health, helping you make informed decisions. By identifying cost-saving opportunities and revenue growth potential, it can significantly improve your bottom line. \" title_3=\"What does Tax Strategy involve?\" description_3=\"Our Tax Strategy services focus on optimizing your tax position while ensuring strict compliance with tax laws and regulations. We begin by conducting a thorough analysis of your financial records, transactions, and tax obligations.\"][/content-collapse]</div><p>Explore practical productivity hacks and time management strategies designed to help busy entrepreneurs optimize their workflows.</p>',0,'services/3.png','[\"services\\/4.png\"]',3717,'published','2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `pf_services` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pf_services_translations`
--

DROP TABLE IF EXISTS `pf_services_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pf_services_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `pf_services_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`pf_services_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pf_services_translations`
--

LOCK TABLES `pf_services_translations` WRITE;
/*!40000 ALTER TABLE `pf_services_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `pf_services_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_categories`
--

DROP TABLE IF EXISTS `post_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_categories` (
  `category_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_categories_category_id_index` (`category_id`),
  KEY `post_categories_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_categories`
--

LOCK TABLES `post_categories` WRITE;
/*!40000 ALTER TABLE `post_categories` DISABLE KEYS */;
INSERT INTO `post_categories` VALUES (2,1),(6,1),(3,2),(5,2),(3,3),(7,3),(3,4),(5,4),(4,5),(7,5),(1,6),(7,6),(4,7),(7,7),(4,8),(5,8),(3,9),(6,9),(2,10),(7,10),(1,11),(5,11),(1,12),(5,12);
/*!40000 ALTER TABLE `post_categories` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `post_tags`
--

DROP TABLE IF EXISTS `post_tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `post_tags` (
  `tag_id` bigint unsigned NOT NULL,
  `post_id` bigint unsigned NOT NULL,
  KEY `post_tags_tag_id_index` (`tag_id`),
  KEY `post_tags_post_id_index` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `post_tags`
--

LOCK TABLES `post_tags` WRITE;
/*!40000 ALTER TABLE `post_tags` DISABLE KEYS */;
INSERT INTO `post_tags` VALUES (1,1),(2,1),(3,1),(1,2),(2,2),(3,2),(1,3),(2,3),(3,3),(1,4),(2,4),(3,4),(1,5),(2,5),(3,5),(1,6),(2,6),(3,6),(1,7),(2,7),(3,7),(1,8),(2,8),(3,8),(1,9),(2,9),(3,9),(1,10),(2,10),(3,10),(1,11),(2,11),(3,11),(1,12),(2,12),(3,12);
/*!40000 ALTER TABLE `post_tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts`
--

DROP TABLE IF EXISTS `posts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `is_featured` tinyint unsigned NOT NULL DEFAULT '0',
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `views` int unsigned NOT NULL DEFAULT '0',
  `format_type` varchar(30) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `posts_status_index` (`status`),
  KEY `posts_author_id_index` (`author_id`),
  KEY `posts_author_type_index` (`author_type`),
  KEY `posts_created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts`
--

LOCK TABLES `posts` WRITE;
/*!40000 ALTER TABLE `posts` DISABLE KEYS */;
INSERT INTO `posts` VALUES (1,'10 Strategies for Business Growth in 2023','Get expert advice on how small businesses can navigate tax season efficiently, minimize liabilities, and stay compliant with tax regulations.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/1.png',543,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(2,'Navigating Tax Season: Tips for Small Businesses','Get expert advice on how small businesses can navigate tax season efficiently, minimize liabilities, and stay compliant with tax regulations.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/2.png',1654,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(3,'The Power of Data Analytics in Business Decision-Making','Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/3.png',1498,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(4,'How to Create a Winning Marketing Plan','Explore the significance of innovation in modern business, how it drives competitiveness, and strategies for fostering a culture of innovation.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/4.png',863,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(5,'Mastering the Art of Financial Planning for Entrepreneurs','Learn the essential steps and elements to craft a winning marketing plan that effectively reaches your target audience and drives results.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',1,'news/5.png',1858,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(6,'The Role of Innovation in Modern Business','Dive into the qualities and strategies of effective leadership that inspire teams, foster growth, and achieve remarkable success.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',1,'news/6.png',893,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(7,'Startup Success Stories: Lessons from Industry Leaders','Hear inspiring stories of startup success and uncover valuable lessons from industry leaders who turned ideas into thriving businesses.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/7.png',2297,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(8,'Balancing Act: Work-Life Integration for Business Owners','Get expert advice on how small businesses can navigate tax season efficiently, minimize liabilities, and stay compliant with tax regulations.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/8.png',850,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(9,'The Impact of Sustainable Practices on Business Sustainability','Discover how data analytics can transform decision-making processes, drive innovation, and enhance competitiveness in today’s business world.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/9.png',1396,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(10,'Building a Strong Employer Brand for Talent Acquisition','Learn the essential steps and elements to craft a winning marketing plan that effectively reaches your target audience and drives results.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/10.png',1241,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(11,'Productivity Hacks for Busy Entrepreneurs','Hear inspiring stories of startup success and uncover valuable lessons from industry leaders who turned ideas into thriving businesses.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',2,'Botble\\ACL\\Models\\User',0,'news/11.png',401,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43'),(12,'The Human Factor: HR Best Practices for Businesses','Learn the essential steps and elements to craft a winning marketing plan that effectively reaches your target audience and drives results.','<p>when an unknown printer took ar galley offer type year anddey scrambled  make type aewer specimen book bethas survived not only five when annery unknown printer.eed a little help from our friends from time to time. Although we offer the one-stop convenience.</p>\n<p>eed a little help from our friends from time to time. Although we offer the one-stop convenience of annery integrated range of legal, financial services under one roof, there are occasions when our clients areaneed specia- list advice beyond the scope of our own expertise.</p>\n<blockquote>\n    <p>“ urabitur varius eros rutrum consequat Mauris aewa sollicitudin enim condimentum luctus enim justo non molestie nisl ”</p>\n</blockquote>\n<h4 class=\"title-two\">Speed Optimized</h4>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n<div class=\"bd-inner-wrap\">\n    <div class=\"row align-items-center\">\n        <div class=\"col-46\">\n            <div class=\"thumb\">\n                <img src=\"http://gerow.test/storage/news/12.png\" alt=\"News\">\n                <a href=\"https://www.youtube.com/watch?v=v2qeqkKgw7U\" class=\"play-btn popup-video\"><i class=\"fas fa-play\"></i></a>\n            </div>\n        </div>\n        <div class=\"col-54\">\n            <div class=\"content\">\n                <h3 class=\"title-two\">Conduct replied off whether arrived adapted</h3>\n                <p>when an unknown printer took a galley type remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n                <ul class=\"list-wrap\">\n                    <li><i class=\"fas fa-check-circle\"></i>Commercial Property Insurance</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Budget Friendly Theme</li>\n                    <li><i class=\"fas fa-check-circle\"></i>Happy Customers</li>\n                </ul>\n            </div>\n        </div>\n    </div>\n</div>\n<p>when an unknown printer took a galley of type and scrambled it to make a type specimen bookhas a not only five centuries, but also the leap into electronic typesetting, remaining essentially unchan galley of type and scrambled it to make a type specimen book.</p>\n','published',1,'Botble\\ACL\\Models\\User',0,'news/12.png',1556,NULL,'2023-12-08 09:13:43','2023-12-08 09:13:43');
/*!40000 ALTER TABLE `posts` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `posts_translations`
--

DROP TABLE IF EXISTS `posts_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `posts_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `posts_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`lang_code`,`posts_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `posts_translations`
--

LOCK TABLES `posts_translations` WRITE;
/*!40000 ALTER TABLE `posts_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `posts_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `revisions`
--

DROP TABLE IF EXISTS `revisions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `revisions` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `revisionable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `revisionable_id` bigint unsigned NOT NULL,
  `user_id` bigint unsigned DEFAULT NULL,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `old_value` text COLLATE utf8mb4_unicode_ci,
  `new_value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `revisions_revisionable_id_revisionable_type_index` (`revisionable_id`,`revisionable_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `revisions`
--

LOCK TABLES `revisions` WRITE;
/*!40000 ALTER TABLE `revisions` DISABLE KEYS */;
/*!40000 ALTER TABLE `revisions` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role_users`
--

DROP TABLE IF EXISTS `role_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `role_users` (
  `user_id` bigint unsigned NOT NULL,
  `role_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`user_id`,`role_id`),
  KEY `role_users_user_id_index` (`user_id`),
  KEY `role_users_role_id_index` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role_users`
--

LOCK TABLES `role_users` WRITE;
/*!40000 ALTER TABLE `role_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `role_users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `roles`
--

DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `roles` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `description` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint unsigned NOT NULL DEFAULT '0',
  `created_by` bigint unsigned NOT NULL,
  `updated_by` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `roles_slug_unique` (`slug`),
  KEY `roles_created_by_index` (`created_by`),
  KEY `roles_updated_by_index` (`updated_by`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `roles`
--

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'admin','Admin','{\"users.index\":true,\"users.create\":true,\"users.edit\":true,\"users.destroy\":true,\"roles.index\":true,\"roles.create\":true,\"roles.edit\":true,\"roles.destroy\":true,\"core.system\":true,\"core.manage.license\":true,\"extensions.index\":true,\"media.index\":true,\"files.index\":true,\"files.create\":true,\"files.edit\":true,\"files.trash\":true,\"files.destroy\":true,\"folders.index\":true,\"folders.create\":true,\"folders.edit\":true,\"folders.trash\":true,\"folders.destroy\":true,\"settings.index\":true,\"settings.options\":true,\"settings.email\":true,\"settings.media\":true,\"settings.cronjob\":true,\"settings.admin-appearance\":true,\"settings.cache\":true,\"settings.datatables\":true,\"settings.email.rules\":true,\"menus.index\":true,\"menus.create\":true,\"menus.edit\":true,\"menus.destroy\":true,\"optimize.settings\":true,\"pages.index\":true,\"pages.create\":true,\"pages.edit\":true,\"pages.destroy\":true,\"plugins.index\":true,\"plugins.edit\":true,\"plugins.remove\":true,\"plugins.marketplace\":true,\"core.appearance\":true,\"theme.index\":true,\"theme.activate\":true,\"theme.remove\":true,\"theme.options\":true,\"theme.custom-css\":true,\"theme.custom-js\":true,\"theme.custom-html\":true,\"widgets.index\":true,\"analytics.general\":true,\"analytics.page\":true,\"analytics.browser\":true,\"analytics.referrer\":true,\"analytics.settings\":true,\"audit-log.index\":true,\"audit-log.destroy\":true,\"backups.index\":true,\"backups.create\":true,\"backups.restore\":true,\"backups.destroy\":true,\"plugins.blog\":true,\"posts.index\":true,\"posts.create\":true,\"posts.edit\":true,\"posts.destroy\":true,\"categories.index\":true,\"categories.create\":true,\"categories.edit\":true,\"categories.destroy\":true,\"tags.index\":true,\"tags.create\":true,\"tags.edit\":true,\"tags.destroy\":true,\"blog.settings\":true,\"plugins.captcha\":true,\"captcha.settings\":true,\"contacts.index\":true,\"contacts.edit\":true,\"contacts.destroy\":true,\"contact.settings\":true,\"plugin.faq\":true,\"faq.index\":true,\"faq.create\":true,\"faq.edit\":true,\"faq.destroy\":true,\"faq_category.index\":true,\"faq_category.create\":true,\"faq_category.edit\":true,\"faq_category.destroy\":true,\"faqs.settings\":true,\"galleries.index\":true,\"galleries.create\":true,\"galleries.edit\":true,\"galleries.destroy\":true,\"languages.index\":true,\"languages.create\":true,\"languages.edit\":true,\"languages.destroy\":true,\"newsletter.index\":true,\"newsletter.destroy\":true,\"newsletter.settings\":true,\"plugins.portfolio\":true,\"portfolio.projects.index\":true,\"portfolio.projects.create\":true,\"portfolio.projects.edit\":true,\"portfolio.projects.destroy\":true,\"portfolio.service-categories.index\":true,\"portfolio.service-categories.create\":true,\"portfolio.service-categories.edit\":true,\"portfolio.service-categories.destroy\":true,\"portfolio.services.index\":true,\"portfolio.services.create\":true,\"portfolio.services.edit\":true,\"portfolio.services.destroy\":true,\"portfolio.packages.index\":true,\"portfolio.packages.create\":true,\"portfolio.packages.edit\":true,\"portfolio.packages.destroy\":true,\"portfolio.quotation-requests.index\":true,\"portfolio.quotation-requests.create\":true,\"portfolio.quotation-requests.edit\":true,\"portfolio.quotation-requests.destroy\":true,\"portfolio.custom-fields.index\":true,\"portfolio.custom-fields.create\":true,\"portfolio.custom-fields.edit\":true,\"portfolio.custom-fields.destroy\":true,\"team.index\":true,\"team.create\":true,\"team.edit\":true,\"team.destroy\":true,\"testimonial.index\":true,\"testimonial.create\":true,\"testimonial.edit\":true,\"testimonial.destroy\":true,\"plugins.translation\":true,\"translations.locales\":true,\"translations.theme-translations\":true,\"translations.index\":true}','Admin users role',1,2,2,'2023-12-08 09:13:38','2023-12-08 09:13:38');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `settings`
--

DROP TABLE IF EXISTS `settings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `settings` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `settings_key_unique` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=45 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `settings`
--

LOCK TABLES `settings` WRITE;
/*!40000 ALTER TABLE `settings` DISABLE KEYS */;
INSERT INTO `settings` VALUES (1,'media_random_hash','abd0d9d23c100ceb45f98bfff69bc2ac',NULL,'2023-12-08 09:13:45'),(2,'api_enabled','0',NULL,'2023-12-08 09:13:45'),(3,'activated_plugins','[\"language\",\"language-advanced\",\"analytics\",\"audit-log\",\"backup\",\"blog\",\"captcha\",\"contact\",\"cookie-consent\",\"faq\",\"gallery\",\"newsletter\",\"portfolio\",\"team\",\"testimonial\",\"translation\"]',NULL,'2023-12-08 09:13:45'),(4,'theme','gerow',NULL,'2023-12-08 09:13:45'),(5,'show_admin_bar','1',NULL,'2023-12-08 09:13:45'),(6,'language_hide_default','1',NULL,'2023-12-08 09:13:45'),(7,'language_switcher_display','dropdown',NULL,'2023-12-08 09:13:45'),(8,'language_display','all',NULL,'2023-12-08 09:13:45'),(9,'language_hide_languages','[]',NULL,'2023-12-08 09:13:45'),(10,'theme-gerow-site_title','Gerow - Business Consulting',NULL,'2023-12-08 09:13:45'),(11,'theme-gerow-seo_description','With experience, we make sure to get every project done very fast and in time with high quality using our Botble CMS https://1.envato.market/LWRBY',NULL,'2023-12-08 09:13:45'),(12,'theme-gerow-favicon','general/favicon.png',NULL,'2023-12-08 09:13:45'),(13,'theme-gerow-website','https://botble.com',NULL,'2023-12-08 09:13:45'),(14,'theme-gerow-contact_email','support@botble.com',NULL,'2023-12-08 09:13:45'),(15,'theme-gerow-site_description','At Gerow, we specialize in comprehensive business solutions designed to enhance your operational efficiency and supply chain excellence. Whether you’re a seasoned entrepreneur looking to fine-tune your strategies, a startup seeking guidance, or a business professional looking for insights and solutions, our platform is your one-stop destination. Our team of experts and a wealth of resources are here to empower your journey towards business excellence. Explore our offerings and discover how we can be your partner in success.',NULL,'2023-12-08 09:13:45'),(16,'theme-gerow-phone','+01-246-357',NULL,'2023-12-08 09:13:45'),(17,'theme-gerow-address','4517 Washington Ave. Manchester, Kentucky 39495',NULL,'2023-12-08 09:13:45'),(18,'theme-gerow-cookie_consent_message','Your experience on this site will be improved by allowing cookies ',NULL,'2023-12-08 09:13:45'),(19,'theme-gerow-cookie_consent_learn_more_url','/cookie-policy',NULL,'2023-12-08 09:13:45'),(20,'theme-gerow-cookie_consent_learn_more_text','Cookie Policy',NULL,'2023-12-08 09:13:45'),(21,'theme-gerow-homepage_id','1',NULL,'2023-12-08 09:13:45'),(22,'theme-gerow-logo','general/logo.png',NULL,'2023-12-08 09:13:45'),(23,'theme-gerow-primary_color','#0055FF',NULL,'2023-12-08 09:13:45'),(24,'theme-gerow-primary_hover_color','#0049DC',NULL,'2023-12-08 09:13:45'),(25,'theme-gerow-secondary_color','#00194C',NULL,'2023-12-08 09:13:45'),(26,'theme-gerow-heading_color','#00194C',NULL,'2023-12-08 09:13:45'),(27,'theme-gerow-text_color','#334770',NULL,'2023-12-08 09:13:45'),(28,'theme-gerow-heading_font','Urbanist',NULL,'2023-12-08 09:13:45'),(29,'theme-gerow-primary_font','Plus Jakarta Sans',NULL,'2023-12-08 09:13:45'),(30,'theme-gerow-blog_page_id','19',NULL,'2023-12-08 09:13:45'),(31,'theme-gerow-breadcrumb_background','general/breadcrumb-bg.png',NULL,'2023-12-08 09:13:45'),(32,'theme-gerow-breadcrumb_first_shape_image','backgrounds/breadcrumb-shape01.png',NULL,'2023-12-08 09:13:45'),(33,'theme-gerow-breadcrumb_second_shape_image','backgrounds/breadcrumb-shape02.png',NULL,'2023-12-08 09:13:45'),(34,'theme-gerow-footer_background_image','backgrounds/bg-footer.png',NULL,'2023-12-08 09:13:45'),(35,'theme-gerow-footer_background_color','#fff',NULL,'2023-12-08 09:13:45'),(36,'theme-gerow-footer_text_color','#00194C',NULL,'2023-12-08 09:13:45'),(37,'theme-gerow-footer_text_muted_color','#334770',NULL,'2023-12-08 09:13:45'),(38,'theme-gerow-footer_border_color','#0055FF',NULL,'2023-12-08 09:13:45'),(39,'theme-gerow-footer_bottom_background_color','#fff',NULL,'2023-12-08 09:13:45'),(40,'theme-gerow-social_links','[[{\"key\":\"social-name\",\"value\":\"Facebook\"},{\"key\":\"social-icon\",\"value\":\"fab fa-facebook-f\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.facebook.com\\/\"}],[{\"key\":\"social-name\",\"value\":\"Instagram\"},{\"key\":\"social-icon\",\"value\":\"fab fa-instagram\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.instagram.com\\/\"}],[{\"key\":\"social-name\",\"value\":\"Twitter\"},{\"key\":\"social-icon\",\"value\":\"fab fa-twitter\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.twitter.com\\/\"}],[{\"key\":\"social-name\",\"value\":\"YouTube\"},{\"key\":\"social-icon\",\"value\":\"fab fa-youtube\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.youtube.com\\/\"}],[{\"key\":\"social-name\",\"value\":\"Pinterest\"},{\"key\":\"social-icon\",\"value\":\"fab fa-pinterest-p\"},{\"key\":\"social-url\",\"value\":\"https:\\/\\/www.pinterest.com\\/\"}]]',NULL,'2023-12-08 09:13:45'),(41,'admin_logo','general/logo-white.png',NULL,NULL),(42,'admin_favicon','general/favicon.png',NULL,NULL),(43,'permalink-botble-blog-models-post','blog',NULL,NULL),(44,'permalink-botble-blog-models-category','blog',NULL,NULL);
/*!40000 ALTER TABLE `settings` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs`
--

DROP TABLE IF EXISTS `slugs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `reference_id` bigint unsigned NOT NULL,
  `reference_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `slugs_reference_id_index` (`reference_id`),
  KEY `slugs_key_index` (`key`),
  KEY `slugs_prefix_index` (`prefix`),
  KEY `slugs_reference_index` (`reference_id`,`reference_type`)
) ENGINE=InnoDB AUTO_INCREMENT=97 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs`
--

LOCK TABLES `slugs` WRITE;
/*!40000 ALTER TABLE `slugs` DISABLE KEYS */;
INSERT INTO `slugs` VALUES (1,'home',1,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(2,'consulting',2,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(3,'insurance',3,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(4,'digital-agency',4,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(5,'business',5,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(6,'about',6,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(7,'about-2',7,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(8,'about-3',8,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(9,'about-4',9,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(10,'about-5',10,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(11,'services',11,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(12,'services-2',12,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(13,'services-3',13,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(14,'services-4',14,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(15,'services-5',15,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(16,'cookies',16,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(17,'terms-of-service',17,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(18,'privacy-policy',18,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(19,'blog',19,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(20,'contact',20,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(21,'careers',21,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(22,'company',22,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(23,'case-studies',23,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(24,'how-it-work',24,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(25,'partners',25,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(26,'pricing',26,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(27,'testimonials',27,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(28,'projects',28,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(29,'faqs',29,'Botble\\Page\\Models\\Page','','2023-12-08 09:13:42','2023-12-08 09:13:42'),(30,'business',1,'Botble\\Gallery\\Models\\Gallery','galleries','2023-12-08 09:13:43','2023-12-08 09:13:43'),(31,'innovation',2,'Botble\\Gallery\\Models\\Gallery','galleries','2023-12-08 09:13:43','2023-12-08 09:13:43'),(32,'leadership',3,'Botble\\Gallery\\Models\\Gallery','galleries','2023-12-08 09:13:43','2023-12-08 09:13:43'),(33,'technology',4,'Botble\\Gallery\\Models\\Gallery','galleries','2023-12-08 09:13:43','2023-12-08 09:13:43'),(34,'success',5,'Botble\\Gallery\\Models\\Gallery','galleries','2023-12-08 09:13:43','2023-12-08 09:13:43'),(35,'entrepreneurship',6,'Botble\\Gallery\\Models\\Gallery','galleries','2023-12-08 09:13:43','2023-12-08 09:13:43'),(36,'business-strategy',1,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(37,'market-research',2,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(38,'financial-management',3,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(39,'entrepreneurship',4,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(40,'career-development',5,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(41,'startups',6,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(42,'success-stories',7,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(43,'industry-insights',8,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(44,'human-resources',9,'Botble\\Blog\\Models\\Category','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(45,'strategy',1,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(46,'marketing',2,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(47,'finance',3,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(48,'management',4,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(49,'networking',5,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(50,'leadership',6,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(51,'technology',7,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(52,'investment',8,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(53,'branding',9,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(54,'sales',10,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(55,'sustainability',11,'Botble\\Blog\\Models\\Tag','tag','2023-12-08 09:13:43','2023-12-08 09:13:43'),(56,'10-strategies-for-business-growth-in-2023',1,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(57,'navigating-tax-season-tips-for-small-businesses',2,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(58,'the-power-of-data-analytics-in-business-decision-making',3,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(59,'how-to-create-a-winning-marketing-plan',4,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(60,'mastering-the-art-of-financial-planning-for-entrepreneurs',5,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(61,'the-role-of-innovation-in-modern-business',6,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(62,'startup-success-stories-lessons-from-industry-leaders',7,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(63,'balancing-act-work-life-integration-for-business-owners',8,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(64,'the-impact-of-sustainable-practices-on-business-sustainability',9,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(65,'building-a-strong-employer-brand-for-talent-acquisition',10,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(66,'productivity-hacks-for-busy-entrepreneurs',11,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:43','2023-12-08 09:13:45'),(67,'the-human-factor-hr-best-practices-for-businesses',12,'Botble\\Blog\\Models\\Post','blog','2023-12-08 09:13:44','2023-12-08 09:13:45'),(68,'brooklyn-simmons',1,'Botble\\Team\\Models\\Team','teams','2023-12-08 09:13:44','2023-12-08 09:13:44'),(69,'jenny-wilson',2,'Botble\\Team\\Models\\Team','teams','2023-12-08 09:13:44','2023-12-08 09:13:44'),(70,'devon-lane',3,'Botble\\Team\\Models\\Team','teams','2023-12-08 09:13:44','2023-12-08 09:13:44'),(71,'marvin-mckinney',4,'Botble\\Team\\Models\\Team','teams','2023-12-08 09:13:44','2023-12-08 09:13:44'),(72,'data-analyst',1,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(73,'liability-planner',2,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(74,'growth-planner',3,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(75,'risk-manager',4,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(76,'retirement-planner',5,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(77,'risk-analyst',6,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(78,'insurance-expert',7,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(79,'budget-manager',8,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(80,'strategy-adviser',9,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(81,'operations-expert',10,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(82,'profit-strategist',11,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(83,'objective-planner',12,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(84,'goal-specialist',13,'Botble\\Portfolio\\Models\\Service','services','2023-12-08 09:13:45','2023-12-08 09:13:45'),(85,'basic-plan',1,'Botble\\Portfolio\\Models\\Package','packages','2023-12-08 09:13:45','2023-12-08 09:13:45'),(86,'team-plan',2,'Botble\\Portfolio\\Models\\Package','packages','2023-12-08 09:13:45','2023-12-08 09:13:45'),(87,'enterprise-plan',3,'Botble\\Portfolio\\Models\\Package','packages','2023-12-08 09:13:45','2023-12-08 09:13:45'),(88,'innovation-hub-navigating-the-future',1,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45'),(89,'leadership-excellence-initiative',2,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45'),(90,'startup-accelerator-program',3,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45'),(91,'marketing-mastery-series',4,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45'),(92,'illustration-design',5,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45'),(93,'design-development',6,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45'),(94,'marketing-consultancy',7,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45'),(95,'digital-marketing',8,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45'),(96,'strategic-planning',9,'Botble\\Portfolio\\Models\\Project','projects','2023-12-08 09:13:45','2023-12-08 09:13:45');
/*!40000 ALTER TABLE `slugs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `slugs_translations`
--

DROP TABLE IF EXISTS `slugs_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `slugs_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `slugs_id` bigint unsigned NOT NULL,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `prefix` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT '',
  PRIMARY KEY (`lang_code`,`slugs_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `slugs_translations`
--

LOCK TABLES `slugs_translations` WRITE;
/*!40000 ALTER TABLE `slugs_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `slugs_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags`
--

DROP TABLE IF EXISTS `tags`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `author_id` bigint unsigned DEFAULT NULL,
  `author_type` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Botble\\ACL\\Models\\User',
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT '',
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags`
--

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
INSERT INTO `tags` VALUES (1,'Strategy',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(2,'Marketing',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(3,'Finance',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(4,'Management',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(5,'Networking',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(6,'Leadership',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(7,'Technology',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(8,'Investment',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(9,'Branding',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(10,'Sales',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43'),(11,'Sustainability',NULL,'Botble\\ACL\\Models\\User','','published','2023-12-08 09:13:43','2023-12-08 09:13:43');
/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tags_translations`
--

DROP TABLE IF EXISTS `tags_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tags_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `tags_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`tags_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tags_translations`
--

LOCK TABLES `tags_translations` WRITE;
/*!40000 ALTER TABLE `tags_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `tags_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams`
--

DROP TABLE IF EXISTS `teams`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `photo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `socials` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci,
  `phone` varchar(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` varchar(400) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams`
--

LOCK TABLES `teams` WRITE;
/*!40000 ALTER TABLE `teams` DISABLE KEYS */;
INSERT INTO `teams` VALUES (1,'Brooklyn Simmons','teams/3-1.png','Founder / CEO','USA','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2023-12-08 09:13:44','2023-12-08 09:13:44','<div>[team-skill title=\"My Expertise & Skills\" description=\"We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.\" quantity=\"3\" title_1=\"Finance Consultancy\" index_1=\"65\" title_2=\"Business\" index_2=\"80\" title_3=\"Marketing\" index_3=\"90\"][/team-skill]</div><p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','0888952423','simonss@gmail.com','22301 Havard BLVD Torrance CA',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(2,'Jenny Wilson','teams/3-2.png','Finance Advisor','Qatar','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2023-12-08 09:13:44','2023-12-08 09:13:44','<div>[team-skill title=\"My Expertise & Skills\" description=\"We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.\" quantity=\"3\" title_1=\"Finance Consultancy\" index_1=\"65\" title_2=\"Business\" index_2=\"80\" title_3=\"Marketing\" index_3=\"90\"][/team-skill]</div><p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','009744848000','jenniwilson152@gmail.com','West Bay Lagoon, P.O',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(3,'Devon Lane','teams/3-3.png','Sales Agent','India','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2023-12-08 09:13:44','2023-12-08 09:13:44','<div>[team-skill title=\"My Expertise & Skills\" description=\"We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.\" quantity=\"3\" title_1=\"Finance Consultancy\" index_1=\"65\" title_2=\"Business\" index_2=\"80\" title_3=\"Marketing\" index_3=\"90\"][/team-skill]</div><p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','01123259241','devonsoland111@gmail.com','4855, 24, Ansari Road, Darya Ganj',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally'),(4,'Marvin McKinney','teams/3-4.png','Business Manager','Thailand','{\"facebook\":\"https:\\/\\/www.facebook.com\\/\",\"twitter\":\"https:\\/\\/twitter.com\\/\",\"instagram\":\"https:\\/\\/www.instagram.com\\/\"}','published','2023-12-08 09:13:44','2023-12-08 09:13:44','<div>[team-skill title=\"My Expertise & Skills\" description=\"We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.\" quantity=\"3\" title_1=\"Finance Consultancy\" index_1=\"65\" title_2=\"Business\" index_2=\"80\" title_3=\"Marketing\" index_3=\"90\"][/team-skill]</div><p>Our diverse team of experts brings a wealth of knowledge and experience across various industries. We are united by a shared passion for excellence and a commitment to providing innovative solutions for your business needs. Get to know the faces driving our success and learn how their expertise can contribute to yours.</p>','6623742088','marvinkensy@gmail.com','849 Sukhapibal 1 Klong Chan Bang Kapi',NULL,'Sharing content online allows you to craft an online persona that reflects your personal values and professional skills. Even if you only use social media occasionally');
/*!40000 ALTER TABLE `teams` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `teams_translations`
--

DROP TABLE IF EXISTS `teams_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `teams_translations` (
  `lang_code` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `teams_id` int NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`teams_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `teams_translations`
--

LOCK TABLES `teams_translations` WRITE;
/*!40000 ALTER TABLE `teams_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `teams_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials`
--

DROP TABLE IF EXISTS `testimonials`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `image` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'published',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials`
--

LOCK TABLES `testimonials` WRITE;
/*!40000 ALTER TABLE `testimonials` DISABLE KEYS */;
INSERT INTO `testimonials` VALUES (1,'Guy Hawkins','Exceptional service! Gerow’s attention to detail and reliability have been instrumental in our supply chain success.','testimonials/1.png','Rodriguez Enterprises','published','2023-12-08 09:13:44','2023-12-08 09:13:44'),(2,'Eleanor Pena','Gerow has consistently met and exceeded our logistics needs. Their dedication to excellence is truly commendable.','testimonials/2.png','ChenTech Solutions','published','2023-12-08 09:13:44','2023-12-08 09:13:44'),(3,'Cody Fisher','Their team is a valuable asset to our business operations. Gerow’s efficient service has saved us time and money.','testimonials/3.png','Foster &amp; Co.','published','2023-12-08 09:13:44','2023-12-08 09:13:44'),(4,'Albert Flores','Gerow’s attention to detail and professionalism have made them our preferred logistics partner. Highly recommended!','testimonials/4.png','Bank of America','published','2023-12-08 09:13:44','2023-12-08 09:13:44');
/*!40000 ALTER TABLE `testimonials` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `testimonials_translations`
--

DROP TABLE IF EXISTS `testimonials_translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `testimonials_translations` (
  `lang_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `testimonials_id` bigint unsigned NOT NULL,
  `name` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8mb4_unicode_ci,
  `company` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`lang_code`,`testimonials_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `testimonials_translations`
--

LOCK TABLES `testimonials_translations` WRITE;
/*!40000 ALTER TABLE `testimonials_translations` DISABLE KEYS */;
/*!40000 ALTER TABLE `testimonials_translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `translations`
--

DROP TABLE IF EXISTS `translations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `translations` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `status` int NOT NULL DEFAULT '0',
  `locale` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `group` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2194 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `translations`
--

LOCK TABLES `translations` WRITE;
/*!40000 ALTER TABLE `translations` DISABLE KEYS */;
INSERT INTO `translations` VALUES (1,1,'en','auth','failed','These credentials do not match our records.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(2,1,'en','auth','password','The provided password is incorrect.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(3,1,'en','auth','throttle','Too many login attempts. Please try again in :seconds seconds.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(4,1,'en','pagination','previous','&laquo; Previous','2023-12-08 09:13:46','2023-12-08 09:13:46'),(5,1,'en','pagination','next','Next &raquo;','2023-12-08 09:13:46','2023-12-08 09:13:46'),(6,1,'en','passwords','reset','Your password has been reset!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(7,1,'en','passwords','sent','We have emailed your password reset link!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(8,1,'en','passwords','throttled','Please wait before retrying.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(9,1,'en','passwords','token','This password reset token is invalid.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(10,1,'en','passwords','user','We can\'t find a user with that email address.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(11,1,'en','validation','accepted','The :attribute must be accepted.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(12,1,'en','validation','accepted_if','The :attribute must be accepted when :other is :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(13,1,'en','validation','active_url','The :attribute is not a valid URL.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(14,1,'en','validation','after','The :attribute must be a date after :date.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(15,1,'en','validation','after_or_equal','The :attribute must be a date after or equal to :date.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(16,1,'en','validation','alpha','The :attribute must only contain letters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(17,1,'en','validation','alpha_dash','The :attribute must only contain letters, numbers, dashes and underscores.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(18,1,'en','validation','alpha_num','The :attribute must only contain letters and numbers.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(19,1,'en','validation','array','The :attribute must be an array.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(20,1,'en','validation','ascii','The :attribute field must only contain single-byte alphanumeric characters and symbols.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(21,1,'en','validation','before','The :attribute must be a date before :date.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(22,1,'en','validation','before_or_equal','The :attribute must be a date before or equal to :date.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(23,1,'en','validation','between.array','The :attribute must have between :min and :max items.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(24,1,'en','validation','between.file','The :attribute must be between :min and :max kilobytes.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(25,1,'en','validation','between.numeric','The :attribute must be between :min and :max.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(26,1,'en','validation','between.string','The :attribute must be between :min and :max characters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(27,1,'en','validation','boolean','The :attribute field must be true or false.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(28,1,'en','validation','can','The :attribute field contains an unauthorized value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(29,1,'en','validation','confirmed','The :attribute confirmation does not match.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(30,1,'en','validation','current_password','The password is incorrect.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(31,1,'en','validation','date','The :attribute is not a valid date.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(32,1,'en','validation','date_equals','The :attribute must be a date equal to :date.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(33,1,'en','validation','date_format','The :attribute does not match the format :format.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(34,1,'en','validation','decimal','The :attribute field must have :decimal decimal places.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(35,1,'en','validation','declined','The :attribute must be declined.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(36,1,'en','validation','declined_if','The :attribute must be declined when :other is :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(37,1,'en','validation','different','The :attribute and :other must be different.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(38,1,'en','validation','digits','The :attribute must be :digits digits.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(39,1,'en','validation','digits_between','The :attribute must be between :min and :max digits.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(40,1,'en','validation','dimensions','The :attribute has invalid image dimensions.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(41,1,'en','validation','distinct','The :attribute field has a duplicate value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(42,1,'en','validation','doesnt_end_with','The :attribute field must not end with one of the following: :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(43,1,'en','validation','doesnt_start_with','The :attribute may not start with one of the following: :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(44,1,'en','validation','email','The :attribute must be a valid email address.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(45,1,'en','validation','ends_with','The :attribute must end with one of the following: :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(46,1,'en','validation','enum','The selected :attribute is invalid.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(47,1,'en','validation','exists','The selected :attribute is invalid.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(48,1,'en','validation','extensions','The :attribute field must have one of the following extensions: :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(49,1,'en','validation','file','The :attribute must be a file.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(50,1,'en','validation','filled','The :attribute field must have a value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(51,1,'en','validation','gt.array','The :attribute must have more than :value items.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(52,1,'en','validation','gt.file','The :attribute must be greater than :value kilobytes.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(53,1,'en','validation','gt.numeric','The :attribute must be greater than :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(54,1,'en','validation','gt.string','The :attribute must be greater than :value characters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(55,1,'en','validation','gte.array','The :attribute must have :value items or more.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(56,1,'en','validation','gte.file','The :attribute must be greater than or equal to :value kilobytes.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(57,1,'en','validation','gte.numeric','The :attribute must be greater than or equal to :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(58,1,'en','validation','gte.string','The :attribute must be greater than or equal to :value characters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(59,1,'en','validation','hex_color','The :attribute field must be a valid hexadecimal color.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(60,1,'en','validation','image','The :attribute must be an image.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(61,1,'en','validation','in','The selected :attribute is invalid.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(62,1,'en','validation','in_array','The :attribute field does not exist in :other.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(63,1,'en','validation','integer','The :attribute must be an integer.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(64,1,'en','validation','ip','The :attribute must be a valid IP address.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(65,1,'en','validation','ipv4','The :attribute must be a valid IPv4 address.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(66,1,'en','validation','ipv6','The :attribute must be a valid IPv6 address.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(67,1,'en','validation','json','The :attribute must be a valid JSON string.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(68,1,'en','validation','lowercase','The :attribute field must be lowercase.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(69,1,'en','validation','lt.array','The :attribute must have less than :value items.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(70,1,'en','validation','lt.file','The :attribute must be less than :value kilobytes.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(71,1,'en','validation','lt.numeric','The :attribute must be less than :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(72,1,'en','validation','lt.string','The :attribute must be less than :value characters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(73,1,'en','validation','lte.array','The :attribute must not have more than :value items.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(74,1,'en','validation','lte.file','The :attribute must be less than or equal to :value kilobytes.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(75,1,'en','validation','lte.numeric','The :attribute must be less than or equal to :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(76,1,'en','validation','lte.string','The :attribute must be less than or equal to :value characters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(77,1,'en','validation','mac_address','The :attribute must be a valid MAC address.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(78,1,'en','validation','max.array','The :attribute must not have more than :max items.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(79,1,'en','validation','max.file','The :attribute must not be greater than :max kilobytes.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(80,1,'en','validation','max.numeric','The :attribute must not be greater than :max.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(81,1,'en','validation','max.string','The :attribute must not be greater than :max characters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(82,1,'en','validation','max_digits','The :attribute field must not have more than :max digits.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(83,1,'en','validation','mimes','The :attribute must be a file of type: :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(84,1,'en','validation','mimetypes','The :attribute must be a file of type: :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(85,1,'en','validation','min.array','The :attribute must have at least :min items.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(86,1,'en','validation','min.file','The :attribute must be at least :min kilobytes.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(87,1,'en','validation','min.numeric','The :attribute must be at least :min.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(88,1,'en','validation','min.string','The :attribute must be at least :min characters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(89,1,'en','validation','min_digits','The :attribute field must have at least :min digits.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(90,1,'en','validation','missing','The :attribute field must be missing.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(91,1,'en','validation','missing_if','The :attribute field must be missing when :other is :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(92,1,'en','validation','missing_unless','The :attribute field must be missing unless :other is :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(93,1,'en','validation','missing_with','The :attribute field must be missing when :values is present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(94,1,'en','validation','missing_with_all','The :attribute field must be missing when :values are present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(95,1,'en','validation','multiple_of','The :attribute must be a multiple of :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(96,1,'en','validation','not_in','The selected :attribute is invalid.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(97,1,'en','validation','not_regex','The :attribute format is invalid.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(98,1,'en','validation','numeric','The :attribute must be a number.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(99,1,'en','validation','password.letters','The :attribute must contain at least one letter.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(100,1,'en','validation','password.mixed','The :attribute must contain at least one uppercase and one lowercase letter.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(101,1,'en','validation','password.numbers','The :attribute must contain at least one number.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(102,1,'en','validation','password.symbols','The :attribute must contain at least one symbol.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(103,1,'en','validation','password.uncompromised','The given :attribute has appeared in a data leak. Please choose a different :attribute.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(104,1,'en','validation','present','The :attribute field must be present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(105,1,'en','validation','present_if','The :attribute field must be present when :other is :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(106,1,'en','validation','present_unless','The :attribute field must be present unless :other is :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(107,1,'en','validation','present_with','The :attribute field must be present when :values is present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(108,1,'en','validation','present_with_all','The :attribute field must be present when :values are present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(109,1,'en','validation','prohibited','The :attribute field is prohibited.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(110,1,'en','validation','prohibited_if','The :attribute field is prohibited when :other is :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(111,1,'en','validation','prohibited_unless','The :attribute field is prohibited unless :other is in :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(112,1,'en','validation','prohibits','The :attribute field prohibits :other from being present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(113,1,'en','validation','regex','The :attribute format is invalid.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(114,1,'en','validation','required','The :attribute field is required.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(115,1,'en','validation','required_array_keys','The :attribute field must contain entries for: :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(116,1,'en','validation','required_if','The :attribute field is required when :other is :value.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(117,1,'en','validation','required_if_accepted','The :attribute field is required when :other is accepted.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(118,1,'en','validation','required_unless','The :attribute field is required unless :other is in :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(119,1,'en','validation','required_with','The :attribute field is required when :values is present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(120,1,'en','validation','required_with_all','The :attribute field is required when :values are present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(121,1,'en','validation','required_without','The :attribute field is required when :values is not present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(122,1,'en','validation','required_without_all','The :attribute field is required when none of :values are present.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(123,1,'en','validation','same','The :attribute and :other must match.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(124,1,'en','validation','size.array','The :attribute must contain :size items.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(125,1,'en','validation','size.file','The :attribute must be :size kilobytes.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(126,1,'en','validation','size.numeric','The :attribute must be :size.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(127,1,'en','validation','size.string','The :attribute must be :size characters.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(128,1,'en','validation','starts_with','The :attribute must start with one of the following: :values.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(129,1,'en','validation','string','The :attribute must be a string.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(130,1,'en','validation','timezone','The :attribute must be a valid timezone.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(131,1,'en','validation','unique','The :attribute has already been taken.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(132,1,'en','validation','uploaded','The :attribute failed to upload.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(133,1,'en','validation','uppercase','The :attribute field must be uppercase.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(134,1,'en','validation','url','The :attribute must be a valid URL.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(135,1,'en','validation','ulid','The :attribute field must be a valid ULID.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(136,1,'en','validation','uuid','The :attribute must be a valid UUID.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(137,1,'en','validation','custom.attribute-name.rule-name','custom-message','2023-12-08 09:13:46','2023-12-08 09:13:46'),(138,1,'en','core/acl/auth','login.username','Email/Username','2023-12-08 09:13:46','2023-12-08 09:13:46'),(139,1,'en','core/acl/auth','login.email','Email','2023-12-08 09:13:46','2023-12-08 09:13:46'),(140,1,'en','core/acl/auth','login.password','Password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(141,1,'en','core/acl/auth','login.title','User Login','2023-12-08 09:13:46','2023-12-08 09:13:46'),(142,1,'en','core/acl/auth','login.remember','Remember me?','2023-12-08 09:13:46','2023-12-08 09:13:46'),(143,1,'en','core/acl/auth','login.login','Sign in','2023-12-08 09:13:46','2023-12-08 09:13:46'),(144,1,'en','core/acl/auth','login.placeholder.username','Enter your username or email address','2023-12-08 09:13:46','2023-12-08 09:13:46'),(145,1,'en','core/acl/auth','login.placeholder.email','Enter your email address','2023-12-08 09:13:46','2023-12-08 09:13:46'),(146,1,'en','core/acl/auth','login.placeholder.password','Enter your password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(147,1,'en','core/acl/auth','login.success','Login successfully!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(148,1,'en','core/acl/auth','login.fail','Wrong username or password.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(149,1,'en','core/acl/auth','login.not_active','Your account has not been activated yet!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(150,1,'en','core/acl/auth','login.banned','This account is banned.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(151,1,'en','core/acl/auth','login.logout_success','Logout successfully!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(152,1,'en','core/acl/auth','login.dont_have_account','You don\'t have account on this system, please contact administrator for more information!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(153,1,'en','core/acl/auth','forgot_password.title','Forgot Password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(154,1,'en','core/acl/auth','forgot_password.message','<p>Have you forgotten your password?</p><p>Please enter your email account. System will send a email with active link to reset your password.</p>','2023-12-08 09:13:46','2023-12-08 09:13:46'),(155,1,'en','core/acl/auth','forgot_password.submit','Submit','2023-12-08 09:13:46','2023-12-08 09:13:46'),(156,1,'en','core/acl/auth','reset.new_password','New password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(157,1,'en','core/acl/auth','reset.password_confirmation','Confirm new password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(158,1,'en','core/acl/auth','reset.email','Email','2023-12-08 09:13:46','2023-12-08 09:13:46'),(159,1,'en','core/acl/auth','reset.title','Reset your password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(160,1,'en','core/acl/auth','reset.update','Update','2023-12-08 09:13:46','2023-12-08 09:13:46'),(161,1,'en','core/acl/auth','reset.wrong_token','This link is invalid or expired. Please try using reset form again.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(162,1,'en','core/acl/auth','reset.user_not_found','This username is not exist.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(163,1,'en','core/acl/auth','reset.success','Reset password successfully!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(164,1,'en','core/acl/auth','reset.fail','Token is invalid, the reset password link has been expired!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(165,1,'en','core/acl/auth','reset.reset.title','Email reset password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(166,1,'en','core/acl/auth','reset.send.success','A email was sent to your email account. Please check and complete this action.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(167,1,'en','core/acl/auth','reset.send.fail','Can not send email in this time. Please try again later.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(168,1,'en','core/acl/auth','reset.new-password','New password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(169,1,'en','core/acl/auth','reset.placeholder.new_password','Enter your new password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(170,1,'en','core/acl/auth','reset.placeholder.new_password_confirmation','Confirm your new password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(171,1,'en','core/acl/auth','email.reminder.title','Email reset password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(172,1,'en','core/acl/auth','password_confirmation','Password confirm','2023-12-08 09:13:46','2023-12-08 09:13:46'),(173,1,'en','core/acl/auth','failed','Failed','2023-12-08 09:13:46','2023-12-08 09:13:46'),(174,1,'en','core/acl/auth','throttle','Throttle','2023-12-08 09:13:46','2023-12-08 09:13:46'),(175,1,'en','core/acl/auth','not_member','Not a member yet?','2023-12-08 09:13:46','2023-12-08 09:13:46'),(176,1,'en','core/acl/auth','register_now','Register now','2023-12-08 09:13:46','2023-12-08 09:13:46'),(177,1,'en','core/acl/auth','lost_your_password','Lost your password?','2023-12-08 09:13:46','2023-12-08 09:13:46'),(178,1,'en','core/acl/auth','login_title','Admin','2023-12-08 09:13:46','2023-12-08 09:13:46'),(179,1,'en','core/acl/auth','login_via_social','Login with social networks','2023-12-08 09:13:46','2023-12-08 09:13:46'),(180,1,'en','core/acl/auth','back_to_login','Back to login page','2023-12-08 09:13:46','2023-12-08 09:13:46'),(181,1,'en','core/acl/auth','sign_in_below','Sign In Below','2023-12-08 09:13:46','2023-12-08 09:13:46'),(182,1,'en','core/acl/auth','languages','Languages','2023-12-08 09:13:46','2023-12-08 09:13:46'),(183,1,'en','core/acl/auth','reset_password','Reset Password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(184,1,'en','core/acl/auth','settings.email.title','ACL','2023-12-08 09:13:46','2023-12-08 09:13:46'),(185,1,'en','core/acl/auth','settings.email.description','ACL email configuration','2023-12-08 09:13:46','2023-12-08 09:13:46'),(186,1,'en','core/acl/permissions','notices.role_in_use','Cannot delete this role, it is still in use!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(187,1,'en','core/acl/permissions','notices.role_delete_belong_user','You are not able to delete this role; it belongs to someone else!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(188,1,'en','core/acl/permissions','notices.role_edit_belong_user','You are not able to edit this role; it belongs to someone else!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(189,1,'en','core/acl/permissions','notices.delete_global_role','You are not allowed to delete global roles!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(190,1,'en','core/acl/permissions','notices.delete_success','The selected role was deleted successfully!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(191,1,'en','core/acl/permissions','notices.modified_success','The selected role was modified successfully!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(192,1,'en','core/acl/permissions','notices.create_success','The new role was successfully created','2023-12-08 09:13:46','2023-12-08 09:13:46'),(193,1,'en','core/acl/permissions','notices.duplicated_success','The selected role was duplicated successfully','2023-12-08 09:13:46','2023-12-08 09:13:46'),(194,1,'en','core/acl/permissions','notices.no_select','Please select at least one record to take this action!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(195,1,'en','core/acl/permissions','notices.not_found','Role not found','2023-12-08 09:13:46','2023-12-08 09:13:46'),(196,1,'en','core/acl/permissions','name','Name','2023-12-08 09:13:46','2023-12-08 09:13:46'),(197,1,'en','core/acl/permissions','current_role','Current Role','2023-12-08 09:13:46','2023-12-08 09:13:46'),(198,1,'en','core/acl/permissions','no_role_assigned','No role assigned','2023-12-08 09:13:46','2023-12-08 09:13:46'),(199,1,'en','core/acl/permissions','role_assigned','Assigned Role','2023-12-08 09:13:46','2023-12-08 09:13:46'),(200,1,'en','core/acl/permissions','create_role','Create New Role','2023-12-08 09:13:46','2023-12-08 09:13:46'),(201,1,'en','core/acl/permissions','role_name','Name','2023-12-08 09:13:46','2023-12-08 09:13:46'),(202,1,'en','core/acl/permissions','role_description','Description','2023-12-08 09:13:46','2023-12-08 09:13:46'),(203,1,'en','core/acl/permissions','permission_flags','Permission Flags','2023-12-08 09:13:46','2023-12-08 09:13:46'),(204,1,'en','core/acl/permissions','cancel','Cancel','2023-12-08 09:13:46','2023-12-08 09:13:46'),(205,1,'en','core/acl/permissions','reset','Reset','2023-12-08 09:13:46','2023-12-08 09:13:46'),(206,1,'en','core/acl/permissions','save','Save','2023-12-08 09:13:46','2023-12-08 09:13:46'),(207,1,'en','core/acl/permissions','global_role_msg','This is a global role and cannot be modified.  You can use the Duplicate button to make a copy of this role that you can then modify.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(208,1,'en','core/acl/permissions','details','Details \":name\"','2023-12-08 09:13:46','2023-12-08 09:13:46'),(209,1,'en','core/acl/permissions','duplicate','Duplicate','2023-12-08 09:13:46','2023-12-08 09:13:46'),(210,1,'en','core/acl/permissions','all','All Permissions','2023-12-08 09:13:46','2023-12-08 09:13:46'),(211,1,'en','core/acl/permissions','list_role','List Roles','2023-12-08 09:13:46','2023-12-08 09:13:46'),(212,1,'en','core/acl/permissions','created_on','Created On','2023-12-08 09:13:46','2023-12-08 09:13:46'),(213,1,'en','core/acl/permissions','created_by','Created By','2023-12-08 09:13:46','2023-12-08 09:13:46'),(214,1,'en','core/acl/permissions','actions','Actions','2023-12-08 09:13:46','2023-12-08 09:13:46'),(215,1,'en','core/acl/permissions','role_in_use','Cannot delete this role, it is still in use!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(216,1,'en','core/acl/permissions','role_delete_belong_user','You are not able to delete this role; it belongs to someone else!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(217,1,'en','core/acl/permissions','delete_global_role','Can not delete global role','2023-12-08 09:13:46','2023-12-08 09:13:46'),(218,1,'en','core/acl/permissions','delete_success','Delete role successfully','2023-12-08 09:13:46','2023-12-08 09:13:46'),(219,1,'en','core/acl/permissions','no_select','Please select at least one role to take this action!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(220,1,'en','core/acl/permissions','not_found','No role found!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(221,1,'en','core/acl/permissions','role_edit_belong_user','You are not able to edit this role; it belongs to someone else!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(222,1,'en','core/acl/permissions','modified_success','Modified successfully','2023-12-08 09:13:46','2023-12-08 09:13:46'),(223,1,'en','core/acl/permissions','create_success','Create successfully','2023-12-08 09:13:46','2023-12-08 09:13:46'),(224,1,'en','core/acl/permissions','duplicated_success','Duplicated successfully','2023-12-08 09:13:46','2023-12-08 09:13:46'),(225,1,'en','core/acl/permissions','options','Options','2023-12-08 09:13:46','2023-12-08 09:13:46'),(226,1,'en','core/acl/permissions','access_denied_message','You are not allowed to do this action','2023-12-08 09:13:46','2023-12-08 09:13:46'),(227,1,'en','core/acl/permissions','roles','Roles','2023-12-08 09:13:46','2023-12-08 09:13:46'),(228,1,'en','core/acl/permissions','role_permission','Roles And Permissions','2023-12-08 09:13:46','2023-12-08 09:13:46'),(229,1,'en','core/acl/permissions','role_permission_description','View and update your roles and permissions','2023-12-08 09:13:46','2023-12-08 09:13:46'),(230,1,'en','core/acl/permissions','user_management','User Management','2023-12-08 09:13:46','2023-12-08 09:13:46'),(231,1,'en','core/acl/permissions','super_user_management','Super User Management','2023-12-08 09:13:46','2023-12-08 09:13:46'),(232,1,'en','core/acl/permissions','action_unauthorized','This action is unauthorized.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(233,1,'en','core/acl/users','delete_user_logged_in','Can\'t delete this user. This user is logged on!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(234,1,'en','core/acl/users','no_select','Please select at least one record to take this action!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(235,1,'en','core/acl/users','lock_user_logged_in','Can\'t lock this user. This user is logged on!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(236,1,'en','core/acl/users','update_success','Update status successfully!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(237,1,'en','core/acl/users','save_setting_failed','Something went wrong when save your setting','2023-12-08 09:13:46','2023-12-08 09:13:46'),(238,1,'en','core/acl/users','not_found','User not found','2023-12-08 09:13:46','2023-12-08 09:13:46'),(239,1,'en','core/acl/users','email_exist','That email address already belongs to an existing account','2023-12-08 09:13:46','2023-12-08 09:13:46'),(240,1,'en','core/acl/users','username_exist','That username address already belongs to an existing account','2023-12-08 09:13:46','2023-12-08 09:13:46'),(241,1,'en','core/acl/users','update_profile_success','Your profile changes were successfully saved','2023-12-08 09:13:46','2023-12-08 09:13:46'),(242,1,'en','core/acl/users','password_update_success','Password successfully changed','2023-12-08 09:13:46','2023-12-08 09:13:46'),(243,1,'en','core/acl/users','current_password_not_valid','Current password is not valid','2023-12-08 09:13:46','2023-12-08 09:13:46'),(244,1,'en','core/acl/users','user_exist_in','User is already a member','2023-12-08 09:13:46','2023-12-08 09:13:46'),(245,1,'en','core/acl/users','email','Email','2023-12-08 09:13:46','2023-12-08 09:13:46'),(246,1,'en','core/acl/users','role','Role','2023-12-08 09:13:46','2023-12-08 09:13:46'),(247,1,'en','core/acl/users','username','Username','2023-12-08 09:13:46','2023-12-08 09:13:46'),(248,1,'en','core/acl/users','last_name','Last Name','2023-12-08 09:13:46','2023-12-08 09:13:46'),(249,1,'en','core/acl/users','first_name','First Name','2023-12-08 09:13:46','2023-12-08 09:13:46'),(250,1,'en','core/acl/users','message','Message','2023-12-08 09:13:46','2023-12-08 09:13:46'),(251,1,'en','core/acl/users','cancel_btn','Cancel','2023-12-08 09:13:46','2023-12-08 09:13:46'),(252,1,'en','core/acl/users','change_password','Change password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(253,1,'en','core/acl/users','current_password','Current Password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(254,1,'en','core/acl/users','new_password','New Password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(255,1,'en','core/acl/users','confirm_new_password','Confirm New Password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(256,1,'en','core/acl/users','password','Password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(257,1,'en','core/acl/users','save','Save','2023-12-08 09:13:46','2023-12-08 09:13:46'),(258,1,'en','core/acl/users','cannot_delete','User could not be deleted','2023-12-08 09:13:46','2023-12-08 09:13:46'),(259,1,'en','core/acl/users','deleted','User deleted','2023-12-08 09:13:46','2023-12-08 09:13:46'),(260,1,'en','core/acl/users','last_login','Last Login','2023-12-08 09:13:46','2023-12-08 09:13:46'),(261,1,'en','core/acl/users','error_update_profile_image','Error when update profile image','2023-12-08 09:13:46','2023-12-08 09:13:46'),(262,1,'en','core/acl/users','email_reminder_template','<h3>Hello :name</h3><p>The system has received a request to restore the password for your account, to complete this task please click the link below.</p><p><a href=\":link\">Reset password now</a></p><p>If not you ask recover password, please ignore this email.</p><p>This email is valid for 60 minutes after receiving the email.</p>','2023-12-08 09:13:46','2023-12-08 09:13:46'),(263,1,'en','core/acl/users','change_profile_image','Change Profile Image','2023-12-08 09:13:46','2023-12-08 09:13:46'),(264,1,'en','core/acl/users','new_image','New Image','2023-12-08 09:13:46','2023-12-08 09:13:46'),(265,1,'en','core/acl/users','loading','Loading','2023-12-08 09:13:46','2023-12-08 09:13:46'),(266,1,'en','core/acl/users','close','Close','2023-12-08 09:13:46','2023-12-08 09:13:46'),(267,1,'en','core/acl/users','update','Update','2023-12-08 09:13:46','2023-12-08 09:13:46'),(268,1,'en','core/acl/users','read_image_failed','Failed to read the image file','2023-12-08 09:13:46','2023-12-08 09:13:46'),(269,1,'en','core/acl/users','users','Users','2023-12-08 09:13:46','2023-12-08 09:13:46'),(270,1,'en','core/acl/users','users_description','View and update your system users','2023-12-08 09:13:46','2023-12-08 09:13:46'),(271,1,'en','core/acl/users','update_avatar_success','Update profile image successfully!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(272,1,'en','core/acl/users','delete_avatar_success','Delete profile image successfully!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(273,1,'en','core/acl/users','info.title','User profile','2023-12-08 09:13:46','2023-12-08 09:13:46'),(274,1,'en','core/acl/users','info.first_name','First Name','2023-12-08 09:13:46','2023-12-08 09:13:46'),(275,1,'en','core/acl/users','info.last_name','Last Name','2023-12-08 09:13:46','2023-12-08 09:13:46'),(276,1,'en','core/acl/users','total_users','Total users','2023-12-08 09:13:46','2023-12-08 09:13:46'),(277,1,'en','core/acl/users','statuses.activated','Activated','2023-12-08 09:13:46','2023-12-08 09:13:46'),(278,1,'en','core/acl/users','statuses.deactivated','Deactivated','2023-12-08 09:13:46','2023-12-08 09:13:46'),(279,1,'en','core/acl/users','avatar','Avatar','2023-12-08 09:13:46','2023-12-08 09:13:46'),(280,1,'en','core/acl/users','make_super','Make super','2023-12-08 09:13:46','2023-12-08 09:13:46'),(281,1,'en','core/acl/users','remove_super','Remove super','2023-12-08 09:13:46','2023-12-08 09:13:46'),(282,1,'en','core/acl/users','is_super','Is super?','2023-12-08 09:13:46','2023-12-08 09:13:46'),(283,1,'en','core/acl/users','email_placeholder','Ex: example@gmail.com','2023-12-08 09:13:46','2023-12-08 09:13:46'),(284,1,'en','core/acl/users','password_confirmation','Re-type password','2023-12-08 09:13:46','2023-12-08 09:13:46'),(285,1,'en','core/acl/users','select_role','Select role','2023-12-08 09:13:46','2023-12-08 09:13:46'),(286,1,'en','core/acl/users','create_new_user','Create a new user','2023-12-08 09:13:46','2023-12-08 09:13:46'),(287,1,'en','core/acl/users','cannot_delete_super_user','Permission denied. Cannot delete a super user!','2023-12-08 09:13:46','2023-12-08 09:13:46'),(288,1,'en','core/acl/users','assigned_role','Assigned Role','2023-12-08 09:13:46','2023-12-08 09:13:46'),(289,1,'en','core/acl/users','no_role_assigned','No role assigned','2023-12-08 09:13:46','2023-12-08 09:13:46'),(290,1,'en','core/acl/users','view_user_profile','View user\'s profile','2023-12-08 09:13:46','2023-12-08 09:13:46'),(291,1,'en','core/base/base','yes','Yes','2023-12-08 09:13:46','2023-12-08 09:13:46'),(292,1,'en','core/base/base','no','No','2023-12-08 09:13:46','2023-12-08 09:13:46'),(293,1,'en','core/base/base','is_default','Is default?','2023-12-08 09:13:46','2023-12-08 09:13:46'),(294,1,'en','core/base/base','proc_close_disabled_error','Function proc_close() is disabled. Please contact your hosting provider to enable\n    it. Or you can add to .env: CAN_EXECUTE_COMMAND=false to disable this feature.','2023-12-08 09:13:46','2023-12-08 09:13:46'),(295,1,'en','core/base/base','email_template.header','Email template header','2023-12-08 09:13:46','2023-12-08 09:13:46'),(296,1,'en','core/base/base','email_template.footer','Email template footer','2023-12-08 09:13:46','2023-12-08 09:13:46'),(297,1,'en','core/base/base','email_template.site_title','Site title','2023-12-08 09:13:46','2023-12-08 09:13:46'),(298,1,'en','core/base/base','email_template.site_url','Site URL','2023-12-08 09:13:46','2023-12-08 09:13:46'),(299,1,'en','core/base/base','email_template.site_logo','Site Logo','2023-12-08 09:13:46','2023-12-08 09:13:46'),(300,1,'en','core/base/base','email_template.date_time','Current date time','2023-12-08 09:13:46','2023-12-08 09:13:46'),(301,1,'en','core/base/base','email_template.date_year','Current year','2023-12-08 09:13:46','2023-12-08 09:13:46'),(302,1,'en','core/base/base','email_template.site_admin_email','Site admin email','2023-12-08 09:13:46','2023-12-08 09:13:46'),(303,1,'en','core/base/base','email_template.twig.tag.apply','The apply tag allows you to apply Twig filters','2023-12-08 09:13:46','2023-12-08 09:13:46'),(304,1,'en','core/base/base','email_template.twig.tag.for','Loop over each item in a sequence','2023-12-08 09:13:46','2023-12-08 09:13:46'),(305,1,'en','core/base/base','email_template.twig.tag.if','The if statement in Twig is comparable with the if statements of PHP','2023-12-08 09:13:46','2023-12-08 09:13:46'),(306,1,'en','core/base/base','change_image','Change image','2023-12-08 09:13:46','2023-12-08 09:13:46'),(307,1,'en','core/base/base','delete_image','Delete image','2023-12-08 09:13:46','2023-12-08 09:13:46'),(308,1,'en','core/base/base','preview_image','Preview image','2023-12-08 09:13:46','2023-12-08 09:13:46'),(309,1,'en','core/base/base','image','Image','2023-12-08 09:13:46','2023-12-08 09:13:46'),(310,1,'en','core/base/base','using_button','Using button','2023-12-08 09:13:46','2023-12-08 09:13:46'),(311,1,'en','core/base/base','select_image','Select image','2023-12-08 09:13:47','2023-12-08 09:13:47'),(312,1,'en','core/base/base','click_here','Click here','2023-12-08 09:13:47','2023-12-08 09:13:47'),(313,1,'en','core/base/base','to_add_more_image','to add more images','2023-12-08 09:13:47','2023-12-08 09:13:47'),(314,1,'en','core/base/base','add_image','Add image','2023-12-08 09:13:47','2023-12-08 09:13:47'),(315,1,'en','core/base/base','tools','Tools','2023-12-08 09:13:47','2023-12-08 09:13:47'),(316,1,'en','core/base/base','close','Close','2023-12-08 09:13:47','2023-12-08 09:13:47'),(317,1,'en','core/base/base','panel.others','Others','2023-12-08 09:13:47','2023-12-08 09:13:47'),(318,1,'en','core/base/base','panel.system','System','2023-12-08 09:13:47','2023-12-08 09:13:47'),(319,1,'en','core/base/base','panel.manage_description','Manage :name','2023-12-08 09:13:47','2023-12-08 09:13:47'),(320,1,'en','core/base/base','global_search.title','Search','2023-12-08 09:13:47','2023-12-08 09:13:47'),(321,1,'en','core/base/base','global_search.search','Search','2023-12-08 09:13:47','2023-12-08 09:13:47'),(322,1,'en','core/base/base','global_search.clear','Clear','2023-12-08 09:13:47','2023-12-08 09:13:47'),(323,1,'en','core/base/base','global_search.no_result','No result found','2023-12-08 09:13:47','2023-12-08 09:13:47'),(324,1,'en','core/base/base','global_search.to_select','to select','2023-12-08 09:13:47','2023-12-08 09:13:47'),(325,1,'en','core/base/base','global_search.to_navigate','to navigate','2023-12-08 09:13:47','2023-12-08 09:13:47'),(326,1,'en','core/base/base','global_search.to_close','to close','2023-12-08 09:13:47','2023-12-08 09:13:47'),(327,1,'en','core/base/base','validation.email_in_blacklist','The :attribute is in blacklist. Please use another email address.','2023-12-08 09:13:47','2023-12-08 09:13:47'),(328,1,'en','core/base/base','validation.domain','The :attribute must be a valid domain.','2023-12-08 09:13:47','2023-12-08 09:13:47'),(329,1,'en','core/base/cache','cache_management','Cache Management','2023-12-08 09:13:47','2023-12-08 09:13:47'),(330,1,'en','core/base/cache','cache_management_description','Clear cache to make your site up to date.','2023-12-08 09:13:47','2023-12-08 09:13:47'),(331,1,'en','core/base/cache','cache_commands','Clear cache commands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(332,1,'en','core/base/cache','commands.clear_cms_cache.title','Clear all CMS cache','2023-12-08 09:13:47','2023-12-08 09:13:47'),(333,1,'en','core/base/cache','commands.clear_cms_cache.description','Clear CMS caching: database caching, static blocks... Run this command when you don\'t see the changes after updating data.','2023-12-08 09:13:47','2023-12-08 09:13:47'),(334,1,'en','core/base/cache','commands.clear_cms_cache.success_msg','Cache cleaned','2023-12-08 09:13:47','2023-12-08 09:13:47'),(335,1,'en','core/base/cache','commands.refresh_compiled_views.title','Refresh compiled views','2023-12-08 09:13:47','2023-12-08 09:13:47'),(336,1,'en','core/base/cache','commands.refresh_compiled_views.description','Clear compiled views to make views up to date.','2023-12-08 09:13:47','2023-12-08 09:13:47'),(337,1,'en','core/base/cache','commands.refresh_compiled_views.success_msg','Cache view refreshed','2023-12-08 09:13:47','2023-12-08 09:13:47'),(338,1,'en','core/base/cache','commands.clear_config_cache.title','Clear config cache','2023-12-08 09:13:47','2023-12-08 09:13:47'),(339,1,'en','core/base/cache','commands.clear_config_cache.description','You might need to refresh the config caching when you change something on production environment.','2023-12-08 09:13:47','2023-12-08 09:13:47'),(340,1,'en','core/base/cache','commands.clear_config_cache.success_msg','Config cache cleaned','2023-12-08 09:13:47','2023-12-08 09:13:47'),(341,1,'en','core/base/cache','commands.clear_route_cache.title','Clear route cache','2023-12-08 09:13:47','2023-12-08 09:13:47'),(342,1,'en','core/base/cache','commands.clear_route_cache.description','Clear cache routing.','2023-12-08 09:13:47','2023-12-08 09:13:47'),(343,1,'en','core/base/cache','commands.clear_route_cache.success_msg','The route cache has been cleaned','2023-12-08 09:13:47','2023-12-08 09:13:47'),(344,1,'en','core/base/cache','commands.clear_log.title','Clear log','2023-12-08 09:13:47','2023-12-08 09:13:47'),(345,1,'en','core/base/cache','commands.clear_log.description','Clear system log files','2023-12-08 09:13:47','2023-12-08 09:13:47'),(346,1,'en','core/base/cache','commands.clear_log.success_msg','The system log has been cleaned','2023-12-08 09:13:47','2023-12-08 09:13:47'),(347,1,'en','core/base/countries','af','Ap ga nistan','2023-12-08 09:13:47','2023-12-08 09:13:47'),(348,1,'en','core/base/countries','ax','Åland Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(349,1,'en','core/base/countries','al','Albania','2023-12-08 09:13:47','2023-12-08 09:13:47'),(350,1,'en','core/base/countries','dz','Algeria','2023-12-08 09:13:47','2023-12-08 09:13:47'),(351,1,'en','core/base/countries','as','American Samoa','2023-12-08 09:13:47','2023-12-08 09:13:47'),(352,1,'en','core/base/countries','ad','Andorra','2023-12-08 09:13:47','2023-12-08 09:13:47'),(353,1,'en','core/base/countries','ao','Angola','2023-12-08 09:13:47','2023-12-08 09:13:47'),(354,1,'en','core/base/countries','ai','Anguilla','2023-12-08 09:13:47','2023-12-08 09:13:47'),(355,1,'en','core/base/countries','aq','Antarctica','2023-12-08 09:13:47','2023-12-08 09:13:47'),(356,1,'en','core/base/countries','ag','Antigua and Barbuda','2023-12-08 09:13:47','2023-12-08 09:13:47'),(357,1,'en','core/base/countries','ar','Argentina','2023-12-08 09:13:47','2023-12-08 09:13:47'),(358,1,'en','core/base/countries','am','Armenia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(359,1,'en','core/base/countries','aw','Aruba','2023-12-08 09:13:47','2023-12-08 09:13:47'),(360,1,'en','core/base/countries','au','Australia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(361,1,'en','core/base/countries','at','Austria','2023-12-08 09:13:47','2023-12-08 09:13:47'),(362,1,'en','core/base/countries','az','Azerbaijan','2023-12-08 09:13:47','2023-12-08 09:13:47'),(363,1,'en','core/base/countries','bs','Bahamas','2023-12-08 09:13:47','2023-12-08 09:13:47'),(364,1,'en','core/base/countries','bh','Bahrain','2023-12-08 09:13:47','2023-12-08 09:13:47'),(365,1,'en','core/base/countries','bd','Bangladesh','2023-12-08 09:13:47','2023-12-08 09:13:47'),(366,1,'en','core/base/countries','bb','Barbados','2023-12-08 09:13:47','2023-12-08 09:13:47'),(367,1,'en','core/base/countries','by','Belarus','2023-12-08 09:13:47','2023-12-08 09:13:47'),(368,1,'en','core/base/countries','be','Belgium','2023-12-08 09:13:47','2023-12-08 09:13:47'),(369,1,'en','core/base/countries','pw','Belau','2023-12-08 09:13:47','2023-12-08 09:13:47'),(370,1,'en','core/base/countries','bz','Belize','2023-12-08 09:13:47','2023-12-08 09:13:47'),(371,1,'en','core/base/countries','bj','Benin','2023-12-08 09:13:47','2023-12-08 09:13:47'),(372,1,'en','core/base/countries','bm','Bermuda','2023-12-08 09:13:47','2023-12-08 09:13:47'),(373,1,'en','core/base/countries','bt','Bhutan','2023-12-08 09:13:47','2023-12-08 09:13:47'),(374,1,'en','core/base/countries','bo','Bolivia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(375,1,'en','core/base/countries','bq','Bonaire, Saint Eustatius and Saba','2023-12-08 09:13:47','2023-12-08 09:13:47'),(376,1,'en','core/base/countries','ba','Bosnia and Herzegovina','2023-12-08 09:13:47','2023-12-08 09:13:47'),(377,1,'en','core/base/countries','bw','Botswana','2023-12-08 09:13:47','2023-12-08 09:13:47'),(378,1,'en','core/base/countries','bv','Bouvet Island','2023-12-08 09:13:47','2023-12-08 09:13:47'),(379,1,'en','core/base/countries','br','Brazil','2023-12-08 09:13:47','2023-12-08 09:13:47'),(380,1,'en','core/base/countries','io','British Indian Ocean Territory','2023-12-08 09:13:47','2023-12-08 09:13:47'),(381,1,'en','core/base/countries','bn','Brunei','2023-12-08 09:13:47','2023-12-08 09:13:47'),(382,1,'en','core/base/countries','bg','Bulgaria','2023-12-08 09:13:47','2023-12-08 09:13:47'),(383,1,'en','core/base/countries','bf','Burkina Faso','2023-12-08 09:13:47','2023-12-08 09:13:47'),(384,1,'en','core/base/countries','bi','Burundi','2023-12-08 09:13:47','2023-12-08 09:13:47'),(385,1,'en','core/base/countries','kh','Cambodia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(386,1,'en','core/base/countries','cm','Cameroon','2023-12-08 09:13:47','2023-12-08 09:13:47'),(387,1,'en','core/base/countries','ca','Canada','2023-12-08 09:13:47','2023-12-08 09:13:47'),(388,1,'en','core/base/countries','cv','Cape Verde','2023-12-08 09:13:47','2023-12-08 09:13:47'),(389,1,'en','core/base/countries','ky','Cayman Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(390,1,'en','core/base/countries','cf','Central African Republic','2023-12-08 09:13:47','2023-12-08 09:13:47'),(391,1,'en','core/base/countries','td','Chad','2023-12-08 09:13:47','2023-12-08 09:13:47'),(392,1,'en','core/base/countries','cl','Chile','2023-12-08 09:13:47','2023-12-08 09:13:47'),(393,1,'en','core/base/countries','cn','China','2023-12-08 09:13:47','2023-12-08 09:13:47'),(394,1,'en','core/base/countries','cx','Christmas Island','2023-12-08 09:13:47','2023-12-08 09:13:47'),(395,1,'en','core/base/countries','cc','Cocos (Keeling) Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(396,1,'en','core/base/countries','co','Colombia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(397,1,'en','core/base/countries','km','Comoros','2023-12-08 09:13:47','2023-12-08 09:13:47'),(398,1,'en','core/base/countries','cg','Congo (Brazzaville)','2023-12-08 09:13:47','2023-12-08 09:13:47'),(399,1,'en','core/base/countries','cd','Congo (Kinshasa)','2023-12-08 09:13:47','2023-12-08 09:13:47'),(400,1,'en','core/base/countries','ck','Cook Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(401,1,'en','core/base/countries','cr','Costa Rica','2023-12-08 09:13:47','2023-12-08 09:13:47'),(402,1,'en','core/base/countries','hr','Croatia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(403,1,'en','core/base/countries','cu','Cuba','2023-12-08 09:13:47','2023-12-08 09:13:47'),(404,1,'en','core/base/countries','cw','Cura&ccedil;ao','2023-12-08 09:13:47','2023-12-08 09:13:47'),(405,1,'en','core/base/countries','cy','Cyprus','2023-12-08 09:13:47','2023-12-08 09:13:47'),(406,1,'en','core/base/countries','cz','Czech Republic','2023-12-08 09:13:47','2023-12-08 09:13:47'),(407,1,'en','core/base/countries','dk','Denmark','2023-12-08 09:13:47','2023-12-08 09:13:47'),(408,1,'en','core/base/countries','dj','Djibouti','2023-12-08 09:13:47','2023-12-08 09:13:47'),(409,1,'en','core/base/countries','dm','Dominica','2023-12-08 09:13:47','2023-12-08 09:13:47'),(410,1,'en','core/base/countries','do','Dominican Republic','2023-12-08 09:13:47','2023-12-08 09:13:47'),(411,1,'en','core/base/countries','ec','Ecuador','2023-12-08 09:13:47','2023-12-08 09:13:47'),(412,1,'en','core/base/countries','eg','Egypt','2023-12-08 09:13:47','2023-12-08 09:13:47'),(413,1,'en','core/base/countries','sv','El Salvador','2023-12-08 09:13:47','2023-12-08 09:13:47'),(414,1,'en','core/base/countries','gq','Equatorial Guinea','2023-12-08 09:13:47','2023-12-08 09:13:47'),(415,1,'en','core/base/countries','er','Eritrea','2023-12-08 09:13:47','2023-12-08 09:13:47'),(416,1,'en','core/base/countries','ee','Estonia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(417,1,'en','core/base/countries','et','Ethiopia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(418,1,'en','core/base/countries','fk','Falkland Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(419,1,'en','core/base/countries','fo','Faroe Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(420,1,'en','core/base/countries','fj','Fiji','2023-12-08 09:13:47','2023-12-08 09:13:47'),(421,1,'en','core/base/countries','fi','Finland','2023-12-08 09:13:47','2023-12-08 09:13:47'),(422,1,'en','core/base/countries','fr','France','2023-12-08 09:13:47','2023-12-08 09:13:47'),(423,1,'en','core/base/countries','gf','French Guiana','2023-12-08 09:13:47','2023-12-08 09:13:47'),(424,1,'en','core/base/countries','pf','French Polynesia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(425,1,'en','core/base/countries','tf','French Southern Territories','2023-12-08 09:13:47','2023-12-08 09:13:47'),(426,1,'en','core/base/countries','ga','Gabon','2023-12-08 09:13:47','2023-12-08 09:13:47'),(427,1,'en','core/base/countries','gm','Gambia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(428,1,'en','core/base/countries','ge','Georgia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(429,1,'en','core/base/countries','de','Germany','2023-12-08 09:13:47','2023-12-08 09:13:47'),(430,1,'en','core/base/countries','gh','Ghana','2023-12-08 09:13:47','2023-12-08 09:13:47'),(431,1,'en','core/base/countries','gi','Gibraltar','2023-12-08 09:13:47','2023-12-08 09:13:47'),(432,1,'en','core/base/countries','gr','Greece','2023-12-08 09:13:47','2023-12-08 09:13:47'),(433,1,'en','core/base/countries','gl','Greenland','2023-12-08 09:13:47','2023-12-08 09:13:47'),(434,1,'en','core/base/countries','gd','Grenada','2023-12-08 09:13:47','2023-12-08 09:13:47'),(435,1,'en','core/base/countries','gp','Guadeloupe','2023-12-08 09:13:47','2023-12-08 09:13:47'),(436,1,'en','core/base/countries','gu','Guam','2023-12-08 09:13:47','2023-12-08 09:13:47'),(437,1,'en','core/base/countries','gt','Guatemala','2023-12-08 09:13:47','2023-12-08 09:13:47'),(438,1,'en','core/base/countries','gg','Guernsey','2023-12-08 09:13:47','2023-12-08 09:13:47'),(439,1,'en','core/base/countries','gn','Guinea','2023-12-08 09:13:47','2023-12-08 09:13:47'),(440,1,'en','core/base/countries','gw','Guinea-Bissau','2023-12-08 09:13:47','2023-12-08 09:13:47'),(441,1,'en','core/base/countries','gy','Guyana','2023-12-08 09:13:47','2023-12-08 09:13:47'),(442,1,'en','core/base/countries','ht','Haiti','2023-12-08 09:13:47','2023-12-08 09:13:47'),(443,1,'en','core/base/countries','hm','Heard Island and McDonald Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(444,1,'en','core/base/countries','hn','Honduras','2023-12-08 09:13:47','2023-12-08 09:13:47'),(445,1,'en','core/base/countries','hk','Hong Kong','2023-12-08 09:13:47','2023-12-08 09:13:47'),(446,1,'en','core/base/countries','hu','Hungary','2023-12-08 09:13:47','2023-12-08 09:13:47'),(447,1,'en','core/base/countries','is','Iceland','2023-12-08 09:13:47','2023-12-08 09:13:47'),(448,1,'en','core/base/countries','in','India','2023-12-08 09:13:47','2023-12-08 09:13:47'),(449,1,'en','core/base/countries','id','Indonesia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(450,1,'en','core/base/countries','ir','Iran','2023-12-08 09:13:47','2023-12-08 09:13:47'),(451,1,'en','core/base/countries','iq','Iraq','2023-12-08 09:13:47','2023-12-08 09:13:47'),(452,1,'en','core/base/countries','ie','Ireland','2023-12-08 09:13:47','2023-12-08 09:13:47'),(453,1,'en','core/base/countries','im','Isle of Man','2023-12-08 09:13:47','2023-12-08 09:13:47'),(454,1,'en','core/base/countries','il','Israel','2023-12-08 09:13:47','2023-12-08 09:13:47'),(455,1,'en','core/base/countries','it','Italy','2023-12-08 09:13:47','2023-12-08 09:13:47'),(456,1,'en','core/base/countries','ci','Ivory Coast','2023-12-08 09:13:47','2023-12-08 09:13:47'),(457,1,'en','core/base/countries','jm','Jamaica','2023-12-08 09:13:47','2023-12-08 09:13:47'),(458,1,'en','core/base/countries','jp','Japan','2023-12-08 09:13:47','2023-12-08 09:13:47'),(459,1,'en','core/base/countries','je','Jersey','2023-12-08 09:13:47','2023-12-08 09:13:47'),(460,1,'en','core/base/countries','jo','Jordan','2023-12-08 09:13:47','2023-12-08 09:13:47'),(461,1,'en','core/base/countries','kz','Kazakhstan','2023-12-08 09:13:47','2023-12-08 09:13:47'),(462,1,'en','core/base/countries','ke','Kenya','2023-12-08 09:13:47','2023-12-08 09:13:47'),(463,1,'en','core/base/countries','ki','Kiribati','2023-12-08 09:13:47','2023-12-08 09:13:47'),(464,1,'en','core/base/countries','kw','Kuwait','2023-12-08 09:13:47','2023-12-08 09:13:47'),(465,1,'en','core/base/countries','xk','Kosovo','2023-12-08 09:13:47','2023-12-08 09:13:47'),(466,1,'en','core/base/countries','kg','Kyrgyzstan','2023-12-08 09:13:47','2023-12-08 09:13:47'),(467,1,'en','core/base/countries','la','Laos','2023-12-08 09:13:47','2023-12-08 09:13:47'),(468,1,'en','core/base/countries','lv','Latvia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(469,1,'en','core/base/countries','lb','Lebanon','2023-12-08 09:13:47','2023-12-08 09:13:47'),(470,1,'en','core/base/countries','ls','Lesotho','2023-12-08 09:13:47','2023-12-08 09:13:47'),(471,1,'en','core/base/countries','lr','Liberia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(472,1,'en','core/base/countries','ly','Libya','2023-12-08 09:13:47','2023-12-08 09:13:47'),(473,1,'en','core/base/countries','li','Liechtenstein','2023-12-08 09:13:47','2023-12-08 09:13:47'),(474,1,'en','core/base/countries','lt','Lithuania','2023-12-08 09:13:47','2023-12-08 09:13:47'),(475,1,'en','core/base/countries','lu','Luxembourg','2023-12-08 09:13:47','2023-12-08 09:13:47'),(476,1,'en','core/base/countries','mo','Macao','2023-12-08 09:13:47','2023-12-08 09:13:47'),(477,1,'en','core/base/countries','mk','North Macedonia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(478,1,'en','core/base/countries','mg','Madagascar','2023-12-08 09:13:47','2023-12-08 09:13:47'),(479,1,'en','core/base/countries','mw','Malawi','2023-12-08 09:13:47','2023-12-08 09:13:47'),(480,1,'en','core/base/countries','my','Malaysia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(481,1,'en','core/base/countries','mv','Maldives','2023-12-08 09:13:47','2023-12-08 09:13:47'),(482,1,'en','core/base/countries','ml','Mali','2023-12-08 09:13:47','2023-12-08 09:13:47'),(483,1,'en','core/base/countries','mt','Malta','2023-12-08 09:13:47','2023-12-08 09:13:47'),(484,1,'en','core/base/countries','mh','Marshall Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(485,1,'en','core/base/countries','mq','Martinique','2023-12-08 09:13:47','2023-12-08 09:13:47'),(486,1,'en','core/base/countries','mr','Mauritania','2023-12-08 09:13:47','2023-12-08 09:13:47'),(487,1,'en','core/base/countries','mu','Mauritius','2023-12-08 09:13:47','2023-12-08 09:13:47'),(488,1,'en','core/base/countries','yt','Mayotte','2023-12-08 09:13:47','2023-12-08 09:13:47'),(489,1,'en','core/base/countries','mx','Mexico','2023-12-08 09:13:47','2023-12-08 09:13:47'),(490,1,'en','core/base/countries','fm','Micronesia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(491,1,'en','core/base/countries','md','Moldova','2023-12-08 09:13:47','2023-12-08 09:13:47'),(492,1,'en','core/base/countries','mc','Monaco','2023-12-08 09:13:47','2023-12-08 09:13:47'),(493,1,'en','core/base/countries','mn','Mongolia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(494,1,'en','core/base/countries','me','Montenegro','2023-12-08 09:13:47','2023-12-08 09:13:47'),(495,1,'en','core/base/countries','ms','Montserrat','2023-12-08 09:13:47','2023-12-08 09:13:47'),(496,1,'en','core/base/countries','ma','Morocco','2023-12-08 09:13:47','2023-12-08 09:13:47'),(497,1,'en','core/base/countries','mz','Mozambique','2023-12-08 09:13:47','2023-12-08 09:13:47'),(498,1,'en','core/base/countries','mm','Myanmar','2023-12-08 09:13:47','2023-12-08 09:13:47'),(499,1,'en','core/base/countries','na','Namibia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(500,1,'en','core/base/countries','nr','Nauru','2023-12-08 09:13:47','2023-12-08 09:13:47'),(501,1,'en','core/base/countries','np','Nepal','2023-12-08 09:13:47','2023-12-08 09:13:47'),(502,1,'en','core/base/countries','nl','Netherlands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(503,1,'en','core/base/countries','nc','New Caledonia','2023-12-08 09:13:47','2023-12-08 09:13:47'),(504,1,'en','core/base/countries','nz','New Zealand','2023-12-08 09:13:47','2023-12-08 09:13:47'),(505,1,'en','core/base/countries','ni','Nicaragua','2023-12-08 09:13:47','2023-12-08 09:13:47'),(506,1,'en','core/base/countries','ne','Niger','2023-12-08 09:13:47','2023-12-08 09:13:47'),(507,1,'en','core/base/countries','ng','Nigeria','2023-12-08 09:13:47','2023-12-08 09:13:47'),(508,1,'en','core/base/countries','nu','Niue','2023-12-08 09:13:47','2023-12-08 09:13:47'),(509,1,'en','core/base/countries','nf','Norfolk Island','2023-12-08 09:13:47','2023-12-08 09:13:47'),(510,1,'en','core/base/countries','mp','Northern Mariana Islands','2023-12-08 09:13:47','2023-12-08 09:13:47'),(511,1,'en','core/base/countries','kp','North Korea','2023-12-08 09:13:47','2023-12-08 09:13:47'),(512,1,'en','core/base/countries','no','Norway','2023-12-08 09:13:47','2023-12-08 09:13:47'),(513,1,'en','core/base/countries','om','Oman','2023-12-08 09:13:48','2023-12-08 09:13:48'),(514,1,'en','core/base/countries','pk','Pakistan','2023-12-08 09:13:48','2023-12-08 09:13:48'),(515,1,'en','core/base/countries','ps','Palestinian Territory','2023-12-08 09:13:48','2023-12-08 09:13:48'),(516,1,'en','core/base/countries','pa','Panama','2023-12-08 09:13:48','2023-12-08 09:13:48'),(517,1,'en','core/base/countries','pg','Papua New Guinea','2023-12-08 09:13:48','2023-12-08 09:13:48'),(518,1,'en','core/base/countries','py','Paraguay','2023-12-08 09:13:48','2023-12-08 09:13:48'),(519,1,'en','core/base/countries','pe','Peru','2023-12-08 09:13:48','2023-12-08 09:13:48'),(520,1,'en','core/base/countries','ph','Philippines','2023-12-08 09:13:48','2023-12-08 09:13:48'),(521,1,'en','core/base/countries','pn','Pitcairn','2023-12-08 09:13:48','2023-12-08 09:13:48'),(522,1,'en','core/base/countries','pl','Poland','2023-12-08 09:13:48','2023-12-08 09:13:48'),(523,1,'en','core/base/countries','pt','Portugal','2023-12-08 09:13:48','2023-12-08 09:13:48'),(524,1,'en','core/base/countries','pr','Puerto Rico','2023-12-08 09:13:48','2023-12-08 09:13:48'),(525,1,'en','core/base/countries','qa','Qatar','2023-12-08 09:13:48','2023-12-08 09:13:48'),(526,1,'en','core/base/countries','re','Reunion','2023-12-08 09:13:48','2023-12-08 09:13:48'),(527,1,'en','core/base/countries','ro','Romania','2023-12-08 09:13:48','2023-12-08 09:13:48'),(528,1,'en','core/base/countries','ru','Russia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(529,1,'en','core/base/countries','rw','Rwanda','2023-12-08 09:13:48','2023-12-08 09:13:48'),(530,1,'en','core/base/countries','bl','Saint Barth&eacute;lemy','2023-12-08 09:13:48','2023-12-08 09:13:48'),(531,1,'en','core/base/countries','sh','Saint Helena','2023-12-08 09:13:48','2023-12-08 09:13:48'),(532,1,'en','core/base/countries','kn','Saint Kitts and Nevis','2023-12-08 09:13:48','2023-12-08 09:13:48'),(533,1,'en','core/base/countries','lc','Saint Lucia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(534,1,'en','core/base/countries','mf','Saint Martin (French part)','2023-12-08 09:13:48','2023-12-08 09:13:48'),(535,1,'en','core/base/countries','sx','Saint Martin (Dutch part)','2023-12-08 09:13:48','2023-12-08 09:13:48'),(536,1,'en','core/base/countries','pm','Saint Pierre and Miquelon','2023-12-08 09:13:48','2023-12-08 09:13:48'),(537,1,'en','core/base/countries','vc','Saint Vincent and the Grenadines','2023-12-08 09:13:48','2023-12-08 09:13:48'),(538,1,'en','core/base/countries','sm','San Marino','2023-12-08 09:13:48','2023-12-08 09:13:48'),(539,1,'en','core/base/countries','st','S&atilde;o Tom&eacute; and Pr&iacute;ncipe','2023-12-08 09:13:48','2023-12-08 09:13:48'),(540,1,'en','core/base/countries','sa','Saudi Arabia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(541,1,'en','core/base/countries','sn','Senegal','2023-12-08 09:13:48','2023-12-08 09:13:48'),(542,1,'en','core/base/countries','rs','Serbia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(543,1,'en','core/base/countries','sc','Seychelles','2023-12-08 09:13:48','2023-12-08 09:13:48'),(544,1,'en','core/base/countries','sl','Sierra Leone','2023-12-08 09:13:48','2023-12-08 09:13:48'),(545,1,'en','core/base/countries','sg','Singapore','2023-12-08 09:13:48','2023-12-08 09:13:48'),(546,1,'en','core/base/countries','sk','Slovakia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(547,1,'en','core/base/countries','si','Slovenia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(548,1,'en','core/base/countries','sb','Solomon Islands','2023-12-08 09:13:48','2023-12-08 09:13:48'),(549,1,'en','core/base/countries','so','Somalia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(550,1,'en','core/base/countries','za','South Africa','2023-12-08 09:13:48','2023-12-08 09:13:48'),(551,1,'en','core/base/countries','gs','South Georgia/Sandwich Islands','2023-12-08 09:13:48','2023-12-08 09:13:48'),(552,1,'en','core/base/countries','kr','South Korea','2023-12-08 09:13:48','2023-12-08 09:13:48'),(553,1,'en','core/base/countries','ss','South Sudan','2023-12-08 09:13:48','2023-12-08 09:13:48'),(554,1,'en','core/base/countries','es','Spain','2023-12-08 09:13:48','2023-12-08 09:13:48'),(555,1,'en','core/base/countries','lk','Sri Lanka','2023-12-08 09:13:48','2023-12-08 09:13:48'),(556,1,'en','core/base/countries','sd','Sudan','2023-12-08 09:13:48','2023-12-08 09:13:48'),(557,1,'en','core/base/countries','sr','Suriname','2023-12-08 09:13:48','2023-12-08 09:13:48'),(558,1,'en','core/base/countries','sj','Svalbard and Jan Mayen','2023-12-08 09:13:48','2023-12-08 09:13:48'),(559,1,'en','core/base/countries','sz','Swaziland','2023-12-08 09:13:48','2023-12-08 09:13:48'),(560,1,'en','core/base/countries','se','Sweden','2023-12-08 09:13:48','2023-12-08 09:13:48'),(561,1,'en','core/base/countries','ch','Switzerland','2023-12-08 09:13:48','2023-12-08 09:13:48'),(562,1,'en','core/base/countries','sy','Syria','2023-12-08 09:13:48','2023-12-08 09:13:48'),(563,1,'en','core/base/countries','tw','Taiwan','2023-12-08 09:13:48','2023-12-08 09:13:48'),(564,1,'en','core/base/countries','tj','Tajikistan','2023-12-08 09:13:48','2023-12-08 09:13:48'),(565,1,'en','core/base/countries','tz','Tanzania','2023-12-08 09:13:48','2023-12-08 09:13:48'),(566,1,'en','core/base/countries','th','Thailand','2023-12-08 09:13:48','2023-12-08 09:13:48'),(567,1,'en','core/base/countries','tl','Timor-Leste','2023-12-08 09:13:48','2023-12-08 09:13:48'),(568,1,'en','core/base/countries','tg','Togo','2023-12-08 09:13:48','2023-12-08 09:13:48'),(569,1,'en','core/base/countries','tk','Tokelau','2023-12-08 09:13:48','2023-12-08 09:13:48'),(570,1,'en','core/base/countries','to','Tonga','2023-12-08 09:13:48','2023-12-08 09:13:48'),(571,1,'en','core/base/countries','tt','Trinidad and Tobago','2023-12-08 09:13:48','2023-12-08 09:13:48'),(572,1,'en','core/base/countries','tn','Tunisia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(573,1,'en','core/base/countries','tr','Turkey','2023-12-08 09:13:48','2023-12-08 09:13:48'),(574,1,'en','core/base/countries','tm','Turkmenistan','2023-12-08 09:13:48','2023-12-08 09:13:48'),(575,1,'en','core/base/countries','tc','Turks and Caicos Islands','2023-12-08 09:13:48','2023-12-08 09:13:48'),(576,1,'en','core/base/countries','tv','Tuvalu','2023-12-08 09:13:48','2023-12-08 09:13:48'),(577,1,'en','core/base/countries','ug','Uganda','2023-12-08 09:13:48','2023-12-08 09:13:48'),(578,1,'en','core/base/countries','ua','Ukraine','2023-12-08 09:13:48','2023-12-08 09:13:48'),(579,1,'en','core/base/countries','ae','United Arab Emirates','2023-12-08 09:13:48','2023-12-08 09:13:48'),(580,1,'en','core/base/countries','gb','United Kingdom (UK)','2023-12-08 09:13:48','2023-12-08 09:13:48'),(581,1,'en','core/base/countries','us','United States (US)','2023-12-08 09:13:48','2023-12-08 09:13:48'),(582,1,'en','core/base/countries','um','United States (US) Minor Outlying Islands','2023-12-08 09:13:48','2023-12-08 09:13:48'),(583,1,'en','core/base/countries','uy','Uruguay','2023-12-08 09:13:48','2023-12-08 09:13:48'),(584,1,'en','core/base/countries','uz','Uzbekistan','2023-12-08 09:13:48','2023-12-08 09:13:48'),(585,1,'en','core/base/countries','vu','Vanuatu','2023-12-08 09:13:48','2023-12-08 09:13:48'),(586,1,'en','core/base/countries','va','Vatican','2023-12-08 09:13:48','2023-12-08 09:13:48'),(587,1,'en','core/base/countries','ve','Venezuela','2023-12-08 09:13:48','2023-12-08 09:13:48'),(588,1,'en','core/base/countries','vn','Vietnam','2023-12-08 09:13:48','2023-12-08 09:13:48'),(589,1,'en','core/base/countries','vg','Virgin Islands (British)','2023-12-08 09:13:48','2023-12-08 09:13:48'),(590,1,'en','core/base/countries','vi','Virgin Islands (US)','2023-12-08 09:13:48','2023-12-08 09:13:48'),(591,1,'en','core/base/countries','wf','Wallis and Futuna','2023-12-08 09:13:48','2023-12-08 09:13:48'),(592,1,'en','core/base/countries','eh','Western Sahara','2023-12-08 09:13:48','2023-12-08 09:13:48'),(593,1,'en','core/base/countries','ws','Samoa','2023-12-08 09:13:48','2023-12-08 09:13:48'),(594,1,'en','core/base/countries','ye','Yemen','2023-12-08 09:13:48','2023-12-08 09:13:48'),(595,1,'en','core/base/countries','zm','Zambia','2023-12-08 09:13:48','2023-12-08 09:13:48'),(596,1,'en','core/base/countries','zw','Zimbabwe','2023-12-08 09:13:48','2023-12-08 09:13:48'),(597,1,'en','core/base/enums','statuses.draft','Draft','2023-12-08 09:13:48','2023-12-08 09:13:48'),(598,1,'en','core/base/enums','statuses.pending','Pending','2023-12-08 09:13:48','2023-12-08 09:13:48'),(599,1,'en','core/base/enums','statuses.published','Published','2023-12-08 09:13:48','2023-12-08 09:13:48'),(600,1,'en','core/base/enums','system_updater_steps.download','Download update files','2023-12-08 09:13:48','2023-12-08 09:13:48'),(601,1,'en','core/base/enums','system_updater_steps.update_files','Update system files','2023-12-08 09:13:48','2023-12-08 09:13:48'),(602,1,'en','core/base/enums','system_updater_steps.update_database','Update databases','2023-12-08 09:13:48','2023-12-08 09:13:48'),(603,1,'en','core/base/enums','system_updater_steps.publish_core_assets','Publish core assets','2023-12-08 09:13:48','2023-12-08 09:13:48'),(604,1,'en','core/base/enums','system_updater_steps.publish_packages_assets','Publish packages assets','2023-12-08 09:13:48','2023-12-08 09:13:48'),(605,1,'en','core/base/enums','system_updater_steps.clean_up','Clean up system update files','2023-12-08 09:13:48','2023-12-08 09:13:48'),(606,1,'en','core/base/enums','system_updater_steps.done','System updated successfully','2023-12-08 09:13:48','2023-12-08 09:13:48'),(607,1,'en','core/base/enums','system_updater_steps.messages.download','Downloading update files...','2023-12-08 09:13:48','2023-12-08 09:13:48'),(608,1,'en','core/base/enums','system_updater_steps.messages.update_files','Updating system files...','2023-12-08 09:13:48','2023-12-08 09:13:48'),(609,1,'en','core/base/enums','system_updater_steps.messages.update_database','Updating databases...','2023-12-08 09:13:48','2023-12-08 09:13:48'),(610,1,'en','core/base/enums','system_updater_steps.messages.publish_core_assets','Publishing core assets...','2023-12-08 09:13:48','2023-12-08 09:13:48'),(611,1,'en','core/base/enums','system_updater_steps.messages.publish_packages_assets','Publishing packages assets...','2023-12-08 09:13:48','2023-12-08 09:13:48'),(612,1,'en','core/base/enums','system_updater_steps.messages.clean_up','Cleaning up system update files...','2023-12-08 09:13:48','2023-12-08 09:13:48'),(613,1,'en','core/base/enums','system_updater_steps.messages.done','Done! Your browser will be refreshed in 30 seconds.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(614,1,'en','core/base/enums','system_updater_steps.failed_messages.download','Could not download update files','2023-12-08 09:13:48','2023-12-08 09:13:48'),(615,1,'en','core/base/enums','system_updater_steps.failed_messages.update_files','Could not update system files','2023-12-08 09:13:48','2023-12-08 09:13:48'),(616,1,'en','core/base/enums','system_updater_steps.failed_messages.update_database','Could not update databases','2023-12-08 09:13:48','2023-12-08 09:13:48'),(617,1,'en','core/base/enums','system_updater_steps.failed_messages.publish_core_assets','Could not publish core assets','2023-12-08 09:13:48','2023-12-08 09:13:48'),(618,1,'en','core/base/enums','system_updater_steps.failed_messages.publish_packages_assets','Could not publish packages assets','2023-12-08 09:13:48','2023-12-08 09:13:48'),(619,1,'en','core/base/enums','system_updater_steps.failed_messages.clean_up','Could not clean up system update files','2023-12-08 09:13:48','2023-12-08 09:13:48'),(620,1,'en','core/base/enums','system_updater_steps.success_messages.download','Downloaded update files successfully.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(621,1,'en','core/base/enums','system_updater_steps.success_messages.update_files','Updated system files successfully.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(622,1,'en','core/base/enums','system_updater_steps.success_messages.update_database','Updated databases successfully.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(623,1,'en','core/base/enums','system_updater_steps.success_messages.publish_core_assets','Published core assets successfully.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(624,1,'en','core/base/enums','system_updater_steps.success_messages.publish_packages_assets','Published packages assets successfully.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(625,1,'en','core/base/enums','system_updater_steps.success_messages.clean_up','Cleaned up system update files successfully.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(626,1,'en','core/base/errors','401_title','Permission Denied','2023-12-08 09:13:48','2023-12-08 09:13:48'),(627,1,'en','core/base/errors','404_title','Page could not be found','2023-12-08 09:13:48','2023-12-08 09:13:48'),(628,1,'en','core/base/errors','500_title','Page could not be loaded','2023-12-08 09:13:48','2023-12-08 09:13:48'),(629,1,'en','core/base/errors','reasons','This may have occurred because of several reasons','2023-12-08 09:13:48','2023-12-08 09:13:48'),(630,1,'en','core/base/errors','try_again','Please try again in a few minutes, or alternatively return to the homepage by <a href=\":link\">clicking here</a>.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(631,1,'en','core/base/errors','not_found','Not Found','2023-12-08 09:13:48','2023-12-08 09:13:48'),(632,1,'en','core/base/errors','results_not_found','Results not found!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(633,1,'en','core/base/errors','go_to_home','Go to home','2023-12-08 09:13:48','2023-12-08 09:13:48'),(634,1,'en','core/base/errors','error_when_sending_email','Unable to send e-mail. Something wrong with your email settings in Admin → Settings → Email, please check your settings again.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(635,1,'en','core/base/errors','error_when_sending_email_guest','Unable to send e-mail. Please contact the site administrator if the problem persists.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(636,1,'en','core/base/forms','choose_image','Choose image','2023-12-08 09:13:48','2023-12-08 09:13:48'),(637,1,'en','core/base/forms','actions','Actions','2023-12-08 09:13:48','2023-12-08 09:13:48'),(638,1,'en','core/base/forms','save','Save & Exit','2023-12-08 09:13:48','2023-12-08 09:13:48'),(639,1,'en','core/base/forms','save_and_continue','Save','2023-12-08 09:13:48','2023-12-08 09:13:48'),(640,1,'en','core/base/forms','image','Image','2023-12-08 09:13:48','2023-12-08 09:13:48'),(641,1,'en','core/base/forms','image_placeholder','Insert path of image or click upload button','2023-12-08 09:13:48','2023-12-08 09:13:48'),(642,1,'en','core/base/forms','create','Create','2023-12-08 09:13:48','2023-12-08 09:13:48'),(643,1,'en','core/base/forms','edit','Edit','2023-12-08 09:13:48','2023-12-08 09:13:48'),(644,1,'en','core/base/forms','permalink','Permalink','2023-12-08 09:13:48','2023-12-08 09:13:48'),(645,1,'en','core/base/forms','ok','OK','2023-12-08 09:13:48','2023-12-08 09:13:48'),(646,1,'en','core/base/forms','cancel','Cancel','2023-12-08 09:13:48','2023-12-08 09:13:48'),(647,1,'en','core/base/forms','character_remain','character(s) remain','2023-12-08 09:13:48','2023-12-08 09:13:48'),(648,1,'en','core/base/forms','template','Template','2023-12-08 09:13:48','2023-12-08 09:13:48'),(649,1,'en','core/base/forms','choose_file','Choose file','2023-12-08 09:13:48','2023-12-08 09:13:48'),(650,1,'en','core/base/forms','file','File','2023-12-08 09:13:48','2023-12-08 09:13:48'),(651,1,'en','core/base/forms','content','Content','2023-12-08 09:13:48','2023-12-08 09:13:48'),(652,1,'en','core/base/forms','description','Description','2023-12-08 09:13:48','2023-12-08 09:13:48'),(653,1,'en','core/base/forms','name','Name','2023-12-08 09:13:48','2023-12-08 09:13:48'),(654,1,'en','core/base/forms','email','Email','2023-12-08 09:13:48','2023-12-08 09:13:48'),(655,1,'en','core/base/forms','slug','Slug','2023-12-08 09:13:48','2023-12-08 09:13:48'),(656,1,'en','core/base/forms','title','Title','2023-12-08 09:13:48','2023-12-08 09:13:48'),(657,1,'en','core/base/forms','value','Value','2023-12-08 09:13:48','2023-12-08 09:13:48'),(658,1,'en','core/base/forms','name_placeholder','Name','2023-12-08 09:13:48','2023-12-08 09:13:48'),(659,1,'en','core/base/forms','alias_placeholder','Alias','2023-12-08 09:13:48','2023-12-08 09:13:48'),(660,1,'en','core/base/forms','description_placeholder','Short description','2023-12-08 09:13:48','2023-12-08 09:13:48'),(661,1,'en','core/base/forms','email_placeholder','e.g: example@domain.com','2023-12-08 09:13:48','2023-12-08 09:13:48'),(662,1,'en','core/base/forms','content_placeholder','Write your content','2023-12-08 09:13:48','2023-12-08 09:13:48'),(663,1,'en','core/base/forms','parent','Parent','2023-12-08 09:13:48','2023-12-08 09:13:48'),(664,1,'en','core/base/forms','icon','Icon','2023-12-08 09:13:48','2023-12-08 09:13:48'),(665,1,'en','core/base/forms','icon_placeholder','Ex: fa fa-home','2023-12-08 09:13:48','2023-12-08 09:13:48'),(666,1,'en','core/base/forms','order_by','Order by','2023-12-08 09:13:48','2023-12-08 09:13:48'),(667,1,'en','core/base/forms','order_by_placeholder','Order by','2023-12-08 09:13:48','2023-12-08 09:13:48'),(668,1,'en','core/base/forms','is_featured','Is featured?','2023-12-08 09:13:48','2023-12-08 09:13:48'),(669,1,'en','core/base/forms','is_default','Is default?','2023-12-08 09:13:48','2023-12-08 09:13:48'),(670,1,'en','core/base/forms','update','Update','2023-12-08 09:13:48','2023-12-08 09:13:48'),(671,1,'en','core/base/forms','publish','Publish','2023-12-08 09:13:48','2023-12-08 09:13:48'),(672,1,'en','core/base/forms','remove_image','Remove image','2023-12-08 09:13:48','2023-12-08 09:13:48'),(673,1,'en','core/base/forms','remove_file','Remove file','2023-12-08 09:13:48','2023-12-08 09:13:48'),(674,1,'en','core/base/forms','order','Order','2023-12-08 09:13:48','2023-12-08 09:13:48'),(675,1,'en','core/base/forms','alias','Alias','2023-12-08 09:13:48','2023-12-08 09:13:48'),(676,1,'en','core/base/forms','basic_information','Basic information','2023-12-08 09:13:48','2023-12-08 09:13:48'),(677,1,'en','core/base/forms','short_code','Shortcode','2023-12-08 09:13:48','2023-12-08 09:13:48'),(678,1,'en','core/base/forms','add_short_code','Add a shortcode','2023-12-08 09:13:48','2023-12-08 09:13:48'),(679,1,'en','core/base/forms','add','Add','2023-12-08 09:13:48','2023-12-08 09:13:48'),(680,1,'en','core/base/forms','link','Link','2023-12-08 09:13:48','2023-12-08 09:13:48'),(681,1,'en','core/base/forms','show_hide_editor','Show/Hide Editor','2023-12-08 09:13:48','2023-12-08 09:13:48'),(682,1,'en','core/base/forms','basic_info_title','Basic information','2023-12-08 09:13:48','2023-12-08 09:13:48'),(683,1,'en','core/base/forms','view_preview_image','View preview image','2023-12-08 09:13:48','2023-12-08 09:13:48'),(684,1,'en','core/base/forms','edit_item','Edit \":name\"','2023-12-08 09:13:48','2023-12-08 09:13:48'),(685,1,'en','core/base/forms','reset','Reset','2023-12-08 09:13:48','2023-12-08 09:13:48'),(686,1,'en','core/base/forms','add_images','Add Images','2023-12-08 09:13:48','2023-12-08 09:13:48'),(687,1,'en','core/base/forms','status','Status','2023-12-08 09:13:48','2023-12-08 09:13:48'),(688,1,'en','core/base/forms','select_placeholder','Select an option','2023-12-08 09:13:48','2023-12-08 09:13:48'),(689,1,'en','core/base/layouts','platform_admin','Platform Administration','2023-12-08 09:13:48','2023-12-08 09:13:48'),(690,1,'en','core/base/layouts','dashboard','Dashboard','2023-12-08 09:13:48','2023-12-08 09:13:48'),(691,1,'en','core/base/layouts','widgets','Widgets','2023-12-08 09:13:48','2023-12-08 09:13:48'),(692,1,'en','core/base/layouts','plugins','Plugins','2023-12-08 09:13:48','2023-12-08 09:13:48'),(693,1,'en','core/base/layouts','settings','Settings','2023-12-08 09:13:48','2023-12-08 09:13:48'),(694,1,'en','core/base/layouts','setting_general','General','2023-12-08 09:13:48','2023-12-08 09:13:48'),(695,1,'en','core/base/layouts','setting_email','Email','2023-12-08 09:13:48','2023-12-08 09:13:48'),(696,1,'en','core/base/layouts','system_information','System information','2023-12-08 09:13:48','2023-12-08 09:13:48'),(697,1,'en','core/base/layouts','theme','Theme','2023-12-08 09:13:48','2023-12-08 09:13:48'),(698,1,'en','core/base/layouts','copyright','Copyright :year © :company. Version :version','2023-12-08 09:13:48','2023-12-08 09:13:48'),(699,1,'en','core/base/layouts','profile','Profile','2023-12-08 09:13:48','2023-12-08 09:13:48'),(700,1,'en','core/base/layouts','logout','Logout','2023-12-08 09:13:48','2023-12-08 09:13:48'),(701,1,'en','core/base/layouts','no_search_result','No results found, please try with different keywords.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(702,1,'en','core/base/layouts','home','Home','2023-12-08 09:13:48','2023-12-08 09:13:48'),(703,1,'en','core/base/layouts','search','Search','2023-12-08 09:13:48','2023-12-08 09:13:48'),(704,1,'en','core/base/layouts','add_new','Add new','2023-12-08 09:13:48','2023-12-08 09:13:48'),(705,1,'en','core/base/layouts','n_a','N/A','2023-12-08 09:13:48','2023-12-08 09:13:48'),(706,1,'en','core/base/layouts','page_loaded_in_time','Page loaded in :time seconds','2023-12-08 09:13:48','2023-12-08 09:13:48'),(707,1,'en','core/base/layouts','view_website','View website','2023-12-08 09:13:48','2023-12-08 09:13:48'),(708,1,'en','core/base/layouts','tools','Tools','2023-12-08 09:13:48','2023-12-08 09:13:48'),(709,1,'en','core/base/notices','create_success_message','Created successfully','2023-12-08 09:13:48','2023-12-08 09:13:48'),(710,1,'en','core/base/notices','update_success_message','Updated successfully','2023-12-08 09:13:48','2023-12-08 09:13:48'),(711,1,'en','core/base/notices','delete_success_message','Deleted successfully','2023-12-08 09:13:48','2023-12-08 09:13:48'),(712,1,'en','core/base/notices','success_header','Success!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(713,1,'en','core/base/notices','error_header','Error!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(714,1,'en','core/base/notices','no_select','Please select at least one record to perform this action!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(715,1,'en','core/base/notices','processing_request','We are processing your request.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(716,1,'en','core/base/notices','error','Error!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(717,1,'en','core/base/notices','success','Success!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(718,1,'en','core/base/notices','info','Info!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(719,1,'en','core/base/notices','enum.validate_message','The :attribute value you have entered is invalid.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(720,1,'en','core/base/notifications','notifications','Notifications','2023-12-08 09:13:48','2023-12-08 09:13:48'),(721,1,'en','core/base/notifications','mark_as_read','Mark all as read','2023-12-08 09:13:48','2023-12-08 09:13:48'),(722,1,'en','core/base/notifications','clear','Clear','2023-12-08 09:13:48','2023-12-08 09:13:48'),(723,1,'en','core/base/notifications','no_notification_here','No notifications here','2023-12-08 09:13:48','2023-12-08 09:13:48'),(724,1,'en','core/base/notifications','please_check_again_later','Please check again later','2023-12-08 09:13:48','2023-12-08 09:13:48'),(725,1,'en','core/base/notifications','view_more','View more...','2023-12-08 09:13:48','2023-12-08 09:13:48'),(726,1,'en','core/base/notifications','view','View','2023-12-08 09:13:48','2023-12-08 09:13:48'),(727,1,'en','core/base/notifications','next','Next','2023-12-08 09:13:48','2023-12-08 09:13:48'),(728,1,'en','core/base/notifications','previous','Previous','2023-12-08 09:13:48','2023-12-08 09:13:48'),(729,1,'en','core/base/system','no_select','Please select at least one record to take this action!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(730,1,'en','core/base/system','cannot_find_user','Unable to find specified user','2023-12-08 09:13:48','2023-12-08 09:13:48'),(731,1,'en','core/base/system','supper_revoked','Super user access revoked','2023-12-08 09:13:48','2023-12-08 09:13:48'),(732,1,'en','core/base/system','cannot_revoke_yourself','Can not revoke supper user access permission yourself!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(733,1,'en','core/base/system','cant_remove_supper','You don\'t has permission to remove this super user','2023-12-08 09:13:48','2023-12-08 09:13:48'),(734,1,'en','core/base/system','cant_find_user_with_email','Unable to find user with specified email address','2023-12-08 09:13:48','2023-12-08 09:13:48'),(735,1,'en','core/base/system','supper_granted','Super user access granted','2023-12-08 09:13:48','2023-12-08 09:13:48'),(736,1,'en','core/base/system','delete_log_success','Delete log file successfully!','2023-12-08 09:13:48','2023-12-08 09:13:48'),(737,1,'en','core/base/system','get_member_success','Member list retrieved successfully','2023-12-08 09:13:48','2023-12-08 09:13:48'),(738,1,'en','core/base/system','error_occur','The following errors occurred','2023-12-08 09:13:48','2023-12-08 09:13:48'),(739,1,'en','core/base/system','user_management','User Management','2023-12-08 09:13:48','2023-12-08 09:13:48'),(740,1,'en','core/base/system','user_management_description','Manage users.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(741,1,'en','core/base/system','role_and_permission','Roles and Permissions','2023-12-08 09:13:48','2023-12-08 09:13:48'),(742,1,'en','core/base/system','role_and_permission_description','Manage the available roles.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(743,1,'en','core/base/system','user.list_super','List Super Users','2023-12-08 09:13:48','2023-12-08 09:13:48'),(744,1,'en','core/base/system','user.email','Email','2023-12-08 09:13:48','2023-12-08 09:13:48'),(745,1,'en','core/base/system','user.last_login','Last Login','2023-12-08 09:13:48','2023-12-08 09:13:48'),(746,1,'en','core/base/system','user.username','Username','2023-12-08 09:13:48','2023-12-08 09:13:48'),(747,1,'en','core/base/system','user.add_user','Add Super User','2023-12-08 09:13:48','2023-12-08 09:13:48'),(748,1,'en','core/base/system','user.cancel','Cancel','2023-12-08 09:13:48','2023-12-08 09:13:48'),(749,1,'en','core/base/system','user.create','Create','2023-12-08 09:13:48','2023-12-08 09:13:48'),(750,1,'en','core/base/system','options.features','Feature Access Control','2023-12-08 09:13:48','2023-12-08 09:13:48'),(751,1,'en','core/base/system','options.feature_description','Manage the available.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(752,1,'en','core/base/system','options.manage_super','Super User Management','2023-12-08 09:13:48','2023-12-08 09:13:48'),(753,1,'en','core/base/system','options.manage_super_description','Add/remove super users.','2023-12-08 09:13:48','2023-12-08 09:13:48'),(754,1,'en','core/base/system','options.info','System information','2023-12-08 09:13:49','2023-12-08 09:13:49'),(755,1,'en','core/base/system','options.info_description','All information about current system configuration.','2023-12-08 09:13:49','2023-12-08 09:13:49'),(756,1,'en','core/base/system','info.title','System Information','2023-12-08 09:13:49','2023-12-08 09:13:49'),(757,1,'en','core/base/system','info.description','All information about current system configuration.','2023-12-08 09:13:49','2023-12-08 09:13:49'),(758,1,'en','core/base/system','info.cache','Cache','2023-12-08 09:13:49','2023-12-08 09:13:49'),(759,1,'en','core/base/system','info.locale','Active locale','2023-12-08 09:13:49','2023-12-08 09:13:49'),(760,1,'en','core/base/system','info.environment','Environment','2023-12-08 09:13:49','2023-12-08 09:13:49'),(761,1,'en','core/base/system','disabled_in_demo_mode','You cannot do it in demo mode!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(762,1,'en','core/base/system','report_description','Please share this information for troubleshooting','2023-12-08 09:13:49','2023-12-08 09:13:49'),(763,1,'en','core/base/system','get_system_report','Get System Report','2023-12-08 09:13:49','2023-12-08 09:13:49'),(764,1,'en','core/base/system','system_environment','System Environment','2023-12-08 09:13:49','2023-12-08 09:13:49'),(765,1,'en','core/base/system','framework_version','Framework Version','2023-12-08 09:13:49','2023-12-08 09:13:49'),(766,1,'en','core/base/system','timezone','Timezone','2023-12-08 09:13:49','2023-12-08 09:13:49'),(767,1,'en','core/base/system','debug_mode','Debug Mode','2023-12-08 09:13:49','2023-12-08 09:13:49'),(768,1,'en','core/base/system','debug_mode_off','Debug Mode Off','2023-12-08 09:13:49','2023-12-08 09:13:49'),(769,1,'en','core/base/system','storage_dir_writable','Storage Dir Writable','2023-12-08 09:13:49','2023-12-08 09:13:49'),(770,1,'en','core/base/system','cache_dir_writable','Cache Dir Writable','2023-12-08 09:13:49','2023-12-08 09:13:49'),(771,1,'en','core/base/system','app_size','App Size','2023-12-08 09:13:49','2023-12-08 09:13:49'),(772,1,'en','core/base/system','server_environment','Server Environment','2023-12-08 09:13:49','2023-12-08 09:13:49'),(773,1,'en','core/base/system','php_version','PHP Version','2023-12-08 09:13:49','2023-12-08 09:13:49'),(774,1,'en','core/base/system','php_version_error','PHP must be >= :version','2023-12-08 09:13:49','2023-12-08 09:13:49'),(775,1,'en','core/base/system','server_software','Server Software','2023-12-08 09:13:49','2023-12-08 09:13:49'),(776,1,'en','core/base/system','server_os','Server OS','2023-12-08 09:13:49','2023-12-08 09:13:49'),(777,1,'en','core/base/system','database','Database','2023-12-08 09:13:49','2023-12-08 09:13:49'),(778,1,'en','core/base/system','ssl_installed','SSL Installed','2023-12-08 09:13:49','2023-12-08 09:13:49'),(779,1,'en','core/base/system','cache_driver','Cache Driver','2023-12-08 09:13:49','2023-12-08 09:13:49'),(780,1,'en','core/base/system','session_driver','Session Driver','2023-12-08 09:13:49','2023-12-08 09:13:49'),(781,1,'en','core/base/system','queue_connection','Queue Connection','2023-12-08 09:13:49','2023-12-08 09:13:49'),(782,1,'en','core/base/system','mbstring_ext','Mbstring Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(783,1,'en','core/base/system','openssl_ext','OpenSSL Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(784,1,'en','core/base/system','pdo_ext','PDO Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(785,1,'en','core/base/system','curl_ext','CURL Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(786,1,'en','core/base/system','exif_ext','Exif Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(787,1,'en','core/base/system','file_info_ext','File info Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(788,1,'en','core/base/system','tokenizer_ext','Tokenizer Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(789,1,'en','core/base/system','extra_stats','Extra Stats','2023-12-08 09:13:49','2023-12-08 09:13:49'),(790,1,'en','core/base/system','installed_packages','Installed packages and their version numbers','2023-12-08 09:13:49','2023-12-08 09:13:49'),(791,1,'en','core/base/system','extra_information','Extra Information','2023-12-08 09:13:49','2023-12-08 09:13:49'),(792,1,'en','core/base/system','copy_report','Copy Report','2023-12-08 09:13:49','2023-12-08 09:13:49'),(793,1,'en','core/base/system','package_name','Package Name','2023-12-08 09:13:49','2023-12-08 09:13:49'),(794,1,'en','core/base/system','dependency_name','Dependency Name','2023-12-08 09:13:49','2023-12-08 09:13:49'),(795,1,'en','core/base/system','version','Version','2023-12-08 09:13:49','2023-12-08 09:13:49'),(796,1,'en','core/base/system','cms_version','CMS Version','2023-12-08 09:13:49','2023-12-08 09:13:49'),(797,1,'en','core/base/system','imagick_or_gd_ext','Imagick/GD Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(798,1,'en','core/base/system','updater','System Updater','2023-12-08 09:13:49','2023-12-08 09:13:49'),(799,1,'en','core/base/system','zip','Zip Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(800,1,'en','core/base/system','iconv','Iconv Ext','2023-12-08 09:13:49','2023-12-08 09:13:49'),(801,1,'en','core/base/system','memory_limit','Memory limit','2023-12-08 09:13:49','2023-12-08 09:13:49'),(802,1,'en','core/base/system','max_execution_time','Max execution time (s)','2023-12-08 09:13:49','2023-12-08 09:13:49'),(803,1,'en','core/base/system','allow_url_fopen_enabled','allow_url_fopen enabled','2023-12-08 09:13:49','2023-12-08 09:13:49'),(804,1,'en','core/base/system','cleanup.title','Cleanup System','2023-12-08 09:13:49','2023-12-08 09:13:49'),(805,1,'en','core/base/system','cleanup.description','Cleanup your unused data in database','2023-12-08 09:13:49','2023-12-08 09:13:49'),(806,1,'en','core/base/system','cleanup.table.name','Table Name','2023-12-08 09:13:49','2023-12-08 09:13:49'),(807,1,'en','core/base/system','cleanup.table.count','Records','2023-12-08 09:13:49','2023-12-08 09:13:49'),(808,1,'en','core/base/system','cleanup.backup_alert','Please backup your database and script files before cleanup, it will clear your data in database.','2023-12-08 09:13:49','2023-12-08 09:13:49'),(809,1,'en','core/base/system','cleanup.messenger_choose_without_table','Please choose to ignore tables that do not want to be cleaned','2023-12-08 09:13:49','2023-12-08 09:13:49'),(810,1,'en','core/base/system','cleanup.messenger_confirm_cleanup','Are you sure you want to database cleanup action, it will clear your data in database?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(811,1,'en','core/base/system','cleanup.submit_button','Cleanup','2023-12-08 09:13:49','2023-12-08 09:13:49'),(812,1,'en','core/base/system','cleanup.success_message','Cleaned data successfully','2023-12-08 09:13:49','2023-12-08 09:13:49'),(813,1,'en','core/base/system','cleanup.not_enabled_yet','This featured is not enabled yet. <br />Please add into .env: <code>CMS_ENABLED_CLEANUP_DATABASE=true</code> to enable this feature!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(814,1,'en','core/base/tables','id','ID','2023-12-08 09:13:49','2023-12-08 09:13:49'),(815,1,'en','core/base/tables','name','Name','2023-12-08 09:13:49','2023-12-08 09:13:49'),(816,1,'en','core/base/tables','slug','Slug','2023-12-08 09:13:49','2023-12-08 09:13:49'),(817,1,'en','core/base/tables','title','Title','2023-12-08 09:13:49','2023-12-08 09:13:49'),(818,1,'en','core/base/tables','order_by','Order By','2023-12-08 09:13:49','2023-12-08 09:13:49'),(819,1,'en','core/base/tables','order','Order','2023-12-08 09:13:49','2023-12-08 09:13:49'),(820,1,'en','core/base/tables','status','Status','2023-12-08 09:13:49','2023-12-08 09:13:49'),(821,1,'en','core/base/tables','created_at','Created At','2023-12-08 09:13:49','2023-12-08 09:13:49'),(822,1,'en','core/base/tables','updated_at','Updated At','2023-12-08 09:13:49','2023-12-08 09:13:49'),(823,1,'en','core/base/tables','description','Description','2023-12-08 09:13:49','2023-12-08 09:13:49'),(824,1,'en','core/base/tables','operations','Operations','2023-12-08 09:13:49','2023-12-08 09:13:49'),(825,1,'en','core/base/tables','url','URL','2023-12-08 09:13:49','2023-12-08 09:13:49'),(826,1,'en','core/base/tables','author','Author','2023-12-08 09:13:49','2023-12-08 09:13:49'),(827,1,'en','core/base/tables','notes','Notes','2023-12-08 09:13:49','2023-12-08 09:13:49'),(828,1,'en','core/base/tables','column','Column','2023-12-08 09:13:49','2023-12-08 09:13:49'),(829,1,'en','core/base/tables','origin','Origin','2023-12-08 09:13:49','2023-12-08 09:13:49'),(830,1,'en','core/base/tables','after_change','After changes','2023-12-08 09:13:49','2023-12-08 09:13:49'),(831,1,'en','core/base/tables','views','Views','2023-12-08 09:13:49','2023-12-08 09:13:49'),(832,1,'en','core/base/tables','browser','Browser','2023-12-08 09:13:49','2023-12-08 09:13:49'),(833,1,'en','core/base/tables','session','Session','2023-12-08 09:13:49','2023-12-08 09:13:49'),(834,1,'en','core/base/tables','activated','activated','2023-12-08 09:13:49','2023-12-08 09:13:49'),(835,1,'en','core/base/tables','deactivated','deactivated','2023-12-08 09:13:49','2023-12-08 09:13:49'),(836,1,'en','core/base/tables','is_featured','Is featured','2023-12-08 09:13:49','2023-12-08 09:13:49'),(837,1,'en','core/base/tables','edit','Edit','2023-12-08 09:13:49','2023-12-08 09:13:49'),(838,1,'en','core/base/tables','delete','Delete','2023-12-08 09:13:49','2023-12-08 09:13:49'),(839,1,'en','core/base/tables','restore','Restore','2023-12-08 09:13:49','2023-12-08 09:13:49'),(840,1,'en','core/base/tables','activate','Activate','2023-12-08 09:13:49','2023-12-08 09:13:49'),(841,1,'en','core/base/tables','deactivate','Deactivate','2023-12-08 09:13:49','2023-12-08 09:13:49'),(842,1,'en','core/base/tables','excel','Excel','2023-12-08 09:13:49','2023-12-08 09:13:49'),(843,1,'en','core/base/tables','export','Export','2023-12-08 09:13:49','2023-12-08 09:13:49'),(844,1,'en','core/base/tables','csv','CSV','2023-12-08 09:13:49','2023-12-08 09:13:49'),(845,1,'en','core/base/tables','pdf','PDF','2023-12-08 09:13:49','2023-12-08 09:13:49'),(846,1,'en','core/base/tables','print','Print','2023-12-08 09:13:49','2023-12-08 09:13:49'),(847,1,'en','core/base/tables','reset','Reset','2023-12-08 09:13:49','2023-12-08 09:13:49'),(848,1,'en','core/base/tables','reload','Reload','2023-12-08 09:13:49','2023-12-08 09:13:49'),(849,1,'en','core/base/tables','display','Display','2023-12-08 09:13:49','2023-12-08 09:13:49'),(850,1,'en','core/base/tables','all','All','2023-12-08 09:13:49','2023-12-08 09:13:49'),(851,1,'en','core/base/tables','add_new','Add New','2023-12-08 09:13:49','2023-12-08 09:13:49'),(852,1,'en','core/base/tables','action','Actions','2023-12-08 09:13:49','2023-12-08 09:13:49'),(853,1,'en','core/base/tables','delete_entry','Delete','2023-12-08 09:13:49','2023-12-08 09:13:49'),(854,1,'en','core/base/tables','view','View Detail','2023-12-08 09:13:49','2023-12-08 09:13:49'),(855,1,'en','core/base/tables','save','Save','2023-12-08 09:13:49','2023-12-08 09:13:49'),(856,1,'en','core/base/tables','show_from','Show from','2023-12-08 09:13:49','2023-12-08 09:13:49'),(857,1,'en','core/base/tables','to','to','2023-12-08 09:13:49','2023-12-08 09:13:49'),(858,1,'en','core/base/tables','in','in','2023-12-08 09:13:49','2023-12-08 09:13:49'),(859,1,'en','core/base/tables','records','records','2023-12-08 09:13:49','2023-12-08 09:13:49'),(860,1,'en','core/base/tables','no_data','No data to display','2023-12-08 09:13:49','2023-12-08 09:13:49'),(861,1,'en','core/base/tables','no_record','No record','2023-12-08 09:13:49','2023-12-08 09:13:49'),(862,1,'en','core/base/tables','confirm_delete','Confirm delete','2023-12-08 09:13:49','2023-12-08 09:13:49'),(863,1,'en','core/base/tables','confirm_delete_msg','Do you really want to delete this record?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(864,1,'en','core/base/tables','confirm_delete_many_msg','Do you really want to delete selected record(s)?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(865,1,'en','core/base/tables','confirm_delete_all_msg','Do you really want to delete all record?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(866,1,'en','core/base/tables','cancel','Cancel','2023-12-08 09:13:49','2023-12-08 09:13:49'),(867,1,'en','core/base/tables','template','Template','2023-12-08 09:13:49','2023-12-08 09:13:49'),(868,1,'en','core/base/tables','email','Email','2023-12-08 09:13:49','2023-12-08 09:13:49'),(869,1,'en','core/base/tables','phone','Phone','2023-12-08 09:13:49','2023-12-08 09:13:49'),(870,1,'en','core/base/tables','last_login','Last login','2023-12-08 09:13:49','2023-12-08 09:13:49'),(871,1,'en','core/base/tables','shortcode','Shortcode','2023-12-08 09:13:49','2023-12-08 09:13:49'),(872,1,'en','core/base/tables','image','Image','2023-12-08 09:13:49','2023-12-08 09:13:49'),(873,1,'en','core/base/tables','bulk_changes','Bulk changes','2023-12-08 09:13:49','2023-12-08 09:13:49'),(874,1,'en','core/base/tables','submit','Submit','2023-12-08 09:13:49','2023-12-08 09:13:49'),(875,1,'en','core/base/tables','please_select_record','Please select at least one record to perform this action!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(876,1,'en','core/base/tables','checkbox','Checkbox','2023-12-08 09:13:49','2023-12-08 09:13:49'),(877,1,'en','core/base/tabs','detail','Detail','2023-12-08 09:13:49','2023-12-08 09:13:49'),(878,1,'en','core/base/tabs','file','Files','2023-12-08 09:13:49','2023-12-08 09:13:49'),(879,1,'en','core/base/tabs','record_note','Record Note','2023-12-08 09:13:49','2023-12-08 09:13:49'),(880,1,'en','core/base/tabs','revision','Revision History','2023-12-08 09:13:49','2023-12-08 09:13:49'),(881,1,'en','core/base/tree-category','drag_drop_info','Drag and drop on the left to change the order or parent of the categories.','2023-12-08 09:13:49','2023-12-08 09:13:49'),(882,1,'en','core/base/tree-category','expand_all','Expand all','2023-12-08 09:13:49','2023-12-08 09:13:49'),(883,1,'en','core/base/tree-category','collapse_all','Collapse all','2023-12-08 09:13:49','2023-12-08 09:13:49'),(884,1,'en','core/base/tree-category','empty_text','No categories found.','2023-12-08 09:13:49','2023-12-08 09:13:49'),(885,1,'en','core/base/tree-category','delete_button','Delete','2023-12-08 09:13:49','2023-12-08 09:13:49'),(886,1,'en','core/base/tree-category','delete_modal.title','Delete Category','2023-12-08 09:13:49','2023-12-08 09:13:49'),(887,1,'en','core/base/tree-category','delete_modal.message','Are you sure you want to delete this category?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(888,1,'en','core/dashboard/dashboard','update_position_success','Update widget position successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(889,1,'en','core/dashboard/dashboard','hide_success','Update widget successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(890,1,'en','core/dashboard/dashboard','confirm_hide','Are you sure?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(891,1,'en','core/dashboard/dashboard','hide_message','Do you really want to hide this widget? It will be disappear on Dashboard!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(892,1,'en','core/dashboard/dashboard','confirm_hide_btn','Yes, hide this widget','2023-12-08 09:13:49','2023-12-08 09:13:49'),(893,1,'en','core/dashboard/dashboard','cancel_hide_btn','Cancel','2023-12-08 09:13:49','2023-12-08 09:13:49'),(894,1,'en','core/dashboard/dashboard','collapse_expand','Collapse/Expand','2023-12-08 09:13:49','2023-12-08 09:13:49'),(895,1,'en','core/dashboard/dashboard','hide','Hide','2023-12-08 09:13:49','2023-12-08 09:13:49'),(896,1,'en','core/dashboard/dashboard','reload','Reload','2023-12-08 09:13:49','2023-12-08 09:13:49'),(897,1,'en','core/dashboard/dashboard','save_setting_success','Save widget settings successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(898,1,'en','core/dashboard/dashboard','widget_not_exists','Widget is not exits!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(899,1,'en','core/dashboard/dashboard','manage_widgets','Manage Widgets','2023-12-08 09:13:49','2023-12-08 09:13:49'),(900,1,'en','core/dashboard/dashboard','fullscreen','Full screen','2023-12-08 09:13:49','2023-12-08 09:13:49'),(901,1,'en','core/dashboard/dashboard','title','Dashboard','2023-12-08 09:13:49','2023-12-08 09:13:49'),(902,1,'en','core/dashboard/dashboard','predefined_ranges.today','Today','2023-12-08 09:13:49','2023-12-08 09:13:49'),(903,1,'en','core/dashboard/dashboard','predefined_ranges.yesterday','Yesterday','2023-12-08 09:13:49','2023-12-08 09:13:49'),(904,1,'en','core/dashboard/dashboard','predefined_ranges.this_week','This Week','2023-12-08 09:13:49','2023-12-08 09:13:49'),(905,1,'en','core/dashboard/dashboard','predefined_ranges.last_7_days','Last 7 Days','2023-12-08 09:13:49','2023-12-08 09:13:49'),(906,1,'en','core/dashboard/dashboard','predefined_ranges.this_month','This Month','2023-12-08 09:13:49','2023-12-08 09:13:49'),(907,1,'en','core/dashboard/dashboard','predefined_ranges.last_30_days','Last 30 Days','2023-12-08 09:13:49','2023-12-08 09:13:49'),(908,1,'en','core/dashboard/dashboard','predefined_ranges.this_year','This Year','2023-12-08 09:13:49','2023-12-08 09:13:49'),(909,1,'en','core/media/media','filter','Filter','2023-12-08 09:13:49','2023-12-08 09:13:49'),(910,1,'en','core/media/media','everything','Everything','2023-12-08 09:13:49','2023-12-08 09:13:49'),(911,1,'en','core/media/media','image','Image','2023-12-08 09:13:49','2023-12-08 09:13:49'),(912,1,'en','core/media/media','video','Video','2023-12-08 09:13:49','2023-12-08 09:13:49'),(913,1,'en','core/media/media','document','Document','2023-12-08 09:13:49','2023-12-08 09:13:49'),(914,1,'en','core/media/media','view_in','View in','2023-12-08 09:13:49','2023-12-08 09:13:49'),(915,1,'en','core/media/media','all_media','All media','2023-12-08 09:13:49','2023-12-08 09:13:49'),(916,1,'en','core/media/media','trash','Trash','2023-12-08 09:13:49','2023-12-08 09:13:49'),(917,1,'en','core/media/media','recent','Recent','2023-12-08 09:13:49','2023-12-08 09:13:49'),(918,1,'en','core/media/media','favorites','Favorites','2023-12-08 09:13:49','2023-12-08 09:13:49'),(919,1,'en','core/media/media','upload','Upload','2023-12-08 09:13:49','2023-12-08 09:13:49'),(920,1,'en','core/media/media','create_folder','Create folder','2023-12-08 09:13:49','2023-12-08 09:13:49'),(921,1,'en','core/media/media','refresh','Refresh','2023-12-08 09:13:49','2023-12-08 09:13:49'),(922,1,'en','core/media/media','empty_trash','Empty trash','2023-12-08 09:13:49','2023-12-08 09:13:49'),(923,1,'en','core/media/media','search_file_and_folder','Search in current folder','2023-12-08 09:13:49','2023-12-08 09:13:49'),(924,1,'en','core/media/media','sort','Sort','2023-12-08 09:13:49','2023-12-08 09:13:49'),(925,1,'en','core/media/media','file_name_asc','File name - ASC','2023-12-08 09:13:49','2023-12-08 09:13:49'),(926,1,'en','core/media/media','file_name_desc','File name - DESC','2023-12-08 09:13:49','2023-12-08 09:13:49'),(927,1,'en','core/media/media','uploaded_date_asc','Uploaded date - ASC','2023-12-08 09:13:49','2023-12-08 09:13:49'),(928,1,'en','core/media/media','uploaded_date_desc','Uploaded date - DESC','2023-12-08 09:13:49','2023-12-08 09:13:49'),(929,1,'en','core/media/media','size_asc','Size - ASC','2023-12-08 09:13:49','2023-12-08 09:13:49'),(930,1,'en','core/media/media','size_desc','Size - DESC','2023-12-08 09:13:49','2023-12-08 09:13:49'),(931,1,'en','core/media/media','actions','Actions','2023-12-08 09:13:49','2023-12-08 09:13:49'),(932,1,'en','core/media/media','nothing_is_selected','Nothing is selected','2023-12-08 09:13:49','2023-12-08 09:13:49'),(933,1,'en','core/media/media','insert','Insert','2023-12-08 09:13:49','2023-12-08 09:13:49'),(934,1,'en','core/media/media','folder_name','Folder name','2023-12-08 09:13:49','2023-12-08 09:13:49'),(935,1,'en','core/media/media','create','Create','2023-12-08 09:13:49','2023-12-08 09:13:49'),(936,1,'en','core/media/media','rename','Rename','2023-12-08 09:13:49','2023-12-08 09:13:49'),(937,1,'en','core/media/media','crop','Crop','2023-12-08 09:13:49','2023-12-08 09:13:49'),(938,1,'en','core/media/media','close','Close','2023-12-08 09:13:49','2023-12-08 09:13:49'),(939,1,'en','core/media/media','save_changes','Save changes','2023-12-08 09:13:49','2023-12-08 09:13:49'),(940,1,'en','core/media/media','move_to_trash','Move items to trash','2023-12-08 09:13:49','2023-12-08 09:13:49'),(941,1,'en','core/media/media','confirm_trash','Are you sure you want to move these items to trash?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(942,1,'en','core/media/media','confirm','Confirm','2023-12-08 09:13:49','2023-12-08 09:13:49'),(943,1,'en','core/media/media','confirm_delete','Delete item(s)','2023-12-08 09:13:49','2023-12-08 09:13:49'),(944,1,'en','core/media/media','confirm_delete_description','Your request cannot rollback. Are you sure you wanna delete these items?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(945,1,'en','core/media/media','empty_trash_title','Empty trash','2023-12-08 09:13:49','2023-12-08 09:13:49'),(946,1,'en','core/media/media','empty_trash_description','Your request cannot rollback. Are you sure you wanna remove all items in trash?','2023-12-08 09:13:49','2023-12-08 09:13:49'),(947,1,'en','core/media/media','up_level','Up one level','2023-12-08 09:13:49','2023-12-08 09:13:49'),(948,1,'en','core/media/media','upload_progress','Upload progress','2023-12-08 09:13:49','2023-12-08 09:13:49'),(949,1,'en','core/media/media','alt_text','Alt text','2023-12-08 09:13:49','2023-12-08 09:13:49'),(950,1,'en','core/media/media','folder_created','Folder is created successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(951,1,'en','core/media/media','gallery','Media gallery','2023-12-08 09:13:49','2023-12-08 09:13:49'),(952,1,'en','core/media/media','trash_error','Error when delete selected item(s)','2023-12-08 09:13:49','2023-12-08 09:13:49'),(953,1,'en','core/media/media','trash_success','Moved selected item(s) to trash successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(954,1,'en','core/media/media','restore_error','Error when restore selected item(s)','2023-12-08 09:13:49','2023-12-08 09:13:49'),(955,1,'en','core/media/media','restore_success','Restore selected item(s) successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(956,1,'en','core/media/media','copy_success','Copied selected item(s) successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(957,1,'en','core/media/media','delete_success','Deleted selected item(s) successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(958,1,'en','core/media/media','favorite_success','Favorite selected item(s) successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(959,1,'en','core/media/media','remove_favorite_success','Remove selected item(s) from favorites successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(960,1,'en','core/media/media','rename_error','Error when rename item(s)','2023-12-08 09:13:49','2023-12-08 09:13:49'),(961,1,'en','core/media/media','rename_success','Rename selected item(s) successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(962,1,'en','core/media/media','crop_success','Crop image successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(963,1,'en','core/media/media','empty_trash_success','Empty trash successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(964,1,'en','core/media/media','invalid_action','Invalid action!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(965,1,'en','core/media/media','file_not_exists','File is not exists!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(966,1,'en','core/media/media','download_file_error','Error when downloading files!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(967,1,'en','core/media/media','missing_zip_archive_extension','Please enable ZipArchive extension to download file!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(968,1,'en','core/media/media','can_not_download_file','Can not download this file!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(969,1,'en','core/media/media','invalid_request','Invalid request!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(970,1,'en','core/media/media','add_success','Add item successfully!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(971,1,'en','core/media/media','file_too_big','File too big. Max file upload is :size bytes','2023-12-08 09:13:49','2023-12-08 09:13:49'),(972,1,'en','core/media/media','file_too_big_readable_size','File too big. Max file upload is :size.','2023-12-08 09:13:49','2023-12-08 09:13:49'),(973,1,'en','core/media/media','can_not_detect_file_type','File type is not allowed or can not detect file type!','2023-12-08 09:13:49','2023-12-08 09:13:49'),(974,1,'en','core/media/media','upload_failed','The file is NOT uploaded completely. The server allows max upload file size is :size . Please check your file size OR try to upload again in case of having network errors','2023-12-08 09:13:49','2023-12-08 09:13:49'),(975,1,'en','core/media/media','failed_to_crop_image','The file cropping must be image type','2023-12-08 09:13:49','2023-12-08 09:13:49'),(976,1,'en','core/media/media','menu_name','Media','2023-12-08 09:13:50','2023-12-08 09:13:50'),(977,1,'en','core/media/media','description','Manage and view Media Files','2023-12-08 09:13:50','2023-12-08 09:13:50'),(978,1,'en','core/media/media','panel.title','Manage Media Files','2023-12-08 09:13:50','2023-12-08 09:13:50'),(979,1,'en','core/media/media','panel.description','Manage and view Media Files','2023-12-08 09:13:50','2023-12-08 09:13:50'),(980,1,'en','core/media/media','add','Add media','2023-12-08 09:13:50','2023-12-08 09:13:50'),(981,1,'en','core/media/media','javascript.name','Name','2023-12-08 09:13:50','2023-12-08 09:13:50'),(982,1,'en','core/media/media','javascript.url','URL','2023-12-08 09:13:50','2023-12-08 09:13:50'),(983,1,'en','core/media/media','javascript.full_url','Full URL','2023-12-08 09:13:50','2023-12-08 09:13:50'),(984,1,'en','core/media/media','javascript.alt','Alt text','2023-12-08 09:13:50','2023-12-08 09:13:50'),(985,1,'en','core/media/media','javascript.size','Size','2023-12-08 09:13:50','2023-12-08 09:13:50'),(986,1,'en','core/media/media','javascript.mime_type','Type','2023-12-08 09:13:50','2023-12-08 09:13:50'),(987,1,'en','core/media/media','javascript.created_at','Uploaded at','2023-12-08 09:13:50','2023-12-08 09:13:50'),(988,1,'en','core/media/media','javascript.updated_at','Modified at','2023-12-08 09:13:50','2023-12-08 09:13:50'),(989,1,'en','core/media/media','javascript.nothing_selected','Nothing is selected','2023-12-08 09:13:50','2023-12-08 09:13:50'),(990,1,'en','core/media/media','javascript.visit_link','Open link','2023-12-08 09:13:50','2023-12-08 09:13:50'),(991,1,'en','core/media/media','javascript.no_item.all_media.title','Drop files and folders here','2023-12-08 09:13:50','2023-12-08 09:13:50'),(992,1,'en','core/media/media','javascript.no_item.all_media.message','Or use the upload button above','2023-12-08 09:13:50','2023-12-08 09:13:50'),(993,1,'en','core/media/media','javascript.no_item.trash.title','There is nothing in your trash currently','2023-12-08 09:13:50','2023-12-08 09:13:50'),(994,1,'en','core/media/media','javascript.no_item.trash.message','Delete files to move them to trash automatically. Delete files from trash to remove them permanently','2023-12-08 09:13:50','2023-12-08 09:13:50'),(995,1,'en','core/media/media','javascript.no_item.favorites.title','You have not added anything to your favorites yet','2023-12-08 09:13:50','2023-12-08 09:13:50'),(996,1,'en','core/media/media','javascript.no_item.favorites.message','Add files to favorites to easily find them later','2023-12-08 09:13:50','2023-12-08 09:13:50'),(997,1,'en','core/media/media','javascript.no_item.recent.title','You did not opened anything yet','2023-12-08 09:13:50','2023-12-08 09:13:50'),(998,1,'en','core/media/media','javascript.no_item.recent.message','All recent files that you opened will be appeared here','2023-12-08 09:13:50','2023-12-08 09:13:50'),(999,1,'en','core/media/media','javascript.no_item.default.title','No items','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1000,1,'en','core/media/media','javascript.no_item.default.message','This directory has no item','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1001,1,'en','core/media/media','javascript.clipboard.success','These file links have been copied to clipboard','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1002,1,'en','core/media/media','javascript.message.error_header','Error','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1003,1,'en','core/media/media','javascript.message.success_header','Success','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1004,1,'en','core/media/media','javascript.download.error','No files selected or cannot download these files','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1005,1,'en','core/media/media','javascript.actions_list.basic.preview','Preview','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1006,1,'en','core/media/media','javascript.actions_list.basic.crop','Crop','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1007,1,'en','core/media/media','javascript.actions_list.file.copy_link','Copy link','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1008,1,'en','core/media/media','javascript.actions_list.file.rename','Rename','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1009,1,'en','core/media/media','javascript.actions_list.file.make_copy','Make a copy','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1010,1,'en','core/media/media','javascript.actions_list.file.alt_text','ALT text','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1011,1,'en','core/media/media','javascript.actions_list.user.favorite','Add to favorite','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1012,1,'en','core/media/media','javascript.actions_list.user.remove_favorite','Remove favorite','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1013,1,'en','core/media/media','javascript.actions_list.other.download','Download','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1014,1,'en','core/media/media','javascript.actions_list.other.trash','Move to trash','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1015,1,'en','core/media/media','javascript.actions_list.other.delete','Delete permanently','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1016,1,'en','core/media/media','javascript.actions_list.other.restore','Restore','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1017,1,'en','core/media/media','javascript.actions_list.other.properties','Properties','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1018,1,'en','core/media/media','javascript.change_image','Change image','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1019,1,'en','core/media/media','javascript.delete_image','Delete image','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1020,1,'en','core/media/media','javascript.choose_image','Choose image','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1021,1,'en','core/media/media','javascript.preview_image','Preview image','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1022,1,'en','core/media/media','name_invalid','The folder name has invalid character(s).','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1023,1,'en','core/media/media','add_from_url','Add from URL','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1024,1,'en','core/media/media','or','or','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1025,1,'en','core/media/media','url_invalid','Please provide a valid URL','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1026,1,'en','core/media/media','path_invalid','Please provide a valid path','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1027,1,'en','core/media/media','download_link','Download','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1028,1,'en','core/media/media','url','URL','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1029,1,'en','core/media/media','download_explain','Enter one URL per line.','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1030,1,'en','core/media/media','downloading','Downloading...','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1031,1,'en','core/media/media','prepare_file_to_download','Preparing file to download...','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1032,1,'en','core/media/media','update_alt_text_success','Update alt text successfully!','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1033,1,'en','core/media/media','upload_from_local','Upload from local','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1034,1,'en','core/media/media','upload_from_url','Upload from URL','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1035,1,'en','core/media/media','cropper.height','Height','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1036,1,'en','core/media/media','cropper.width','Width','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1037,1,'en','core/media/media','cropper.aspect_ratio','Aspect ratio?','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1038,1,'en','core/media/media','unable_to_write','Unable to write file. Please chmod folder \":folder\" to make it writeable!','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1039,1,'en','core/media/media','unable_download_image_from','Unable to download image from URL: :url','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1040,1,'en','core/media/media','rename_physical_folder','Rename physical folder name on disk too','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1041,1,'en','core/media/media','rename_physical_file','Rename physical file name on disk too','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1042,1,'en','core/media/media','rename_physical_file_warning','This option will rename physical file name on disk too. It may cause broken links if you are using this file in other places.','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1043,1,'en','core/media/media','properties.name','Properties','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1044,1,'en','core/media/media','properties.color_label','Choose a color for this folder','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1045,1,'en','core/setting/setting','title','Settings','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1046,1,'en','core/setting/setting','general_setting','General Settings','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1047,1,'en','core/setting/setting','menu','All Settings','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1048,1,'en','core/setting/setting','email_setting_title','Email settings','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1049,1,'en','core/setting/setting','email_setting_description','Configure email settings','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1050,1,'en','core/setting/setting','general.theme','Theme','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1051,1,'en','core/setting/setting','general.title','General Information','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1052,1,'en','core/setting/setting','general.description','View and update site information','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1053,1,'en','core/setting/setting','general.rich_editor','Rich Editor','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1054,1,'en','core/setting/setting','general.site_title','Site title','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1055,1,'en','core/setting/setting','general.admin_email','Admin Email','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1056,1,'en','core/setting/setting','general.seo_block','SEO Configuration','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1057,1,'en','core/setting/setting','general.seo_title','SEO Title','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1058,1,'en','core/setting/setting','general.seo_description','SEO Description','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1059,1,'en','core/setting/setting','general.webmaster_tools_block','Google Webmaster Tools','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1060,1,'en','core/setting/setting','general.placeholder.site_title','Site Title (maximum 120 characters)','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1061,1,'en','core/setting/setting','general.placeholder.admin_email','Admin Email','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1062,1,'en','core/setting/setting','general.placeholder.seo_title','SEO Title (maximum 120 characters)','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1063,1,'en','core/setting/setting','general.placeholder.seo_description','SEO Description (maximum 120 characters)','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1064,1,'en','core/setting/setting','general.placeholder.google_analytics','Google Analytics','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1065,1,'en','core/setting/setting','general.enable_send_error_reporting_via_email','Enable to send error reporting via email?','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1066,1,'en','core/setting/setting','general.time_zone','Timezone','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1067,1,'en','core/setting/setting','general.enable','Enable','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1068,1,'en','core/setting/setting','general.disable','Disable','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1069,1,'en','core/setting/setting','general.enable_cache','Enable cache?','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1070,1,'en','core/setting/setting','general.disable_cache_in_the_admin_panel','Disable cache in the admin panel?','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1071,1,'en','core/setting/setting','general.disabled_helper','Cannot disable this email template!','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1072,1,'en','core/setting/setting','general.cache_time','Cache time (minutes)','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1073,1,'en','core/setting/setting','general.enable_cache_site_map','Enable cache site map?','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1074,1,'en','core/setting/setting','general.cache_time_site_map','Cache Time Site map (minutes)','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1075,1,'en','core/setting/setting','general.admin_logo','Admin logo','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1076,1,'en','core/setting/setting','general.admin_favicon','Admin favicon','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1077,1,'en','core/setting/setting','general.admin_title','Admin title','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1078,1,'en','core/setting/setting','general.admin_title_placeholder','Title show to tab of browser','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1079,1,'en','core/setting/setting','general.admin_appearance_title','Admin appearance','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1080,1,'en','core/setting/setting','general.admin_appearance_description','Setting admin appearance such as editor, language...','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1081,1,'en','core/setting/setting','general.seo_block_description','Setting site title, site meta description, site keyword for optimize SEO','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1082,1,'en','core/setting/setting','general.webmaster_tools_description','Google Webmaster Tools (GWT) is free software that helps you manage the technical side of your website','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1083,1,'en','core/setting/setting','general.yes','Yes','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1084,1,'en','core/setting/setting','general.no','No','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1085,1,'en','core/setting/setting','general.show_on_front','Your homepage displays','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1086,1,'en','core/setting/setting','general.select','— Select —','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1087,1,'en','core/setting/setting','general.show_site_name','Show site name after page title, separate with \"-\"?','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1088,1,'en','core/setting/setting','general.locale','Site language','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1089,1,'en','core/setting/setting','general.locale_direction','Front site language direction','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1090,1,'en','core/setting/setting','general.minutes','minutes','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1091,1,'en','core/setting/setting','general.redirect_404_to_homepage','Redirect all not found requests to homepage?','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1092,1,'en','core/setting/setting','admin_appearance.title','Admin appearance','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1093,1,'en','core/setting/setting','admin_appearance.description','View and update logo, favicon, layout,...','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1094,1,'en','core/setting/setting','admin_appearance.layout','Layout','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1095,1,'en','core/setting/setting','admin_appearance.horizontal','Horizontal','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1096,1,'en','core/setting/setting','admin_appearance.vertical','Vertical','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1097,1,'en','core/setting/setting','admin_appearance.show_menu_item_icon','Show menu item icon?','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1098,1,'en','core/setting/setting','admin_appearance.container_width.title','Container width','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1099,1,'en','core/setting/setting','admin_appearance.container_width.default','Default','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1100,1,'en','core/setting/setting','admin_appearance.container_width.large','Large','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1101,1,'en','core/setting/setting','admin_appearance.container_width.full','Full','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1102,1,'en','core/setting/setting','admin_appearance.form.admin_logo','Admin logo','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1103,1,'en','core/setting/setting','admin_appearance.form.admin_favicon','Admin favicon','2023-12-08 09:13:50','2023-12-08 09:13:50'),(1104,1,'en','core/setting/setting','admin_appearance.form.admin_title','Admin title','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1105,1,'en','core/setting/setting','admin_appearance.form.admin_title_placeholder','Title show to tab of browser','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1106,1,'en','core/setting/setting','admin_appearance.form.admin_login_screen_backgrounds','Login screen backgrounds (~1366x768)','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1107,1,'en','core/setting/setting','admin_appearance.form.admin_locale_direction','Admin language direction','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1108,1,'en','core/setting/setting','admin_appearance.form.rich_editor','Rich Editor','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1109,1,'en','core/setting/setting','admin_appearance.form.show_admin_bar','Show admin bar (When admin logged in, still show admin bar in website)?','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1110,1,'en','core/setting/setting','admin_appearance.form.show_guidelines','Show guidelines?','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1111,1,'en','core/setting/setting','admin_appearance.form.primary_font','Primary font','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1112,1,'en','core/setting/setting','admin_appearance.form.primary_color','Primary color','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1113,1,'en','core/setting/setting','admin_appearance.form.secondary_color','Secondary color','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1114,1,'en','core/setting/setting','admin_appearance.form.heading_color','Heading color','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1115,1,'en','core/setting/setting','admin_appearance.form.text_color','Text color','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1116,1,'en','core/setting/setting','admin_appearance.form.link_color','Link color','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1117,1,'en','core/setting/setting','admin_appearance.form.link_hover_color','Link hover color','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1118,1,'en','core/setting/setting','admin_appearance.form.show_menu_item_icon','Show menu item icon?','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1119,1,'en','core/setting/setting','datatable.title','Datatables','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1120,1,'en','core/setting/setting','datatable.description','Settings for datatables','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1121,1,'en','core/setting/setting','datatable.form.show_column_visibility','Default show column visibility?','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1122,1,'en','core/setting/setting','datatable.form.show_export_button','Default show export button?','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1123,1,'en','core/setting/setting','email.subject','Subject','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1124,1,'en','core/setting/setting','email.content','Content','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1125,1,'en','core/setting/setting','email.title','Setting for email template','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1126,1,'en','core/setting/setting','email.description','Email template using HTML & system variables.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1127,1,'en','core/setting/setting','email.reset_to_default','Reset to default','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1128,1,'en','core/setting/setting','email.back','Back to settings','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1129,1,'en','core/setting/setting','email.reset_success','Reset back to default successfully','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1130,1,'en','core/setting/setting','email.confirm_reset','Confirm reset email template?','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1131,1,'en','core/setting/setting','email.confirm_message','Do you really want to reset this email template to default?','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1132,1,'en','core/setting/setting','email.continue','Continue','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1133,1,'en','core/setting/setting','email.sender_name','Sender name','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1134,1,'en','core/setting/setting','email.sender_name_placeholder','Name','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1135,1,'en','core/setting/setting','email.sender_email','Sender email','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1136,1,'en','core/setting/setting','email.mailer','Mailer','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1137,1,'en','core/setting/setting','email.port','Port','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1138,1,'en','core/setting/setting','email.port_placeholder','Ex: 587','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1139,1,'en','core/setting/setting','email.host','Host','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1140,1,'en','core/setting/setting','email.host_placeholder','Ex: smtp.gmail.com','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1141,1,'en','core/setting/setting','email.username','Username','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1142,1,'en','core/setting/setting','email.username_placeholder','Username to login to mail server','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1143,1,'en','core/setting/setting','email.password','Password','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1144,1,'en','core/setting/setting','email.password_placeholder','Password to login to mail server','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1145,1,'en','core/setting/setting','email.encryption','Encryption','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1146,1,'en','core/setting/setting','email.mail_gun_domain','Domain','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1147,1,'en','core/setting/setting','email.mail_gun_domain_placeholder','Domain','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1148,1,'en','core/setting/setting','email.mail_gun_secret','Secret','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1149,1,'en','core/setting/setting','email.mail_gun_secret_placeholder','Secret','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1150,1,'en','core/setting/setting','email.mail_gun_endpoint','Endpoint','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1151,1,'en','core/setting/setting','email.mail_gun_endpoint_placeholder','Endpoint','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1152,1,'en','core/setting/setting','email.log_channel','Log channel','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1153,1,'en','core/setting/setting','email.sendmail_path','Sendmail Path','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1154,1,'en','core/setting/setting','email.encryption_placeholder','Encryption: ssl or tls','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1155,1,'en','core/setting/setting','email.ses_key','Key','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1156,1,'en','core/setting/setting','email.ses_key_placeholder','Key','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1157,1,'en','core/setting/setting','email.ses_secret','Secret','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1158,1,'en','core/setting/setting','email.ses_secret_placeholder','Secret','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1159,1,'en','core/setting/setting','email.ses_region','Region','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1160,1,'en','core/setting/setting','email.ses_region_placeholder','Region','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1161,1,'en','core/setting/setting','email.postmark_token','Token','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1162,1,'en','core/setting/setting','email.postmark_token_placeholder','Token','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1163,1,'en','core/setting/setting','email.email_templates','Email templates','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1164,1,'en','core/setting/setting','email.email_templates_description','Email templates using HTML & system variables.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1165,1,'en','core/setting/setting','email.email_rules','Email rules','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1166,1,'en','core/setting/setting','email.email_rules_description','Configure email rules for validation','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1167,1,'en','core/setting/setting','email.base_template','Base template','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1168,1,'en','core/setting/setting','email.base_template_description','Base template for all emails','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1169,1,'en','core/setting/setting','email.template_header','Email template header','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1170,1,'en','core/setting/setting','email.template_header_description','Template for header of emails','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1171,1,'en','core/setting/setting','email.template_footer','Email template footer','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1172,1,'en','core/setting/setting','email.template_footer_description','Template for footer of emails','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1173,1,'en','core/setting/setting','email.default','Default','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1174,1,'en','core/setting/setting','email.template_off_status_helper','This email template is turned off.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1175,1,'en','core/setting/setting','email.blacklist_email_domains','Blacklisted Email Domains','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1176,1,'en','core/setting/setting','email.blacklist_email_domains_helper','Enter a list of email domains to be blacklisted. E.g. gmail.com, yahoo.com.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1177,1,'en','core/setting/setting','email.blacklist_specified_emails','Blacklisted Email Addresses','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1178,1,'en','core/setting/setting','email.blacklist_specified_emails_helper','Enter a list of specific email addresses to be blacklisted. E.g. mail@example.com.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1179,1,'en','core/setting/setting','email.exception_emails','Exception Emails','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1180,1,'en','core/setting/setting','email.exception_emails_helper','These emails will be excluded from the validation rules.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1181,1,'en','core/setting/setting','email.email_rules_strict','Strict Email Validation','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1182,1,'en','core/setting/setting','email.email_rules_strict_helper','Perform RFC-like email validation with strict rules.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1183,1,'en','core/setting/setting','email.email_rules_dns','DNS Check Validation','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1184,1,'en','core/setting/setting','email.email_rules_dns_helper','Check if there are DNS records indicating the server accepts emails.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1185,1,'en','core/setting/setting','email.email_rules_spoof','Spoofing Detection','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1186,1,'en','core/setting/setting','email.email_rules_spoof_helper','Detect potential email spoofing attempts.','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1187,1,'en','core/setting/setting','email.template_turn_off','Click to turn off this email template','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1188,1,'en','core/setting/setting','email.template_turn_on','Click to turn on this email template','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1189,1,'en','core/setting/setting','email.turn_on_success_message','Turn on email template successfully!','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1190,1,'en','core/setting/setting','email.turn_off_success_message','Turn off email template successfully!','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1191,1,'en','core/setting/setting','media.title','Media','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1192,1,'en','core/setting/setting','media.driver','Driver','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1193,1,'en','core/setting/setting','media.description','Settings for media','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1194,1,'en','core/setting/setting','media.aws_access_key_id','AWS Access Key ID','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1195,1,'en','core/setting/setting','media.aws_secret_key','AWS Secret Key','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1196,1,'en','core/setting/setting','media.aws_default_region','AWS Default Region','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1197,1,'en','core/setting/setting','media.aws_bucket','AWS Bucket','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1198,1,'en','core/setting/setting','media.aws_url','AWS URL','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1199,1,'en','core/setting/setting','media.aws_endpoint','AWS Endpoint (Optional)','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1200,1,'en','core/setting/setting','media.r2_access_key_id','R2 Access Key ID','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1201,1,'en','core/setting/setting','media.r2_secret_key','R2 Secret Key','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1202,1,'en','core/setting/setting','media.r2_bucket','R2 Bucket','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1203,1,'en','core/setting/setting','media.r2_url','R2 URL','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1204,1,'en','core/setting/setting','media.r2_endpoint','R2 Endpoint','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1205,1,'en','core/setting/setting','media.do_spaces_access_key_id','DO Spaces Access Key ID','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1206,1,'en','core/setting/setting','media.do_spaces_secret_key','DO Spaces Secret Key','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1207,1,'en','core/setting/setting','media.do_spaces_default_region','DO Spaces Default Region','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1208,1,'en','core/setting/setting','media.do_spaces_bucket','DO Spaces Bucket','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1209,1,'en','core/setting/setting','media.do_spaces_endpoint','DO Spaces Endpoint','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1210,1,'en','core/setting/setting','media.do_spaces_cdn_enabled','Is DO Spaces CDN enabled?','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1211,1,'en','core/setting/setting','media.media_do_spaces_cdn_custom_domain','Do Spaces CDN custom domain','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1212,1,'en','core/setting/setting','media.media_do_spaces_cdn_custom_domain_placeholder','https://your-custom-domain.com','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1213,1,'en','core/setting/setting','media.wasabi_access_key_id','Wasabi Access Key ID','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1214,1,'en','core/setting/setting','media.wasabi_secret_key','Wasabi Secret Key','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1215,1,'en','core/setting/setting','media.wasabi_default_region','Wasabi Default Region','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1216,1,'en','core/setting/setting','media.wasabi_bucket','Wasabi Bucket','2023-12-08 09:13:51','2023-12-08 09:13:51'),(1217,1,'en','core/setting/setting','media.wasabi_root','Wasabi Root','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1218,1,'en','core/setting/setting','media.default_placeholder_image','Default placeholder image','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1219,1,'en','core/setting/setting','media.enable_chunk','Enable chunk size upload?','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1220,1,'en','core/setting/setting','media.chunk_size','Chunk size (Bytes)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1221,1,'en','core/setting/setting','media.chunk_size_placeholder','Default: 1048576 ~ 1MB','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1222,1,'en','core/setting/setting','media.max_file_size','Chunk max file size (MB)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1223,1,'en','core/setting/setting','media.max_file_size_placeholder','Default: 1048576 ~ 1GB','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1224,1,'en','core/setting/setting','media.enable_watermark','Enable watermark?','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1225,1,'en','core/setting/setting','media.watermark_source','Watermark image','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1226,1,'en','core/setting/setting','media.watermark_size','Size of watermark (%)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1227,1,'en','core/setting/setting','media.watermark_size_placeholder','Default: 10 (%)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1228,1,'en','core/setting/setting','media.watermark_opacity','Watermark Opacity (%)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1229,1,'en','core/setting/setting','media.watermark_opacity_placeholder','Default: 70 (%)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1230,1,'en','core/setting/setting','media.watermark_position','Watermark position','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1231,1,'en','core/setting/setting','media.watermark_position_x','Watermark position X','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1232,1,'en','core/setting/setting','media.watermark_position_y','Watermark position Y','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1233,1,'en','core/setting/setting','media.watermark_position_top_left','Top left','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1234,1,'en','core/setting/setting','media.watermark_position_top_right','Top right','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1235,1,'en','core/setting/setting','media.watermark_position_bottom_left','Bottom left','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1236,1,'en','core/setting/setting','media.watermark_position_bottom_right','Bottom right','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1237,1,'en','core/setting/setting','media.watermark_position_center','Center','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1238,1,'en','core/setting/setting','media.turn_off_automatic_url_translation_into_latin','Turn off automatic URL translation into Latin?','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1239,1,'en','core/setting/setting','media.bunnycdn_hostname','Hostname','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1240,1,'en','core/setting/setting','media.bunnycdn_zone','Zone Name (The name of your storage zone)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1241,1,'en','core/setting/setting','media.bunnycdn_key','FTP & API Access Password (The storage zone API Access Password)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1242,1,'en','core/setting/setting','media.bunnycdn_region','Region (The storage zone region)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1243,1,'en','core/setting/setting','media.optional','Optional','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1244,1,'en','core/setting/setting','media.sizes','Media thumbnails sizes','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1245,1,'en','core/setting/setting','media.media_sizes_helper','Set width or height to 0 if you just want to crop by width or height. Need to click on \"Generate thumbnails\" to apply changes.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1246,1,'en','core/setting/setting','media.width','Width','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1247,1,'en','core/setting/setting','media.height','Height','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1248,1,'en','core/setting/setting','media.default_size_value','Default: :size','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1249,1,'en','core/setting/setting','media.all','All','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1250,1,'en','core/setting/setting','media.media_folders_can_add_watermark','Add watermark for images in folders:','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1251,1,'en','core/setting/setting','media.max_upload_filesize','Max upload filesize (MB)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1252,1,'en','core/setting/setting','media.max_upload_filesize_placeholder','Default: :size, must less than :size.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1253,1,'en','core/setting/setting','media.max_upload_filesize_helper','Your server allows to upload files maximum :size, you can change this value to limit upload filesize.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1254,1,'en','core/setting/setting','media.image_processing_library','Image processing library','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1255,1,'en','core/setting/setting','license.purchase_code','Purchase code','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1256,1,'en','core/setting/setting','license.buyer','Buyer','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1257,1,'en','core/setting/setting','field_type_not_exists','This field type does not exist','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1258,1,'en','core/setting/setting','save_settings','Save settings','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1259,1,'en','core/setting/setting','template','Template','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1260,1,'en','core/setting/setting','description','Description','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1261,1,'en','core/setting/setting','enable','Enable','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1262,1,'en','core/setting/setting','send','Send','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1263,1,'en','core/setting/setting','test_email_description','To send test email, please make sure you are updated configuration to send mail!','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1264,1,'en','core/setting/setting','test_email_input_placeholder','Enter the email which you want to send test email.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1265,1,'en','core/setting/setting','test_email_modal_title','Send a test email','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1266,1,'en','core/setting/setting','test_send_mail','Send test mail','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1267,1,'en','core/setting/setting','test_email_send_success','Send email successfully!','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1268,1,'en','core/setting/setting','locale_direction_ltr','Left to Right','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1269,1,'en','core/setting/setting','locale_direction_rtl','Right to Left','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1270,1,'en','core/setting/setting','emails_warning','You can add maximum :count emails','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1271,1,'en','core/setting/setting','email_add_more','Add more','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1272,1,'en','core/setting/setting','generate','Generate','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1273,1,'en','core/setting/setting','generate_thumbnails','Generate thumbnails','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1274,1,'en','core/setting/setting','generate_thumbnails_success','Generate thumbnails successfully. :count files are generated!','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1275,1,'en','core/setting/setting','generate_thumbnails_error','We are unable to regenerate thumbnail for these files :count files!','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1276,1,'en','core/setting/setting','generate_thumbnails_description','Are you sure you want to re-generate thumbnails for all images? It will take time so please DO NOT leave this page, wait until it is finished.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1277,1,'en','core/setting/setting','enable_chunk_description','Chunk size upload is used to upload large file size.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1278,1,'en','core/setting/setting','watermark_description','WARNING: Watermark is just added to new uploaded images, it won\'t be added to existing images. Disable watermark won\'t remove watermark from existing images.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1279,1,'en','core/setting/setting','submit','Submit','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1280,1,'en','core/setting/setting','back','Back','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1281,1,'en','core/setting/setting','enter_sample_value','Enter sample values for testing','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1282,1,'en','core/setting/setting','preview','Preview','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1283,1,'en','core/setting/setting','media_size_width',':size size width must be greater than 0','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1284,1,'en','core/setting/setting','media_size_height',':size size height must be greater than 0','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1285,1,'en','core/setting/setting','cronjob.name','Cronjob','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1286,1,'en','core/setting/setting','cronjob.description','Cronjob allow you to automate certain commands or scripts on your site.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1287,1,'en','core/setting/setting','cronjob.is_not_ready','To run the cronjob, follow the instructions below.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1288,1,'en','core/setting/setting','cronjob.is_working','Congratulations! Your cronjob is running.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1289,1,'en','core/setting/setting','cronjob.is_not_working','Your cronjob is not running. Please check your server\'s cronjob.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1290,1,'en','core/setting/setting','cronjob.last_checked','Last checked at :time.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1291,1,'en','core/setting/setting','cronjob.copy_button','Copy','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1292,1,'en','core/setting/setting','cronjob.setup.name','Setting up the Cronjob','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1293,1,'en','core/setting/setting','cronjob.setup.connect_to_server','Connect to your server via SSH or any preferred method.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1294,1,'en','core/setting/setting','cronjob.setup.open_crontab','Open the crontab file using a text editor (e.g., `crontab -e`).','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1295,1,'en','core/setting/setting','cronjob.setup.add_cronjob','Add the above command to the crontab file and save it.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1296,1,'en','core/setting/setting','cronjob.setup.done','The cronjob will now run at every minute and execute the specified command.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1297,1,'en','core/setting/setting','cronjob.setup.learn_more','You can learn more about cronjob from the Laravel :documentation','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1298,1,'en','core/setting/setting','cronjob.setup.documentation','documentation','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1299,1,'en','core/setting/setting','cronjob.setup.copied','Copied','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1300,1,'en','core/setting/setting','cache.title','Cache','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1301,1,'en','core/setting/setting','cache.description','Config cache for system for optimize speed','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1302,1,'en','core/setting/setting','cache.form.enable_cache','Enable cache?','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1303,1,'en','core/setting/setting','cache.form.cache_time','Cache time (minutes)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1304,1,'en','core/setting/setting','cache.form.disable_cache_in_the_admin_panel','Disable cache in the admin panel?','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1305,1,'en','core/setting/setting','cache.form.cache_admin_menu','Cache admin menu?','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1306,1,'en','core/setting/setting','cache.form.enable_cache_site_map','Enable cache site map?','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1307,1,'en','core/setting/setting','cache.form.cache_time_site_map','Cache Time Site map (minutes)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1308,1,'en','core/setting/setting','appearance.title','Appearance','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1309,1,'en','core/setting/setting','panel.common','Common','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1310,1,'en','core/setting/setting','panel.general','General','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1311,1,'en','core/setting/setting','panel.general_description','View and update your general settings and activate license','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1312,1,'en','core/setting/setting','panel.email','Email','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1313,1,'en','core/setting/setting','panel.email_description','View and update your email settings and email templates','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1314,1,'en','core/setting/setting','panel.media','Media','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1315,1,'en','core/setting/setting','panel.media_description','View and update your media settings','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1316,1,'en','core/setting/setting','panel.system','System','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1317,1,'en','core/setting/setting','panel.system_updater','System Updater','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1318,1,'en','core/setting/setting','panel.system_updater_description','Update your system to the latest version','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1319,1,'en','core/setting/setting','panel.others','Others','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1320,1,'en','core/setting/setting','saving','Saving...','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1321,1,'en','core/setting/setting','generating_media_thumbnails','Generating media thumbnails...','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1322,1,'en','core/table/table','operations','Operations','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1323,1,'en','core/table/table','loading_data','Loading data from server','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1324,1,'en','core/table/table','display','Display','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1325,1,'en','core/table/table','all','All','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1326,1,'en','core/table/table','edit_entry','Edit','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1327,1,'en','core/table/table','delete_entry','Delete','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1328,1,'en','core/table/table','show_from','Showing from','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1329,1,'en','core/table/table','to','to','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1330,1,'en','core/table/table','in','in','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1331,1,'en','core/table/table','records','records','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1332,1,'en','core/table/table','no_data','No data to display','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1333,1,'en','core/table/table','no_record','No record','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1334,1,'en','core/table/table','loading','Loading data from server','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1335,1,'en','core/table/table','confirm_delete','Confirm delete','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1336,1,'en','core/table/table','confirm_delete_msg','Do you really want to delete this record?','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1337,1,'en','core/table/table','cancel','Cancel','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1338,1,'en','core/table/table','delete','Delete','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1339,1,'en','core/table/table','close','Close','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1340,1,'en','core/table/table','contains','Contains','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1341,1,'en','core/table/table','is_equal_to','Is equal to','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1342,1,'en','core/table/table','greater_than','Greater than','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1343,1,'en','core/table/table','less_than','Less than','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1344,1,'en','core/table/table','value','Value','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1345,1,'en','core/table/table','select_field','Select field','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1346,1,'en','core/table/table','reset','Reset','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1347,1,'en','core/table/table','add_additional_filter','Add additional filter','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1348,1,'en','core/table/table','apply','Apply','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1349,1,'en','core/table/table','filters','Filters','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1350,1,'en','core/table/table','bulk_change','Bulk changes','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1351,1,'en','core/table/table','select_option','Select option','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1352,1,'en','core/table/table','bulk_actions','Bulk Actions','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1353,1,'en','core/table/table','invalid_bulk_action','Invalid bulk action','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1354,1,'en','core/table/table','confirm_bulk_action','Confirm to perform this action','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1355,1,'en','core/table/table','confirm_bulk_message','Are you sure you want to do this action? This cannot be undone.','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1356,1,'en','core/table/table','yes','Yes','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1357,1,'en','core/table/table','save_bulk_change_success','Update data for selected record(s) successfully!','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1358,1,'en','core/table/table','please_select_record','Please select at least one record to perform this action!','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1359,1,'en','core/table/table','filtered','(filtered from _MAX_ total records)','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1360,1,'en','core/table/table','search','Search...','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1361,1,'en','core/table/table','copied','Copied','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1362,1,'en','core/table/table','copy','Copy','2023-12-08 09:13:52','2023-12-08 09:13:52'),(1363,1,'en','packages/api/api','settings','API Settings','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1364,1,'en','packages/api/api','settings_description','View and update your API settings','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1365,1,'en','packages/api/api','save_settings','Save settings','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1366,1,'en','packages/api/api','setting_title','API settings','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1367,1,'en','packages/api/api','setting_description','Settings for API','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1368,1,'en','packages/api/api','api_enabled','API enabled?','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1369,1,'en','packages/get-started/get-started','welcome_title','Welcome to your admin dashboard!','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1370,1,'en','packages/get-started/get-started','welcome_description','In a few short steps, you can have your new dashboard up and running!','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1371,1,'en','packages/get-started/get-started','get_started','Get Started!','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1372,1,'en','packages/get-started/get-started','customize_branding_title','Customize branding','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1373,1,'en','packages/get-started/get-started','customize_branding_description','Customize your site with colors, logo and subdomain to match your business unique branding and identity.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1374,1,'en','packages/get-started/get-started','colors','Colors','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1375,1,'en','packages/get-started/get-started','fonts','Fonts','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1376,1,'en','packages/get-started/get-started','primary_color','Primary color','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1377,1,'en','packages/get-started/get-started','primary_font','Primary font','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1378,1,'en','packages/get-started/get-started','setup_wizard_button',':link to finish Quick setup Wizard!','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1379,1,'en','packages/get-started/get-started','click_here','Click here','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1380,1,'en','packages/get-started/get-started','site_title','Site title','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1381,1,'en','packages/get-started/get-started','identify','Identify','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1382,1,'en','packages/get-started/get-started','logo','Logo','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1383,1,'en','packages/get-started/get-started','admin_logo','Admin logo','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1384,1,'en','packages/get-started/get-started','favicon','Favicon','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1385,1,'en','packages/get-started/get-started','admin_favicon','Admin favicon','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1386,1,'en','packages/get-started/get-started','next_step','Next step','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1387,1,'en','packages/get-started/get-started','site_ready_title','Your site is ready!','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1388,1,'en','packages/get-started/get-started','site_ready_description','Welcome to your new site! Your website has been created and populated with sample data. You are in the admin area of your site where you can set up everything else needed to complete your site.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1389,1,'en','packages/get-started/get-started','finish','Finish','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1390,1,'en','packages/get-started/get-started','exit_wizard_title','Are you sure you want to exit the Quick Setup Wizard?','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1391,1,'en','packages/get-started/get-started','exit_wizard_confirm','Yes, I\'ll finish it later','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1392,1,'en','packages/get-started/get-started','exit_wizard_cancel','No, take me back to the wizard','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1393,1,'en','packages/get-started/get-started','change_default_account_info_title','Change default account info','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1394,1,'en','packages/get-started/get-started','change_default_account_info_description','The default account is using a weak password. You need to change it to a complex password for better security.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1395,1,'en','packages/get-started/get-started','username','Username','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1396,1,'en','packages/get-started/get-started','email','Email','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1397,1,'en','packages/get-started/get-started','password','Password','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1398,1,'en','packages/get-started/get-started','password_confirmation','Password confirmation','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1399,1,'en','packages/installer/installer','title','Installation','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1400,1,'en','packages/installer/installer','next','Next Step','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1401,1,'en','packages/installer/installer','back','Previous','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1402,1,'en','packages/installer/installer','finish','Install','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1403,1,'en','packages/installer/installer','installation','Installation','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1404,1,'en','packages/installer/installer','forms.errorTitle','The following errors occurred:','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1405,1,'en','packages/installer/installer','welcome.pageTitle','Installation - Step 1: Welcome','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1406,1,'en','packages/installer/installer','welcome.title','Welcome','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1407,1,'en','packages/installer/installer','welcome.message','Before getting started, we need some information on the database. You will need to know the following items before proceeding.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1408,1,'en','packages/installer/installer','welcome.next','Let\'s go','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1409,1,'en','packages/installer/installer','requirements.pageTitle','Installation - Step 2: Server Requirements','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1410,1,'en','packages/installer/installer','requirements.title','Server Requirements','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1411,1,'en','packages/installer/installer','requirements.next','Check Permissions','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1412,1,'en','packages/installer/installer','permissions.next','Configure Environment','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1413,1,'en','packages/installer/installer','environment.wizard.pageTitle','Installation - Step 3: Environment Settings','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1414,1,'en','packages/installer/installer','environment.wizard.title','Environment Settings','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1415,1,'en','packages/installer/installer','environment.wizard.form.name_required','An environment name is required.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1416,1,'en','packages/installer/installer','environment.wizard.form.app_name_label','Site title','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1417,1,'en','packages/installer/installer','environment.wizard.form.app_name_placeholder','Site title','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1418,1,'en','packages/installer/installer','environment.wizard.form.app_url_label','URL','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1419,1,'en','packages/installer/installer','environment.wizard.form.app_url_placeholder','URL','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1420,1,'en','packages/installer/installer','environment.wizard.form.db_connection_label','Database Connection','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1421,1,'en','packages/installer/installer','environment.wizard.form.db_connection_label_mysql','MySQL','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1422,1,'en','packages/installer/installer','environment.wizard.form.db_connection_label_sqlite','SQLite','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1423,1,'en','packages/installer/installer','environment.wizard.form.db_connection_label_pgsql','PostgreSQL','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1424,1,'en','packages/installer/installer','environment.wizard.form.db_host_label','Database host','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1425,1,'en','packages/installer/installer','environment.wizard.form.db_host_placeholder','Database host','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1426,1,'en','packages/installer/installer','environment.wizard.form.db_port_label','Database port','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1427,1,'en','packages/installer/installer','environment.wizard.form.db_port_placeholder','Database port','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1428,1,'en','packages/installer/installer','environment.wizard.form.db_name_label','Database name','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1429,1,'en','packages/installer/installer','environment.wizard.form.db_name_placeholder','Database name','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1430,1,'en','packages/installer/installer','environment.wizard.form.db_username_label','Database username','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1431,1,'en','packages/installer/installer','environment.wizard.form.db_username_placeholder','Database username','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1432,1,'en','packages/installer/installer','environment.wizard.form.db_password_label','Database password','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1433,1,'en','packages/installer/installer','environment.wizard.form.db_password_placeholder','Database password','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1434,1,'en','packages/installer/installer','environment.wizard.form.buttons.install','Install','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1435,1,'en','packages/installer/installer','environment.wizard.form.db_host_helper','If you use Laravel Sail, just change DB_HOST to DB_HOST=mysql. On some hosting DB_HOST can be localhost instead of 127.0.0.1','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1436,1,'en','packages/installer/installer','environment.wizard.form.db_connections.mysql','MySQL','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1437,1,'en','packages/installer/installer','environment.wizard.form.db_connections.sqlite','SQLite','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1438,1,'en','packages/installer/installer','environment.wizard.form.db_connections.pgsql','PostgreSQL','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1439,1,'en','packages/installer/installer','environment.success','Your .env file settings have been saved.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1440,1,'en','packages/installer/installer','environment.errors','Unable to save the .env file, Please create it manually.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1441,1,'en','packages/installer/installer','createAccount.pageTitle','Installation - Step 4: Create account','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1442,1,'en','packages/installer/installer','createAccount.title','Create account','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1443,1,'en','packages/installer/installer','createAccount.form.first_name','First name','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1444,1,'en','packages/installer/installer','createAccount.form.last_name','Last name','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1445,1,'en','packages/installer/installer','createAccount.form.username','Username','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1446,1,'en','packages/installer/installer','createAccount.form.email','Email','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1447,1,'en','packages/installer/installer','createAccount.form.password','Password','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1448,1,'en','packages/installer/installer','createAccount.form.password_confirmation','Password confirmation','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1449,1,'en','packages/installer/installer','createAccount.form.create','Create','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1450,1,'en','packages/installer/installer','license.pageTitle','Installation - Step 5: Activate License','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1451,1,'en','packages/installer/installer','license.title','Activate License','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1452,1,'en','packages/installer/installer','license.skip','Skip for now','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1453,1,'en','packages/installer/installer','install','Install','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1454,1,'en','packages/installer/installer','final.pageTitle','Installation Finished','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1455,1,'en','packages/installer/installer','final.title','Done','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1456,1,'en','packages/installer/installer','final.message','Application has been successfully installed.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1457,1,'en','packages/installer/installer','final.exit','Go to admin dashboard','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1458,1,'en','packages/installer/installer','install_success','Installed successfully!','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1459,1,'en','packages/menu/menu','name','Menus','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1460,1,'en','packages/menu/menu','description','Manage your system menus','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1461,1,'en','packages/menu/menu','key_name','Menu name (key: :key)','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1462,1,'en','packages/menu/menu','basic_info','Basic information','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1463,1,'en','packages/menu/menu','add_to_menu','Add to menu','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1464,1,'en','packages/menu/menu','custom_link','Custom link','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1465,1,'en','packages/menu/menu','add_link','Add link','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1466,1,'en','packages/menu/menu','structure','Menu structure','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1467,1,'en','packages/menu/menu','remove','Remove','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1468,1,'en','packages/menu/menu','cancel','Cancel','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1469,1,'en','packages/menu/menu','title','Title','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1470,1,'en','packages/menu/menu','icon','Icon','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1471,1,'en','packages/menu/menu','url','URL','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1472,1,'en','packages/menu/menu','target','Target','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1473,1,'en','packages/menu/menu','css_class','CSS class','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1474,1,'en','packages/menu/menu','self_open_link','Open link directly','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1475,1,'en','packages/menu/menu','blank_open_link','Open link in new tab','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1476,1,'en','packages/menu/menu','create','Create menu','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1477,1,'en','packages/menu/menu','menu_settings','Menu settings','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1478,1,'en','packages/menu/menu','display_location','Display location','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1479,1,'en','packages/menu/menu','title_placeholder','Title','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1480,1,'en','packages/menu/menu','icon_placeholder','Icon','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1481,1,'en','packages/menu/menu','url_placeholder','URL','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1482,1,'en','packages/menu/menu','css_class_placeholder','CSS class','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1483,1,'en','packages/menu/menu','menu_id','Menu ID','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1484,1,'en','packages/optimize/optimize','settings.title','Optimize','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1485,1,'en','packages/optimize/optimize','settings.description','Minify HTML output, inline CSS, remove comments...','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1486,1,'en','packages/optimize/optimize','settings.enable','Enable optimize page speed?','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1487,1,'en','packages/optimize/optimize','collapse_white_space','Collapse white space','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1488,1,'en','packages/optimize/optimize','collapse_white_space_description','This filter reduces bytes transmitted in an HTML file by removing unnecessary whitespace.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1489,1,'en','packages/optimize/optimize','elide_attributes','Elide attributes','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1490,1,'en','packages/optimize/optimize','elide_attributes_description','This filter reduces the transfer size of HTML files by removing attributes from tags when the specified value is equal to the default value for that attribute. This can save a modest number of bytes, and may make the document more compressible by canonicalizing the affected tags.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1491,1,'en','packages/optimize/optimize','inline_css','Inline CSS','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1492,1,'en','packages/optimize/optimize','inline_css_description','This filter transforms the inline \"style\" attribute of tags into classes by moving the CSS to the header.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1493,1,'en','packages/optimize/optimize','insert_dns_prefetch','Insert DNS prefetch','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1494,1,'en','packages/optimize/optimize','insert_dns_prefetch_description','This filter injects tags in the HEAD to enable the browser to do DNS prefetching.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1495,1,'en','packages/optimize/optimize','remove_comments','Remove comments','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1496,1,'en','packages/optimize/optimize','remove_comments_description','This filter eliminates HTML, JS and CSS comments. The filter reduces the transfer size of HTML files by removing the comments. Depending on the HTML file, this filter can significantly reduce the number of bytes transmitted on the network.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1497,1,'en','packages/optimize/optimize','remove_quotes','Remove quotes','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1498,1,'en','packages/optimize/optimize','remove_quotes_description','This filter eliminates unnecessary quotation marks from HTML attributes. While required by the various HTML specifications, browsers permit their omission when the value of an attribute is composed of a certain subset of characters (alphanumerics and some punctuation characters).','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1499,1,'en','packages/optimize/optimize','defer_javascript','Defer javascript','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1500,1,'en','packages/optimize/optimize','defer_javascript_description','Defers the execution of javascript in the HTML. If necessary cancel deferring in some script, use data-pagespeed-no-defer as script attribute to cancel deferring.','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1501,1,'en','packages/page/pages','create','Create new page','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1502,1,'en','packages/page/pages','form.name','Name','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1503,1,'en','packages/page/pages','form.name_placeholder','Page\'s name (Maximum 120 characters)','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1504,1,'en','packages/page/pages','form.content','Content','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1505,1,'en','packages/page/pages','form.note','Note content','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1506,1,'en','packages/page/pages','notices.no_select','Please select at least one record to take this action!','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1507,1,'en','packages/page/pages','notices.update_success_message','Update successfully','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1508,1,'en','packages/page/pages','cannot_delete','Page could not be deleted','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1509,1,'en','packages/page/pages','deleted','Page deleted','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1510,1,'en','packages/page/pages','pages','Pages','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1511,1,'en','packages/page/pages','menu','Pages','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1512,1,'en','packages/page/pages','menu_name','Pages','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1513,1,'en','packages/page/pages','edit_this_page','Edit this page','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1514,1,'en','packages/page/pages','total_pages','Total pages','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1515,1,'en','packages/page/pages','settings.show_on_front','Your homepage displays','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1516,1,'en','packages/page/pages','settings.select','— Select —','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1517,1,'en','packages/page/pages','front_page','Front Page','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1518,1,'en','packages/plugin-management/marketplace','showing','Showing','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1519,1,'en','packages/plugin-management/marketplace','to','to','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1520,1,'en','packages/plugin-management/marketplace','of','of','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1521,1,'en','packages/plugin-management/marketplace','results','results','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1522,1,'en','packages/plugin-management/marketplace','add_new','Add new','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1523,1,'en','packages/plugin-management/marketplace','view_on_marketplace','View on Marketplace','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1524,1,'en','packages/plugin-management/marketplace','author','Author','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1525,1,'en','packages/plugin-management/marketplace','downloads','Downloads','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1526,1,'en','packages/plugin-management/marketplace','version','Version','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1527,1,'en','packages/plugin-management/marketplace','rating','Rating','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1528,1,'en','packages/plugin-management/marketplace','last_update','Last update','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1529,1,'en','packages/plugin-management/marketplace','license','License','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1530,1,'en','packages/plugin-management/marketplace','minimum_core_version','Minimum core version','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1531,1,'en','packages/plugin-management/marketplace','compatible_version','Compatible with your version','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1532,1,'en','packages/plugin-management/marketplace','incompatible_version','Incompatible with your version','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1533,1,'en','packages/plugin-management/marketplace','install_now','Install now','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1534,1,'en','packages/plugin-management/marketplace','remove','Remove','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1535,1,'en','packages/plugin-management/marketplace','detail','Details','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1536,1,'en','packages/plugin-management/marketplace','activate','Activate','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1537,1,'en','packages/plugin-management/marketplace','deactivate','Deactivate','2023-12-08 09:13:53','2023-12-08 09:13:53'),(1538,1,'en','packages/plugin-management/marketplace','api_connect_error','Connect to Marketplace API Error, please contact support','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1539,1,'en','packages/plugin-management/marketplace','search','Search...','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1540,1,'en','packages/plugin-management/marketplace','clear_search','Clear search','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1541,1,'en','packages/plugin-management/marketplace','all','All','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1542,1,'en','packages/plugin-management/marketplace','featured','Featured','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1543,1,'en','packages/plugin-management/marketplace','default','Default','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1544,1,'en','packages/plugin-management/marketplace','popular','Popular','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1545,1,'en','packages/plugin-management/marketplace','top_rated','Top Rated','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1546,1,'en','packages/plugin-management/marketplace','install_plugin','Install plugin','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1547,1,'en','packages/plugin-management/marketplace','folder_permissions','Folder does not have permission to write file or the update file path could not be resolved, please contact support','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1548,1,'en','packages/plugin-management/marketplace','unzip_failed','Unzip extraction failed','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1549,1,'en','packages/plugin-management/marketplace','unzip_success','Download file extracted','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1550,1,'en','packages/plugin-management/marketplace','install_success','Installed plugin successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1551,1,'en','packages/plugin-management/marketplace','update_success','Updated plugin successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1552,1,'en','packages/plugin-management/marketplace','minimum_core_version_error','Cannot install this plugin. Minimum core version is :version.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1553,1,'en','packages/plugin-management/plugin','enabled','Enabled','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1554,1,'en','packages/plugin-management/plugin','deactivated','Deactivated','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1555,1,'en','packages/plugin-management/plugin','activated','Activated','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1556,1,'en','packages/plugin-management/plugin','activate','Activate','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1557,1,'en','packages/plugin-management/plugin','deactivate','Deactivate','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1558,1,'en','packages/plugin-management/plugin','author','By','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1559,1,'en','packages/plugin-management/plugin','update_plugin_status_success','Update plugin successfully','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1560,1,'en','packages/plugin-management/plugin','plugins','Plugins','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1561,1,'en','packages/plugin-management/plugin','installed_plugins','Installed Plugins','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1562,1,'en','packages/plugin-management/plugin','add_new_plugin','Add New Plugin','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1563,1,'en','packages/plugin-management/plugin','missing_required_plugins','Please activate plugin(s): :plugins before activate this plugin!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1564,1,'en','packages/plugin-management/plugin','remove','Remove','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1565,1,'en','packages/plugin-management/plugin','remove_plugin_success','Remove plugin successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1566,1,'en','packages/plugin-management/plugin','remove_plugin','Remove plugin','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1567,1,'en','packages/plugin-management/plugin','remove_plugin_confirm_message','Do you really want to remove this plugin?','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1568,1,'en','packages/plugin-management/plugin','remove_plugin_confirm_yes','Yes, remove it!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1569,1,'en','packages/plugin-management/plugin','total_plugins','Total plugins','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1570,1,'en','packages/plugin-management/plugin','invalid_plugin','This plugin is not a valid plugin, please check it again!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1571,1,'en','packages/plugin-management/plugin','version','Version','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1572,1,'en','packages/plugin-management/plugin','invalid_json','Invalid plugin.json!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1573,1,'en','packages/plugin-management/plugin','activate_success','Activate plugin successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1574,1,'en','packages/plugin-management/plugin','activated_already','This plugin is activated already!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1575,1,'en','packages/plugin-management/plugin','plugin_not_exist','This plugin is not exists.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1576,1,'en','packages/plugin-management/plugin','missing_json_file','Missing file plugin.json!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1577,1,'en','packages/plugin-management/plugin','plugin_invalid','Plugin is valid!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1578,1,'en','packages/plugin-management/plugin','published_assets_success','Publish assets for plugin :name successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1579,1,'en','packages/plugin-management/plugin','plugin_removed','Plugin has been removed!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1580,1,'en','packages/plugin-management/plugin','deactivated_success','Deactivate plugin successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1581,1,'en','packages/plugin-management/plugin','deactivated_already','This plugin is deactivated already!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1582,1,'en','packages/plugin-management/plugin','folder_is_not_writeable','Cannot write files! Folder :name is not writable. Please chmod to make it writable!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1583,1,'en','packages/plugin-management/plugin','plugin_is_not_ready','Plugin :name is not ready to use','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1584,1,'en','packages/plugin-management/plugin','plugins_installed','Installed Plugins','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1585,1,'en','packages/plugin-management/plugin','plugins_add_new','Add new','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1586,1,'en','packages/plugin-management/plugin','update','Update','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1587,1,'en','packages/plugin-management/plugin','requirement_not_met','Plugin :plugin requires plugin(s): :required_plugins. Do you want to install them and activate :plugin now?','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1588,1,'en','packages/plugin-management/plugin','install','Install now','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1589,1,'en','packages/plugin-management/plugin','install_plugin','Install Plugin','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1590,1,'en','packages/plugin-management/plugin','minimum_core_version_not_met','Plugin :plugin requires :minimum_core_version version of core, but your core version is :current_core_version. Please upgrade your core to use this plugin!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1591,1,'en','packages/seo-helper/seo-helper','meta_box_header','Search Engine Optimize','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1592,1,'en','packages/seo-helper/seo-helper','edit_seo_meta','Edit SEO meta','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1593,1,'en','packages/seo-helper/seo-helper','default_description','Setup meta title & description to make your site easy to discovered on search engines such as Google','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1594,1,'en','packages/seo-helper/seo-helper','seo_title','SEO Title','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1595,1,'en','packages/seo-helper/seo-helper','seo_description','SEO description','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1596,1,'en','packages/shortcode/shortcode','shortcode','Shortcode','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1597,1,'en','packages/shortcode/shortcode','use','Use','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1598,1,'en','packages/shortcode/shortcode','ui-blocks','UI Blocks','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1599,1,'en','packages/slug/slug','permalink_settings','Permalink','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1600,1,'en','packages/slug/slug','permalink_settings_description','View and update your permalink settings','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1601,1,'en','packages/slug/slug','settings.title','Permalink settings','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1602,1,'en','packages/slug/slug','settings.description','Manage permalink for all modules.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1603,1,'en','packages/slug/slug','settings.preview','Preview','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1604,1,'en','packages/slug/slug','settings.helper_text','Preview: :url','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1605,1,'en','packages/slug/slug','settings.turn_off_automatic_url_translation_into_latin','Turn off automatic URL translation into Latin?','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1606,1,'en','packages/slug/slug','settings.available_variables','Available variables','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1607,1,'en','packages/slug/slug','preview','Preview','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1608,1,'en','packages/slug/slug','prefix_for','Prefix for :name','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1609,1,'en','packages/slug/slug','public_single_ending_url','Postfix for single page URL','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1610,1,'en','packages/slug/slug','current_year','Current year','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1611,1,'en','packages/slug/slug','current_month','Current month','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1612,1,'en','packages/slug/slug','current_day','Current day','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1613,1,'en','packages/theme/theme','name','Themes','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1614,1,'en','packages/theme/theme','theme','Theme','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1615,1,'en','packages/theme/theme','author','Author','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1616,1,'en','packages/theme/theme','version','Version','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1617,1,'en','packages/theme/theme','description','Description','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1618,1,'en','packages/theme/theme','active_success','Activate theme :name successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1619,1,'en','packages/theme/theme','active','Active','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1620,1,'en','packages/theme/theme','activated','Activated','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1621,1,'en','packages/theme/theme','appearance','Appearance','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1622,1,'en','packages/theme/theme','theme_options','Theme Options','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1623,1,'en','packages/theme/theme','save_changes','Save Changes','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1624,1,'en','packages/theme/theme','custom_css','Custom CSS','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1625,1,'en','packages/theme/theme','custom_js','Custom JS','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1626,1,'en','packages/theme/theme','custom_header_js','Header JS','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1627,1,'en','packages/theme/theme','custom_header_js_placeholder','JS in header of page, wrap it inside &#x3C;script&#x3E;&#x3C;/script&#x3E;','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1628,1,'en','packages/theme/theme','custom_body_js','Body JS','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1629,1,'en','packages/theme/theme','custom_body_js_placeholder','JS in body of page, wrap it inside &#x3C;script&#x3E;&#x3C;/script&#x3E;','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1630,1,'en','packages/theme/theme','custom_footer_js','Footer JS','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1631,1,'en','packages/theme/theme','custom_footer_js_placeholder','JS in footer of page, wrap it inside &#x3C;script&#x3E;&#x3C;/script&#x3E;','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1632,1,'en','packages/theme/theme','custom_html','Custom HTML','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1633,1,'en','packages/theme/theme','custom_header_html','Header HTML','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1634,1,'en','packages/theme/theme','custom_header_html_placeholder','HTML in header of page, no special tags: script, style, iframe...','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1635,1,'en','packages/theme/theme','custom_body_html','Body HTML','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1636,1,'en','packages/theme/theme','custom_body_html_placeholder','HTML in body of page, no special tags: script, style, iframe...','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1637,1,'en','packages/theme/theme','custom_footer_html','Footer HTML','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1638,1,'en','packages/theme/theme','custom_footer_html_placeholder','HTML in footer of page, no special tags: script, style, iframe...','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1639,1,'en','packages/theme/theme','remove_theme_success','Remove theme successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1640,1,'en','packages/theme/theme','theme_is_not_existed','This theme is not existed!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1641,1,'en','packages/theme/theme','remove','Remove','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1642,1,'en','packages/theme/theme','remove_theme','Remove theme','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1643,1,'en','packages/theme/theme','remove_theme_confirm_message','Do you really want to remove this theme?','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1644,1,'en','packages/theme/theme','remove_theme_confirm_yes','Yes, remove it!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1645,1,'en','packages/theme/theme','total_themes','Total themes','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1646,1,'en','packages/theme/theme','add_new','Add new','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1647,1,'en','packages/theme/theme','theme_activated_already','Theme \":name\" is activated already!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1648,1,'en','packages/theme/theme','missing_json_file','Missing file theme.json!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1649,1,'en','packages/theme/theme','theme_invalid','Theme is valid!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1650,1,'en','packages/theme/theme','published_assets_success','Publish assets for :themes successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1651,1,'en','packages/theme/theme','cannot_remove_theme','Cannot remove activated theme, please activate another theme before removing \":name\"!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1652,1,'en','packages/theme/theme','theme_deleted','Theme \":name\" has been destroyed.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1653,1,'en','packages/theme/theme','removed_assets','Remove assets of a theme :name successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1654,1,'en','packages/theme/theme','go_to_dashboard','Go to dashboard','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1655,1,'en','packages/theme/theme','theme_option_general','General','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1656,1,'en','packages/theme/theme','theme_option_general_description','General settings','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1657,1,'en','packages/theme/theme','theme_option_seo_open_graph_image','SEO default Open Graph image','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1658,1,'en','packages/theme/theme','theme_option_logo','Logo','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1659,1,'en','packages/theme/theme','theme_option_favicon','Favicon','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1660,1,'en','packages/theme/theme','folder_is_not_writeable','Cannot write files! Folder :name is not writable. Please chmod to make it writable!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1661,1,'en','packages/theme/theme','breadcrumb_enabled','Enable breadcrumb?','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1662,1,'en','packages/widget/widget','name','Widgets','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1663,1,'en','packages/widget/widget','description','Manage your system widgets','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1664,1,'en','packages/widget/widget','create','New widget','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1665,1,'en','packages/widget/widget','edit','Edit widget','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1666,1,'en','packages/widget/widget','delete','Delete','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1667,1,'en','packages/widget/widget','available','Available Widgets','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1668,1,'en','packages/widget/widget','usage_instruction','To activate a widget drag and drop it to a sidebar. To deactivate a widget, open it in sidebar and click delete button.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1669,1,'en','packages/widget/widget','number_tag_display','Number tags will be display','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1670,1,'en','packages/widget/widget','number_post_display','Number posts will be display','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1671,1,'en','packages/widget/widget','select_menu','Select Menu','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1672,1,'en','packages/widget/widget','widget_text','Text','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1673,1,'en','packages/widget/widget','widget_text_description','Arbitrary text or HTML.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1674,1,'en','packages/widget/widget','widget_recent_post','Recent Posts','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1675,1,'en','packages/widget/widget','widget_recent_post_description','Recent posts widget.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1676,1,'en','packages/widget/widget','widget_custom_menu','Custom Menu','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1677,1,'en','packages/widget/widget','widget_custom_menu_description','Add a custom menu to your widget area.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1678,1,'en','packages/widget/widget','widget_tag','Tags','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1679,1,'en','packages/widget/widget','widget_tag_description','Popular tags','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1680,1,'en','packages/widget/widget','widget_menu','Simple Menu','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1681,1,'en','packages/widget/widget','widget_menu_description','Add a simple menu to your widget area.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1682,1,'en','packages/widget/widget','widget_menu_label','Label','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1683,1,'en','packages/widget/widget','widget_menu_attributes','Attributes','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1684,1,'en','packages/widget/widget','widget_menu_url','URL','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1685,1,'en','packages/widget/widget','widget_menu_is_open_new_tab','Is open new tab?','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1686,1,'en','packages/widget/widget','save_success','Save widget successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1687,1,'en','packages/widget/widget','delete_success','Delete widget successfully!','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1688,1,'en','packages/widget/widget','primary_sidebar_name','Primary sidebar','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1689,1,'en','packages/widget/widget','primary_sidebar_description','Primary sidebar section','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1690,1,'en','packages/widget/widget','drag_widget_to_sidebar','Drag and drop widgets to this area.','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1691,1,'en','plugins/analytics/analytics','sessions','Sessions','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1692,1,'en','plugins/analytics/analytics','visitors','Visitors','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1693,1,'en','plugins/analytics/analytics','pageviews','Pageviews','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1694,1,'en','plugins/analytics/analytics','bounce_rate','Bounce Rate','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1695,1,'en','plugins/analytics/analytics','page_session','Pages/Session','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1696,1,'en','plugins/analytics/analytics','avg_duration','Avg. Duration','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1697,1,'en','plugins/analytics/analytics','percent_new_session','Percent new session','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1698,1,'en','plugins/analytics/analytics','new_users','New visitors','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1699,1,'en','plugins/analytics/analytics','visits','visits','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1700,1,'en','plugins/analytics/analytics','views','views','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1701,1,'en','plugins/analytics/analytics','start_date_can_not_before_end_date','Start date :start_date cannot be after end date :end_date','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1702,1,'en','plugins/analytics/analytics','not_set_up','Widget is not set up','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1703,1,'en','plugins/analytics/analytics','settings.title','Google Analytics','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1704,1,'en','plugins/analytics/analytics','settings.description','Config Credentials for Google Analytics','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1705,1,'en','plugins/analytics/analytics','settings.google_tag_id','Google tag ID','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1706,1,'en','plugins/analytics/analytics','settings.google_tag_id_placeholder','Example: G-76NX8HY29D','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1707,1,'en','plugins/analytics/analytics','settings.analytics_property_id','Property ID for GA4','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1708,1,'en','plugins/analytics/analytics','settings.analytics_property_id_description','Google Analytics Property ID (GA4)','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1709,1,'en','plugins/analytics/analytics','settings.json_credential','Service Account Credentials','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1710,1,'en','plugins/analytics/analytics','settings.json_credential_description','Service Account Credentials','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1711,1,'en','plugins/analytics/analytics','settings.credential_is_not_valid','Analytics credentials is not valid. The document here: :url','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1712,1,'en','plugins/analytics/analytics','settings.property_id_is_invalid','Property ID is invalid. Check this: https://developers.google.com/analytics/devguides/reporting/data/v1/property-id','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1713,1,'en','plugins/analytics/analytics','settings.wrong_configuration','To view analytics you\'ll need to get a Google Analytics client id and add it to your settings. <br /> You also need JSON credential data. <br /> The document here: :url','2023-12-08 09:13:54','2023-12-08 09:13:54'),(1714,1,'en','plugins/analytics/analytics','widget_analytics_page','Top Most Visit Pages','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1715,1,'en','plugins/analytics/analytics','widget_analytics_browser','Top Browsers','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1716,1,'en','plugins/analytics/analytics','widget_analytics_referrer','Top Referrers','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1717,1,'en','plugins/analytics/analytics','widget_analytics_general','Site Analytics','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1718,1,'en','plugins/analytics/analytics','missing_library_warning','Analytics plugin error: Missing third-party libraries, please run \"composer update\" to install them.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1719,1,'en','plugins/analytics/analytics','browser','Browser','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1720,1,'en','plugins/analytics/analytics','url','URL','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1721,1,'en','plugins/audit-log/history','name','Activities Logs','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1722,1,'en','plugins/audit-log/history','description','View and delete your system activity logs','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1723,1,'en','plugins/audit-log/history','created','created','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1724,1,'en','plugins/audit-log/history','updated','updated','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1725,1,'en','plugins/audit-log/history','deleted','deleted','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1726,1,'en','plugins/audit-log/history','logged in','logged in','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1727,1,'en','plugins/audit-log/history','logged out','logged out','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1728,1,'en','plugins/audit-log/history','changed password','changed password','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1729,1,'en','plugins/audit-log/history','updated profile','updated profile','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1730,1,'en','plugins/audit-log/history','attached','attached','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1731,1,'en','plugins/audit-log/history','shared','shared','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1732,1,'en','plugins/audit-log/history','to the system','to the system','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1733,1,'en','plugins/audit-log/history','of the system','of the system','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1734,1,'en','plugins/audit-log/history','menu','menu','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1735,1,'en','plugins/audit-log/history','post','post','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1736,1,'en','plugins/audit-log/history','page','page','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1737,1,'en','plugins/audit-log/history','category','category','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1738,1,'en','plugins/audit-log/history','tag','tag','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1739,1,'en','plugins/audit-log/history','user','user','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1740,1,'en','plugins/audit-log/history','contact','contact','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1741,1,'en','plugins/audit-log/history','backup','backup','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1742,1,'en','plugins/audit-log/history','custom-field','custom field','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1743,1,'en','plugins/audit-log/history','widget_audit_logs','Activities Logs','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1744,1,'en','plugins/audit-log/history','action','Action','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1745,1,'en','plugins/audit-log/history','user_agent','User Agent','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1746,1,'en','plugins/audit-log/history','system','System','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1747,1,'en','plugins/audit-log/history','delete_all','Delete all records','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1748,1,'en','plugins/audit-log/history','empty_logs','Empty logs','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1749,1,'en','plugins/audit-log/history','confirm_empty_logs_msg','Do you really want to empty logs?','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1750,1,'en','plugins/backup/backup','name','Backup','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1751,1,'en','plugins/backup/backup','backup_description','Backup database and uploads folder.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1752,1,'en','plugins/backup/backup','create_backup_success','Created backup successfully!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1753,1,'en','plugins/backup/backup','delete_backup_success','Delete backup successfully!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1754,1,'en','plugins/backup/backup','restore_backup_success','Restore backup successfully!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1755,1,'en','plugins/backup/backup','generate_btn','Generate backup','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1756,1,'en','plugins/backup/backup','create','Create a backup','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1757,1,'en','plugins/backup/backup','restore','Restore a backup','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1758,1,'en','plugins/backup/backup','create_btn','Create','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1759,1,'en','plugins/backup/backup','restore_btn','Restore','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1760,1,'en','plugins/backup/backup','restore_confirm_msg','Do you really want to restore this revision?','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1761,1,'en','plugins/backup/backup','download_uploads_folder','Download backup of uploads folder','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1762,1,'en','plugins/backup/backup','download_database','Download backup of database','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1763,1,'en','plugins/backup/backup','restore_tooltip','Restore this backup','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1764,1,'en','plugins/backup/backup','demo_alert','Hi guest, if you see demo site is destroyed, please help me <a href=\":link\">go here</a> and restore demo site to the latest revision! Thank you so much!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1765,1,'en','plugins/backup/backup','menu_name','Backups','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1766,1,'en','plugins/backup/backup','size','Size','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1767,1,'en','plugins/backup/backup','no_backups','There is no backup now!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1768,1,'en','plugins/backup/backup','proc_open_disabled_error','Function <strong>proc_open()</strong> has been disabled so the system cannot backup the database. Please contact your hosting provider to enable it.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1769,1,'en','plugins/backup/backup','database_backup_not_existed','Backup database is not existed!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1770,1,'en','plugins/backup/backup','uploads_folder_backup_not_existed','Backup uploads folder is not existed!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1771,1,'en','plugins/backup/backup','important_message1','This is a simple backup feature, it is a solution for you if your site has < 1GB data and can be used for quickly backup your site.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1772,1,'en','plugins/backup/backup','important_message2','If you have more than 1GB images/files in local storage, you should use backup feature of your hosting or VPS.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1773,1,'en','plugins/backup/backup','important_message3','To backup your database, function <strong>proc_open()</strong> or <strong>system()</strong> must be enabled. Contact your hosting provider to enable it if it is disabled.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1774,1,'en','plugins/backup/backup','important_message4','It is not a full backup, it is just back up uploaded files and your database.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1775,1,'en','plugins/backup/backup','important_message_pgsql1','Currently, we cannot backup <strong>PostgreSQL</strong> database on the web due to PostgreSQL doesnt have option to enter database password directly when exporting database.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1776,1,'en','plugins/backup/backup','important_message_pgsql2','You can run a command <strong>php artisan cms:backup:create {name}</strong> to generate the backup or <strong>php artisan cms:backup:restore</strong> to restore the latest backup.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1777,1,'en','plugins/backup/backup','cannot_restore_database','Cannot restore database. The database backup is missing!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1778,1,'en','plugins/backup/backup','database_driver_not_supported','Database driver is not supported.','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1779,1,'en','plugins/blog/base','menu_name','Blog','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1780,1,'en','plugins/blog/base','blog_page','Blog Page','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1781,1,'en','plugins/blog/base','select','-- Select --','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1782,1,'en','plugins/blog/base','blog_page_id','Blog page','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1783,1,'en','plugins/blog/base','number_posts_per_page','Number posts per page','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1784,1,'en','plugins/blog/base','write_some_tags','Write some tags','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1785,1,'en','plugins/blog/base','short_code_name','Blog posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1786,1,'en','plugins/blog/base','short_code_description','Add blog posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1787,1,'en','plugins/blog/base','number_posts_per_page_in_category','Number of posts per page in a category','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1788,1,'en','plugins/blog/base','number_posts_per_page_in_tag','Number of posts per page in a tag','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1789,1,'en','plugins/blog/base','settings.title','Blog','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1790,1,'en','plugins/blog/base','settings.description','View and update blog settings','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1791,1,'en','plugins/blog/base','settings.enable_blog_post_schema','Enable Blog Post Schema?','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1792,1,'en','plugins/blog/base','settings.enable_blog_post_schema_description','Learn more: https://schema.org/Article','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1793,1,'en','plugins/blog/base','settings.schema_type','Schema type','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1794,1,'en','plugins/blog/categories','create','Create new category','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1795,1,'en','plugins/blog/categories','menu','Categories','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1796,1,'en','plugins/blog/categories','edit_this_category','Edit this category','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1797,1,'en','plugins/blog/categories','menu_name','Categories','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1798,1,'en','plugins/blog/categories','none','None','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1799,1,'en','plugins/blog/categories','total_posts','Total posts: :total','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1800,1,'en','plugins/blog/member','dob','Born :date','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1801,1,'en','plugins/blog/member','draft_posts','Draft Posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1802,1,'en','plugins/blog/member','pending_posts','Pending Posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1803,1,'en','plugins/blog/member','published_posts','Published Posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1804,1,'en','plugins/blog/member','posts','Posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1805,1,'en','plugins/blog/member','write_post','Write a post','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1806,1,'en','plugins/blog/posts','create','Create new post','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1807,1,'en','plugins/blog/posts','form.name','Name','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1808,1,'en','plugins/blog/posts','form.name_placeholder','Post\'s name (Maximum :c characters)','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1809,1,'en','plugins/blog/posts','form.description','Description','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1810,1,'en','plugins/blog/posts','form.description_placeholder','Short description for post (Maximum :c characters)','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1811,1,'en','plugins/blog/posts','form.categories','Categories','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1812,1,'en','plugins/blog/posts','form.tags','Tags','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1813,1,'en','plugins/blog/posts','form.tags_placeholder','Tags','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1814,1,'en','plugins/blog/posts','form.content','Content','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1815,1,'en','plugins/blog/posts','form.is_featured','Is featured?','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1816,1,'en','plugins/blog/posts','form.note','Note content','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1817,1,'en','plugins/blog/posts','form.format_type','Format','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1818,1,'en','plugins/blog/posts','cannot_delete','Post could not be deleted','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1819,1,'en','plugins/blog/posts','post_deleted','Post deleted','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1820,1,'en','plugins/blog/posts','posts','Posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1821,1,'en','plugins/blog/posts','post','Post','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1822,1,'en','plugins/blog/posts','edit_this_post','Edit this post','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1823,1,'en','plugins/blog/posts','no_new_post_now','There is no new post now!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1824,1,'en','plugins/blog/posts','menu_name','Posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1825,1,'en','plugins/blog/posts','widget_posts_recent','Recent Posts','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1826,1,'en','plugins/blog/posts','categories','Categories','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1827,1,'en','plugins/blog/posts','category','Category','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1828,1,'en','plugins/blog/posts','author','Author','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1829,1,'en','plugins/blog/tags','form.name','Name','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1830,1,'en','plugins/blog/tags','form.name_placeholder','Tag\'s name (Maximum 120 characters)','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1831,1,'en','plugins/blog/tags','form.description','Description','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1832,1,'en','plugins/blog/tags','form.description_placeholder','Short description for tag (Maximum 400 characters)','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1833,1,'en','plugins/blog/tags','form.categories','Categories','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1834,1,'en','plugins/blog/tags','notices.no_select','Please select at least one tag to take this action!','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1835,1,'en','plugins/blog/tags','create','Create new tag','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1836,1,'en','plugins/blog/tags','cannot_delete','Tag could not be deleted','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1837,1,'en','plugins/blog/tags','deleted','Tag deleted','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1838,1,'en','plugins/blog/tags','menu','Tags','2023-12-08 09:13:55','2023-12-08 09:13:55'),(1839,1,'en','plugins/blog/tags','edit_this_tag','Edit this tag','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1840,1,'en','plugins/blog/tags','menu_name','Tags','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1841,1,'en','plugins/captcha/captcha','settings.title','Captcha','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1842,1,'en','plugins/captcha/captcha','settings.description','reCAPTCHA is a free service from Google that helps protect websites from spam and abuse.\n        <br/><br/> Math Captcha allows you to use simple math problems to test site users to prove their human identity.','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1843,1,'en','plugins/captcha/captcha','settings.panel_description','View and update reCAPTCHA and math captcha.','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1844,1,'en','plugins/captcha/captcha','settings.recaptcha_site_key','reCAPTCHA Site Key','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1845,1,'en','plugins/captcha/captcha','settings.recaptcha_secret','reCAPTCHA Secret','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1846,1,'en','plugins/captcha/captcha','settings.enable_recaptcha','Enable reCAPTCHA?','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1847,1,'en','plugins/captcha/captcha','settings.recaptcha_score','Score','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1848,1,'en','plugins/captcha/captcha','settings.recaptcha_credential_helper','Obtain your Google reCAPTCHA credentials :link.','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1849,1,'en','plugins/captcha/captcha','settings.recaptcha_credential_helper_here','here','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1850,1,'en','plugins/captcha/captcha','settings.recaptcha_warning','Must use reCAPTCHA in credentials setup. Be careful, the wrong settings will make the login system interruption.','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1851,1,'en','plugins/captcha/captcha','settings.hide_badge','Hide reCAPTCHA badge?','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1852,1,'en','plugins/captcha/captcha','settings.show_disclaimer','Display reCAPTCHA disclaimer?','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1853,1,'en','plugins/captcha/captcha','settings.type','Type','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1854,1,'en','plugins/captcha/captcha','settings.v2_description','V2 (Verify requests with a challenge)','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1855,1,'en','plugins/captcha/captcha','settings.v3_description','V3 (Verify requests with a score)','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1856,1,'en','plugins/captcha/captcha','settings.enable_math_captcha','Enable Math Captcha?','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1857,1,'en','plugins/captcha/captcha','numbers.0','Zero','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1858,1,'en','plugins/captcha/captcha','numbers.1','One','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1859,1,'en','plugins/captcha/captcha','numbers.2','Two','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1860,1,'en','plugins/captcha/captcha','numbers.3','Three','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1861,1,'en','plugins/captcha/captcha','numbers.4','Four','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1862,1,'en','plugins/captcha/captcha','numbers.5','Five','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1863,1,'en','plugins/captcha/captcha','numbers.6','Six','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1864,1,'en','plugins/captcha/captcha','numbers.7','Seven','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1865,1,'en','plugins/captcha/captcha','numbers.8','Eight','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1866,1,'en','plugins/captcha/captcha','numbers.9','Nine','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1867,1,'en','plugins/captcha/captcha','numbers.10','Ten','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1868,1,'en','plugins/captcha/captcha','numbers.11','Eleven','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1869,1,'en','plugins/captcha/captcha','numbers.12','Twelve','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1870,1,'en','plugins/captcha/captcha','operands.+','plus','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1871,1,'en','plugins/captcha/captcha','operands.-','minus','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1872,1,'en','plugins/captcha/captcha','operands.*','times','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1873,1,'en','plugins/captcha/captcha','operands./','divided by','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1874,1,'en','plugins/captcha/captcha','recaptcha_disclaimer_message','This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1875,1,'en','plugins/contact/contact','menu','Contact','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1876,1,'en','plugins/contact/contact','edit','View contact','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1877,1,'en','plugins/contact/contact','tables.phone','Phone','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1878,1,'en','plugins/contact/contact','tables.email','Email','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1879,1,'en','plugins/contact/contact','tables.full_name','Full Name','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1880,1,'en','plugins/contact/contact','tables.time','Time','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1881,1,'en','plugins/contact/contact','tables.address','Address','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1882,1,'en','plugins/contact/contact','tables.subject','Subject','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1883,1,'en','plugins/contact/contact','tables.content','Content','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1884,1,'en','plugins/contact/contact','contact_information','Contact information','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1885,1,'en','plugins/contact/contact','replies','Replies','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1886,1,'en','plugins/contact/contact','email.header','Email','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1887,1,'en','plugins/contact/contact','email.title','New contact from your site','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1888,1,'en','plugins/contact/contact','form.name.required','Name is required','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1889,1,'en','plugins/contact/contact','form.email.required','Email is required','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1890,1,'en','plugins/contact/contact','form.email.email','The email address is not valid','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1891,1,'en','plugins/contact/contact','form.content.required','Content is required','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1892,1,'en','plugins/contact/contact','contact_sent_from','This contact information sent from','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1893,1,'en','plugins/contact/contact','sender','Sender','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1894,1,'en','plugins/contact/contact','sender_email','Email','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1895,1,'en','plugins/contact/contact','sender_address','Address','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1896,1,'en','plugins/contact/contact','sender_phone','Phone','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1897,1,'en','plugins/contact/contact','message_content','Message content','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1898,1,'en','plugins/contact/contact','sent_from','Email sent from','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1899,1,'en','plugins/contact/contact','form_name','Name','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1900,1,'en','plugins/contact/contact','form_email','Email','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1901,1,'en','plugins/contact/contact','form_address','Address','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1902,1,'en','plugins/contact/contact','form_subject','Subject','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1903,1,'en','plugins/contact/contact','form_phone','Phone','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1904,1,'en','plugins/contact/contact','form_message','Message','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1905,1,'en','plugins/contact/contact','required_field','The field with (<span style=\"color: red\">*</span>) is required.','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1906,1,'en','plugins/contact/contact','send_btn','Send message','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1907,1,'en','plugins/contact/contact','new_msg_notice','You have <span class=\"bold\">:count</span> New Messages','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1908,1,'en','plugins/contact/contact','view_all','View all','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1909,1,'en','plugins/contact/contact','statuses.read','Read','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1910,1,'en','plugins/contact/contact','statuses.unread','Unread','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1911,1,'en','plugins/contact/contact','phone','Phone','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1912,1,'en','plugins/contact/contact','address','Address','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1913,1,'en','plugins/contact/contact','message','Message','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1914,1,'en','plugins/contact/contact','settings.email.title','Contact','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1915,1,'en','plugins/contact/contact','settings.email.description','Contact email configuration','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1916,1,'en','plugins/contact/contact','settings.email.templates.notice_title','Send notice to administrator','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1917,1,'en','plugins/contact/contact','settings.email.templates.notice_description','Email template to send notice to administrator when system get new contact','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1918,1,'en','plugins/contact/contact','settings.title','Contact','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1919,1,'en','plugins/contact/contact','settings.description','Settings for contact plugin','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1920,1,'en','plugins/contact/contact','settings.blacklist_keywords','Blacklist keywords','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1921,1,'en','plugins/contact/contact','settings.blacklist_keywords_placeholder','keywords...','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1922,1,'en','plugins/contact/contact','settings.blacklist_keywords_helper','Blacklist contact requests if it includes those keywords in the content field (separate by comma).','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1923,1,'en','plugins/contact/contact','settings.enable_math_captcha_in_contact_form','Enable Math Captcha in the contact form?','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1924,1,'en','plugins/contact/contact','no_reply','No reply yet!','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1925,1,'en','plugins/contact/contact','reply','Reply','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1926,1,'en','plugins/contact/contact','send','Send','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1927,1,'en','plugins/contact/contact','shortcode_name','Contact form','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1928,1,'en','plugins/contact/contact','shortcode_description','Add a contact form','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1929,1,'en','plugins/contact/contact','shortcode_content_description','Add shortcode [contact-form][/contact-form] to editor?','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1930,1,'en','plugins/contact/contact','message_sent_success','Message sent successfully!','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1931,1,'en','plugins/contact/contact','dropdown_show_label','Show contacts','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1932,1,'en','plugins/cookie-consent/cookie-consent','theme_options.name','Cookie Consent','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1933,1,'en','plugins/cookie-consent/cookie-consent','theme_options.description','Cookie consent settings','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1934,1,'en','plugins/cookie-consent/cookie-consent','theme_options.enable','Enable cookie consent?','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1935,1,'en','plugins/cookie-consent/cookie-consent','theme_options.message','Message','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1936,1,'en','plugins/cookie-consent/cookie-consent','theme_options.button_text','Button text','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1937,1,'en','plugins/cookie-consent/cookie-consent','theme_options.max_width','Max width (px)','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1938,1,'en','plugins/cookie-consent/cookie-consent','theme_options.background_color','Background color','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1939,1,'en','plugins/cookie-consent/cookie-consent','theme_options.text_color','Text color','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1940,1,'en','plugins/cookie-consent/cookie-consent','theme_options.learn_more_url','Learn more URL','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1941,1,'en','plugins/cookie-consent/cookie-consent','theme_options.learn_more_text','Learn more text','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1942,1,'en','plugins/cookie-consent/cookie-consent','theme_options.style','Style','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1943,1,'en','plugins/cookie-consent/cookie-consent','theme_options.full_width','Full width','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1944,1,'en','plugins/cookie-consent/cookie-consent','theme_options.minimal','Minimal','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1945,1,'en','plugins/cookie-consent/cookie-consent','message','Your experience on this site will be improved by allowing cookies.','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1946,1,'en','plugins/cookie-consent/cookie-consent','button_text','Allow cookies','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1947,1,'en','plugins/faq/faq-category','name','Categories','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1948,1,'en','plugins/faq/faq-category','create','New category','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1949,1,'en','plugins/faq/faq','name','FAQs','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1950,1,'en','plugins/faq/faq','create','New FAQ','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1951,1,'en','plugins/faq/faq','question','Question','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1952,1,'en','plugins/faq/faq','answer','Answer','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1953,1,'en','plugins/faq/faq','category','Category','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1954,1,'en','plugins/faq/faq','faq_schema_config','FAQ schema configuration (:link)','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1955,1,'en','plugins/faq/faq','learn_more','Learn more','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1956,1,'en','plugins/faq/faq','settings.title','FAQs','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1957,1,'en','plugins/faq/faq','settings.description','View and update FAQs settings','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1958,1,'en','plugins/faq/faq','settings.enable_faq_schema','Enable FAQs Schema?','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1959,1,'en','plugins/faq/faq','settings.enable_faq_schema_description','Learn more: :url','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1960,1,'en','plugins/faq/faq','select_category','Select a category','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1961,1,'en','plugins/faq/faq','add_item','Add item','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1962,1,'en','plugins/gallery/gallery','create','Create new gallery','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1963,1,'en','plugins/gallery/gallery','galleries','Galleries','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1964,1,'en','plugins/gallery/gallery','item','Gallery item','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1965,1,'en','plugins/gallery/gallery','select_image','Select images','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1966,1,'en','plugins/gallery/gallery','reset','Reset gallery','2023-12-08 09:13:56','2023-12-08 09:13:56'),(1967,1,'en','plugins/gallery/gallery','update_photo_description','Update photo\'s description','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1968,1,'en','plugins/gallery/gallery','update_photo_description_placeholder','Photo\'s description...','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1969,1,'en','plugins/gallery/gallery','delete_photo','Delete this photo','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1970,1,'en','plugins/gallery/gallery','gallery_box','Gallery images','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1971,1,'en','plugins/gallery/gallery','by','By','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1972,1,'en','plugins/gallery/gallery','menu_name','Galleries','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1973,1,'en','plugins/gallery/gallery','gallery_images','Gallery images','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1974,1,'en','plugins/gallery/gallery','add_gallery_short_code','Add a gallery','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1975,1,'en','plugins/gallery/gallery','shortcode_name','Gallery images','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1976,1,'en','plugins/gallery/gallery','limit_display','Limit number display','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1977,1,'en','plugins/gallery/gallery','edit_this_gallery','Edit this gallery','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1978,1,'en','plugins/gallery/gallery','galleries_page','Galleries page','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1979,1,'en','plugins/language/language','name','Languages','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1980,1,'en','plugins/language/language','description','View and update your website languages','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1981,1,'en','plugins/language/language','choose_language','Choose a language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1982,1,'en','plugins/language/language','select_language','Select language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1983,1,'en','plugins/language/language','choose_language_helper','You can choose a language in the list or directly edit it below.','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1984,1,'en','plugins/language/language','language_name','Language name','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1985,1,'en','plugins/language/language','language_name_helper','The name is how it is displayed on your site (for example: English).','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1986,1,'en','plugins/language/language','locale','Locale','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1987,1,'en','plugins/language/language','locale_helper','Laravel Locale for the language (for example: <code>en</code>).','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1988,1,'en','plugins/language/language','language_code','Language code','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1989,1,'en','plugins/language/language','language_code_helper','Language code - preferably 2-letters ISO 639-1 (for example: en)','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1990,1,'en','plugins/language/language','text_direction','Text direction','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1991,1,'en','plugins/language/language','text_direction_helper','Choose the text direction for the language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1992,1,'en','plugins/language/language','left_to_right','Left to right','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1993,1,'en','plugins/language/language','right_to_left','Right to left','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1994,1,'en','plugins/language/language','flag','Flag','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1995,1,'en','plugins/language/language','flag_helper','Choose a flag for the language.','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1996,1,'en','plugins/language/language','order','Order','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1997,1,'en','plugins/language/language','order_helper','Position of the language in the language switcher','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1998,1,'en','plugins/language/language','add_new_language','Add new language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(1999,1,'en','plugins/language/language','code','Code','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2000,1,'en','plugins/language/language','default_language','Is default?','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2001,1,'en','plugins/language/language','actions','Actions','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2002,1,'en','plugins/language/language','translations','Translations','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2003,1,'en','plugins/language/language','edit','Edit','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2004,1,'en','plugins/language/language','edit_tooltip','Edit this language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2005,1,'en','plugins/language/language','delete','Delete','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2006,1,'en','plugins/language/language','delete_tooltip','Delete this language and all its associated data','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2007,1,'en','plugins/language/language','choose_default_language','Choose :language as default language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2008,1,'en','plugins/language/language','current_language','Current record\'s language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2009,1,'en','plugins/language/language','edit_related','Edit related language for this record','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2010,1,'en','plugins/language/language','add_language_for_item','Add other language version for this record','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2011,1,'en','plugins/language/language','settings','Settings','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2012,1,'en','plugins/language/language','language_hide_default','Hide default language from URL?','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2013,1,'en','plugins/language/language','language_display_flag_only','Flag only','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2014,1,'en','plugins/language/language','language_display_name_only','Name only','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2015,1,'en','plugins/language/language','language_display_all','Display all flag and name','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2016,1,'en','plugins/language/language','language_display','Language display','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2017,1,'en','plugins/language/language','switcher_display','Switcher language display','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2018,1,'en','plugins/language/language','language_switcher_display_dropdown','Dropdown','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2019,1,'en','plugins/language/language','language_switcher_display_list','List','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2020,1,'en','plugins/language/language','current_language_edit_notification','You are editing \"<strong class=\"current_language_text\">:language</strong>\" version','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2021,1,'en','plugins/language/language','confirm-change-language','Confirm change language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2022,1,'en','plugins/language/language','confirm-change-language-message','Do you really want to change language to \"<strong class=\"change_to_language_text\"></strong>\" ? This action will be override \"<strong class=\"change_to_language_text\"></strong>\" version if it\'s existed!','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2023,1,'en','plugins/language/language','confirm-change-language-btn','Confirm change','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2024,1,'en','plugins/language/language','hide_languages','Hide languages','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2025,1,'en','plugins/language/language','hide_languages_description','You can completely hide content in specific languages from visitors and search engines, but still view it yourself. This allows reviewing translations that are in progress.','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2026,1,'en','plugins/language/language','hide_languages_helper_display_hidden','{0} All languages are currently displayed.|{1} :language is currently hidden to visitors.|[2, Inf] :language are currently hidden to visitors.','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2027,1,'en','plugins/language/language','show_all','Show all','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2028,1,'en','plugins/language/language','change_language','Language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2029,1,'en','plugins/language/language','language_show_default_item_if_current_version_not_existed','Show item in default language if it is not existed in current language','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2030,1,'en','plugins/language/language','select_flag','Select a flag...','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2031,1,'en','plugins/language/language','delete_confirmation_message','Do you really want to delete this language? It also deletes all items in this language and cannot rollback!','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2032,1,'en','plugins/language/language','added_already','This language was added already!','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2033,1,'en','plugins/language/language','language_auto_detect_user_language','Auto detect user language?','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2034,1,'en','plugins/newsletter/newsletter','name','Newsletters','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2035,1,'en','plugins/newsletter/newsletter','description','View and delete newsletter subscribers','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2036,1,'en','plugins/newsletter/newsletter','settings.email.templates.title','Newsletter','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2037,1,'en','plugins/newsletter/newsletter','settings.email.templates.description','Config newsletter email templates','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2038,1,'en','plugins/newsletter/newsletter','settings.email.templates.to_admin.title','Email send to admin','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2039,1,'en','plugins/newsletter/newsletter','settings.email.templates.to_admin.description','Template for sending email to admin','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2040,1,'en','plugins/newsletter/newsletter','settings.email.templates.to_user.title','Email send to user','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2041,1,'en','plugins/newsletter/newsletter','settings.email.templates.to_user.description','Template for sending email to subscriber','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2042,1,'en','plugins/newsletter/newsletter','settings.title','Newsletter','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2043,1,'en','plugins/newsletter/newsletter','settings.panel_description','View and update newsletter settings','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2044,1,'en','plugins/newsletter/newsletter','settings.description','Settings for newsletter (auto send newsletter email to SendGrid, Mailchimp... when someone register newsletter on website).','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2045,1,'en','plugins/newsletter/newsletter','settings.mailchimp_api_key','Mailchimp API Key','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2046,1,'en','plugins/newsletter/newsletter','settings.mailchimp_list_id','Mailchimp List ID','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2047,1,'en','plugins/newsletter/newsletter','settings.mailchimp_list','Mailchimp List','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2048,1,'en','plugins/newsletter/newsletter','settings.sendgrid_api_key','Sendgrid API Key','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2049,1,'en','plugins/newsletter/newsletter','settings.sendgrid_list_id','Sendgrid List ID','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2050,1,'en','plugins/newsletter/newsletter','settings.sendgrid_list','Sendgrid List','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2051,1,'en','plugins/newsletter/newsletter','settings.enable_newsletter_contacts_list_api','Enable newsletter contacts list API?','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2052,1,'en','plugins/newsletter/newsletter','statuses.subscribed','Subscribed','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2053,1,'en','plugins/newsletter/newsletter','statuses.unsubscribed','Unsubscribed','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2054,1,'en','plugins/portfolio/portfolio','name','Portfolio','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2055,1,'en','plugins/portfolio/portfolio','settings.success_message','Settings has been saved successfully!','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2056,1,'en','plugins/portfolio/portfolio','settings.email.title','Quotation Requests','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2057,1,'en','plugins/portfolio/portfolio','settings.email.description','Email templates for quotation requests','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2058,1,'en','plugins/portfolio/portfolio','settings.email.templates.notice_title','Send notice to administrator','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2059,1,'en','plugins/portfolio/portfolio','settings.email.templates.notice_description','Send notice to administrator when a quotation request is sent','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2060,1,'en','plugins/portfolio/portfolio','service_category.name','Service Categories','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2061,1,'en','plugins/portfolio/portfolio','service_category.create','Create Service Category','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2062,1,'en','plugins/portfolio/portfolio','service.name','Services','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2063,1,'en','plugins/portfolio/portfolio','service.create','Create Service','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2064,1,'en','plugins/portfolio/portfolio','package.name','Packages','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2065,1,'en','plugins/portfolio/portfolio','package.create','Create Package','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2066,1,'en','plugins/portfolio/portfolio','project.name','Projects','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2067,1,'en','plugins/portfolio/portfolio','project.create','Create Project','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2068,1,'en','plugins/portfolio/portfolio','project.author','Author','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2069,1,'en','plugins/portfolio/portfolio','project.client','Client','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2070,1,'en','plugins/portfolio/portfolio','project.place','Place','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2071,1,'en','plugins/portfolio/portfolio','project.start_date','Start Date','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2072,1,'en','plugins/portfolio/portfolio','quotation_request.menu_name','Quotation Requests','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2073,1,'en','plugins/portfolio/portfolio','quotation_request.viewing','Viewing quotation request #:name','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2074,1,'en','plugins/portfolio/portfolio','quotation_request.information','Information','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2075,1,'en','plugins/portfolio/portfolio','custom_field.name','Custom Fields','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2076,1,'en','plugins/portfolio/portfolio','custom_field.create','Create','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2077,1,'en','plugins/portfolio/portfolio','custom_field.type','Type','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2078,1,'en','plugins/portfolio/portfolio','custom_field.options','Options','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2079,1,'en','plugins/portfolio/portfolio','custom_field.placeholder','Placeholder','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2080,1,'en','plugins/portfolio/portfolio','custom_field.placeholder_placeholder','Enter placeholder','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2081,1,'en','plugins/portfolio/portfolio','custom_field.required','Required','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2082,1,'en','plugins/portfolio/portfolio','custom_field.option.label','Label','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2083,1,'en','plugins/portfolio/portfolio','custom_field.option.value','Value','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2084,1,'en','plugins/portfolio/portfolio','custom_field.option.add_row','Add new row','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2085,1,'en','plugins/portfolio/portfolio','custom_field.option.add_from_global','Add global custom field','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2086,1,'en','plugins/portfolio/portfolio','custom_field.modal.heading','Add new custom field','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2087,1,'en','plugins/portfolio/portfolio','custom_field.modal.select_field','Select field','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2088,1,'en','plugins/portfolio/portfolio','custom_field.modal.button','Add new','2023-12-08 09:13:57','2023-12-08 09:13:57'),(2089,1,'en','plugins/portfolio/portfolio','custom_field.enums.fields.text','Text','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2090,1,'en','plugins/portfolio/portfolio','custom_field.enums.fields.number','Number','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2091,1,'en','plugins/portfolio/portfolio','custom_field.enums.fields.dropdown','Dropdown','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2092,1,'en','plugins/portfolio/portfolio','custom_field.enums.fields.checkbox','Checkbox','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2093,1,'en','plugins/portfolio/portfolio','custom_field.enums.fields.textarea','Textarea','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2094,1,'en','plugins/portfolio/portfolio','custom_field.ask_for_select','Please select a custom field','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2095,1,'en','plugins/portfolio/portfolio','custom_field.add_a_new_custom_field','Add a new custom field','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2096,1,'en','plugins/portfolio/portfolio','image','Image','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2097,1,'en','plugins/portfolio/portfolio','category','Category','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2098,1,'en','plugins/portfolio/portfolio','duration','Duration','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2099,1,'en','plugins/portfolio/portfolio','price','Price','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2100,1,'en','plugins/portfolio/portfolio','annual_price','Annual price','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2101,1,'en','plugins/portfolio/portfolio','form.none','None','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2102,1,'en','plugins/portfolio/portfolio','form.images','Images','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2103,1,'en','plugins/portfolio/portfolio','form.name_placeholder','Enter name','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2104,1,'en','plugins/portfolio/portfolio','form.is_featured','Is featured?','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2105,1,'en','plugins/portfolio/portfolio','form.price_placeholder','Enter price','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2106,1,'en','plugins/portfolio/portfolio','form.features','Features','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2107,1,'en','plugins/portfolio/portfolio','form.features_help_block','Separate by new line (+ is included, - is not included)','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2108,1,'en','plugins/portfolio/portfolio','form.features_placeholder','Example:\n+ 15-Days Shipping World Wide\n+ Free Bubble Warp\n- 24/7 Support\n        ','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2109,1,'en','plugins/portfolio/portfolio','form.description_placeholder','Enter description','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2110,1,'en','plugins/portfolio/portfolio','is_popular','Is popular?','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2111,1,'en','plugins/portfolio/portfolio','enums.package_durations.hourly','Hourly','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2112,1,'en','plugins/portfolio/portfolio','enums.package_durations.daily','Daily','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2113,1,'en','plugins/portfolio/portfolio','enums.package_durations.weekly','Weekly','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2114,1,'en','plugins/portfolio/portfolio','enums.package_durations.monthly','Monthly','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2115,1,'en','plugins/portfolio/portfolio','enums.package_durations.annually','Annually','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2116,1,'en','plugins/portfolio/portfolio','enums.package_durations.quarterly','Quarterly','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2117,1,'en','plugins/portfolio/portfolio','enums.quote_statuses.read','Read','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2118,1,'en','plugins/portfolio/portfolio','enums.quote_statuses.unread','Unread','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2119,1,'en','plugins/portfolio/portfolio','edit_this_service','Edit this service','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2120,1,'en','plugins/portfolio/portfolio','edit_this_service_category','Edit this service category','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2121,1,'en','plugins/portfolio/portfolio','edit_this_project','Edit this project','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2122,1,'en','plugins/portfolio/portfolio','edit_this_project_category','Edit this project category','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2123,1,'en','plugins/portfolio/portfolio','edit_this_package','Edit this package','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2124,1,'en','plugins/portfolio/portfolio','message','Message','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2125,1,'en','plugins/team/team','name','Teams','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2126,1,'en','plugins/team/team','create','New team','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2127,1,'en','plugins/team/team','forms.name','Name','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2128,1,'en','plugins/team/team','forms.name_placeholder','Enter name...','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2129,1,'en','plugins/team/team','forms.title','Title','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2130,1,'en','plugins/team/team','forms.title_placeholder','Enter title...','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2131,1,'en','plugins/team/team','forms.photo','Avatar','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2132,1,'en','plugins/team/team','forms.location','Location','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2133,1,'en','plugins/team/team','forms.location_placeholder','Enter title...','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2134,1,'en','plugins/team/team','forms.socials_facebook','Facebook','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2135,1,'en','plugins/team/team','forms.socials_facebook_placeholder','Facebook socials','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2136,1,'en','plugins/team/team','forms.socials_twitter','Twitter','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2137,1,'en','plugins/team/team','forms.socials_twitter_placeholder','Twitter socials','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2138,1,'en','plugins/team/team','forms.socials_instagram','Instagram','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2139,1,'en','plugins/team/team','forms.socials_instagram_placeholder','Instagram socials','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2140,1,'en','plugins/team/team','forms.address','Address','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2141,1,'en','plugins/team/team','forms.email','Email','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2142,1,'en','plugins/team/team','forms.phone_number','Phone number','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2143,1,'en','plugins/team/team','forms.website','Website','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2144,1,'en','plugins/testimonial/testimonial','name','Testimonials','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2145,1,'en','plugins/testimonial/testimonial','description','Manage your system testimonials','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2146,1,'en','plugins/testimonial/testimonial','create','New testimonial','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2147,1,'en','plugins/testimonial/testimonial','company','Position/Company','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2148,1,'en','plugins/translation/translation','translations','Translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2149,1,'en','plugins/translation/translation','export_warning','Warning, translations are not visible until they are exported back to lang folder. Please use \"Publish translations\" button to apply changes.','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2150,1,'en','plugins/translation/translation','import_done','Done importing, processed :counter items! Reload this page to refresh the groups!','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2151,1,'en','plugins/translation/translation','translation_manager','Translations Manager','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2152,1,'en','plugins/translation/translation','done_publishing','Done publishing the translations for group','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2153,1,'en','plugins/translation/translation','append_translation','Append new translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2154,1,'en','plugins/translation/translation','replace_translation','Replace existing translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2155,1,'en','plugins/translation/translation','import_group','Import group','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2156,1,'en','plugins/translation/translation','confirm_publish_group','Are you sure you want to publish the translations group \":group\"? This will overwrite existing language files.','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2157,1,'en','plugins/translation/translation','publish_translations','Publish translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2158,1,'en','plugins/translation/translation','back','Back','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2159,1,'en','plugins/translation/translation','edit_title','Enter translation','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2160,1,'en','plugins/translation/translation','choose_group_msg','Choose a group to display the group translations. If no groups are visible, make sure you have imported the translations.','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2161,1,'en','plugins/translation/translation','choose_a_group','Choose a group','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2162,1,'en','plugins/translation/translation','locales','Locales','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2163,1,'en','plugins/translation/translation','locales_description','Manage and download locales','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2164,1,'en','plugins/translation/translation','theme-translations','Theme Translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2165,1,'en','plugins/translation/translation','admin-translations','Other Translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2166,1,'en','plugins/translation/translation','translate_from','Translate from','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2167,1,'en','plugins/translation/translation','to','to','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2168,1,'en','plugins/translation/translation','no_other_languages','No other language to translate!','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2169,1,'en','plugins/translation/translation','edit','Edit','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2170,1,'en','plugins/translation/translation','locale','Locale','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2171,1,'en','plugins/translation/translation','locale_placeholder','Ex: en','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2172,1,'en','plugins/translation/translation','name','Name','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2173,1,'en','plugins/translation/translation','default_locale','Default locale?','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2174,1,'en','plugins/translation/translation','actions','Actions','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2175,1,'en','plugins/translation/translation','choose_language','Choose language','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2176,1,'en','plugins/translation/translation','add_new_language','Add new language','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2177,1,'en','plugins/translation/translation','select_language','Select language','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2178,1,'en','plugins/translation/translation','flag','Flag','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2179,1,'en','plugins/translation/translation','folder_is_not_writeable','Cannot write files! Folder :lang_path is not writable. Please chmod to make it writable!','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2180,1,'en','plugins/translation/translation','delete','Delete','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2181,1,'en','plugins/translation/translation','confirm_delete_message','Do you really want to delete this locale? It will delete all files/folders for this local in :lang_path!','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2182,1,'en','plugins/translation/translation','download','Download','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2183,1,'en','plugins/translation/translation','select_locale','Select locale','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2184,1,'en','plugins/translation/translation','theme_translations_instruction','Click on text to translate. Do NOT translate variables, Eg. :username, :query, :link...','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2185,1,'en','plugins/translation/translation','add_new_locale','Add new locale','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2186,1,'en','plugins/translation/translation','is_default','Is default?','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2187,1,'en','plugins/translation/translation','localization','Localization','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2188,1,'en','plugins/translation/translation','panel.locales.title','Locales','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2189,1,'en','plugins/translation/translation','panel.locales.description','View, download and import locales','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2190,1,'en','plugins/translation/translation','panel.theme-translations.title','Theme Translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2191,1,'en','plugins/translation/translation','panel.theme-translations.description','Manage the theme translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2192,1,'en','plugins/translation/translation','panel.admin-translations.title','Other Translations','2023-12-08 09:13:58','2023-12-08 09:13:58'),(2193,1,'en','plugins/translation/translation','panel.admin-translations.description','Manage the other translations (admin, plugins, packages...)','2023-12-08 09:13:58','2023-12-08 09:13:58');
/*!40000 ALTER TABLE `translations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `user_meta`
--

DROP TABLE IF EXISTS `user_meta`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `user_meta` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `value` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_id` bigint unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_meta_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `user_meta`
--

LOCK TABLES `user_meta` WRITE;
/*!40000 ALTER TABLE `user_meta` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_meta` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `users` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_verified_at` timestamp NULL DEFAULT NULL,
  `password` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `first_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(120) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(60) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `avatar_id` bigint unsigned DEFAULT NULL,
  `super_user` tinyint(1) NOT NULL DEFAULT '0',
  `manage_supers` tinyint(1) NOT NULL DEFAULT '0',
  `permissions` text COLLATE utf8mb4_unicode_ci,
  `last_login` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_email_unique` (`email`),
  UNIQUE KEY `users_username_unique` (`username`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'treutel.brycen@hayes.com',NULL,'$2y$12$AQ3.dJ5evfzzlkzumSnnNed6Zi98S0X2pPrF40wV9JqJCcfuM5ggu',NULL,'2023-12-08 09:13:38','2023-12-08 09:13:44','Leilani','Bradtke','botble',130,1,1,NULL,NULL),(2,'maurice64@hackett.biz',NULL,'$2y$12$KzKUGsossf79syDTqJGX/Oy3SEpjHkEfcjcMbNqHqLKD0i3lhG1UC',NULL,'2023-12-08 09:13:38','2023-12-08 09:13:44','Thaddeus','Toy','admin',140,1,1,NULL,NULL);
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `widgets`
--

DROP TABLE IF EXISTS `widgets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `widgets` (
  `id` bigint unsigned NOT NULL AUTO_INCREMENT,
  `widget_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `sidebar_id` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `theme` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `position` tinyint unsigned NOT NULL DEFAULT '0',
  `data` text COLLATE utf8mb4_unicode_ci,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=48 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `widgets`
--

LOCK TABLES `widgets` WRITE;
/*!40000 ALTER TABLE `widgets` DISABLE KEYS */;
INSERT INTO `widgets` VALUES (1,'ContactInfoWidget','header_top_sidebar_style_1','gerow',0,'{\"id\":\"ContactInfoWidget\",\"address\":\"1247\\/Plot No. 39, 15th Phase, Kanpur\",\"email\":\"contact@example.com\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(2,'SocialLinksWidget','header_top_sidebar_style_1','gerow',1,'{\"id\":\"SocialLinksWidget\",\"button_label\":\"Free Consulting\",\"button_url\":\"\\/contact\",\"link_1\":\"https:\\/\\/www.facebook.com\\/\",\"icon_1\":\"fab fa-facebook-f\",\"link_2\":\"https:\\/\\/twitter.com\\/\",\"icon_2\":\"fab fa-twitter\",\"link_3\":\"https:\\/\\/www.instagram.com\\/\",\"icon_3\":\"fab fa-instagram\",\"link_4\":\"https:\\/\\/www.pinterest.com\\/\",\"icon_4\":\"fab fa-pinterest-p\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(3,'HeaderActionButtonWidget','header_top_sidebar_style_1','gerow',2,'{\"content\":\"Free Consulting\",\"link\":\"\\/contact\",\"icon\":\"flaticon-briefcase\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(4,'SiteInformationWidget','footer_sidebar','gerow',0,'{\"id\":\"SiteInformationWidget\",\"logo\":null,\"description\":\"When An Unknown Printer Took A Galley Of Type Aawer Awtnd Scrambled It To Make A Type Specimen Book.\",\"hotline\":\"+123456789\",\"opening_hours\":\"Mon \\u2013 Sat: 8 am \\u2013 5 pm, <br> Sunday: <span>CLOSED<\\/span>\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(5,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','gerow',1,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Menu\",\"items\":[[{\"key\":\"label\",\"value\":\"Company\"},{\"key\":\"url\",\"value\":\"\\/company\"}],[{\"key\":\"label\",\"value\":\"Careers\"},{\"key\":\"url\",\"value\":\"\\/careers\"}],[{\"key\":\"label\",\"value\":\"Press Media\"},{\"key\":\"url\",\"value\":\"\\/galleries\"}],[{\"key\":\"label\",\"value\":\"Our Blog\"},{\"key\":\"url\",\"value\":\"\\/blog\"}],[{\"key\":\"label\",\"value\":\"Privacy Policy\"},{\"key\":\"url\",\"value\":\"\\/privacy-policy\"}]]}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(6,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar','gerow',2,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Quick Links\",\"items\":[[{\"key\":\"label\",\"value\":\"How it work\"},{\"key\":\"url\",\"value\":\"\\/how-it-work\"}],[{\"key\":\"label\",\"value\":\"Partners\"},{\"key\":\"url\",\"value\":\"\\/partners\"}],[{\"key\":\"label\",\"value\":\"Testimonials\"},{\"key\":\"url\",\"value\":\"\\/testimonials\"}],[{\"key\":\"label\",\"value\":\"Case Studies\"},{\"key\":\"url\",\"value\":\"\\/case-studies\"}],[{\"key\":\"label\",\"value\":\"Pricing\"},{\"key\":\"url\",\"value\":\"\\/pricing\"}]]}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(7,'NewsletterWidget','footer_sidebar','gerow',3,'{\"id\":\"NewsletterWidget\",\"name\":\"Our Newsletters\",\"description\":\"Add A Newsletter To Your Widget Area.\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(8,'SiteCopyrightWidget','footer_bottom','gerow',0,'{\"id\":\"SiteCopyrightWidget\",\"name\":\"Site Copyright\",\"copyright\":\"\\u00a9 2023 Botble Technologies. All right reserved.\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(9,'ContactFormWidget','pre_footer_sidebar','gerow',0,'{\"id\":\"ContactFormWidget\",\"name\":\"Request a call back\",\"description\":\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes\",\"background_image_1\":\"backgrounds\\/shape01.png\",\"background_image_2\":\"backgrounds\\/shape02.png\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(10,'SidebarInformationWidget','side_sidebar','gerow',0,'{\"id\":\"SidebarInformationWidget\",\"name\":\"Site Copyright\",\"address\":\"123\\/A, Miranda City Likaoli <br\\/> Prikano, Dope\",\"phone_number\":\"+0989 7876 9865 9 <br\\/> +(090) 8765 86543 85\",\"email\":\"info@example.com <br\\/> example.mail@hum.com\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(11,'GalleriesWidget','side_sidebar','gerow',1,'{\"id\":\"GalleriesWidget\",\"name\":\"Galleries Widget\",\"gallery_id\":3}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(12,'ContactInfoWidget','header_top_sidebar_style_2','gerow',0,'{\"id\":\"ContactInfoWidget\",\"address\":\"256 Avenue, Mark Street, New York City\",\"email\":\"gerow@gmail.com\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(13,'SocialLinksWidget','header_top_sidebar_style_2','gerow',1,'{\"id\":\"SocialLinksWidget\",\"content\":\"+123 8989 444\",\"icon\":\"flaticon-phone-call\",\"link_1\":\"https:\\/\\/www.facebook.com\\/\",\"icon_1\":\"fab fa-facebook-f\",\"link_2\":\"https:\\/\\/twitter.com\\/\",\"icon_2\":\"fab fa-twitter\",\"link_3\":\"https:\\/\\/www.instagram.com\\/\",\"icon_3\":\"fab fa-instagram\",\"link_4\":\"https:\\/\\/www.pinterest.com\\/\",\"icon_4\":\"fab fa-pinterest-p\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(14,'HeaderLogoWidget','header_style_1','gerow',0,'{\"id\":\"HeaderLogoWidget\",\"logo_image\":null}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(15,'HeaderMainMenuWidget','header_style_1','gerow',1,'{\"direction\":\"left\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(16,'HeaderActionContactWidget','header_style_1','gerow',3,'{\"content\":\"Hot Line Number\",\"detail\":\"+123 8989 444\",\"icon\":\"flaticon-phone-call\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(17,'HeaderActionSearchWidget','header_style_1','gerow',4,'[]','2023-12-08 09:13:44','2023-12-08 09:13:44'),(18,'HeaderActionMenuButtonWidget','header_style_1','gerow',5,'[]','2023-12-08 09:13:44','2023-12-08 09:13:44'),(19,'HeaderLogoWidget','header_style_2','gerow',0,'{\"id\":\"HeaderLogoWidget\",\"logo_image\":null}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(20,'HeaderMainMenuWidget','header_style_2','gerow',1,'{\"direction\":\"center\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(21,'HeaderActionSearchWidget','header_style_2','gerow',3,'[]','2023-12-08 09:13:44','2023-12-08 09:13:44'),(22,'HeaderActionMenuButtonWidget','header_style_2','gerow',4,'[]','2023-12-08 09:13:44','2023-12-08 09:13:44'),(23,'HeaderActionContactWidget','header_style_2','gerow',5,'{\"content\":\"Hot Line Number\",\"detail\":\"+123 8989 444\",\"icon\":\"flaticon-phone-call\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(24,'HeaderLogoWidget','header_style_3','gerow',0,'{\"id\":\"HeaderLogoWidget\",\"logo_image\":null}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(25,'HeaderMainMenuWidget','header_style_3','gerow',1,'{\"direction\":\"center\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(26,'HeaderActionSearchWidget','header_style_3','gerow',3,'[]','2023-12-08 09:13:44','2023-12-08 09:13:44'),(27,'HeaderActionButtonWidget','header_style_3','gerow',4,'{\"content\":\"GET A QUOTE\",\"link\":\"\\/contact\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(28,'BlogSearchWidget','blog_sidebar','gerow',0,'{\"id\":\"BlogSearchWidget\",\"name\":\"Blog Search\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(29,'BlogCategoriesWidget','blog_sidebar','gerow',1,'{\"id\":\"BlogCategoriesWidget\",\"name\":\"Blog Categories\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(30,'BlogPostsWidget','blog_sidebar','gerow',2,'{\"id\":\"BlogPostsWidget\",\"name\":\"Blog Posts\",\"type\":\"recent\",\"limit\":5}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(31,'BlogTagsWidget','blog_sidebar','gerow',3,'{\"id\":\"BlogTagsWidget\",\"name\":\"Blog Tags\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(32,'SiteInformationWidget','footer_sidebar_style_1','gerow',0,'{\"id\":\"SiteInformationWidget\",\"title\":\"Information\",\"logo\":null,\"address\":\"58 Street Commercial Road Fratton, Australia\",\"hotline\":\"+123456789\",\"opening_hours\":\"Mon \\u2013 Sat: 8 am \\u2013 5 pm, <br> Sunday: <span>CLOSED<\\/span>\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(33,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar_style_1','gerow',1,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Menu\",\"items\":[[{\"key\":\"label\",\"value\":\"Company\"},{\"key\":\"url\",\"value\":\"\\/company\"}],[{\"key\":\"label\",\"value\":\"Careers\"},{\"key\":\"url\",\"value\":\"\\/careers\"}],[{\"key\":\"label\",\"value\":\"Press Media\"},{\"key\":\"url\",\"value\":\"\\/galleries\"}],[{\"key\":\"label\",\"value\":\"Our Blog\"},{\"key\":\"url\",\"value\":\"\\/blog\"}],[{\"key\":\"label\",\"value\":\"Privacy Policy\"},{\"key\":\"url\",\"value\":\"\\/privacy-policy\"}]]}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(34,'Botble\\Widget\\Widgets\\CoreSimpleMenu','footer_sidebar_style_1','gerow',2,'{\"id\":\"Botble\\\\Widget\\\\Widgets\\\\CoreSimpleMenu\",\"name\":\"Quick Links\",\"items\":[[{\"key\":\"label\",\"value\":\"How it work\"},{\"key\":\"url\",\"value\":\"\\/how-it-work\"}],[{\"key\":\"label\",\"value\":\"Partners\"},{\"key\":\"url\",\"value\":\"\\/partners\"}],[{\"key\":\"label\",\"value\":\"Testimonials\"},{\"key\":\"url\",\"value\":\"\\/testimonials\"}],[{\"key\":\"label\",\"value\":\"Case Studies\"},{\"key\":\"url\",\"value\":\"\\/case-studies\"}],[{\"key\":\"label\",\"value\":\"Pricing\"},{\"key\":\"url\",\"value\":\"\\/pricing\"}]]}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(35,'NewsletterWidget','footer_sidebar_style_1','gerow',3,'{\"id\":\"NewsletterWidget\",\"name\":\"Our Newsletters\",\"description\":\"Add A Newsletter To Your Widget Area.\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(36,'SiteCopyrightWidget','footer_bottom_style_1','gerow',0,'{\"id\":\"SiteCopyrightWidget\",\"name\":\"Site Copyright\",\"logo\":\"general\\/logo-white.png\",\"copyright\":\"\\u00a9 2023 Botble Technologies. All right reserved.\",\"style\":\"style-1\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(37,'SocialLinksWidget','footer_bottom_style_1','gerow',1,'{\"id\":\"SocialLinksWidget\",\"name\":\"Social Links\",\"link_1\":\"https:\\/\\/www.facebook.com\\/\",\"icon_1\":\"fab fa-facebook-f\",\"link_2\":\"https:\\/\\/twitter.com\\/\",\"icon_2\":\"fab fa-twitter\",\"link_3\":\"https:\\/\\/www.instagram.com\\/\",\"icon_3\":\"fab fa-instagram\",\"link_4\":\"https:\\/\\/www.pinterest.com\\/\",\"icon_4\":\"fab fa-pinterest-p\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(38,'ServicesListWidget','service_detail_sidebar','gerow',0,'{\"id\":\"ServicesListWidget\",\"title\":\"Our Services\",\"limit\":\"7\",\"style\":\"style-1\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(39,'ServiceActionWidget','service_detail_sidebar','gerow',1,'{\"id\":\"ServiceActionWidget\",\"title\":\"If You Need Any Help Contact Us\",\"label\":\" +91 705 2101 786\",\"link\":\"tel:0123456789\",\"button_color\":\"0055ff\",\"icon\":\"flaticon-phone-call\",\"background_color\":\"#334770\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(40,'ServiceGetAQuoteWidget','service_detail_sidebar','gerow',2,'{\"id\":\"ServiceGetAQuoteWidget\",\"title\":\"Get A Free Quote\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(41,'BrandsWidget','service_detail_bottom_sidebar','gerow',0,'{\"id\":\"BrandsWidget\",\"name_1\":\"Zelus\",\"logo_1\":\"brands\\/brand-img04.png\",\"link_1\":\"https:\\/\\/zelus.com\",\"name_2\":\"The bird\",\"logo_2\":\"brands\\/brand-img05.png\",\"link_2\":\"https:\\/\\/thebird.com\",\"name_3\":\"Nature Wave\",\"logo_3\":\"brands\\/brand-img03.png\",\"link_3\":\"https:\\/\\/naturewave.com\",\"name_4\":\"Finance\",\"logo_4\":\"brands\\/brand-img02.png\",\"link_4\":\"https:\\/\\/finance.com\",\"name_5\":\"Start\",\"logo_5\":\"brands\\/brand-img01.png\",\"link_5\":\"https:\\/\\/start.com\",\"name_6\":\"Zelus\",\"logo_6\":\"brands\\/brand-img04.png\",\"link_6\":\"https:\\/\\/zelus.com\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(42,'BrandsWidget','project_detail_bottom_sidebar','gerow',0,'{\"id\":\"BrandsWidget\",\"name_1\":\"Zelus\",\"logo_1\":\"brands\\/brand-img04.png\",\"link_1\":\"https:\\/\\/zelus.com\",\"name_2\":\"The bird\",\"logo_2\":\"brands\\/brand-img05.png\",\"link_2\":\"https:\\/\\/thebird.com\",\"name_3\":\"Nature Wave\",\"logo_3\":\"brands\\/brand-img03.png\",\"link_3\":\"https:\\/\\/naturewave.com\",\"name_4\":\"Finance\",\"logo_4\":\"brands\\/brand-img02.png\",\"link_4\":\"https:\\/\\/finance.com\",\"name_5\":\"Start\",\"logo_5\":\"brands\\/brand-img01.png\",\"link_5\":\"https:\\/\\/start.com\",\"name_6\":\"Zelus\",\"logo_6\":\"brands\\/brand-img04.png\",\"link_6\":\"https:\\/\\/zelus.com\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(43,'ContactFormWidget','pre_footer_sidebar_1','gerow',0,'{\"id\":\"ContactFormWidget\",\"name\":\"Request a call back\",\"description\":\"Ever Find Yourself Staring At Your Computer Screen A Good Consulting Slogan To Come To Mind? Oftentimes\",\"background_image_1\":\"backgrounds\\/shape01.png\",\"background_image_2\":\"backgrounds\\/shape02.png\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(44,'BrandsWidget','pre_footer_sidebar_1','gerow',1,'{\"id\":\"BrandsWidget\",\"name_1\":\"Zelus\",\"logo_1\":\"brands\\/brand-img04.png\",\"link_1\":\"https:\\/\\/zelus.com\",\"name_2\":\"The bird\",\"logo_2\":\"brands\\/brand-img05.png\",\"link_2\":\"https:\\/\\/thebird.com\",\"name_3\":\"Nature Wave\",\"logo_3\":\"brands\\/brand-img03.png\",\"link_3\":\"https:\\/\\/naturewave.com\",\"name_4\":\"Finance\",\"logo_4\":\"brands\\/brand-img02.png\",\"link_4\":\"https:\\/\\/finance.com\",\"name_5\":\"Start\",\"logo_5\":\"brands\\/brand-img01.png\",\"link_5\":\"https:\\/\\/start.com\",\"name_6\":\"Zelus\",\"logo_6\":\"brands\\/brand-img04.png\",\"link_6\":\"https:\\/\\/zelus.com\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(45,'LanguageSwitcherWidget','header_style_1','gerow',2,'{\"id\":\"LanguageSwitcherWidget\",\"name\":\"Language switcher\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(46,'LanguageSwitcherWidget','header_style_2','gerow',2,'{\"id\":\"LanguageSwitcherWidget\",\"name\":\"Language switcher\"}','2023-12-08 09:13:44','2023-12-08 09:13:44'),(47,'LanguageSwitcherWidget','header_style_3','gerow',2,'{\"id\":\"LanguageSwitcherWidget\",\"name\":\"Language switcher\"}','2023-12-08 09:13:44','2023-12-08 09:13:44');
/*!40000 ALTER TABLE `widgets` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-12-08 23:13:59
